!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_1679) = -cima*dym_QED3
      coupl(nGC_1649) = -cima*dydo_QED1_QCD2
      coupl(nGC_1648) = -cima*dydo_QED3
      coupl(nGC_1645) = coupl(nGC_1086)*dZgs_QCD2
      coupl(nGC_1643) = coupl(nGC_800)*dcw_QED2 + coupl(nGC_801)*dsw_QED2 +    &
                        coupl(nGC_802)*dZee_QED2
      coupl(nGC_1729) = coupl(nGC_936)*dZee_QED2
      coupl(nGC_1658) = cima*dyt_QED3
      coupl(nGC_1659) = cima*dyt_QED1_QCD2
      coupl(nGC_1654) = cima*dyc_QED3
      coupl(nGC_1655) = cima*dyc_QED1_QCD2
      coupl(nGC_1656) = -cima*dyb_QED3
      coupl(nGC_1657) = -cima*dyb_QED1_QCD2
      coupl(nGC_1650) = cima*dyup_QED3
      coupl(nGC_1651) = cima*dyup_QED1_QCD2
      coupl(nGC_1652) = -cima*dys_QED3
      coupl(nGC_1653) = -cima*dys_QED1_QCD2
      coupl(nGC_TS_GC_212_Hl) = -coupl(nGC_212)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2070) = coupl(nGC_MI)*dZnu_tauL_QED2
      coupl(nGC_2074) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_2076) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_1845) = coupl(nGC_1650) + coupl(nGC_225)*dZdL_QED2/2d0 + coupl(&
                        nGC_225)*dZuR_QED2/2d0
      coupl(nGC_1717) = coupl(nGC_1253)*dsw_QED2 + coupl(nGC_1254)*dZee_QED2
      coupl(nGC_1716) = coupl(nGC_917)*dZee_QED2
      coupl(nGC_1712) = coupl(nGC_1066)*dsw_QED2 + coupl(nGC_1067)*dZee_QED2 + &
                        coupl(nGC_1068)*dvev_QED1
      coupl(nGC_TS_GC_208_Hl) = -coupl(nGC_208)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2066) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_2067) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_2062) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_2063) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_227_Hh) = -coupl(nGC_227)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1708) = coupl(nGC_933)*dZee_QED2
      coupl(nGC_1878) = coupl(nGC_99)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1674) = coupl(nGC_1241)*dys_QED3 + coupl(nGC_1242)*da_QED2
      coupl(nGC_1675) = coupl(nGC_1241)*dys_QED1_QCD2
      coupl(nGC_1678) = -cima*dye_QED3
      coupl(nGC_1905) = coupl(nGC_142)*dZZA_QED2/2d0
      coupl(nGC_2121) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2120) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_TS_GC_203_Hh) = -coupl(nGC_203)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_204_Hl) = -coupl(nGC_204)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1848) = coupl(nGC_1649) + coupl(nGC_201)*dZdR_QCD2/2d0 + coupl(&
                        nGC_201)*dZuL_QCD2/2d0
      coupl(nGC_1840) = cima*dMW2_QED2
      coupl(nGC_1843) = coupl(nGC_517)*dMZ2_QED2
      coupl(nGC_1846) = coupl(nGC_1651) + coupl(nGC_225)*dZdL_QCD2/2d0 + coupl(&
                        nGC_225)*dZuR_QCD2/2d0
      coupl(nGC_1603) = coupl(nGC_939)*dcw_QED2 + coupl(nGC_940)*dsw_QED2 +    &
                        coupl(nGC_941)*dZee_QED2 + coupl(nGC_942)*da_QED2
      coupl(nGC_1602) = coupl(nGC_966)*dcw_QED2 + coupl(nGC_967)*dZee_QED2 +   &
                        coupl(nGC_968)*da_QED2
      coupl(nGC_1601) = coupl(nGC_972)*dcw_QED2 + coupl(nGC_973)*dsw_QED2 +    &
                        coupl(nGC_974)*dZee_QED2
      coupl(nGC_1600) = coupl(nGC_937)*dZee_QED2
      coupl(nGC_1606) = coupl(nGC_1048)*dl1_QED4
      coupl(nGC_1605) = -cima*dl1_QED4
      coupl(nGC_1604) = coupl(nGC_1078)*dl1_QED4
      coupl(nGC_1609) = coupl(nGC_824)*da_QED2 + coupl(nGC_825)*dl2_QED4 +     &
                        coupl(nGC_826)*dl1_QED4 + coupl(nGC_827)*dl3_QED4
      coupl(nGC_1608) = coupl(nGC_834)*da_QED2 + coupl(nGC_835)*dl2_QED4 +     &
                        coupl(nGC_836)*dl1_QED4 + coupl(nGC_837)*dl3_QED4
      coupl(nGC_1597) = coupl(nGC_960)*dcw_QED2 + coupl(nGC_961)*dsw_QED2 +    &
                        coupl(nGC_962)*dZee_QED2
      coupl(nGC_1599) = coupl(nGC_795)*dcw_QED2 + coupl(nGC_796)*dZee_QED2
      coupl(nGC_2139) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_2135) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_2136) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_2220) = coupl(nGC_MI)*dZA_QED2
      coupl(nGC_2221) = -coupl(nGC_MI)*dZA_QED2
      coupl(nGC_TS_GC_92_Hl) = -coupl(nGC_92)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1616) = coupl(nGC_1243)*da_QED2 + coupl(nGC_1244)*dl2_QED4 +   &
                        coupl(nGC_1245)*dl1_QED4 + coupl(nGC_1246)*dl3_QED4
      coupl(nGC_1619) = coupl(nGC_969)*dsw_QED2 + coupl(nGC_970)*dZee_QED2 +   &
                        coupl(nGC_971)*da_QED2
      coupl(nGC_1847) = coupl(nGC_1648) + coupl(nGC_201)*dZdR_QED2/2d0 + coupl(&
                        nGC_201)*dZuL_QED2/2d0
      coupl(nGC_1928) = coupl(nGC_147)*dZZA_QED2/2d0
      coupl(nGC_1925) = coupl(nGC_177)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_184_Hh) = -coupl(nGC_184)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2102) = coupl(nGC_MI)*dZnu_muL_QED2
      coupl(nGC_2215) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2216) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2211) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_2212) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_2219) = coupl(nGC_1609) + 2d0*coupl(nGC_32)*dZHhHl_QED2 + 2d0* &
                        coupl(nGC_34)*dZHl_QED2
      coupl(nGC_TS_GC_164_Hl) = -coupl(nGC_164)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1628) = coupl(nGC_1111)*dcw_QED2 + coupl(nGC_1112)*dsw_QED2 +  &
                        coupl(nGC_1113)*dZee_QED2 + coupl(nGC_1114)*dvev_QED1  &
                         + coupl(nGC_1115)*da_QED2
      coupl(nGC_1620) = coupl(nGC_1029)*dsw_QED2 + coupl(nGC_1030)*dZee_QED2 + &
                        coupl(nGC_1031)*da_QED2
      coupl(nGC_1622) = coupl(nGC_822)*dsw_QED2 + coupl(nGC_823)*dZee_QED2
      coupl(nGC_1822) = -cima*dMHH2_QED2
      coupl(nGC_1821) = -cima*dMHL2_QED2
      coupl(nGC_1827) = -cima*dMU_QED2
      coupl(nGC_1826) = -cima*dMTA_QED2
      coupl(nGC_1825) = -cima*dMM_QED2
      coupl(nGC_1824) = -cima*dME_QED2
      coupl(nGC_1829) = -cima*dMC_QED2
      coupl(nGC_1828) = -cima*dMU_QCD2
      coupl(nGC_1959) = coupl(nGC_175)*dZZA_QED2/2d0
      coupl(nGC_1958) = coupl(nGC_99)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_1953) = coupl(nGC_144)*dZHh_QED2 + coupl(nGC_148)*dZHlHh_QED2  &
                         + coupl(nGC_1603)
      coupl(nGC_1951) = coupl(nGC_1656) + coupl(nGC_193)*dZbR_QED2/2d0 + coupl(&
                        nGC_193)*dZtL_QED2/2d0
      coupl(nGC_1311) = (-Nc*cMB**2d0*cima*coupl(nGC_193)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_217)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_197)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_213)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_201)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_225)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_197  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_213)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_193)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_217)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_201)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_225)**2d0 - cME**2d0*cima&
                        *coupl(nGC_205)**2d0 - cMM**2d0*cima*coupl(nGC_209)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_221)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_71) - cMZ**2d0*coupl(nGC_141) + 2d0*cima*   &
                        coupl(nGC_154)**2d0 + 2d0*cima*coupl(nGC_166)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_1310) = cima*(Nc*coupl(nGC_193)**2d0 + Nc*coupl(nGC_197)**2d0  &
                         + Nc*coupl(nGC_201)**2d0 + Nc*coupl(nGC_213)**2d0 + Nc&
                        *coupl(nGC_217)**2d0 + Nc*coupl(nGC_225)**2d0 + coupl( &
                        nGC_205)**2d0 + coupl(nGC_209)**2d0 + coupl(nGC_221)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2200) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_2201) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_2207) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_2208) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_2116) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_2117) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_2114) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_2115) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_2110) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_2111) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_1638) = coupl(nGC_1072)*dsw_QED2 + coupl(nGC_1073)*dZee_QED2 + &
                        coupl(nGC_1074)*dvev_QED1
      coupl(nGC_1639) = coupl(nGC_938)*dZee_QED2
      coupl(nGC_1630) = coupl(nGC_307)*da_QED2 + coupl(nGC_309)*dvevs_QED1 +   &
                        coupl(nGC_311)*dvev_QED1 + coupl(nGC_313)*dl2_QED4 +   &
                        coupl(nGC_315)*dl3_QED4 + coupl(nGC_317)*dl1_QED4
      coupl(nGC_1631) = coupl(nGC_321)*da_QED2 + coupl(nGC_323)*dvevs_QED1 +   &
                        coupl(nGC_325)*dvev_QED1 + coupl(nGC_327)*dl2_QED4 +   &
                        coupl(nGC_329)*dl3_QED4 + coupl(nGC_331)*dl1_QED4
      coupl(nGC_1636) = coupl(nGC_1044)*dsw_QED2 + coupl(nGC_1045)*dZee_QED2 + &
                        coupl(nGC_1046)*dvev_QED1 + coupl(nGC_1047)*da_QED2
      coupl(nGC_1634) = coupl(nGC_335)*da_QED2 + coupl(nGC_337)*dvevs_QED1 +   &
                        coupl(nGC_339)*dvev_QED1 + coupl(nGC_341)*dl2_QED4 +   &
                        coupl(nGC_343)*dl3_QED4 + coupl(nGC_345)*dl1_QED4
      coupl(nGC_1635) = coupl(nGC_349)*da_QED2 + coupl(nGC_351)*dvevs_QED1 +   &
                        coupl(nGC_353)*dvev_QED1 + coupl(nGC_355)*dl2_QED4 +   &
                        coupl(nGC_357)*dl3_QED4 + coupl(nGC_359)*dl1_QED4
      coupl(nGC_1830) = -cima*dMC_QCD2
      coupl(nGC_1831) = -cima*dMT_QED2
      coupl(nGC_1832) = -cima*dMT_QCD2
      coupl(nGC_1833) = -cima*dMD_QED2
      coupl(nGC_1834) = -cima*dMD_QCD2
      coupl(nGC_1835) = -cima*dMS_QED2
      coupl(nGC_1836) = -cima*dMS_QCD2
      coupl(nGC_1837) = -cima*dMB_QED2
      coupl(nGC_1838) = -cima*dMB_QCD2
      coupl(nGC_1839) = cima*dMZ2_QED2
      coupl(nGC_1431) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_195) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_199) + Nc*coupl(nGC_201)*coupl&
                        (nGC_203) + Nc*coupl(nGC_213)*coupl(nGC_215) - Nc*coupl&
                        (nGC_217)*coupl(nGC_219) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_227) + coupl(nGC_205)*coupl(nGC_207) + coupl(      &
                        nGC_209)*coupl(nGC_211) + coupl(nGC_221)*coupl(nGC_223 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1949) = coupl(nGC_1658) + coupl(nGC_217)*dZbL_QED2/2d0 + coupl(&
                        nGC_217)*dZtR_QED2/2d0
      coupl(nGC_1941) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1942) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_1864) = coupl(nGC_1717) + coupl(nGC_74)*dZWMinus_QED2
      coupl(nGC_TS_GC_199_Hh) = -coupl(nGC_199)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1494) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_195) - cMC*&
                        coupl(nGC_199) - cMD*coupl(nGC_203) - cMS*coupl(nGC_215&
                        ) - cMT*coupl(nGC_219) - cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0)
      coupl(nGC_1495) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_195) + cMC* &
                        coupl(nGC_199) + cMD*coupl(nGC_203) + cMS*coupl(nGC_215&
                        ) + cMT*coupl(nGC_219) + cMU*coupl(nGC_227))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1492) = -coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1490) = -coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1306) = cima*(Nc*coupl(nGC_196)**2d0 + Nc*coupl(nGC_200)**2d0  &
                         + Nc*coupl(nGC_204)**2d0 + Nc*coupl(nGC_216)**2d0 + Nc&
                        *coupl(nGC_220)**2d0 + Nc*coupl(nGC_228)**2d0 + coupl( &
                        nGC_208)**2d0 + coupl(nGC_212)**2d0 + coupl(nGC_224)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_1307) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_196)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_200)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_204)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_216)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_220)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_228)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_208)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_212)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_224 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_96) - cMZ**2d0*coupl(  &
                        nGC_151) + 2d0*cima*coupl(nGC_164)**2d0 + cima*coupl(  &
                        nGC_177)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1305) = cMD*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1302) = cima*(Nc*coupl(nGC_195)*coupl(nGC_196) + Nc*coupl(     &
                        nGC_199)*coupl(nGC_200) + Nc*coupl(nGC_203)*coupl(     &
                        nGC_204) + Nc*coupl(nGC_215)*coupl(nGC_216) + Nc*coupl(&
                        nGC_219)*coupl(nGC_220) + Nc*coupl(nGC_227)*coupl(     &
                        nGC_228) + coupl(nGC_207)*coupl(nGC_208) + coupl(      &
                        nGC_211)*coupl(nGC_212) + coupl(nGC_223)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1303) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_195)*coupl(nGC_196) - &
                        4d0*Nc*cMC**2d0*cima*coupl(nGC_199)*coupl(nGC_200) -   &
                        4d0*Nc*cMD**2d0*cima*coupl(nGC_203)*coupl(nGC_204) -   &
                        4d0*Nc*cMS**2d0*cima*coupl(nGC_215)*coupl(nGC_216) -   &
                        4d0*Nc*cMT**2d0*cima*coupl(nGC_219)*coupl(nGC_220) -   &
                        4d0*Nc*cMU**2d0*cima*coupl(nGC_227)*coupl(nGC_228) -   &
                        4d0*cME**2d0*cima*coupl(nGC_207)*coupl(nGC_208) - 4d0* &
                        cMM**2d0*cima*coupl(nGC_211)*coupl(nGC_212) - 4d0*cMTA &
                        **2d0*cima*coupl(nGC_223)*coupl(nGC_224) - 2d0*cMW**2d0&
                        *coupl(nGC_92) - cMZ**2d0*coupl(nGC_147) + 2d0*cima*   &
                        coupl(nGC_162)*coupl(nGC_164) + cima*coupl(nGC_175)*   &
                        coupl(nGC_177))/(16d0*pi**2d0)
      coupl(nGC_1301) = cMT*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2162) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_2167) = coupl(nGC_MI)*dZeMinusL_QED2
      coupl(nGC_2165) = coupl(nGC_MI)*dZeMinusR_QED2
      coupl(nGC_2164) = coupl(nGC_MI)*dZtauMinusL_QED2
      coupl(nGC_TS_GC_228_Hl) = -coupl(nGC_228)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1703) = coupl(nGC_949)*dyup_QED1_QCD2
      coupl(nGC_1700) = coupl(nGC_375)*dyt_QED3 + coupl(nGC_377)*da_QED2
      coupl(nGC_1701) = coupl(nGC_375)*dyt_QED1_QCD2
      coupl(nGC_1977) = coupl(nGC_1675) + coupl(nGC_216)*dZsL_QCD2/2d0 + coupl(&
                        nGC_216)*dZsR_QCD2/2d0
      coupl(nGC_1976) = coupl(nGC_1674) + coupl(nGC_215)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_216)*dZHl_QED2/2d0 + coupl(nGC_216)*dZsL_QED2&
                        /2d0 + coupl(nGC_216)*dZsR_QED2/2d0
      coupl(nGC_1970) = coupl(nGC_19)*dZdR_QED2
      coupl(nGC_1372) = -coupl(nGC_19)**2d0*coupl(nGC_216)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1377) = -coupl(nGC_19)**2d0*coupl(nGC_219)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1444) = coupl(nGC_19)**2d0*sq2**2d0*(cMB*coupl(nGC_196) + cMC* &
                        coupl(nGC_200) + cMD*coupl(nGC_204) + cMS*coupl(nGC_216&
                        ) + cMT*coupl(nGC_220) + cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1443) = coupl(nGC_19)**2d0*sq2**2d0*(-cMB*coupl(nGC_196) - cMC*&
                        coupl(nGC_200) - cMD*coupl(nGC_204) - cMS*coupl(nGC_216&
                        ) - cMT*coupl(nGC_220) - cMU*coupl(nGC_228))/(16d0*pi**&
                        2d0)
      coupl(nGC_TS_GC_216_Hl) = -coupl(nGC_216)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_190_Hl) = -coupl(nGC_190)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1964) = coupl(nGC_145)*dZZA_QED2/2d0
      coupl(nGC_1968) = coupl(nGC_19)*dZdL_QED2
      coupl(nGC_1950) = coupl(nGC_1659) + coupl(nGC_217)*dZbL_QCD2/2d0 + coupl(&
                        nGC_217)*dZtR_QCD2/2d0
      coupl(nGC_1885) = coupl(nGC_1653) + coupl(nGC_213)*dZcL_QCD2/2d0 + coupl(&
                        nGC_213)*dZsR_QCD2/2d0
      coupl(nGC_1732) = coupl(nGC_1069)*dcw_QED2 + coupl(nGC_1070)*dsw_QED2 +  &
                        coupl(nGC_1071)*dZee_QED2
      coupl(nGC_1887) = coupl(nGC_19)*dZuL_QED2
      coupl(nGC_1730) = coupl(nGC_805)*dcw_QED2 + coupl(nGC_806)*dsw_QED2 +    &
                        coupl(nGC_807)*dZee_QED2
      coupl(nGC_1736) = coupl(nGC_870)*dcw_QED2 + coupl(nGC_871)*dZee_QED2 +   &
                        coupl(nGC_872)*da_QED2
      coupl(nGC_1368) = -coupl(nGC_19)**2d0*coupl(nGC_196)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1883) = coupl(nGC_1655) + coupl(nGC_197)*dZcR_QCD2/2d0 + coupl(&
                        nGC_197)*dZsL_QCD2/2d0
      coupl(nGC_1362) = coupl(nGC_19)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1365) = coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1367) = coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_162_Hh) = -coupl(nGC_162)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1889) = coupl(nGC_19)*dZuR_QED2
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2097) = coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_2096) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2095) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_2094) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_2140) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_1430) = -coupl(nGC_207)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_206)**2d0 + coupl(nGC_207)**2d0 + coupl(     &
                        nGC_208)**2d0 - 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_219_Hh) = -coupl(nGC_219)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1724) = coupl(nGC_943)*dsw_QED2 + coupl(nGC_944)*dZee_QED2 +   &
                        coupl(nGC_945)*da_QED2
      coupl(nGC_1725) = coupl(nGC_1255)*dsw_QED2 + coupl(nGC_1256)*dZee_QED2 + &
                        coupl(nGC_1257)*da_QED2
      coupl(nGC_TS_GC_120_Hl) = -coupl(nGC_120)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_192_Hh) = -coupl(nGC_192)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1519) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) +  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) - 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) + coupl(nGC_218)**2d0*&
                        coupl(nGC_220) + coupl(nGC_219)**2d0*coupl(nGC_220) +  &
                        coupl(nGC_220)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1518) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_220) +  &
                        coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_217) - 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_220) + coupl(nGC_219)**2d0*&
                        coupl(nGC_220) + coupl(nGC_220)**3d0 + coupl(nGC_220)* &
                        coupl(nGC_541)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1512) = (coupl(nGC_221)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1511) = -coupl(nGC_19)**2d0*coupl(nGC_213)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1510) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_213) - 8d0* &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_213) + coupl(  &
                        nGC_197)*coupl(nGC_198)*coupl(nGC_214) + coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_215) + coupl(nGC_197)*coupl(&
                        nGC_200)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_1517) = -coupl(nGC_19)**2d0*coupl(nGC_220)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1689) = coupl(nGC_369)*dytau_QED3 + coupl(nGC_371)*da_QED2
      coupl(nGC_1683) = coupl(nGC_791)*dytau_QED3
      coupl(nGC_1682) = coupl(nGC_1213)*dym_QED3
      coupl(nGC_1681) = coupl(nGC_1205)*dye_QED3
      coupl(nGC_1680) = -cima*dytau_QED3
      coupl(nGC_1687) = coupl(nGC_1211)*dye_QED3 + coupl(nGC_1212)*da_QED2
      coupl(nGC_1686) = coupl(nGC_363)*dytau_QED3 + coupl(nGC_365)*da_QED2
      coupl(nGC_1685) = coupl(nGC_1214)*dym_QED3 + coupl(nGC_1215)*da_QED2
      coupl(nGC_1684) = coupl(nGC_1206)*dye_QED3 + coupl(nGC_1207)*da_QED2
      coupl(nGC_1998) = coupl(nGC_19)*dZsL_QED2
      coupl(nGC_1996) = coupl(nGC_I)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_1994) = coupl(nGC_1686) + coupl(nGC_223)*dZHh_QED2/2d0 + coupl(&
                        nGC_223)*dZtauMinusL_QED2/2d0 + coupl(nGC_223)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_224)*dZHlHh_QED2/2d0
      coupl(nGC_1993) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_1991) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_1355) = coupl(nGC_19)**2d0*coupl(nGC_217)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1424) = coupl(nGC_19)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1420) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_196) + Nc* &
                        coupl(nGC_197)*coupl(nGC_200) - Nc*coupl(nGC_201)*coupl&
                        (nGC_204) - Nc*coupl(nGC_213)*coupl(nGC_216) + Nc*coupl&
                        (nGC_217)*coupl(nGC_220) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_228) - coupl(nGC_205)*coupl(nGC_208) - coupl(      &
                        nGC_209)*coupl(nGC_212) - coupl(nGC_221)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1359) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_217)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_218)*coupl(nGC_541) + coupl(  &
                        nGC_126)*coupl(nGC_219)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_220)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1429) = -coupl(nGC_207)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_207)**2d0 + coupl(nGC_208)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_561)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1428) = -coupl(nGC_19)**2d0*coupl(nGC_214)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2088) = -coupl(nGC_1681) - coupl(nGC_206)*dZeMinusL_QED2/2d0 - &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_2085) = coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2086) = -coupl(nGC_MI)*dZZ_QED2
      coupl(nGC_2087) = coupl(nGC_1681) + coupl(nGC_206)*dZeMinusL_QED2/2d0 +  &
                        coupl(nGC_206)*dZeMinusR_QED2/2d0
      coupl(nGC_TS_GC_200_Hl) = -coupl(nGC_200)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2159) = coupl(nGC_1700) + coupl(nGC_219)*dZHh_QED2/2d0 + coupl(&
                        nGC_219)*dZtL_QED2/2d0 + coupl(nGC_219)*dZtR_QED2/2d0  &
                         + coupl(nGC_220)*dZHlHh_QED2/2d0
      coupl(nGC_2156) = coupl(nGC_19)*dZbR_QED2
      coupl(nGC_2157) = -coupl(nGC_136)*dZZA_QED2/2d0
      coupl(nGC_2154) = coupl(nGC_19)*dZbL_QED2
      coupl(nGC_TS_GC_189_Hh) = -coupl(nGC_189)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_189_Hl) = -coupl(nGC_189)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1733) = coupl(nGC_1107)*dcw_QED2 + coupl(nGC_1108)*dsw_QED2 +  &
                        coupl(nGC_1109)*dZee_QED2 + coupl(nGC_1110)*da_QED2
      coupl(nGC_TS_GC_15_Hh) = -coupl(nGC_15)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1731) = coupl(nGC_1147)*dsw_QED2 + coupl(nGC_1148)*dZee_QED2
      coupl(nGC_TS_GC_145_Hh) = -coupl(nGC_145)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_223_Hh) = -coupl(nGC_223)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1737) = coupl(nGC_1174)*dcw_QED2 + coupl(nGC_1175)*dZee_QED2 + &
                        coupl(nGC_1176)*da_QED2
      coupl(nGC_1460) = -coupl(nGC_208)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_207)**2d0 + coupl(nGC_208)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_561)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1395) = -(-8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_210) +  &
                        coupl(nGC_210)**2d0*coupl(nGC_533) - 8d0*coupl(nGC_210 &
                        )*coupl(nGC_4)**2d0 + coupl(nGC_211)**2d0*coupl(nGC_533&
                        ) + coupl(nGC_212)**2d0*coupl(nGC_533))/(32d0*pi**2d0)
      coupl(nGC_1466) = (coupl(nGC_209)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1465) = -coupl(nGC_19)**2d0*coupl(nGC_198)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1735) = coupl(nGC_930)*dcw_QED2 + coupl(nGC_931)*dsw_QED2 +    &
                        coupl(nGC_932)*dZee_QED2
      coupl(nGC_TS_GC_96_Hl) = -coupl(nGC_96)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1734) = coupl(nGC_1226)*dcw_QED2 + coupl(nGC_1227)*dsw_QED2 +  &
                        coupl(nGC_1228)*dZee_QED2 + coupl(nGC_1229)*da_QED2
      coupl(nGC_TS_GC_191_Hh) = -coupl(nGC_191)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1509) = -coupl(nGC_19)**2d0*coupl(nGC_197)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1503) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) - coupl(  &
                        nGC_201)*coupl(nGC_202)*coupl(nGC_226) - coupl(nGC_201 &
                        )*coupl(nGC_203)*coupl(nGC_227) - coupl(nGC_201)*coupl(&
                        nGC_204)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_1504) = coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1506) = coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1690) = coupl(nGC_901)*dyup_QED3
      coupl(nGC_1691) = coupl(nGC_901)*dyup_QED1_QCD2
      coupl(nGC_1692) = coupl(nGC_1240)*dyc_QED3
      coupl(nGC_1693) = coupl(nGC_1240)*dyc_QED1_QCD2
      coupl(nGC_1694) = coupl(nGC_1098)*dyt_QED3
      coupl(nGC_1695) = coupl(nGC_1098)*dyt_QED1_QCD2
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
