!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_1696) = coupl(nGC_934)*dyup_QED3 + coupl(nGC_935)*da_QED2
      coupl(nGC_1697) = coupl(nGC_934)*dyup_QED1_QCD2
      coupl(nGC_1986) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_1340) = coupl(nGC_123)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1346) = coupl(nGC_125)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1348) = coupl(nGC_122)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1266) = cMS*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1611) = coupl(nGC_840)*da_QED2 + coupl(nGC_841)*dl2_QED4 +     &
                        coupl(nGC_842)*dl1_QED4 + coupl(nGC_843)*dl3_QED4
      coupl(nGC_1613) = coupl(nGC_1032)*dcw_QED2 + coupl(nGC_1033)*dsw_QED2 +  &
                        coupl(nGC_1034)*dZee_QED2 + coupl(nGC_1035)*da_QED2
      coupl(nGC_1615) = coupl(nGC_828)*da_QED2 + coupl(nGC_829)*dl2_QED4 +     &
                        coupl(nGC_830)*dl1_QED4 + coupl(nGC_831)*dl3_QED4
      coupl(nGC_1617) = coupl(nGC_1009)*dcw_QED2 + coupl(nGC_1010)*dsw_QED2 +  &
                        coupl(nGC_1011)*dZee_QED2 + coupl(nGC_1012)*da_QED2
      coupl(nGC_TS_GC_30_Hl) = -coupl(nGC_30)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2181) = coupl(nGC_1682) + coupl(nGC_210)*dZmuMinusL_QED2/2d0 + &
                        coupl(nGC_210)*dZmuMinusR_QED2/2d0
      coupl(nGC_2180) = -coupl(nGC_130)*dZHh_QED2/2d0 - coupl(nGC_130)*dZZ_QED2&
                        /2d0 - coupl(nGC_136)*dZHlHh_QED2/2d0 - coupl(nGC_1733)
      coupl(nGC_2182) = -coupl(nGC_1682) - coupl(nGC_210)*dZmuMinusL_QED2/2d0  &
                         - coupl(nGC_210)*dZmuMinusR_QED2/2d0
      coupl(nGC_2185) = coupl(nGC_I)*dZHh_QED2
      coupl(nGC_2184) = coupl(nGC_1822) + coupl(nGC_MHH)*dZHh_QED2 + coupl(    &
                        nGC_TS_GC_189_Hl) + coupl(nGC_TS_GC_191_Hh)
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_177_Hl) = -coupl(nGC_177)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1759) = coupl(nGC_963)*dcw_QED2 + coupl(nGC_964)*dsw_QED2 +    &
                        coupl(nGC_965)*dZee_QED2
      coupl(nGC_1758) = coupl(nGC_1079)*dcw_QED2 + coupl(nGC_1080)*dsw_QED2 +  &
                        coupl(nGC_1081)*dZee_QED2
      coupl(nGC_1751) = coupl(nGC_1039)*dZee_QED2
      coupl(nGC_1750) = coupl(nGC_1057)*dZee_QED2
      coupl(nGC_1753) = coupl(nGC_951)*dsw_QED2 + coupl(nGC_952)*dZee_QED2
      coupl(nGC_1752) = coupl(nGC_387)*dZgs_QCD2
      coupl(nGC_1755) = coupl(nGC_892)*dcw_QED2 + coupl(nGC_893)*dsw_QED2 +    &
                        coupl(nGC_894)*dZee_QED2
      coupl(nGC_1754) = coupl(nGC_1026)*dcw_QED2 + coupl(nGC_1027)*dsw_QED2 +  &
                        coupl(nGC_1028)*dZee_QED2
      coupl(nGC_1757) = coupl(nGC_986)*dcw_QED2 + coupl(nGC_987)*dsw_QED2 +    &
                        coupl(nGC_988)*dZee_QED2
      coupl(nGC_1756) = coupl(nGC_895)*dcw_QED2 + coupl(nGC_896)*dsw_QED2 +    &
                        coupl(nGC_897)*dZee_QED2
      coupl(nGC_1531) = 3d0*(4d0*Nc*cMB*coupl(nGC_196)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_200)**3d0 + 4d0*Nc*cMD*coupl(nGC_204)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_216)**3d0 + 4d0*Nc*cMT*coupl(nGC_220)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_228)**3d0 + 4d0*cME*coupl(  &
                        nGC_208)**3d0 + 4d0*cMM*coupl(nGC_212)**3d0 + 4d0*cMTA*&
                        coupl(nGC_224)**3d0 + cima*coupl(nGC_151)*coupl(nGC_177&
                        ) + 2d0*cima*coupl(nGC_164)*coupl(nGC_96))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1530) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_206)*coupl(     &
                        nGC_561) + coupl(nGC_128)*coupl(nGC_207)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_208)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_205)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1533) = sq2**3d0*(Nc*cima*coupl(nGC_551)**3d0 - 12d0*coupl(    &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1532) = sq2**3d0*(-Nc*cima*coupl(nGC_551)**3d0 + 12d0*coupl(   &
                        nGC_19)**3d0)/(192d0*pi**2d0)
      coupl(nGC_1924) = coupl(nGC_122)*dZdR_QCD2
      coupl(nGC_1920) = coupl(nGC_1611) + coupl(nGC_32)*dZHlHh_QED2 + coupl(   &
                        nGC_33)*dZHhHl_QED2 + coupl(nGC_36)*dZHh_QED2 + coupl( &
                        nGC_36)*dZHl_QED2
      coupl(nGC_1921) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZdL_QED2 + coupl(nGC_1757)
      coupl(nGC_TS_GC_211_Hh) = -coupl(nGC_211)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_29_Hl) = -coupl(nGC_29)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_29_Hh) = -coupl(nGC_29)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1580) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1581) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1586) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_122)**2d0  &
                         + coupl(nGC_123)**2d0 + coupl(nGC_125)**2d0 + coupl(  &
                        nGC_126)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1587) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_122)**2d0 &
                         - coupl(nGC_123)**2d0 - coupl(nGC_125)**2d0 - coupl(  &
                        nGC_126)**2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1589) = cima*coupl(nGC_19)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(  &
                        nGC_122) + coupl(nGC_1)*coupl(nGC_125) + coupl(nGC_123 &
                        )*coupl(nGC_2) + coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0)
      coupl(nGC_2005) = coupl(nGC_1694) + coupl(nGC_218)*dZtL_QED2/2d0 + coupl(&
                        nGC_218)*dZtR_QED2/2d0
      coupl(nGC_1922) = coupl(nGC_125)*dZdL_QCD2
      coupl(nGC_1923) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZdR_QED2 + coupl(nGC_1756)
      coupl(nGC_1401) = coupl(nGC_1)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_1403) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) -  &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_227) + coupl(nGC_201)* &
                        coupl(nGC_203)*coupl(nGC_225) + coupl(nGC_227)**3d0 +  &
                        coupl(nGC_227)*coupl(nGC_228)**2d0 + coupl(nGC_227)*   &
                        coupl(nGC_539)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1402) = -coupl(nGC_19)**2d0*coupl(nGC_227)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1404) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_227) -  &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_227) + coupl(nGC_201)* &
                        coupl(nGC_203)*coupl(nGC_225) + coupl(nGC_226)**2d0*   &
                        coupl(nGC_227) + coupl(nGC_227)**3d0 + coupl(nGC_227)* &
                        coupl(nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1408) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)/(4d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_130_Hh) = -coupl(nGC_130)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_207_Hh) = -coupl(nGC_207)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1327) = (12d0*Nc*cMB*coupl(nGC_195)**2d0*coupl(nGC_196) + 12d0*&
                        Nc*cMC*coupl(nGC_199)**2d0*coupl(nGC_200) + 12d0*Nc*cMD&
                        *coupl(nGC_203)**2d0*coupl(nGC_204) + 12d0*Nc*cMS*coupl&
                        (nGC_215)**2d0*coupl(nGC_216) + 12d0*Nc*cMT*coupl(     &
                        nGC_219)**2d0*coupl(nGC_220) + 12d0*Nc*cMU*coupl(      &
                        nGC_227)**2d0*coupl(nGC_228) + 12d0*cME*coupl(nGC_207  &
                        )**2d0*coupl(nGC_208) + 12d0*cMM*coupl(nGC_211)**2d0*  &
                        coupl(nGC_212) + 12d0*cMTA*coupl(nGC_223)**2d0*coupl(  &
                        nGC_224) + cima*coupl(nGC_145)*coupl(nGC_177) + 2d0*   &
                        cima*coupl(nGC_147)*coupl(nGC_175) + 4d0*cima*coupl(   &
                        nGC_162)*coupl(nGC_92) + 2d0*cima*coupl(nGC_164)*coupl(&
                        nGC_82))/(16d0*pi**2d0)
      coupl(nGC_1320) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_226)*    &
                        coupl(nGC_539) + coupl(nGC_227)**2d0 + coupl(nGC_228)**&
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1321) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + coupl(nGC_225)**2d0 + coupl(nGC_226)*    &
                        coupl(nGC_539) + coupl(nGC_227)**2d0 + coupl(nGC_228)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1322) = coupl(nGC_19)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_551&
                        ) - 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc)
      coupl(nGC_1323) = (2d0*Nc*cMB*coupl(nGC_193)**2d0*coupl(nGC_196) + 2d0*Nc&
                        *cMB*coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_220) + 2d0&
                        *Nc*cMB*coupl(nGC_196)*coupl(nGC_217)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_197)**2d0*coupl(nGC_200) + 2d0*Nc*cMC*coupl(&
                        nGC_197)*coupl(nGC_213)*coupl(nGC_216) + 2d0*Nc*cMC*   &
                        coupl(nGC_200)*coupl(nGC_213)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_201)**2d0*coupl(nGC_204) + 2d0*Nc*cMD*coupl(nGC_201&
                        )*coupl(nGC_225)*coupl(nGC_228) + 2d0*Nc*cMD*coupl(    &
                        nGC_204)*coupl(nGC_225)**2d0 + 2d0*Nc*cMS*coupl(nGC_197&
                        )**2d0*coupl(nGC_216) + 2d0*Nc*cMS*coupl(nGC_197)*coupl&
                        (nGC_200)*coupl(nGC_213) + 2d0*Nc*cMS*coupl(nGC_213)** &
                        2d0*coupl(nGC_216) + 2d0*Nc*cMT*coupl(nGC_193)**2d0*   &
                        coupl(nGC_220) + 2d0*Nc*cMT*coupl(nGC_193)*coupl(      &
                        nGC_196)*coupl(nGC_217) + 2d0*Nc*cMT*coupl(nGC_217)**  &
                        2d0*coupl(nGC_220) + 2d0*Nc*cMU*coupl(nGC_201)**2d0*   &
                        coupl(nGC_228) + 2d0*Nc*cMU*coupl(nGC_201)*coupl(      &
                        nGC_204)*coupl(nGC_225) + 2d0*Nc*cMU*coupl(nGC_225)**  &
                        2d0*coupl(nGC_228) + 2d0*cME*coupl(nGC_205)**2d0*coupl(&
                        nGC_208) + 2d0*cMM*coupl(nGC_209)**2d0*coupl(nGC_212   &
                        ) + 2d0*cMTA*coupl(nGC_221)**2d0*coupl(nGC_224) + 4d0* &
                        cima*coupl(nGC_120)*coupl(nGC_166) + cima*coupl(nGC_141&
                        )*coupl(nGC_177) + 4d0*cima*coupl(nGC_154)*coupl(nGC_28&
                        ) + 2d0*cima*coupl(nGC_164)*coupl(nGC_71))/(16d0*pi**  &
                        2d0)
      coupl(nGC_TS_GC_82_Hh) = -coupl(nGC_82)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1719) = coupl(nGC_882)*dsw_QED2 + coupl(nGC_883)*dZee_QED2 +   &
                        coupl(nGC_884)*da_QED2
      coupl(nGC_1718) = coupl(nGC_797)*dsw_QED2 + coupl(nGC_798)*dZee_QED2 +   &
                        coupl(nGC_799)*da_QED2
      coupl(nGC_1868) = coupl(nGC_1683) + coupl(nGC_222)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_1715) = coupl(nGC_792)*dsw_QED2 + coupl(nGC_793)*dZee_QED2 +   &
                        coupl(nGC_794)*da_QED2
      coupl(nGC_1714) = coupl(nGC_808)*dsw_QED2 + coupl(nGC_809)*dZee_QED2 +   &
                        coupl(nGC_810)*da_QED2
      coupl(nGC_2103) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1751)
      coupl(nGC_1711) = coupl(nGC_885)*dsw_QED2 + coupl(nGC_886)*dZee_QED2 +   &
                        coupl(nGC_887)*da_QED2
      coupl(nGC_1710) = coupl(nGC_1166)*dsw_QED2 + coupl(nGC_1167)*dZee_QED2 + &
                        coupl(nGC_1168)*da_QED2
      coupl(nGC_1713) = coupl(nGC_855)*dsw_QED2 + coupl(nGC_856)*dZee_QED2
      coupl(nGC_2106) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_2039) = coupl(nGC_148)*dZHhHl_QED2 + coupl(nGC_150)*dZHl_QED2  &
                         + coupl(nGC_1617)
      coupl(nGC_2038) = coupl(nGC_116)*dZZA_QED2 - 2d0*coupl(nGC_1729) - 2d0*  &
                        coupl(nGC_8)*dZA_QED2 - 2d0*coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_2035) = coupl(nGC_100)*dZHh_QED2/2d0 + coupl(nGC_100)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_118)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1718)
      coupl(nGC_2034) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_muL_QED2 + coupl(nGC_1758)
      coupl(nGC_2037) = -coupl(nGC_116)*dZZA_QED2/2d0 + coupl(nGC_1729) + coupl&
                        (nGC_8)*dZA_QED2 + coupl(nGC_8)*dZWMinus_QED2
      coupl(nGC_2036) = coupl(nGC_1687) + coupl(nGC_207)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_208)*dZHl_QED2/2d0 + coupl(nGC_208)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_208)*dZeMinusR_QED2/2d0
      coupl(nGC_2031) = coupl(nGC_19)*dZcL_QED2
      coupl(nGC_2030) = coupl(nGC_1752) + coupl(nGC_19)*dZcL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2033) = coupl(nGC_19)*dZcR_QED2
      coupl(nGC_2032) = coupl(nGC_1752) + coupl(nGC_19)*dZcR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2214) = coupl(nGC_1840) + coupl(nGC_MW)*dZWMinus_QED2 + coupl( &
                        nGC_TS_GC_162_Hh) + coupl(nGC_TS_GC_164_Hl)
      coupl(nGC_2217) = coupl(nGC_1635) + 3d0*coupl(nGC_190)*dZHl_QED2/2d0 +   &
                        3d0*coupl(nGC_192)*dZHhHl_QED2/2d0 + coupl(            &
                        nGC_TS_GC_32_Hh) + coupl(nGC_TS_GC_34_Hl)
      coupl(nGC_2210) = coupl(nGC_1828) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_1669) = coupl(nGC_1232)*dys_QED1_QCD2
      coupl(nGC_1668) = coupl(nGC_1232)*dys_QED3 + coupl(nGC_1233)*da_QED2
      coupl(nGC_2198) = coupl(nGC_1829) + coupl(nGC_MC)*dZcL_QED2/2d0 + coupl( &
                        nGC_MC)*dZcR_QED2/2d0 + coupl(nGC_TS_GC_199_Hh) + coupl&
                        (nGC_TS_GC_200_Hl)
      coupl(nGC_2199) = coupl(nGC_1830) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_1661) = coupl(nGC_1195)*dydo_QED1_QCD2
      coupl(nGC_1660) = coupl(nGC_1195)*dydo_QED3
      coupl(nGC_1667) = coupl(nGC_1198)*dydo_QED1_QCD2
      coupl(nGC_2191) = coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_1881) = coupl(nGC_103)*dZZA_QED2/2d0 + coupl(nGC_1716) + coupl(&
                        nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_TS_GC_118_Hl) = -coupl(nGC_118)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1916) = coupl(nGC_110)*dZAZ_QED2/2d0 + coupl(nGC_15)*dZHh_QED2/&
                        2d0 + coupl(nGC_15)*dZWMinus_QED2/2d0 + coupl(nGC_15)* &
                        dZZ_QED2/2d0 + coupl(nGC_1736) + coupl(nGC_28)*        &
                        dZHlHh_QED2/2d0
      coupl(nGC_1915) = coupl(nGC_1753) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZeMinusL_QED2/2d0 + coupl(nGC_99)*      &
                        dZnu_eL_QED2/2d0
      coupl(nGC_1446) = -coupl(nGC_223)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_222)**2d0 + coupl(nGC_223)**2d0 + coupl(     &
                        nGC_224)**2d0 - 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1912) = coupl(nGC_1634) + coupl(nGC_189)*dZHh_QED2 + coupl(    &
                        nGC_189)*dZHl_QED2/2d0 + coupl(nGC_191)*dZHhHl_QED2/2d0&
                         + coupl(nGC_192)*dZHlHh_QED2 + coupl(nGC_TS_GC_33_Hh  &
                        ) + coupl(nGC_TS_GC_36_Hl)
      coupl(nGC_1911) = coupl(nGC_1645) + 3d0*coupl(nGC_18)*dZg_QCD2/2d0
      coupl(nGC_1910) = -coupl(nGC_1693) - coupl(nGC_198)*dZcL_QCD2/2d0 - coupl&
                        (nGC_198)*dZcR_QCD2/2d0
      coupl(nGC_1483) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_215) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_215) + coupl(nGC_197 &
                        )*coupl(nGC_199)*coupl(nGC_213) + coupl(nGC_214)**2d0* &
                        coupl(nGC_215) + coupl(nGC_215)**3d0 + coupl(nGC_215)* &
                        coupl(nGC_216)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1448) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_209)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1919) = coupl(nGC_114)*dZZA_QED2/2d0 + coupl(nGC_1708) + coupl(&
                        nGC_7)*dZA_QED2/2d0 + coupl(nGC_7)*dZWMinus_QED2/2d0
      coupl(nGC_TS_GC_147_Hl) = -coupl(nGC_147)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1963) = coupl(nGC_1724) + coupl(nGC_82)*dZHhHl_QED2/2d0 + coupl&
                        (nGC_92)*dZHh_QED2/2d0 + coupl(nGC_92)*dZHl_QED2/2d0 + &
                        coupl(nGC_92)*dZWMinus_QED2 + coupl(nGC_96)*dZHlHh_QED2&
                        /2d0
      coupl(nGC_1960) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZeMinusL_QED2 + coupl(nGC_1735) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_1961) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZeMinusR_QED2 + coupl(nGC_1759) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_TS_GC_147_Hh) = -coupl(nGC_147)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1967) = coupl(nGC_1752) + coupl(nGC_19)*dZdL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1969) = coupl(nGC_1752) + coupl(nGC_19)*dZdR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1286) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_1285) = cima*coupl(nGC_551)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1284) = cima*sq2**2d0*(-Nc*coupl(nGC_551)**2d0 + 6d0*coupl(    &
                        nGC_19)**2d0)/(96d0*pi**2d0*Nc)
      coupl(nGC_1283) = cima*coupl(nGC_19)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_1282) = -Nc*cima*coupl(nGC_551)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_1281) = cima*sq2**2d0*(Nc*coupl(nGC_551)**2d0 - 6d0*coupl(     &
                        nGC_19)**2d0)/(96d0*pi**2d0)
      coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1364) = (8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) - coupl(  &
                        nGC_198)*coupl(nGC_213)*coupl(nGC_214) - coupl(nGC_199 &
                        )*coupl(nGC_213)*coupl(nGC_215) - coupl(nGC_200)*coupl(&
                        nGC_213)*coupl(nGC_216))/(32d0*pi**2d0)
      coupl(nGC_1882) = coupl(nGC_1654) + coupl(nGC_197)*dZcR_QED2/2d0 + coupl(&
                        nGC_197)*dZsL_QED2/2d0
      coupl(nGC_1632) = coupl(nGC_1152)*dcw_QED2 + coupl(nGC_1153)*dsw_QED2 +  &
                        coupl(nGC_1154)*dZee_QED2 + coupl(nGC_1155)*dvev_QED1  &
                         + coupl(nGC_1156)*da_QED2
      coupl(nGC_TS_GC_220_Hl) = -coupl(nGC_220)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1633) = coupl(nGC_1116)*dvev_QED1 + coupl(nGC_1117)*dvevs_QED1 &
                         + coupl(nGC_1118)*da_QED2 + coupl(nGC_1119)*dl1_QED4  &
                         + coupl(nGC_1120)*dl3_QED4
      coupl(nGC_1739) = coupl(nGC_921)*dcw_QED2 + coupl(nGC_922)*dvev_QED1 +   &
                        coupl(nGC_923)*dZee_QED2
      coupl(nGC_1738) = coupl(nGC_979)*dcw_QED2 + coupl(nGC_980)*dsw_QED2 +    &
                        coupl(nGC_981)*dZee_QED2
      coupl(nGC_TS_GC_117_Hl) = -coupl(nGC_117)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1746) = coupl(nGC_1126)*dcw_QED2 + coupl(nGC_1127)*dsw_QED2 +  &
                        coupl(nGC_1128)*dZee_QED2 + coupl(nGC_1129)*dvev_QED1  &
                         + coupl(nGC_1130)*da_QED2
      coupl(nGC_1744) = coupl(nGC_1099)*dcw_QED2 + coupl(nGC_1100)*dsw_QED2 +  &
                        coupl(nGC_1101)*dZee_QED2 + coupl(nGC_1102)*da_QED2
      coupl(nGC_1745) = coupl(nGC_1103)*dcw_QED2 + coupl(nGC_1104)*dsw_QED2 +  &
                        coupl(nGC_1105)*dZee_QED2 + coupl(nGC_1106)*da_QED2
      coupl(nGC_1742) = coupl(nGC_898)*dcw_QED2 + coupl(nGC_899)*dsw_QED2 +    &
                        coupl(nGC_900)*dZee_QED2
      coupl(nGC_1743) = coupl(nGC_982)*dcw_QED2 + coupl(nGC_983)*dsw_QED2 +    &
                        coupl(nGC_984)*dZee_QED2 + coupl(nGC_985)*da_QED2
      coupl(nGC_1740) = coupl(nGC_1258)*dcw_QED2 + coupl(nGC_1259)*dsw_QED2 +  &
                        coupl(nGC_1260)*dZee_QED2
      coupl(nGC_1741) = coupl(nGC_906)*dcw_QED2 + coupl(nGC_907)*dsw_QED2 +    &
                        coupl(nGC_908)*dZee_QED2
      coupl(nGC_1625) = coupl(nGC_1171)*dsw_QED2 + coupl(nGC_1172)*dZee_QED2 + &
                        coupl(nGC_1173)*da_QED2
      coupl(nGC_1624) = coupl(nGC_1182)*dcw_QED2 + coupl(nGC_1183)*dsw_QED2 +  &
                        coupl(nGC_1184)*dZee_QED2
      coupl(nGC_1627) = coupl(nGC_1013)*dcw_QED2 + coupl(nGC_1014)*dvev_QED1 + &
                        coupl(nGC_1015)*dZee_QED2
      coupl(nGC_1626) = coupl(nGC_879)*dsw_QED2 + coupl(nGC_880)*dZee_QED2 +   &
                        coupl(nGC_881)*da_QED2
      coupl(nGC_1621) = coupl(nGC_1036)*dsw_QED2 + coupl(nGC_1037)*dZee_QED2 + &
                        coupl(nGC_1038)*da_QED2
      coupl(nGC_1748) = coupl(nGC_996)*dcw_QED2 + coupl(nGC_997)*dsw_QED2 +    &
                        coupl(nGC_998)*dZee_QED2
      coupl(nGC_1749) = coupl(nGC_1149)*dcw_QED2 + coupl(nGC_1150)*dsw_QED2 +  &
                        coupl(nGC_1151)*dZee_QED2
      coupl(nGC_2098) = -coupl(nGC_1713) - coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_1957) = coupl(nGC_1753) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZcL_QED2/2d0 + coupl(nGC_99)*dZsL_QED2/ &
                        2d0
      coupl(nGC_2091) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_eL_QED2 + coupl(nGC_1758)
      coupl(nGC_1702) = coupl(nGC_949)*dyup_QED3 + coupl(nGC_950)*da_QED2
      coupl(nGC_2064) = coupl(nGC_1833) + coupl(nGC_MD)*dZdL_QED2/2d0 + coupl( &
                        nGC_MD)*dZdR_QED2/2d0 + coupl(nGC_TS_GC_203_Hh) + coupl&
                        (nGC_TS_GC_204_Hl)
      coupl(nGC_2065) = coupl(nGC_1834) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_2149) = -2d0*coupl(nGC_1731) - 4d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_2148) = coupl(nGC_1731) + 2d0*coupl(nGC_72)*dZWMinus_QED2
      coupl(nGC_2060) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZtauMinusR_QED2 + coupl(nGC_1759) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2061) = coupl(nGC_1678) + coupl(nGC_205)*dZeMinusR_QED2/2d0 +  &
                        coupl(nGC_205)*dZnu_eL_QED2/2d0
      coupl(nGC_2145) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_2144) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1750) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcL_QED2
      coupl(nGC_1720) = coupl(nGC_1196)*dsw_QED2 + coupl(nGC_1197)*dZee_QED2
      coupl(nGC_2146) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1750) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZcR_QED2
      coupl(nGC_2055) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZtR_QED2 &
                         + coupl(nGC_1755) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2069) = coupl(nGC_100)*dZHhHl_QED2/2d0 + coupl(nGC_118)*       &
                        dZHl_QED2/2d0 + coupl(nGC_118)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1719)
      coupl(nGC_1523) = -coupl(nGC_19)**2d0*coupl(nGC_200)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1520) = (12d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_196)**2d0 + 12d0*&
                        Nc*cMC*coupl(nGC_199)*coupl(nGC_200)**2d0 + 12d0*Nc*cMD&
                        *coupl(nGC_203)*coupl(nGC_204)**2d0 + 12d0*Nc*cMS*coupl&
                        (nGC_215)*coupl(nGC_216)**2d0 + 12d0*Nc*cMT*coupl(     &
                        nGC_219)*coupl(nGC_220)**2d0 + 12d0*Nc*cMU*coupl(      &
                        nGC_227)*coupl(nGC_228)**2d0 + 12d0*cME*coupl(nGC_207)*&
                        coupl(nGC_208)**2d0 + 12d0*cMM*coupl(nGC_211)*coupl(   &
                        nGC_212)**2d0 + 12d0*cMTA*coupl(nGC_223)*coupl(nGC_224 &
                        )**2d0 + 2d0*cima*coupl(nGC_147)*coupl(nGC_177) + cima*&
                        coupl(nGC_151)*coupl(nGC_175) + 2d0*cima*coupl(nGC_162 &
                        )*coupl(nGC_96) + 4d0*cima*coupl(nGC_164)*coupl(nGC_92 &
                        ))/(16d0*pi**2d0)
      coupl(nGC_1521) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_195) + Nc* &
                        coupl(nGC_197)*coupl(nGC_199) - Nc*coupl(nGC_201)*coupl&
                        (nGC_203) - Nc*coupl(nGC_213)*coupl(nGC_215) + Nc*coupl&
                        (nGC_217)*coupl(nGC_219) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_227) - coupl(nGC_205)*coupl(nGC_207) - coupl(      &
                        nGC_209)*coupl(nGC_211) - coupl(nGC_221)*coupl(nGC_223 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1526) = 3d0*(4d0*Nc*cMB*coupl(nGC_195)**3d0 + 4d0*Nc*cMC*coupl(&
                        nGC_199)**3d0 + 4d0*Nc*cMD*coupl(nGC_203)**3d0 + 4d0*Nc&
                        *cMS*coupl(nGC_215)**3d0 + 4d0*Nc*cMT*coupl(nGC_219)** &
                        3d0 + 4d0*Nc*cMU*coupl(nGC_227)**3d0 + 4d0*cME*coupl(  &
                        nGC_207)**3d0 + 4d0*cMM*coupl(nGC_211)**3d0 + 4d0*cMTA*&
                        coupl(nGC_223)**3d0 + cima*coupl(nGC_145)*coupl(nGC_175&
                        ) + 2d0*cima*coupl(nGC_162)*coupl(nGC_82))/(16d0*pi**  &
                        2d0)
      coupl(nGC_1527) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_201)**2d0 + coupl(nGC_123)*coupl(nGC_226)* &
                        coupl(nGC_539) + coupl(nGC_123)*coupl(nGC_227)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_228)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1524) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) +  &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) + coupl(  &
                        nGC_199)**2d0*coupl(nGC_200) - 8d0*coupl(nGC_2)**2d0*  &
                        coupl(nGC_200) + coupl(nGC_200)**3d0 + coupl(nGC_200)* &
                        coupl(nGC_581)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1525) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_200) +  &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_216) + coupl(  &
                        nGC_198)**2d0*coupl(nGC_200) + coupl(nGC_199)**2d0*    &
                        coupl(nGC_200) - 8d0*coupl(nGC_2)**2d0*coupl(nGC_200   &
                        ) + coupl(nGC_200)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1481) = -coupl(nGC_19)**2d0*coupl(nGC_215)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2053) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZtL_QED2 &
                         + coupl(nGC_1754) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_196_Hl) = -coupl(nGC_196)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1485) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_206)*&
                        coupl(nGC_561) + coupl(nGC_207)**2d0 + coupl(nGC_208)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1874) = coupl(nGC_107)*dZAZ_QED2/2d0 + coupl(nGC_13)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_13)*dZZ_QED2/2d0 + coupl(&
                        nGC_1599)
      coupl(nGC_2051) = coupl(nGC_129)*dZZ_QED2/2d0 + coupl(nGC_129)*          &
                        dZnu_tauL_QED2 + coupl(nGC_1758)
      coupl(nGC_1423) = (coupl(nGC_1)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + coupl(nGC_198)*coupl(nGC_2)*coupl&
                        (nGC_581) + coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*    &
                        coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_1552) = -cima*coupl(nGC_19)**2d0*coupl(nGC_99)**2d0*sq2**2d0/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_1418) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) +  &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) + coupl(  &
                        nGC_198)**2d0*coupl(nGC_199) + coupl(nGC_199)**3d0 -   &
                        8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 + coupl(nGC_199)* &
                        coupl(nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1419) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_221)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1416) = -coupl(nGC_19)**2d0*coupl(nGC_199)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1417) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_199) +  &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_215) + coupl(  &
                        nGC_199)**3d0 - 8d0*coupl(nGC_199)*coupl(nGC_2)**2d0 + &
                        coupl(nGC_199)*coupl(nGC_200)**2d0 + coupl(nGC_199)*   &
                        coupl(nGC_581)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1414) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) - 8d0* &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) + coupl(  &
                        nGC_202)*coupl(nGC_225)*coupl(nGC_226) + coupl(nGC_203 &
                        )*coupl(nGC_225)*coupl(nGC_227) + coupl(nGC_204)*coupl(&
                        nGC_225)*coupl(nGC_228))/(32d0*pi**2d0)
      coupl(nGC_1415) = -coupl(nGC_19)**2d0*coupl(nGC_201)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1412) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_225) - 8d0* &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_225) + coupl(  &
                        nGC_201)*coupl(nGC_203)*coupl(nGC_227) + coupl(nGC_201 &
                        )*coupl(nGC_204)*coupl(nGC_228) + coupl(nGC_201)*coupl(&
                        nGC_539)*coupl(nGC_587))/(32d0*pi**2d0)
      coupl(nGC_1413) = -coupl(nGC_19)**2d0*coupl(nGC_225)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_101_Hh) = -coupl(nGC_101)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1877) = coupl(nGC_1753) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZbL_QED2/2d0 + coupl(nGC_99)*dZtL_QED2/ &
                        2d0
      coupl(nGC_2202) = -coupl(nGC_MZ_GF)*dZZA_QED2/2d0
      coupl(nGC_TS_GC_179_Hl) = -coupl(nGC_179)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1870) = coupl(nGC_111)*dZHh_QED2/2d0 + coupl(nGC_119)*         &
                        dZHlHh_QED2/2d0 + coupl(nGC_1625)
      coupl(nGC_2150) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZmuMinusL_QED2 + coupl(nGC_1735) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_1313) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)/(4d0*pi** &
                        2d0)
      coupl(nGC_1871) = coupl(nGC_1619) + coupl(nGC_81)*dZHh_QED2 + coupl(     &
                        nGC_93)*dZHlHh_QED2
      coupl(nGC_1314) = -coupl(nGC_19)**2d0*coupl(nGC_204)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1317) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_539) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1316) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_204) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_204) + coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_228) + coupl(nGC_202)**2d0* &
                        coupl(nGC_204) + coupl(nGC_203)**2d0*coupl(nGC_204) +  &
                        coupl(nGC_204)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1319) = coupl(nGC_19)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(      &
                        nGC_551) + 2d0*coupl(nGC_19))/(128d0*pi**2d0*Nc**2d0)
      coupl(nGC_1318) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_225)**2d0 - coupl(nGC_226)*   &
                        coupl(nGC_539) - coupl(nGC_227)**2d0 - coupl(nGC_228)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1709) = coupl(nGC_852)*dcw_QED2 + coupl(nGC_853)*dsw_QED2 +    &
                        coupl(nGC_854)*dZee_QED2
      coupl(nGC_1992) = coupl(nGC_123)*dZZA_QED2/2d0 + coupl(nGC_1750) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtR_QED2
      coupl(nGC_1879) = coupl(nGC_16)*dZHh_QED2/2d0 + coupl(nGC_1602) + coupl( &
                        nGC_27)*dZHlHh_QED2/2d0
      coupl(nGC_2059) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_128)*          &
                        dZtauMinusL_QED2 + coupl(nGC_1735) + coupl(nGC_4)*     &
                        dZAZ_QED2/2d0
      coupl(nGC_2058) = coupl(nGC_99)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_2057) = coupl(nGC_1753) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZdL_QED2/2d0 + coupl(nGC_99)*dZuL_QED2/ &
                        2d0
      coupl(nGC_2056) = coupl(nGC_123)*dZtR_QCD2
      coupl(nGC_1876) = coupl(nGC_114)*dZAZ_QED2/2d0 + coupl(nGC_1738) + coupl(&
                        nGC_83)*dZWMinus_QED2/2d0 + coupl(nGC_83)*dZZ_QED2/2d0
      coupl(nGC_2054) = coupl(nGC_126)*dZtL_QCD2
      coupl(nGC_1706) = coupl(nGC_381)*dyt_QED3 + coupl(nGC_383)*da_QED2
      coupl(nGC_2052) = coupl(nGC_134)*dZAZ_QED2 + coupl(nGC_141)*dZZ_QED2 +   &
                        coupl(nGC_1742)
      coupl(nGC_2050) = coupl(nGC_151)*dZZA_QED2/2d0
      coupl(nGC_1422) = (coupl(nGC_1)*coupl(nGC_213)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + coupl(nGC_198)*coupl(nGC_2)*coupl(nGC_581) +  &
                        coupl(nGC_199)**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**  &
                        3d0 + coupl(nGC_2)*coupl(nGC_200)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2172) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_1480) = (coupl(nGC_1)*coupl(nGC_217)**2d0 + 4d0*coupl(nGC_123  &
                        )**2d0*coupl(nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(   &
                        nGC_2)*coupl(nGC_218)*coupl(nGC_541) + coupl(nGC_2)*   &
                        coupl(nGC_219)**2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 &
                        )/(32d0*pi**2d0)
      coupl(nGC_1974) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_1505) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_201) + 8d0*   &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_201) - coupl(  &
                        nGC_203)*coupl(nGC_225)*coupl(nGC_227) - coupl(nGC_204 &
                        )*coupl(nGC_225)*coupl(nGC_228) - coupl(nGC_225)*coupl(&
                        nGC_539)*coupl(nGC_587))/(32d0*pi**2d0)
      coupl(nGC_2025) = coupl(nGC_1753) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZmuMinusL_QED2/2d0 + coupl(nGC_99)*     &
                        dZnu_muL_QED2/2d0
      coupl(nGC_1676) = coupl(nGC_1180)*dyb_QED3 + coupl(nGC_1181)*da_QED2
      coupl(nGC_1677) = coupl(nGC_1180)*dyb_QED1_QCD2
      coupl(nGC_1672) = coupl(nGC_1200)*dydo_QED3 + coupl(nGC_1201)*da_QED2
      coupl(nGC_1670) = coupl(nGC_1178)*dyb_QED3 + coupl(nGC_1179)*da_QED2
      coupl(nGC_1671) = coupl(nGC_1178)*dyb_QED1_QCD2
      coupl(nGC_2209) = coupl(nGC_1827) + coupl(nGC_MU)*dZuL_QED2/2d0 + coupl( &
                        nGC_MU)*dZuR_QED2/2d0 + coupl(nGC_TS_GC_227_Hh) + coupl&
                        (nGC_TS_GC_228_Hl)
      coupl(nGC_2112) = coupl(nGC_1835) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_215_Hh) + coupl&
                        (nGC_TS_GC_216_Hl)
      coupl(nGC_2113) = coupl(nGC_1836) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_1463) = -coupl(nGC_19)**2d0*coupl(nGC_581)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2119) = coupl(nGC_1838) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_1452) = -coupl(nGC_19)**2d0*coupl(nGC_202)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1453) = -coupl(nGC_211)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_211)**2d0 + coupl(nGC_212)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_533)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1450) = -coupl(nGC_19)**2d0*coupl(nGC_587)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1907) = coupl(nGC_1692) + coupl(nGC_198)*dZcL_QED2/2d0 + coupl(&
                        nGC_198)*dZcR_QED2/2d0
      coupl(nGC_1900) = coupl(nGC_1697) + coupl(nGC_227)*dZuL_QCD2/2d0 + coupl(&
                        nGC_227)*dZuR_QCD2/2d0
      coupl(nGC_1901) = coupl(nGC_111)*dZHhHl_QED2/2d0 + coupl(nGC_119)*       &
                        dZHl_QED2/2d0 + coupl(nGC_1626)
      coupl(nGC_1902) = coupl(nGC_10)*dZAZ_QED2/2d0 + coupl(nGC_134)*dZA_QED2/ &
                        2d0 + coupl(nGC_134)*dZZ_QED2/2d0 + coupl(nGC_141)*    &
                        dZZA_QED2/2d0 + coupl(nGC_1732)
      coupl(nGC_1455) = (coupl(nGC_205)**2d0*coupl(nGC_4) + 2d0*coupl(nGC_3)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_99)**  &
                        2d0)/(32d0*pi**2d0)
      coupl(nGC_1458) = coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_205)/(4d0*pi** &
                        2d0)
      coupl(nGC_1908) = coupl(nGC_1693) + coupl(nGC_198)*dZcL_QCD2/2d0 + coupl(&
                        nGC_198)*dZcR_QCD2/2d0
      coupl(nGC_1909) = -coupl(nGC_1692) - coupl(nGC_198)*dZcL_QED2/2d0 - coupl&
                        (nGC_198)*dZcR_QED2/2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1646) = coupl(nGC_978)*dZgs_QCD2
      coupl(nGC_1513) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_125)**2d0 - coupl(nGC_202)*coupl(nGC_587) - coupl( &
                        nGC_203)**2d0 - coupl(nGC_204)**2d0 - coupl(nGC_225)** &
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2206) = coupl(nGC_1630) + 3d0*coupl(nGC_189)*dZHlHh_QED2/2d0 + &
                        3d0*coupl(nGC_191)*dZHh_QED2/2d0 + coupl(              &
                        nGC_TS_GC_33_Hl) + coupl(nGC_TS_GC_35_Hh)
      coupl(nGC_1462) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_581) +  &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_214) + coupl(  &
                        nGC_198)*coupl(nGC_199)**2d0 + coupl(nGC_198)*coupl(   &
                        nGC_200)**2d0 + coupl(nGC_198)*coupl(nGC_581)**2d0 -   &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_581))/(32d0*pi**2d0)
      coupl(nGC_1516) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_122)**2d0 + coupl(nGC_201)**2d0 + coupl(nGC_202)*  &
                        coupl(nGC_587) + coupl(nGC_203)**2d0 + coupl(nGC_204)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1515) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_125)**2d0 + coupl(nGC_202)*coupl(nGC_587) + coupl( &
                        nGC_203)**2d0 + coupl(nGC_204)**2d0 + coupl(nGC_225)** &
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1673) = coupl(nGC_1200)*dydo_QED1_QCD2
      coupl(nGC_1644) = coupl(nGC_813)*dcw_QED2 + coupl(nGC_814)*dsw_QED2 +    &
                        coupl(nGC_815)*dZee_QED2
      coupl(nGC_1641) = coupl(nGC_929)*dZee_QED2
      coupl(nGC_1999) = coupl(nGC_1752) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsR_QCD2
      coupl(nGC_1997) = coupl(nGC_1752) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZsL_QCD2
      coupl(nGC_1995) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_189_Hh) + coupl(     &
                        nGC_TS_GC_192_Hl)
      coupl(nGC_1640) = coupl(nGC_924)*dZee_QED2
      coupl(nGC_1487) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_203) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) + coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_227) + coupl(nGC_203)**3d0  &
                         + coupl(nGC_203)*coupl(nGC_204)**2d0 + coupl(nGC_203)*&
                        coupl(nGC_587)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2176) = -coupl(nGC_130)*dZHhHl_QED2/2d0 - coupl(nGC_136)*      &
                        dZHl_QED2/2d0 - coupl(nGC_136)*dZZ_QED2/2d0 - coupl(   &
                        nGC_1734)
      coupl(nGC_1990) = coupl(nGC_126)*dZZA_QED2/2d0 + coupl(nGC_1750) + coupl(&
                        nGC_2)*dZA_QED2/2d0 + coupl(nGC_2)*dZtL_QED2
      coupl(nGC_1594) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(64d0*pi**2d0)
      coupl(nGC_1354) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) + 8d0*   &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) - coupl(  &
                        nGC_193)*coupl(nGC_194)*coupl(nGC_218) - coupl(nGC_193 &
                        )*coupl(nGC_195)*coupl(nGC_219) - coupl(nGC_193)*coupl(&
                        nGC_196)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_1357) = coupl(nGC_19)**2d0*coupl(nGC_193)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1353) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_205)**2d0 + 4d0*coupl(nGC_128)*coupl(nGC_99&
                        )**2d0 + 4d0*coupl(nGC_129)**3d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
