!******************************************************************************!
!                                                                              !
!    ctparameter125.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter125.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter125
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter125()
  dZZA_QED2 = (4d0*(-Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_122) - Nc*cMB**2d0*    &
              coupl(nGC_1)*coupl(nGC_125) - Nc*cMC**2d0*coupl(nGC_123)*coupl(  &
              nGC_2) - Nc*cMC**2d0*coupl(nGC_126)*coupl(nGC_2) - Nc*cMD**2d0*  &
              coupl(nGC_1)*coupl(nGC_122) - Nc*cMD**2d0*coupl(nGC_1)*coupl(    &
              nGC_125) - Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_122) - Nc*cMS**2d0*&
              coupl(nGC_1)*coupl(nGC_125) - Nc*cMT**2d0*coupl(nGC_123)*coupl(  &
              nGC_2) - Nc*cMT**2d0*coupl(nGC_126)*coupl(nGC_2) - Nc*cMU**2d0*  &
              coupl(nGC_123)*coupl(nGC_2) - Nc*cMU**2d0*coupl(nGC_126)*coupl(  &
              nGC_2) - cME**2d0*coupl(nGC_124)*coupl(nGC_4) - cME**2d0*coupl(  &
              nGC_128)*coupl(nGC_4) - cMM**2d0*coupl(nGC_124)*coupl(nGC_4) -   &
              cMM**2d0*coupl(nGC_128)*coupl(nGC_4) - cMTA**2d0*coupl(nGC_124)* &
              coupl(nGC_4) - cMTA**2d0*coupl(nGC_128)*coupl(nGC_4) - 2d0*cMW** &
              2d0*coupl(nGC_103)*coupl(nGC_3) - cima*cMW**2d0*coupl(nGC_116))/ &
              cMZ**2d0 + 2d0*(-2d0*Nc*Ten190*cMU**2d0*coupl(nGC_2)*(coupl(     &
              nGC_123) + coupl(nGC_126)) - 2d0*Nc*Ten191*cMC**2d0*coupl(nGC_2  &
              )*(coupl(nGC_123) + coupl(nGC_126)) - 2d0*Nc*Ten192*cMT**2d0*    &
              coupl(nGC_2)*(coupl(nGC_123) + coupl(nGC_126)) - 2d0*Nc*Ten193*  &
              cMD**2d0*coupl(nGC_1)*(coupl(nGC_122) + coupl(nGC_125)) - 2d0*Nc*&
              Ten194*cMS**2d0*coupl(nGC_1)*(coupl(nGC_122) + coupl(nGC_125)) - &
              2d0*Nc*Ten195*cMB**2d0*coupl(nGC_1)*(coupl(nGC_122) + coupl(     &
              nGC_125)) + 4d0*Nc*Ten196*coupl(nGC_2)*(coupl(nGC_123) + coupl(  &
              nGC_126)) + 4d0*Nc*Ten197*coupl(nGC_2)*(coupl(nGC_123) + coupl(  &
              nGC_126)) + 4d0*Nc*Ten198*coupl(nGC_2)*(coupl(nGC_123) + coupl(  &
              nGC_126)) + 4d0*Nc*Ten199*coupl(nGC_1)*(coupl(nGC_122) + coupl(  &
              nGC_125)) + 4d0*Nc*Ten200*coupl(nGC_1)*(coupl(nGC_122) + coupl(  &
              nGC_125)) + 4d0*Nc*Ten201*coupl(nGC_1)*(coupl(nGC_122) + coupl(  &
              nGC_125)) + cima*Ten3*(2d0*coupl(nGC_115) + 4d0*coupl(nGC_116) - &
              coupl(nGC_134)) + Ten493*(16d0*coupl(nGC_103)*coupl(nGC_3) -     &
              coupl(nGC_104)*coupl(nGC_6) - coupl(nGC_105)*coupl(nGC_5) + 4d0* &
              coupl(nGC_128)*coupl(nGC_4)) - 2d0*Ten500*cME**2d0*coupl(nGC_4)*(&
              coupl(nGC_124) + coupl(nGC_128)) - 2d0*Ten501*cMM**2d0*coupl(    &
              nGC_4)*(coupl(nGC_124) + coupl(nGC_128)) - 2d0*Ten502*cMTA**2d0* &
              coupl(nGC_4)*(coupl(nGC_124) + coupl(nGC_128)) + 4d0*Ten503*coupl&
              (nGC_4)*(coupl(nGC_124) + coupl(nGC_128)) + 4d0*Ten504*coupl(    &
              nGC_4)*(coupl(nGC_124) + coupl(nGC_128)) + 4d0*Ten505*coupl(nGC_4&
              )*(coupl(nGC_124) + coupl(nGC_128)))/cMZ**2d0)/(16d0*pi**2d0)
end subroutine set_ctparameter125
end module ctparameter125
