!******************************************************************************!
!                                                                              !
!    ctparameter24.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter24.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter24
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter24()
  if (dZsR_QED2_scheme .eq. 0) then
    dZsR_QED2 = (2d0*Ten308*coupl(nGC_1)**2d0 + Ten309*(2d0*coupl(nGC_122)**2d0&
                 - coupl(nGC_214)**2d0) + Ten310*coupl(nGC_213)**2d0 - Ten311* &
                coupl(nGC_215)**2d0 - Ten312*coupl(nGC_216)**2d0 + 2d0*Ten313* &
                coupl(nGC_1)**2d0 + Ten314*(2d0*coupl(nGC_122)**2d0 - coupl(   &
                nGC_214)**2d0) + Ten315*coupl(nGC_213)**2d0 + 2d0*Ten318*cMS** &
                2d0*coupl(nGC_215)**2d0 + 2d0*Ten319*cMS**2d0*coupl(nGC_216)** &
                2d0 - 4d0*Ten320*cMS**2d0*coupl(nGC_1)**2d0 + 2d0*Ten321*cMS** &
                2d0*(coupl(nGC_122)**2d0 - 4d0*coupl(nGC_122)*coupl(nGC_125) + &
                coupl(nGC_125)**2d0) + Ten322*cMS*(2d0*cMC*coupl(nGC_197)*coupl&
                (nGC_213) + cMS*coupl(nGC_197)**2d0 + cMS*coupl(nGC_213)**2d0  &
                 + 2d0*cMS*coupl(nGC_99)**2d0) - 2d0*Ten323*cMS**2d0*coupl(    &
                nGC_215)**2d0 - 2d0*Ten324*cMS**2d0*coupl(nGC_216)**2d0 + 4d0* &
                Ten325*cMS**2d0*coupl(nGC_1)**2d0 + 2d0*Ten326*cMS**2d0*(coupl(&
                nGC_122)**2d0 + coupl(nGC_125)**2d0 - coupl(nGC_214)**2d0) +   &
                Ten327*cMS**2d0*(coupl(nGC_197)**2d0 + coupl(nGC_213)**2d0 +   &
                2d0*coupl(nGC_99)**2d0) - coupl(nGC_1)**2d0 - coupl(nGC_122)** &
                2d0)/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter24
end module ctparameter24
