!******************************************************************************!
!                                                                              !
!    ctparameter68.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter68.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter68
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter68()
  if (dZeMinusR_QED2_scheme .eq. 2) then
    dZeMinusR_QED2 = (Ten177*coupl(nGC_4)**2d0 + Ten241*(-2d0*coupl(nGC_124)** &
                     2d0 + coupl(nGC_206)**2d0) - Ten242*coupl(nGC_207)**2d0 - &
                     Ten243*coupl(nGC_208)**2d0 - Ten413*coupl(nGC_205)**2d0 - &
                     coupl(nGC_124)**2d0)/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter68
end module ctparameter68
