!******************************************************************************!
!                                                                              !
!    ctparameter70.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter70.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter70
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter70()
  dalZ_QED2 = (16d0*pi*aEW*(11d0*Nc + 27d0)/81d0 + 16d0*pi*aEW*(Nc*Ten393*(2d0*&
              MB**2d0 + rMZ**2d0) + 4d0*Nc*Ten394*(2d0*MC**2d0 + rMZ**2d0) -   &
              4d0*Nc*Ten524*(2d0*MU**2d0 + rMZ**2d0) - 4d0*Nc*Ten525*(2d0*MC** &
              2d0 + rMZ**2d0) - Nc*Ten527*(2d0*MD**2d0 + rMZ**2d0) - Nc*Ten528 &
              *(2d0*MS**2d0 + rMZ**2d0) - Nc*Ten529*(2d0*MB**2d0 + rMZ**2d0) + &
              Nc*Ten637*(2d0*MD**2d0 + rMZ**2d0) + Nc*Ten638*(2d0*MS**2d0 + rMZ&
              **2d0) + 4d0*Nc*Ten639*(2d0*MU**2d0 + rMZ**2d0) - 9d0*Ten521*(2d0&
              *ME**2d0 + rMZ**2d0) - 9d0*Ten522*(2d0*MM**2d0 + rMZ**2d0) - 9d0*&
              Ten523*(2d0*MTA**2d0 + rMZ**2d0) + 9d0*Ten634*(2d0*ME**2d0 + rMZ &
              **2d0) + 9d0*Ten635*(2d0*MM**2d0 + rMZ**2d0) + 9d0*Ten636*(2d0*  &
              MTA**2d0 + rMZ**2d0))/(27d0*rMZ**2d0))/(16d0*pi**2d0)
  dalZ_QED2 = cone*real(dalZ_QED2,kind=dp)
end subroutine set_ctparameter70
end module ctparameter70
