!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1089)%branchCT(0:0))
      call avCT(1089, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4264)%branchCT(0:0))
      call avCT(4264, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(2287)%branchCT(0:0))
      call avCT(2287, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4266)%branchCT(0:0))
      call avCT(4266, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2671)%branchCT(0:0))
      call avCT(2671, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1771)%branchCT(0:0))
      call avCT(1771, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2190/))

      allocate(vertices(1772)%branchCT(0:0))
      call avCT(1772, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1773)%branchCT(0:0))
      call avCT(1773, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(1774)%branchCT(0:0))
      call avCT(1774, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1613)%branchCT(0:0))
      call avCT(1613, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4273)%branchCT(0:0))
      call avCT(4273, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(4212)%branchCT(0:0))
      call avCT(4212, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2004,       &
      nGC_2003/))

      allocate(vertices(4416)%branchCT(0:0))
      call avCT(4416, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(1777)%branchCT(0:0))
      call avCT(1777, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1606/))

      allocate(vertices(4400)%branchCT(0:0))
      call avCT(4400, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1779)%branchCT(0:0))
      call avCT(1779, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4464)%branchCT(0:0))
      call avCT(4464, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1783)%branchCT(0:0))
      call avCT(1783, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4281)%branchCT(0:0))
      call avCT(4281, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1446)%branchCT(0:0))
      call avCT(1446, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(2701)%branchCT(0:0))
      call avCT(2701, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1787)%branchCT(0:0))
      call avCT(1787, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3193)%branchCT(0:0))
      call avCT(3193, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1213)%branchCT(0:0))
      call avCT(1213, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4853)%branchCT(0:0))
      call avCT(4853, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1792)%branchCT(0:0))
      call avCT(1792, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1793)%branchCT(0:0))
      call avCT(1793, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(3041)%branchCT(0:1))
      call avCT(3041, 0, 114, 4, 0, UUaV1, (/3, 0/), (/nGC_2204/))

      call avCT(3041, 1, 115, 5, 0, UUaV1, (/3, 0/), (/nGC_2204/))

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4289)%branchCT(0:1))
      call avCT(4289, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1907, nGC_1909/))

      call avCT(4289, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1908, nGC_1910/))

      allocate(vertices(1249)%branchCT(0:0))
      call avCT(1249, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1797)%branchCT(0:0))
      call avCT(1797, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4292)%branchCT(0:0))
      call avCT(4292, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4294)%branchCT(0:0))
      call avCT(4294, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(4295)%branchCT(0:0))
      call avCT(4295, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(1283)%branchCT(0:0))
      call avCT(1283, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(4297)%branchCT(0:0))
      call avCT(4297, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1875/))

      allocate(vertices(1291)%branchCT(0:0))
      call avCT(1291, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4302)%branchCT(0:1))
      call avCT(4302, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(4302, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(4303)%branchCT(0:0))
      call avCT(4303, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4304)%branchCT(0:0))
      call avCT(4304, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(4305)%branchCT(0:0))
      call avCT(4305, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(3066)%branchCT(0:0))
      call avCT(3066, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1810)%branchCT(0:0))
      call avCT(1810, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1811)%branchCT(0:0))
      call avCT(1811, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3968)%branchCT(0:0))
      call avCT(3968, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(1814)%branchCT(0:0))
      call avCT(1814, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(5085)%branchCT(0:0))
      call avCT(5085, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1959/))

      allocate(vertices(2934)%branchCT(0:3))
      call avCT(2934, 0, 92, 2, 0, FVFa0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(2934, 1, 92, 2, 0, FVFa0, (/1, 2/), (/nGC_2154, nGC_2156/))

      call avCT(2934, 2, 93, 3, 0, FVFa0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(2934, 3, 93, 3, 0, FVFa0, (/1, 2/), (/nGC_2154, nGC_2156/))

      allocate(vertices(1817)%branchCT(0:0))
      call avCT(1817, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(4311)%branchCT(0:0))
      call avCT(4311, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4312)%branchCT(0:0))
      call avCT(4312, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1819)%branchCT(0:5))
      call avCT(1819, 0, 21, 7, 0, UVVUa0, (/4, 0/), (/nGC_1893/))

      call avCT(1819, 1, 22, 7, 0, UVVUa0, (/4, 0/), (/nGC_1893/))

      call avCT(1819, 2, 20, 6, 0, UVVUa0, (/4, 0/), (/nGC_1892/))

      call avCT(1819, 3, 17, 6, 0, UVVUa0, (/4, 0/), (/nGC_1892/))

      call avCT(1819, 4, 19, 6, 0, UVVUa0, (/4, 0/), (/nGC_1892/))

      call avCT(1819, 5, 18, 6, 0, UVVUa0, (/4, 0/), (/nGC_1892/))

      allocate(vertices(4313)%branchCT(0:0))
      call avCT(4313, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1606/))

      allocate(vertices(1820)%branchCT(0:0))
      call avCT(1820, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(4314)%branchCT(0:0))
      call avCT(4314, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4028)%branchCT(0:0))
      call avCT(4028, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1823)%branchCT(0:0))
      call avCT(1823, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3747)%branchCT(0:0))
      call avCT(3747, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4595)%branchCT(0:0))
      call avCT(4595, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(848)%branchCT(0:0))
      call avCT(848, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(4318)%branchCT(0:0))
      call avCT(4318, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2243)%branchCT(0:0))
      call avCT(2243, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3290)%branchCT(0:0))
      call avCT(3290, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1826)%branchCT(0:1))
      call avCT(1826, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(1826, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(1500)%branchCT(0:0))
      call avCT(1500, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4321)%branchCT(0:0))
      call avCT(4321, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4323)%branchCT(0:0))
      call avCT(4323, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4324)%branchCT(0:0))
      call avCT(4324, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(4325)%branchCT(0:0))
      call avCT(4325, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1829)%branchCT(0:0))
      call avCT(1829, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1830)%branchCT(0:0))
      call avCT(1830, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1831)%branchCT(0:0))
      call avCT(1831, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2035/))

      allocate(vertices(1456)%branchCT(0:0))
      call avCT(1456, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(325)%branchCT(0:0))
      call avCT(325, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4261)%branchCT(0:0))
      call avCT(4261, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4330)%branchCT(0:0))
      call avCT(4330, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(3288)%branchCT(0:0))
      call avCT(3288, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2016/))

      allocate(vertices(3358)%branchCT(0:0))
      call avCT(3358, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1834)%branchCT(0:0))
      call avCT(1834, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1479)%branchCT(0:0))
      call avCT(1479, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2036, nGC_2036/))

      allocate(vertices(4334)%branchCT(0:0))
      call avCT(4334, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1894)%branchCT(0:0))
      call avCT(1894, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1837)%branchCT(0:0))
      call avCT(1837, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3116)%branchCT(0:0))
      call avCT(3116, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(5086)%branchCT(0:0))
      call avCT(5086, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2214, nGC_2215,        &
      nGC_2216/))

      allocate(vertices(4337)%branchCT(0:0))
      call avCT(4337, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2061/))

      allocate(vertices(1502)%branchCT(0:0))
      call avCT(1502, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2217/))

      allocate(vertices(1842)%branchCT(0:0))
      call avCT(1842, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4532)%branchCT(0:0))
      call avCT(4532, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2220)%branchCT(0:1))
      call avCT(2220, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2021, nGC_2023/))

      call avCT(2220, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2022, nGC_2024/))

      allocate(vertices(4343)%branchCT(0:0))
      call avCT(4343, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4344)%branchCT(0:0))
      call avCT(4344, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1848)%branchCT(0:1))
      call avCT(1848, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_2040, nGC_2042/))

      call avCT(1848, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_2041, nGC_2043/))

      allocate(vertices(1545)%branchCT(0:0))
      call avCT(1545, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(5087)%branchCT(0:0))
      call avCT(5087, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4348)%branchCT(0:0))
      call avCT(4348, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(1852)%branchCT(0:0))
      call avCT(1852, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2936)%branchCT(0:3))
      call avCT(2936, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(2936, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_2030, nGC_2032/))

      call avCT(2936, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(2936, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_2030, nGC_2032/))

      allocate(vertices(724)%branchCT(0:0))
      call avCT(724, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1853)%branchCT(0:0))
      call avCT(1853, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4353)%branchCT(0:0))
      call avCT(4353, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2181, nGC_2182/))

      allocate(vertices(4717)%branchCT(0:0))
      call avCT(4717, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4354)%branchCT(0:0))
      call avCT(4354, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(1857)%branchCT(0:0))
      call avCT(1857, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4357)%branchCT(0:0))
      call avCT(4357, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4358)%branchCT(0:1))
      call avCT(4358, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2057/))

      call avCT(4358, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2058/))

      allocate(vertices(1109)%branchCT(0:0))
      call avCT(1109, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(1862)%branchCT(0:0))
      call avCT(1862, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4360)%branchCT(0:0))
      call avCT(4360, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(4361)%branchCT(0:0))
      call avCT(4361, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4362)%branchCT(0:0))
      call avCT(4362, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2181, nGC_2182/))

      allocate(vertices(2743)%branchCT(0:5))
      call avCT(2743, 0, 67, 6, 0, VUaVU0, (/4, 0/), (/nGC_1892/))

      call avCT(2743, 1, 66, 6, 0, VUaVU0, (/4, 0/), (/nGC_1892/))

      call avCT(2743, 2, 69, 7, 0, VUaVU0, (/4, 0/), (/nGC_1893/))

      call avCT(2743, 3, 70, 7, 0, VUaVU0, (/4, 0/), (/nGC_1893/))

      call avCT(2743, 4, 68, 6, 0, VUaVU0, (/4, 0/), (/nGC_1892/))

      call avCT(2743, 5, 65, 6, 0, VUaVU0, (/4, 0/), (/nGC_1892/))

      allocate(vertices(962)%branchCT(0:0))
      call avCT(962, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(1636)%branchCT(0:0))
      call avCT(1636, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(998)%branchCT(0:0))
      call avCT(998, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4369)%branchCT(0:0))
      call avCT(4369, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(4370)%branchCT(0:0))
      call avCT(4370, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(1867)%branchCT(0:0))
      call avCT(1867, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2567)%branchCT(0:0))
      call avCT(2567, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4372)%branchCT(0:0))
      call avCT(4372, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4373)%branchCT(0:0))
      call avCT(4373, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(5088)%branchCT(0:0))
      call avCT(5088, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1869)%branchCT(0:0))
      call avCT(1869, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2037,       &
      nGC_2037/))

      allocate(vertices(3776)%branchCT(0:0))
      call avCT(3776, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4377)%branchCT(0:0))
      call avCT(4377, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(479)%branchCT(0:0))
      call avCT(479, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1684)%branchCT(0:0))
      call avCT(1684, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(3087)%branchCT(0:0))
      call avCT(3087, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(1872)%branchCT(0:0))
      call avCT(1872, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2080, nGC_2081/))

      allocate(vertices(1698)%branchCT(0:0))
      call avCT(1698, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1874)%branchCT(0:1))
      call avCT(1874, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1936, nGC_1938/))

      call avCT(1874, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1937, nGC_1939/))

      allocate(vertices(4384)%branchCT(0:0))
      call avCT(4384, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4385)%branchCT(0:0))
      call avCT(4385, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4386)%branchCT(0:0))
      call avCT(4386, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1876)%branchCT(0:0))
      call avCT(1876, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1994, nGC_1994/))

      allocate(vertices(4387)%branchCT(0:0))
      call avCT(4387, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(4178)%branchCT(0:0))
      call avCT(4178, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(5089)%branchCT(0:0))
      call avCT(5089, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2214, nGC_2215,        &
      nGC_2216/))

      allocate(vertices(4389)%branchCT(0:1))
      call avCT(4389, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1957/))

      call avCT(4389, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(3138)%branchCT(0:0))
      call avCT(3138, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1882)%branchCT(0:0))
      call avCT(1882, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4394)%branchCT(0:0))
      call avCT(4394, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(1884)%branchCT(0:0))
      call avCT(1884, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(486)%branchCT(0:0))
      call avCT(486, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1893)%branchCT(0:0))
      call avCT(1893, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1606/))

      allocate(vertices(4398)%branchCT(0:0))
      call avCT(4398, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1887)%branchCT(0:0))
      call avCT(1887, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(4401)%branchCT(0:0))
      call avCT(4401, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1903/))

      allocate(vertices(611)%branchCT(0:0))
      call avCT(611, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4525)%branchCT(0:0))
      call avCT(4525, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4404)%branchCT(0:0))
      call avCT(4404, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1890)%branchCT(0:0))
      call avCT(1890, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2150, nGC_2151/))

      allocate(vertices(1824)%branchCT(0:0))
      call avCT(1824, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1892)%branchCT(0:0))
      call avCT(1892, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2180/))

      allocate(vertices(3958)%branchCT(0:0))
      call avCT(3958, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2465)%branchCT(0:0))
      call avCT(2465, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3439)%branchCT(0:0))
      call avCT(3439, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1836)%branchCT(0:0))
      call avCT(1836, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4408)%branchCT(0:0))
      call avCT(4408, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(1895)%branchCT(0:0))
      call avCT(1895, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1896)%branchCT(0:1))
      call avCT(1896, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_2103, nGC_2105/))

      call avCT(1896, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_2104, nGC_2106/))

      allocate(vertices(1897)%branchCT(0:0))
      call avCT(1897, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2862)%branchCT(0:0))
      call avCT(2862, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3728)%branchCT(0:0))
      call avCT(3728, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(1900)%branchCT(0:0))
      call avCT(1900, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4415)%branchCT(0:0))
      call avCT(4415, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3983)%branchCT(0:0))
      call avCT(3983, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(835)%branchCT(0:0))
      call avCT(835, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1901)%branchCT(0:0))
      call avCT(1901, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1902)%branchCT(0:1))
      call avCT(1902, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2122, nGC_2122/))

      call avCT(1902, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2123, nGC_2123/))

      allocate(vertices(1904)%branchCT(0:0))
      call avCT(1904, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(4418)%branchCT(0:0))
      call avCT(4418, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2176/))

      allocate(vertices(1478)%branchCT(0:1))
      call avCT(1478, 0, 85, 1, 0, FVFa1, (/0, 3/), (/nGC_1957/))

      call avCT(1478, 1, 85, 1, 0, FVFa1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(1905)%branchCT(0:0))
      call avCT(1905, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2408)%branchCT(0:0))
      call avCT(2408, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(1912)%branchCT(0:0))
      call avCT(1912, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1923)%branchCT(0:0))
      call avCT(1923, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1907)%branchCT(0:1))
      call avCT(1907, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_1877/))

      call avCT(1907, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(1908)%branchCT(0:0))
      call avCT(1908, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1909)%branchCT(0:0))
      call avCT(1909, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1118)%branchCT(0:0))
      call avCT(1118, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933,       &
      nGC_1932/))

      allocate(vertices(2109)%branchCT(0:0))
      call avCT(2109, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1955)%branchCT(0:0))
      call avCT(1955, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4432)%branchCT(0:0))
      call avCT(4432, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(410)%branchCT(0:0))
      call avCT(410, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(1915)%branchCT(0:0))
      call avCT(1915, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1916)%branchCT(0:0))
      call avCT(1916, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(3877)%branchCT(0:0))
      call avCT(3877, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(5090)%branchCT(0:0))
      call avCT(5090, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(4438)%branchCT(0:1))
      call avCT(4438, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_2045, nGC_2047/))

      call avCT(4438, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_2046, nGC_2048/))

      allocate(vertices(4439)%branchCT(0:0))
      call avCT(4439, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1922)%branchCT(0:1))
      call avCT(1922, 0, 120, 4, 0, UVUa0, (/3, 0/), (/nGC_1966/))

      call avCT(1922, 1, 121, 5, 0, UVUa0, (/3, 0/), (/nGC_1966/))

      allocate(vertices(1925)%branchCT(0:0))
      call avCT(1925, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2034/))

      allocate(vertices(1926)%branchCT(0:0))
      call avCT(1926, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1789)%branchCT(0:0))
      call avCT(1789, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4448)%branchCT(0:0))
      call avCT(4448, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1929)%branchCT(0:0))
      call avCT(1929, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4449)%branchCT(0:0))
      call avCT(4449, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,       &
      nGC_1932/))

      allocate(vertices(1930)%branchCT(0:1))
      call avCT(1930, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2026, nGC_2028/))

      call avCT(1930, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2027, nGC_2029/))

      allocate(vertices(5091)%branchCT(0:0))
      call avCT(5091, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1209)%branchCT(0:0))
      call avCT(1209, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2689)%branchCT(0:0))
      call avCT(2689, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4451)%branchCT(0:0))
      call avCT(4451, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4452)%branchCT(0:0))
      call avCT(4452, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(4453)%branchCT(0:0))
      call avCT(4453, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2052)%branchCT(0:0))
      call avCT(2052, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2873)%branchCT(0:0))
      call avCT(2873, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1583)%branchCT(0:1))
      call avCT(1583, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1921, nGC_1923/))

      call avCT(1583, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1922, nGC_1924/))

      allocate(vertices(1936)%branchCT(0:0))
      call avCT(1936, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2178/))

      allocate(vertices(1937)%branchCT(0:0))
      call avCT(1937, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(5092)%branchCT(0:0))
      call avCT(5092, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2191/))

      allocate(vertices(5093)%branchCT(0:0))
      call avCT(5093, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2218/))

      allocate(vertices(4427)%branchCT(0:0))
      call avCT(4427, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4459)%branchCT(0:0))
      call avCT(4459, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4462)%branchCT(0:0))
      call avCT(4462, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2059, nGC_2060/))

      allocate(vertices(1942)%branchCT(0:0))
      call avCT(1942, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(4465)%branchCT(0:0))
      call avCT(4465, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(2684)%branchCT(0:0))
      call avCT(2684, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(1944)%branchCT(0:0))
      call avCT(1944, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1945)%branchCT(0:1))
      call avCT(1945, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1884, nGC_1882/))

      call avCT(1945, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1885, nGC_1883/))

      allocate(vertices(3559)%branchCT(0:0))
      call avCT(3559, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4467)%branchCT(0:0))
      call avCT(4467, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(293)%branchCT(0:0))
      call avCT(293, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(1120)%branchCT(0:1))
      call avCT(1120, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1957/))

      call avCT(1120, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(4470)%branchCT(0:0))
      call avCT(4470, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4495)%branchCT(0:0))
      call avCT(4495, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4471)%branchCT(0:0))
      call avCT(4471, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1950)%branchCT(0:0))
      call avCT(1950, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2061/))

      allocate(vertices(3049)%branchCT(0:0))
      call avCT(3049, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(4473)%branchCT(0:1))
      call avCT(4473, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2005, nGC_2007/))

      call avCT(4473, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2006, nGC_2008/))

      allocate(vertices(3234)%branchCT(0:0))
      call avCT(3234, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1952)%branchCT(0:0))
      call avCT(1952, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(4476)%branchCT(0:0))
      call avCT(4476, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(1954)%branchCT(0:0))
      call avCT(1954, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2134/))

      allocate(vertices(4478)%branchCT(0:0))
      call avCT(4478, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(5094)%branchCT(0:0))
      call avCT(5094, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2332)%branchCT(0:0))
      call avCT(2332, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4482)%branchCT(0:0))
      call avCT(4482, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2180/))

      allocate(vertices(4661)%branchCT(0:0))
      call avCT(4661, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1958)%branchCT(0:0))
      call avCT(1958, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(837)%branchCT(0:0))
      call avCT(837, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(1253)%branchCT(0:0))
      call avCT(1253, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(5095)%branchCT(0:0))
      call avCT(5095, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1959/))

      allocate(vertices(1518)%branchCT(0:0))
      call avCT(1518, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1965)%branchCT(0:0))
      call avCT(1965, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(4488)%branchCT(0:0))
      call avCT(4488, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(4489)%branchCT(0:0))
      call avCT(4489, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2219/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4490)%branchCT(0:0))
      call avCT(4490, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2133/))

      allocate(vertices(4491)%branchCT(0:0))
      call avCT(4491, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4434)%branchCT(0:0))
      call avCT(4434, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(4494)%branchCT(0:0))
      call avCT(4494, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1245)%branchCT(0:0))
      call avCT(1245, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(4496)%branchCT(0:0))
      call avCT(4496, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(934)%branchCT(0:0))
      call avCT(934, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,        &
      nGC_1932/))

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2168/))

      allocate(vertices(4501)%branchCT(0:0))
      call avCT(4501, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2051/))

      allocate(vertices(3563)%branchCT(0:0))
      call avCT(3563, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1126)%branchCT(0:1))
      call avCT(1126, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1907, nGC_1909/))

      call avCT(1126, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1908, nGC_1910/))

      allocate(vertices(1974)%branchCT(0:1))
      call avCT(1974, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_2103, nGC_2105/))

      call avCT(1974, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_2104, nGC_2106/))

      allocate(vertices(746)%branchCT(0:0))
      call avCT(746, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1976)%branchCT(0:0))
      call avCT(1976, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1977)%branchCT(0:0))
      call avCT(1977, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(348)%branchCT(0:0))
      call avCT(348, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(2298)%branchCT(0:0))
      call avCT(2298, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(4505)%branchCT(0:0))
      call avCT(4505, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4506)%branchCT(0:0))
      call avCT(4506, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(4507)%branchCT(0:0))
      call avCT(4507, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1981)%branchCT(0:0))
      call avCT(1981, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1982)%branchCT(0:0))
      call avCT(1982, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4109)%branchCT(0:0))
      call avCT(4109, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2327)%branchCT(0:0))
      call avCT(2327, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(5096)%branchCT(0:0))
      call avCT(5096, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3249)%branchCT(0:0))
      call avCT(3249, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,       &
      nGC_1933/))

      allocate(vertices(2867)%branchCT(0:0))
      call avCT(2867, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1984)%branchCT(0:0))
      call avCT(1984, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(4511)%branchCT(0:0))
      call avCT(4511, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1557)%branchCT(0:0))
      call avCT(1557, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3014)%branchCT(0:0))
      call avCT(3014, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4515)%branchCT(0:0))
      call avCT(4515, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2068/))

      allocate(vertices(3719)%branchCT(0:0))
      call avCT(3719, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933, nGC_1932&
      /))

      allocate(vertices(3059)%branchCT(0:0))
      call avCT(3059, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4517)%branchCT(0:0))
      call avCT(4517, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,       &
      nGC_1933/))

      allocate(vertices(4518)%branchCT(0:0))
      call avCT(4518, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(4440)%branchCT(0:1))
      call avCT(4440, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2171, nGC_2173/))

      call avCT(4440, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2172, nGC_2174/))

      allocate(vertices(1988)%branchCT(0:0))
      call avCT(1988, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1903/))

      allocate(vertices(1523)%branchCT(0:0))
      call avCT(1523, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2004, nGC_2003,       &
      nGC_2003/))

      allocate(vertices(4332)%branchCT(0:0))
      call avCT(4332, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4520)%branchCT(0:0))
      call avCT(4520, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(1992)%branchCT(0:0))
      call avCT(1992, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4524)%branchCT(0:0))
      call avCT(4524, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(748)%branchCT(0:0))
      call avCT(748, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4528)%branchCT(0:0))
      call avCT(4528, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3198)%branchCT(0:0))
      call avCT(3198, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2863)%branchCT(0:0))
      call avCT(2863, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4284)%branchCT(0:0))
      call avCT(4284, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(2099)%branchCT(0:0))
      call avCT(2099, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1997)%branchCT(0:0))
      call avCT(1997, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2080, nGC_2081/))

      allocate(vertices(2322)%branchCT(0:0))
      call avCT(2322, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(4534)%branchCT(0:0))
      call avCT(4534, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4535)%branchCT(0:1))
      call avCT(4535, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1882, nGC_1884/))

      call avCT(4535, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1883, nGC_1885/))

      allocate(vertices(1999)%branchCT(0:0))
      call avCT(1999, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(5097)%branchCT(0:0))
      call avCT(5097, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2077/))

      allocate(vertices(2481)%branchCT(0:0))
      call avCT(2481, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2137)%branchCT(0:0))
      call avCT(2137, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2038,       &
      nGC_2037/))

      allocate(vertices(2500)%branchCT(0:0))
      call avCT(2500, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4539)%branchCT(0:0))
      call avCT(4539, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2507)%branchCT(0:0))
      call avCT(2507, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(2108)%branchCT(0:0))
      call avCT(2108, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2519)%branchCT(0:0))
      call avCT(2519, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(4445)%branchCT(0:0))
      call avCT(4445, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2531)%branchCT(0:0))
      call avCT(2531, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(4543)%branchCT(0:0))
      call avCT(4543, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2007)%branchCT(0:0))
      call avCT(2007, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4545)%branchCT(0:0))
      call avCT(4545, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2092)%branchCT(0:0))
      call avCT(2092, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(4546)%branchCT(0:0))
      call avCT(4546, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4897)%branchCT(0:0))
      call avCT(4897, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2003,       &
      nGC_2004/))

      allocate(vertices(2011)%branchCT(0:0))
      call avCT(2011, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2012)%branchCT(0:0))
      call avCT(2012, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2015)%branchCT(0:0))
      call avCT(2015, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(2016)%branchCT(0:0))
      call avCT(2016, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2016/))

      allocate(vertices(1530)%branchCT(0:0))
      call avCT(1530, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2594)%branchCT(0:0))
      call avCT(2594, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(4552)%branchCT(0:0))
      call avCT(4552, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2087, nGC_2088/))

      allocate(vertices(2020)%branchCT(0:0))
      call avCT(2020, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4553)%branchCT(0:1))
      call avCT(4553, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_2057/))

      call avCT(4553, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(4554)%branchCT(0:0))
      call avCT(4554, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2022)%branchCT(0:0))
      call avCT(2022, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4556)%branchCT(0:0))
      call avCT(4556, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(2024)%branchCT(0:0))
      call avCT(2024, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2025)%branchCT(0:1))
      call avCT(2025, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2005, nGC_2007/))

      call avCT(2025, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2006, nGC_2008/))

      allocate(vertices(4558)%branchCT(0:0))
      call avCT(4558, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(2026)%branchCT(0:0))
      call avCT(2026, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4560)%branchCT(0:0))
      call avCT(4560, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1374)%branchCT(0:0))
      call avCT(1374, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4562)%branchCT(0:0))
      call avCT(4562, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(841)%branchCT(0:0))
      call avCT(841, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2030)%branchCT(0:0))
      call avCT(2030, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2680)%branchCT(0:0))
      call avCT(2680, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(2682)%branchCT(0:1))
      call avCT(2682, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(2682, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(4563)%branchCT(0:0))
      call avCT(4563, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4012)%branchCT(0:1))
      call avCT(4012, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2122, nGC_2122/))

      call avCT(4012, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2123, nGC_2123/))

      allocate(vertices(4565)%branchCT(0:0))
      call avCT(4565, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2034)%branchCT(0:0))
      call avCT(2034, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2037,       &
      nGC_2038/))

      allocate(vertices(2035)%branchCT(0:0))
      call avCT(2035, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(2505)%branchCT(0:0))
      call avCT(2505, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(4569)%branchCT(0:0))
      call avCT(4569, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2037)%branchCT(0:0))
      call avCT(2037, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4570)%branchCT(0:0))
      call avCT(4570, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3578)%branchCT(0:0))
      call avCT(3578, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3989)%branchCT(0:0))
      call avCT(3989, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1105)%branchCT(0:0))
      call avCT(1105, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3603)%branchCT(0:0))
      call avCT(3603, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2043)%branchCT(0:0))
      call avCT(2043, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4576)%branchCT(0:0))
      call avCT(4576, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(359)%branchCT(0:0))
      call avCT(359, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2046)%branchCT(0:0))
      call avCT(2046, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4577)%branchCT(0:0))
      call avCT(4577, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(3580)%branchCT(0:0))
      call avCT(3580, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2050)%branchCT(0:0))
      call avCT(2050, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(2051)%branchCT(0:0))
      call avCT(2051, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(3165)%branchCT(0:0))
      call avCT(3165, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4584)%branchCT(0:0))
      call avCT(4584, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(4585)%branchCT(0:0))
      call avCT(4585, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4586)%branchCT(0:0))
      call avCT(4586, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2833)%branchCT(0:0))
      call avCT(2833, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(212)%branchCT(0:1))
      call avCT(212, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1921, nGC_1923/))

      call avCT(212, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1922, nGC_1924/))

      allocate(vertices(5098)%branchCT(0:1))
      call avCT(5098, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2196, nGC_2198,       &
      nGC_2198, nGC_2200/))

      call avCT(5098, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2197, nGC_2199,       &
      nGC_2199, nGC_2201/))

      allocate(vertices(4592)%branchCT(0:0))
      call avCT(4592, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4593)%branchCT(0:0))
      call avCT(4593, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4594)%branchCT(0:1))
      call avCT(4594, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(4594, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(2060)%branchCT(0:0))
      call avCT(2060, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(5099)%branchCT(0:0))
      call avCT(5099, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1925/))

      allocate(vertices(760)%branchCT(0:0))
      call avCT(760, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3576)%branchCT(0:0))
      call avCT(3576, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(2874)%branchCT(0:0))
      call avCT(2874, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2303)%branchCT(0:0))
      call avCT(2303, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(4272)%branchCT(0:0))
      call avCT(4272, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4602)%branchCT(0:0))
      call avCT(4602, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(1141)%branchCT(0:0))
      call avCT(1141, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4604)%branchCT(0:0))
      call avCT(4604, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(4605)%branchCT(0:0))
      call avCT(4605, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2067)%branchCT(0:1))
      call avCT(2067, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2169, nGC_2169/))

      call avCT(2067, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2170, nGC_2170/))

      allocate(vertices(1938)%branchCT(0:0))
      call avCT(1938, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2070)%branchCT(0:0))
      call avCT(2070, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2071)%branchCT(0:1))
      call avCT(2071, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1949, nGC_1951/))

      call avCT(2071, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1950, nGC_1952/))

      allocate(vertices(3333)%branchCT(0:0))
      call avCT(3333, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2072)%branchCT(0:0))
      call avCT(2072, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4612)%branchCT(0:0))
      call avCT(4612, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(720)%branchCT(0:0))
      call avCT(720, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2074)%branchCT(0:1))
      call avCT(2074, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(2074, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(4406)%branchCT(0:0))
      call avCT(4406, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2186/))

      allocate(vertices(4614)%branchCT(0:1))
      call avCT(4614, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1951, nGC_1949/))

      call avCT(4614, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1952, nGC_1950/))

      allocate(vertices(4615)%branchCT(0:0))
      call avCT(4615, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2939)%branchCT(0:0))
      call avCT(2939, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3172)%branchCT(0:0))
      call avCT(3172, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2076)%branchCT(0:0))
      call avCT(2076, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(2077)%branchCT(0:0))
      call avCT(2077, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2087, nGC_2088/))

      allocate(vertices(4620)%branchCT(0:0))
      call avCT(4620, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(2079)%branchCT(0:0))
      call avCT(2079, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2001/))

      allocate(vertices(1453)%branchCT(0:0))
      call avCT(1453, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4622)%branchCT(0:0))
      call avCT(4622, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(364)%branchCT(0:0))
      call avCT(364, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2168/))

      allocate(vertices(2083)%branchCT(0:0))
      call avCT(2083, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(4613)%branchCT(0:0))
      call avCT(4613, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2085)%branchCT(0:0))
      call avCT(2085, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4097)%branchCT(0:3))
      call avCT(4097, 0, 91, 3, 0, FaFV1, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(4097, 1, 91, 3, 0, FaFV1, (/1, 2/), (/nGC_2126, nGC_2128/))

      call avCT(4097, 2, 90, 2, 0, FaFV1, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(4097, 3, 90, 2, 0, FaFV1, (/1, 2/), (/nGC_2126, nGC_2128/))

      allocate(vertices(4624)%branchCT(0:0))
      call avCT(4624, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1794)%branchCT(0:0))
      call avCT(1794, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(4020)%branchCT(0:0))
      call avCT(4020, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(1286)%branchCT(0:0))
      call avCT(1286, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2073/))

      allocate(vertices(4626)%branchCT(0:0))
      call avCT(4626, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2088)%branchCT(0:3))
      call avCT(2088, 0, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(2088, 1, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_1886, nGC_1888/))

      call avCT(2088, 2, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(2088, 3, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_1886, nGC_1888/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2090)%branchCT(0:0))
      call avCT(2090, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4629)%branchCT(0:0))
      call avCT(4629, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(4630)%branchCT(0:0))
      call avCT(4630, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2334)%branchCT(0:0))
      call avCT(2334, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(4631)%branchCT(0:0))
      call avCT(4631, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4632)%branchCT(0:0))
      call avCT(4632, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4633)%branchCT(0:0))
      call avCT(4633, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1854, nGC_1854/))

      allocate(vertices(3045)%branchCT(0:0))
      call avCT(3045, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2094)%branchCT(0:0))
      call avCT(2094, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(3050)%branchCT(0:0))
      call avCT(3050, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(376)%branchCT(0:0))
      call avCT(376, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2149, nGC_2148,        &
      nGC_2148/))

      allocate(vertices(3061)%branchCT(0:0))
      call avCT(3061, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4638)%branchCT(0:0))
      call avCT(4638, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2061/))

      allocate(vertices(452)%branchCT(0:0))
      call avCT(452, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(4466)%branchCT(0:0))
      call avCT(4466, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3081)%branchCT(0:0))
      call avCT(3081, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4643)%branchCT(0:0))
      call avCT(4643, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_2061/))

      allocate(vertices(4597)%branchCT(0:0))
      call avCT(4597, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(3981)%branchCT(0:0))
      call avCT(3981, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(3097)%branchCT(0:0))
      call avCT(3097, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(4349)%branchCT(0:0))
      call avCT(4349, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(1147)%branchCT(0:0))
      call avCT(1147, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2264)%branchCT(0:0))
      call avCT(2264, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(730)%branchCT(0:0))
      call avCT(730, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4650)%branchCT(0:0))
      call avCT(4650, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2107, nGC_2107/))

      allocate(vertices(4774)%branchCT(0:0))
      call avCT(4774, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3707)%branchCT(0:0))
      call avCT(3707, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(499)%branchCT(0:0))
      call avCT(499, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2113)%branchCT(0:0))
      call avCT(2113, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1960, nGC_1961/))

      allocate(vertices(2114)%branchCT(0:1))
      call avCT(2114, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2012, nGC_2014/))

      call avCT(2114, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2013, nGC_2015/))

      allocate(vertices(1948)%branchCT(0:0))
      call avCT(1948, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2116)%branchCT(0:0))
      call avCT(2116, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4658)%branchCT(0:0))
      call avCT(4658, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4662)%branchCT(0:0))
      call avCT(4662, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2118)%branchCT(0:0))
      call avCT(2118, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4031)%branchCT(0:0))
      call avCT(4031, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4664)%branchCT(0:1))
      call avCT(4664, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(4664, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(2075)%branchCT(0:0))
      call avCT(2075, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4667)%branchCT(0:0))
      call avCT(4667, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1927/))

      allocate(vertices(828)%branchCT(0:1))
      call avCT(828, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_2012, nGC_2014/))

      call avCT(828, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_2013, nGC_2015/))

      allocate(vertices(3579)%branchCT(0:0))
      call avCT(3579, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2073)%branchCT(0:0))
      call avCT(2073, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(3231)%branchCT(0:0))
      call avCT(3231, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4670)%branchCT(0:0))
      call avCT(4670, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4671)%branchCT(0:0))
      call avCT(4671, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3253)%branchCT(0:0))
      call avCT(3253, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1131)%branchCT(0:1))
      call avCT(1131, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(1131, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(2130)%branchCT(0:1))
      call avCT(2130, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_2040, nGC_2042/))

      call avCT(2130, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_2041, nGC_2043/))

      allocate(vertices(4442)%branchCT(0:0))
      call avCT(4442, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2132)%branchCT(0:0))
      call avCT(2132, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(2135)%branchCT(0:0))
      call avCT(2135, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3807)%branchCT(0:0))
      call avCT(3807, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2087, nGC_2088/))

      allocate(vertices(3828)%branchCT(0:0))
      call avCT(3828, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1035)%branchCT(0:3))
      call avCT(1035, 0, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(1035, 1, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_1967, nGC_1969/))

      call avCT(1035, 2, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(1035, 3, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_1967, nGC_1969/))

      allocate(vertices(3307)%branchCT(0:0))
      call avCT(3307, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(4679)%branchCT(0:1))
      call avCT(4679, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1976, nGC_1976/))

      call avCT(4679, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(2580)%branchCT(0:0))
      call avCT(2580, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(1722)%branchCT(0:0))
      call avCT(1722, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2140)%branchCT(0:0))
      call avCT(2140, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(3574)%branchCT(0:0))
      call avCT(3574, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(817)%branchCT(0:0))
      call avCT(817, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(4681)%branchCT(0:0))
      call avCT(4681, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2061/))

      allocate(vertices(2142)%branchCT(0:0))
      call avCT(2142, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2148, nGC_2149,       &
      nGC_2148/))

      allocate(vertices(4684)%branchCT(0:0))
      call avCT(4684, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(5100)%branchCT(0:0))
      call avCT(5100, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(4685)%branchCT(0:0))
      call avCT(4685, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(2145)%branchCT(0:0))
      call avCT(2145, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4687)%branchCT(0:1))
      call avCT(4687, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(4687, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(2146)%branchCT(0:0))
      call avCT(2146, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2190/))

      allocate(vertices(1551)%branchCT(0:0))
      call avCT(1551, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4688)%branchCT(0:0))
      call avCT(4688, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(5101)%branchCT(0:0))
      call avCT(5101, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(4691)%branchCT(0:0))
      call avCT(4691, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933,       &
      nGC_1932/))

      allocate(vertices(2150)%branchCT(0:0))
      call avCT(2150, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(843)%branchCT(0:0))
      call avCT(843, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3387)%branchCT(0:0))
      call avCT(3387, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(789)%branchCT(0:0))
      call avCT(789, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4693)%branchCT(0:5))
      call avCT(4693, 0, 26, 6, 0, UVUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(4693, 1, 27, 7, 0, UVUaV0, (/4, 0/), (/nGC_1893/))

      call avCT(4693, 2, 25, 6, 0, UVUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(4693, 3, 23, 6, 0, UVUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(4693, 4, 24, 6, 0, UVUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(4693, 5, 28, 7, 0, UVUaV0, (/4, 0/), (/nGC_1893/))

      allocate(vertices(4694)%branchCT(0:0))
      call avCT(4694, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4695)%branchCT(0:3))
      call avCT(4695, 0, 88, 2, 0, FaVF0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(4695, 1, 88, 2, 0, FaVF0, (/3, 0/), (/nGC_1967, nGC_1969/))

      call avCT(4695, 2, 89, 3, 0, FaVF0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(4695, 3, 89, 3, 0, FaVF0, (/3, 0/), (/nGC_1967, nGC_1969/))

      allocate(vertices(2153)%branchCT(0:0))
      call avCT(2153, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4697)%branchCT(0:0))
      call avCT(4697, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(234)%branchCT(0:0))
      call avCT(234, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2347)%branchCT(0:0))
      call avCT(2347, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4701)%branchCT(0:0))
      call avCT(4701, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3896)%branchCT(0:0))
      call avCT(3896, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(4537)%branchCT(0:0))
      call avCT(4537, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2156)%branchCT(0:0))
      call avCT(2156, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2004,       &
      nGC_2003/))

      allocate(vertices(3442)%branchCT(0:0))
      call avCT(3442, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(4704)%branchCT(0:0))
      call avCT(4704, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2107, nGC_2107/))

      allocate(vertices(2158)%branchCT(0:0))
      call avCT(2158, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4550)%branchCT(0:0))
      call avCT(4550, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4914)%branchCT(0:0))
      call avCT(4914, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4706)%branchCT(0:0))
      call avCT(4706, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4639)%branchCT(0:1))
      call avCT(4639, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(4639, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(2161)%branchCT(0:0))
      call avCT(2161, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2162)%branchCT(0:0))
      call avCT(2162, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1248)%branchCT(0:0))
      call avCT(1248, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(4818)%branchCT(0:0))
      call avCT(4818, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(378)%branchCT(0:0))
      call avCT(378, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2164)%branchCT(0:0))
      call avCT(2164, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4709)%branchCT(0:0))
      call avCT(4709, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1987/))

      allocate(vertices(4710)%branchCT(0:0))
      call avCT(4710, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2166)%branchCT(0:0))
      call avCT(2166, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2131/))

      allocate(vertices(4712)%branchCT(0:0))
      call avCT(4712, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4713)%branchCT(0:0))
      call avCT(4713, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4714)%branchCT(0:0))
      call avCT(4714, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2049/))

      allocate(vertices(1957)%branchCT(0:0))
      call avCT(1957, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4715)%branchCT(0:0))
      call avCT(4715, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(1410)%branchCT(0:0))
      call avCT(1410, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4716)%branchCT(0:0))
      call avCT(4716, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2059, nGC_2060/))

      allocate(vertices(1918)%branchCT(0:1))
      call avCT(1918, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1847, nGC_1845/))

      call avCT(1918, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1848, nGC_1846/))

      allocate(vertices(3532)%branchCT(0:0))
      call avCT(3532, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1625)%branchCT(0:0))
      call avCT(1625, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(2008)%branchCT(0:0))
      call avCT(2008, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3809)%branchCT(0:0))
      call avCT(3809, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4718)%branchCT(0:0))
      call avCT(4718, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3374)%branchCT(0:0))
      call avCT(3374, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2172)%branchCT(0:0))
      call avCT(2172, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1994, nGC_1994/))

      allocate(vertices(4673)%branchCT(0:0))
      call avCT(4673, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(2173)%branchCT(0:0))
      call avCT(2173, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,       &
      nGC_1933/))

      allocate(vertices(5102)%branchCT(0:0))
      call avCT(5102, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(2175)%branchCT(0:0))
      call avCT(2175, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2044/))

      allocate(vertices(4375)%branchCT(0:0))
      call avCT(4375, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(617)%branchCT(0:0))
      call avCT(617, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3605)%branchCT(0:0))
      call avCT(3605, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,       &
      nGC_1933/))

      allocate(vertices(1060)%branchCT(0:0))
      call avCT(1060, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3291)%branchCT(0:0))
      call avCT(3291, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2184)%branchCT(0:1))
      call avCT(2184, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1845, nGC_1847/))

      call avCT(2184, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1846, nGC_1848/))

      allocate(vertices(4210)%branchCT(0:0))
      call avCT(4210, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2185)%branchCT(0:0))
      call avCT(2185, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2187)%branchCT(0:0))
      call avCT(2187, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2188)%branchCT(0:0))
      call avCT(2188, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(5103)%branchCT(0:0))
      call avCT(5103, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1620)%branchCT(0:0))
      call avCT(1620, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3648)%branchCT(0:0))
      call avCT(3648, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3650)%branchCT(0:0))
      call avCT(3650, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2087, nGC_2088/))

      allocate(vertices(5104)%branchCT(0:0))
      call avCT(5104, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_2220, nGC_2221/))

      allocate(vertices(973)%branchCT(0:0))
      call avCT(973, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(2194)%branchCT(0:0))
      call avCT(2194, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2196)%branchCT(0:1))
      call avCT(2196, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_2053, nGC_2055/))

      call avCT(2196, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_2054, nGC_2056/))

      allocate(vertices(1764)%branchCT(0:0))
      call avCT(1764, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4776)%branchCT(0:0))
      call avCT(4776, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3675)%branchCT(0:0))
      call avCT(3675, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4748)%branchCT(0:0))
      call avCT(4748, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4749)%branchCT(0:0))
      call avCT(4749, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2098/))

      allocate(vertices(4750)%branchCT(0:5))
      call avCT(4750, 0, 9, 6, 0, UaUVV0, (/4, 0/), (/nGC_1892/))

      call avCT(4750, 1, 7, 6, 0, UaUVV0, (/4, 0/), (/nGC_1892/))

      call avCT(4750, 2, 8, 6, 0, UaUVV0, (/4, 0/), (/nGC_1892/))

      call avCT(4750, 3, 6, 6, 0, UaUVV0, (/4, 0/), (/nGC_1892/))

      call avCT(4750, 4, 5, 7, 0, UaUVV0, (/4, 0/), (/nGC_1893/))

      call avCT(4750, 5, 4, 7, 0, UaUVV0, (/4, 0/), (/nGC_1893/))

      allocate(vertices(4751)%branchCT(0:0))
      call avCT(4751, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(4752)%branchCT(0:0))
      call avCT(4752, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4753)%branchCT(0:0))
      call avCT(4753, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2203)%branchCT(0:0))
      call avCT(2203, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2025/))

      allocate(vertices(4754)%branchCT(0:0))
      call avCT(4754, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2204)%branchCT(0:0))
      call avCT(2204, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(4757)%branchCT(0:3))
      call avCT(4757, 0, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(4757, 1, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_2126, nGC_2128/))

      call avCT(4757, 2, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(4757, 3, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_2126, nGC_2128/))

      allocate(vertices(3610)%branchCT(0:0))
      call avCT(3610, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(974)%branchCT(0:0))
      call avCT(974, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(4760)%branchCT(0:0))
      call avCT(4760, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(4761)%branchCT(0:0))
      call avCT(4761, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(781)%branchCT(0:0))
      call avCT(781, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4763)%branchCT(0:0))
      call avCT(4763, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2149)%branchCT(0:0))
      call avCT(2149, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2207)%branchCT(0:0))
      call avCT(2207, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(4037)%branchCT(0:0))
      call avCT(4037, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(2209)%branchCT(0:0))
      call avCT(2209, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3753)%branchCT(0:0))
      call avCT(3753, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1857/))

      allocate(vertices(3760)%branchCT(0:0))
      call avCT(3760, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3767)%branchCT(0:0))
      call avCT(3767, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3842)%branchCT(0:0))
      call avCT(3842, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2212)%branchCT(0:0))
      call avCT(2212, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2080, nGC_2081/))

      allocate(vertices(3783)%branchCT(0:0))
      call avCT(3783, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(5105)%branchCT(0:0))
      call avCT(5105, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(2214)%branchCT(0:0))
      call avCT(2214, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4775)%branchCT(0:0))
      call avCT(4775, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(1167)%branchCT(0:0))
      call avCT(1167, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2174)%branchCT(0:0))
      call avCT(2174, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1903/))

      allocate(vertices(4777)%branchCT(0:0))
      call avCT(4777, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4779)%branchCT(0:0))
      call avCT(4779, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4193)%branchCT(0:1))
      call avCT(4193, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1976, nGC_1976/))

      call avCT(4193, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(5106)%branchCT(0:0))
      call avCT(5106, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(4781)%branchCT(0:0))
      call avCT(4781, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3859)%branchCT(0:0))
      call avCT(3859, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4783)%branchCT(0:0))
      call avCT(4783, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(2224)%branchCT(0:0))
      call avCT(2224, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1994, nGC_1994/))

      allocate(vertices(2362)%branchCT(0:1))
      call avCT(2362, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1936, nGC_1938/))

      call avCT(2362, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1937, nGC_1939/))

      allocate(vertices(493)%branchCT(0:0))
      call avCT(493, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1304)%branchCT(0:0))
      call avCT(1304, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(5107)%branchCT(0:0))
      call avCT(5107, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2226)%branchCT(0:0))
      call avCT(2226, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(2228)%branchCT(0:0))
      call avCT(2228, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(2969)%branchCT(0:0))
      call avCT(2969, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4786)%branchCT(0:0))
      call avCT(4786, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4787)%branchCT(0:0))
      call avCT(4787, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(4788)%branchCT(0:0))
      call avCT(4788, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(2231)%branchCT(0:0))
      call avCT(2231, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1881/))

      allocate(vertices(4852)%branchCT(0:0))
      call avCT(4852, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4790)%branchCT(0:3))
      call avCT(4790, 0, 91, 3, 0, FaFV1, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(4790, 1, 91, 3, 0, FaFV1, (/3, 0/), (/nGC_2030, nGC_2032/))

      call avCT(4790, 2, 90, 2, 0, FaFV1, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(4790, 3, 90, 2, 0, FaFV1, (/3, 0/), (/nGC_2030, nGC_2032/))

      allocate(vertices(4182)%branchCT(0:0))
      call avCT(4182, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2232)%branchCT(0:0))
      call avCT(2232, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2906)%branchCT(0:0))
      call avCT(2906, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(4795)%branchCT(0:0))
      call avCT(4795, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(2235)%branchCT(0:0))
      call avCT(2235, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(5108)%branchCT(0:0))
      call avCT(5108, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(4798)%branchCT(0:0))
      call avCT(4798, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4799)%branchCT(0:0))
      call avCT(4799, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2240)%branchCT(0:0))
      call avCT(2240, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(4158)%branchCT(0:0))
      call avCT(4158, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(4803)%branchCT(0:0))
      call avCT(4803, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3990)%branchCT(0:0))
      call avCT(3990, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3992)%branchCT(0:0))
      call avCT(3992, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1857/))

      allocate(vertices(4581)%branchCT(0:0))
      call avCT(4581, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(5109)%branchCT(0:0))
      call avCT(5109, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1925/))

      allocate(vertices(4805)%branchCT(0:0))
      call avCT(4805, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(4806)%branchCT(0:0))
      call avCT(4806, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1967)%branchCT(0:1))
      call avCT(1967, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1949, nGC_1951/))

      call avCT(1967, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1950, nGC_1952/))

      allocate(vertices(1564)%branchCT(0:0))
      call avCT(1564, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1934)%branchCT(0:0))
      call avCT(1934, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4809)%branchCT(0:0))
      call avCT(4809, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2254)%branchCT(0:0))
      call avCT(2254, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2255)%branchCT(0:0))
      call avCT(2255, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(5110)%branchCT(0:0))
      call avCT(5110, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3199)%branchCT(0:0))
      call avCT(3199, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(5111)%branchCT(0:0))
      call avCT(5111, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4791)%branchCT(0:0))
      call avCT(4791, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2258)%branchCT(0:0))
      call avCT(2258, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(397)%branchCT(0:0))
      call avCT(397, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(4070)%branchCT(0:0))
      call avCT(4070, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2261)%branchCT(0:0))
      call avCT(2261, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(5112)%branchCT(0:0))
      call avCT(5112, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2262)%branchCT(0:0))
      call avCT(2262, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_2073/))

      allocate(vertices(4572)%branchCT(0:0))
      call avCT(4572, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3200)%branchCT(0:0))
      call avCT(3200, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2265)%branchCT(0:0))
      call avCT(2265, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4111)%branchCT(0:0))
      call avCT(4111, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4049)%branchCT(0:0))
      call avCT(4049, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1740)%branchCT(0:0))
      call avCT(1740, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4821)%branchCT(0:0))
      call avCT(4821, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(4132)%branchCT(0:0))
      call avCT(4132, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3108)%branchCT(0:1))
      call avCT(3108, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1845, nGC_1847/))

      call avCT(3108, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1846, nGC_1848/))

      allocate(vertices(304)%branchCT(0:0))
      call avCT(304, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2269)%branchCT(0:0))
      call avCT(2269, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2188/))

      allocate(vertices(4825)%branchCT(0:0))
      call avCT(4825, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4827)%branchCT(0:0))
      call avCT(4827, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(1737)%branchCT(0:0))
      call avCT(1737, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4165)%branchCT(0:0))
      call avCT(4165, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4828)%branchCT(0:1))
      call avCT(4828, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1884, nGC_1882/))

      call avCT(4828, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1885, nGC_1883/))

      allocate(vertices(4829)%branchCT(0:0))
      call avCT(4829, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2272)%branchCT(0:0))
      call avCT(2272, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2068/))

      allocate(vertices(1611)%branchCT(0:0))
      call avCT(1611, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(515)%branchCT(0:0))
      call avCT(515, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4833)%branchCT(0:0))
      call avCT(4833, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3035)%branchCT(0:0))
      call avCT(3035, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4198)%branchCT(0:0))
      call avCT(4198, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2004, nGC_2003,       &
      nGC_2003/))

      allocate(vertices(2277)%branchCT(0:0))
      call avCT(2277, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(5113)%branchCT(0:0))
      call avCT(5113, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4033)%branchCT(0:0))
      call avCT(4033, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4208)%branchCT(0:0))
      call avCT(4208, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4840)%branchCT(0:0))
      call avCT(4840, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(3137)%branchCT(0:0))
      call avCT(3137, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2374)%branchCT(0:0))
      call avCT(2374, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4842)%branchCT(0:0))
      call avCT(4842, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(4221)%branchCT(0:0))
      call avCT(4221, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(3487)%branchCT(0:0))
      call avCT(3487, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3366)%branchCT(0:0))
      call avCT(3366, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4843)%branchCT(0:0))
      call avCT(4843, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2152/))

      allocate(vertices(4844)%branchCT(0:0))
      call avCT(4844, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2283)%branchCT(0:0))
      call avCT(2283, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2059, nGC_2060/))

      allocate(vertices(1775)%branchCT(0:0))
      call avCT(1775, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4249)%branchCT(0:0))
      call avCT(4249, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2285)%branchCT(0:1))
      call avCT(2285, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1899, nGC_1899/))

      call avCT(2285, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1900, nGC_1900/))

      allocate(vertices(4258)%branchCT(0:0))
      call avCT(4258, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4848)%branchCT(0:0))
      call avCT(4848, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4849)%branchCT(0:1))
      call avCT(4849, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1882, nGC_1884/))

      call avCT(4849, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1883, nGC_1885/))

      allocate(vertices(4850)%branchCT(0:0))
      call avCT(4850, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3244)%branchCT(0:0))
      call avCT(3244, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(4851)%branchCT(0:0))
      call avCT(4851, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2289)%branchCT(0:0))
      call avCT(2289, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2036, nGC_2036/))

      allocate(vertices(5114)%branchCT(0:0))
      call avCT(5114, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(4055)%branchCT(0:0))
      call avCT(4055, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1254)%branchCT(0:0))
      call avCT(1254, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(4856)%branchCT(0:0))
      call avCT(4856, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(1850)%branchCT(0:0))
      call avCT(1850, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2693)%branchCT(0:0))
      call avCT(2693, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4315)%branchCT(0:0))
      call avCT(4315, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(3208)%branchCT(0:0))
      call avCT(3208, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2294)%branchCT(0:0))
      call avCT(2294, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2295)%branchCT(0:0))
      call avCT(2295, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2177, nGC_2177/))

      allocate(vertices(4863)%branchCT(0:0))
      call avCT(4863, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4864)%branchCT(0:1))
      call avCT(4864, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1882, nGC_1884/))

      call avCT(4864, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1883, nGC_1885/))

      allocate(vertices(5115)%branchCT(0:0))
      call avCT(5115, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4867)%branchCT(0:3))
      call avCT(4867, 0, 91, 3, 0, FaFV1, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(4867, 1, 91, 3, 0, FaFV1, (/3, 0/), (/nGC_1967, nGC_1969/))

      call avCT(4867, 2, 90, 2, 0, FaFV1, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(4867, 3, 90, 2, 0, FaFV1, (/3, 0/), (/nGC_1967, nGC_1969/))

      allocate(vertices(4868)%branchCT(0:0))
      call avCT(4868, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2872)%branchCT(0:0))
      call avCT(2872, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1979)%branchCT(0:0))
      call avCT(1979, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(2299)%branchCT(0:0))
      call avCT(2299, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4014)%branchCT(0:0))
      call avCT(4014, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2073/))

      allocate(vertices(2300)%branchCT(0:0))
      call avCT(2300, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(2301)%branchCT(0:1))
      call avCT(2301, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_2171, nGC_2173/))

      call avCT(2301, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_2172, nGC_2174/))

      allocate(vertices(2111)%branchCT(0:0))
      call avCT(2111, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4397)%branchCT(0:0))
      call avCT(4397, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(2304)%branchCT(0:0))
      call avCT(2304, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3713)%branchCT(0:3))
      call avCT(3713, 0, 92, 2, 0, FVFa0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(3713, 1, 92, 2, 0, FVFa0, (/3, 0/), (/nGC_1886, nGC_1888/))

      call avCT(3713, 2, 93, 3, 0, FVFa0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(3713, 3, 93, 3, 0, FVFa0, (/3, 0/), (/nGC_1886, nGC_1888/))

      allocate(vertices(2306)%branchCT(0:0))
      call avCT(2306, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2063)%branchCT(0:1))
      call avCT(2063, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1847, nGC_1845/))

      call avCT(2063, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1848, nGC_1846/))

      allocate(vertices(2308)%branchCT(0:0))
      call avCT(2308, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2309)%branchCT(0:0))
      call avCT(2309, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4879)%branchCT(0:0))
      call avCT(4879, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(5116)%branchCT(0:0))
      call avCT(5116, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2161/))

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2311)%branchCT(0:0))
      call avCT(2311, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(5117)%branchCT(0:0))
      call avCT(5117, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4884)%branchCT(0:0))
      call avCT(4884, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(3025)%branchCT(0:0))
      call avCT(3025, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4731)%branchCT(0:0))
      call avCT(4731, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(2313)%branchCT(0:0))
      call avCT(2313, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(5118)%branchCT(0:0))
      call avCT(5118, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4484)%branchCT(0:0))
      call avCT(4484, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(4887)%branchCT(0:0))
      call avCT(4887, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4008)%branchCT(0:0))
      call avCT(4008, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(923)%branchCT(0:0))
      call avCT(923, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(4888)%branchCT(0:0))
      call avCT(4888, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2239)%branchCT(0:0))
      call avCT(2239, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2317)%branchCT(0:0))
      call avCT(2317, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4890)%branchCT(0:0))
      call avCT(4890, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(4891)%branchCT(0:0))
      call avCT(4891, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(698)%branchCT(0:0))
      call avCT(698, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4508)%branchCT(0:0))
      call avCT(4508, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4894)%branchCT(0:0))
      call avCT(4894, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(4896)%branchCT(0:0))
      call avCT(4896, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(2045)%branchCT(0:0))
      call avCT(2045, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4547)%branchCT(0:0))
      call avCT(4547, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2323)%branchCT(0:0))
      call avCT(2323, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2036, nGC_2036/))

      allocate(vertices(2324)%branchCT(0:0))
      call avCT(2324, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4900)%branchCT(0:3))
      call avCT(4900, 0, 88, 2, 0, FaVF0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(4900, 1, 88, 2, 0, FaVF0, (/1, 2/), (/nGC_2154, nGC_2156/))

      call avCT(4900, 2, 89, 3, 0, FaVF0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(4900, 3, 89, 3, 0, FaVF0, (/1, 2/), (/nGC_2154, nGC_2156/))

      allocate(vertices(4327)%branchCT(0:3))
      call avCT(4327, 0, 91, 3, 0, FaFV1, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(4327, 1, 91, 3, 0, FaFV1, (/3, 0/), (/nGC_1997, nGC_1999/))

      call avCT(4327, 2, 90, 2, 0, FaFV1, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(4327, 3, 90, 2, 0, FaFV1, (/3, 0/), (/nGC_1997, nGC_1999/))

      allocate(vertices(4564)%branchCT(0:0))
      call avCT(4564, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(1983)%branchCT(0:0))
      call avCT(1983, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2329)%branchCT(0:0))
      call avCT(2329, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2018, nGC_2018/))

      allocate(vertices(4905)%branchCT(0:0))
      call avCT(4905, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4906)%branchCT(0:0))
      call avCT(4906, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2158/))

      allocate(vertices(2825)%branchCT(0:0))
      call avCT(2825, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2148, nGC_2149,       &
      nGC_2148/))

      allocate(vertices(4907)%branchCT(0:0))
      call avCT(4907, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4908)%branchCT(0:0))
      call avCT(4908, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_2073/))

      allocate(vertices(5119)%branchCT(0:0))
      call avCT(5119, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(4909)%branchCT(0:0))
      call avCT(4909, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4964)%branchCT(0:0))
      call avCT(4964, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2968)%branchCT(0:0))
      call avCT(2968, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2333)%branchCT(0:0))
      call avCT(2333, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1437)%branchCT(0:0))
      call avCT(1437, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4544)%branchCT(0:0))
      call avCT(4544, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4913)%branchCT(0:0))
      call avCT(4913, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2548)%branchCT(0:0))
      call avCT(2548, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2335)%branchCT(0:0))
      call avCT(2335, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2336)%branchCT(0:0))
      call avCT(2336, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2337)%branchCT(0:0))
      call avCT(2337, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2181, nGC_2182/))

      allocate(vertices(4647)%branchCT(0:0))
      call avCT(4647, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(4918)%branchCT(0:0))
      call avCT(4918, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(4966)%branchCT(0:0))
      call avCT(4966, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2193)%branchCT(0:0))
      call avCT(2193, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(768)%branchCT(0:0))
      call avCT(768, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2341)%branchCT(0:0))
      call avCT(2341, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2342)%branchCT(0:0))
      call avCT(2342, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(2343)%branchCT(0:0))
      call avCT(2343, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(4921)%branchCT(0:0))
      call avCT(4921, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(4922)%branchCT(0:0))
      call avCT(4922, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2344)%branchCT(0:0))
      call avCT(2344, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4923)%branchCT(0:0))
      call avCT(4923, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2089, nGC_2090/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
