!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl12()
      allocate(vertices(4249)%branchR2(0:0))
      call avR2(4249, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(5184)%branchR2(0:0))
      call avR2(5184, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1571/))

      allocate(vertices(5044)%branchR2(0:0))
      call avR2(5044, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1264, nGC_1309,       &
      nGC_1309, nGC_1263/))

      allocate(vertices(4217)%branchR2(0:1))
      call avR2(4217, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1427, nGC_1425/))

      call avR2(4217, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1428, nGC_1426/))

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1559/))

      allocate(vertices(3417)%branchR2(0:0))
      call avR2(3417, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1439/))

      allocate(vertices(3982)%branchR2(0:0))
      call avR2(3982, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(4219)%branchR2(0:0))
      call avR2(4219, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(2957)%branchR2(0:0))
      call avR2(2957, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1387, nGC_1388/))

      allocate(vertices(2524)%branchR2(0:0))
      call avR2(2524, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(3956)%branchR2(0:0))
      call avR2(3956, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(606)%branchR2(0:1))
      call avR2(606, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1337, nGC_1339/))

      call avR2(606, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1338, nGC_1340/))

      allocate(vertices(5113)%branchR2(0:0))
      call avR2(5113, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1560/))

      allocate(vertices(2114)%branchR2(0:1))
      call avR2(2114, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1389, nGC_1390/))

      call avR2(2114, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(5185)%branchR2(0:1))
      call avR2(5185, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_1590, nGC_1590,     &
      nGC_1590/))

      call avR2(5185, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_1589, nGC_1589,     &
      nGC_1589/))

      allocate(vertices(4704)%branchR2(0:0))
      call avR2(4704, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1333, nGC_1332/))

      allocate(vertices(5186)%branchR2(0:0))
      call avR2(5186, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1584, nGC_1583,       &
      nGC_1584/))

      allocate(vertices(1195)%branchR2(0:1))
      call avR2(1195, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1421/))

      call avR2(1195, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(5187)%branchR2(0:1))
      call avR2(5187, 0, 139, 1, 0, VVVV0, (/2, 2/), (/nGC_1590, nGC_1590,     &
      nGC_1590/))

      call avR2(5187, 1, 140, 1, 0, VVVV0, (/2, 2/), (/nGC_1589, nGC_1589,     &
      nGC_1589/))

      allocate(vertices(2204)%branchR2(0:0))
      call avR2(2204, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(5188)%branchR2(0:1))
      call avR2(5188, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_1552, nGC_1552,     &
      nGC_1552/))

      call avR2(5188, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_1551, nGC_1551,     &
      nGC_1551/))

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(4744)%branchR2(0:0))
      call avR2(4744, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1382/))

      allocate(vertices(5078)%branchR2(0:0))
      call avR2(5078, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1261/))

      allocate(vertices(1945)%branchR2(0:1))
      call avR2(1945, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1510, nGC_1508/))

      call avR2(1945, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1511, nGC_1509/))

      allocate(vertices(2093)%branchR2(0:0))
      call avR2(2093, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(4302)%branchR2(0:1))
      call avR2(4302, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1488, nGC_1487/))

      call avR2(4302, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1486, nGC_1486/))

      allocate(vertices(2521)%branchR2(0:1))
      call avR2(2521, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1354, nGC_1356/))

      call avR2(2521, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1355, nGC_1357/))

      allocate(vertices(5112)%branchR2(0:0))
      call avR2(5112, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(4661)%branchR2(0:0))
      call avR2(4661, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(4372)%branchR2(0:0))
      call avR2(4372, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(5110)%branchR2(0:0))
      call avR2(5110, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1560/))

      allocate(vertices(4976)%branchR2(0:0))
      call avR2(4976, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1455/))

      allocate(vertices(5035)%branchR2(0:1))
      call avR2(5035, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1269, nGC_1265,       &
      nGC_1265, nGC_1268/))

      call avR2(5035, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1267, nGC_1266,       &
      nGC_1266, nGC_1267/))

      allocate(vertices(2594)%branchR2(0:0))
      call avR2(2594, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(3278)%branchR2(0:0))
      call avR2(3278, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2234/))

      allocate(vertices(5189)%branchR2(0:0))
      call avR2(5189, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1584, nGC_1584,       &
      nGC_1583/))

      allocate(vertices(3672)%branchR2(0:0))
      call avR2(3672, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1568/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2224/))

      allocate(vertices(3819)%branchR2(0:0))
      call avR2(3819, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1382/))

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(5190)%branchR2(0:5))
      call avR2(5190, 0, 160, 1, 0, VVVV0, (/3, 1/), (/nGC_1592, nGC_1592,     &
      nGC_1592/))

      call avR2(5190, 1, 163, 1, 0, VVVV0, (/3, 1/), (/nGC_1593, nGC_1593,     &
      nGC_1593/))

      call avR2(5190, 2, 162, 1, 0, VVVV0, (/3, 1/), (/nGC_1591, nGC_1591,     &
      nGC_1591/))

      call avR2(5190, 3, 164, 1, 0, VVVV0, (/3, 1/), (/nGC_1591, nGC_1591,     &
      nGC_1591/))

      call avR2(5190, 4, 161, 1, 0, VVVV0, (/3, 1/), (/nGC_1592, nGC_1592,     &
      nGC_1592/))

      call avR2(5190, 5, 159, 1, 0, VVVV0, (/3, 1/), (/nGC_1592, nGC_1592,     &
      nGC_1592/))

      allocate(vertices(273)%branchR2(0:1))
      call avR2(273, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1404, nGC_1403/))

      call avR2(273, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1402, nGC_1402/))

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(2337)%branchR2(0:0))
      call avR2(2337, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1395, nGC_1394/))

      allocate(vertices(1897)%branchR2(0:0))
      call avR2(1897, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1565/))

      allocate(vertices(2772)%branchR2(0:1))
      call avR2(2772, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1409, nGC_1410/))

      call avR2(2772, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1401, nGC_1401/))

      allocate(vertices(2913)%branchR2(0:0))
      call avR2(2913, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(1794)%branchR2(0:0))
      call avR2(1794, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1484, nGC_1485/))

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1393/))

      allocate(vertices(4848)%branchR2(0:0))
      call avR2(4848, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1568/))

      allocate(vertices(3450)%branchR2(0:1))
      call avR2(3450, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1491, nGC_1489/))

      call avR2(3450, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1492, nGC_1490/))

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(2633)%branchR2(0:0))
      call avR2(2633, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1565/))

      allocate(vertices(4071)%branchR2(0:1))
      call avR2(4071, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1483, nGC_1482/))

      call avR2(4071, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1481, nGC_1481/))

      allocate(vertices(4024)%branchR2(0:0))
      call avR2(4024, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1499, nGC_1498/))

      allocate(vertices(1016)%branchR2(0:1))
      call avR2(1016, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1409, nGC_1410/))

      call avR2(1016, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1401, nGC_1401/))

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1353/))

      allocate(vertices(1704)%branchR2(0:0))
      call avR2(1704, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1363/))

      allocate(vertices(5191)%branchR2(0:0))
      call avR2(5191, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1550, nGC_1550,       &
      nGC_1550/))

      allocate(vertices(3912)%branchR2(0:0))
      call avR2(3912, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1405/))

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(4923)%branchR2(0:0))
      call avR2(4923, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1387, nGC_1388/))

      allocate(vertices(2616)%branchR2(0:0))
      call avR2(2616, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(3100)%branchR2(0:1))
      call avR2(3100, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1409, nGC_1410/))

      call avR2(3100, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1401, nGC_1401/))

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1538, nGC_1537,        &
      nGC_1536/))

      allocate(vertices(4633)%branchR2(0:0))
      call avR2(4633, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1430, nGC_1429/))

      allocate(vertices(3033)%branchR2(0:0))
      call avR2(3033, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(4250)%branchR2(0:0))
      call avR2(4250, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(4891)%branchR2(0:0))
      call avR2(4891, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2226/))

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1325/))

      allocate(vertices(2783)%branchR2(0:0))
      call avR2(2783, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(3763)%branchR2(0:0))
      call avR2(3763, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1577, nGC_1575,       &
      nGC_1576/))

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(2556)%branchR2(0:1))
      call avR2(2556, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_1421/))

      call avR2(2556, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(1776)%branchR2(0:0))
      call avR2(1776, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2228/))

      allocate(vertices(4449)%branchR2(0:0))
      call avR2(4449, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1540, nGC_1541,       &
      nGC_1539/))

      allocate(vertices(2479)%branchR2(0:0))
      call avR2(2479, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1507/))

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1499, nGC_1498/))

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(3522)%branchR2(0:0))
      call avR2(3522, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(1503)%branchR2(0:0))
      call avR2(1503, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(5107)%branchR2(0:0))
      call avR2(5107, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(5021)%branchR2(0:0))
      call avR2(5021, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1280, nGC_1279/))

      allocate(vertices(3737)%branchR2(0:0))
      call avR2(3737, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1408/))

      allocate(vertices(2362)%branchR2(0:1))
      call avR2(2362, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1475, nGC_1473/))

      call avR2(2362, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1476, nGC_1474/))

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1538, nGC_1537,        &
      nGC_1536/))

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1405/))

      allocate(vertices(5192)%branchR2(0:0))
      call avR2(5192, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1582/))

      allocate(vertices(1513)%branchR2(0:0))
      call avR2(1513, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(1874)%branchR2(0:1))
      call avR2(1874, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1475, nGC_1473/))

      call avR2(1874, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1476, nGC_1474/))

      allocate(vertices(4879)%branchR2(0:0))
      call avR2(4879, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1559/))

      allocate(vertices(3455)%branchR2(0:0))
      call avR2(3455, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1454, nGC_1453/))

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1333, nGC_1332/))

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1376/))

      allocate(vertices(24)%branchR2(0:0))
      call avR2(24, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(2603)%branchR2(0:1))
      call avR2(2603, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1510, nGC_1508/))

      call avR2(2603, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1511, nGC_1509/))

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(634)%branchR2(0:1))
      call avR2(634, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1496, nGC_1497/))

      call avR2(634, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(4720)%branchR2(0:0))
      call avR2(4720, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(5193)%branchR2(0:0))
      call avR2(5193, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1588, nGC_1588,       &
      nGC_1588/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1363/))

      allocate(vertices(307)%branchR2(0:1))
      call avR2(307, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1427, nGC_1425/))

      call avR2(307, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1428, nGC_1426/))

      allocate(vertices(4639)%branchR2(0:1))
      call avR2(4639, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1379, nGC_1378/))

      call avR2(4639, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1377, nGC_1377/))

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1578/))

      allocate(vertices(4751)%branchR2(0:0))
      call avR2(4751, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1324/))

      allocate(vertices(5194)%branchR2(0:5))
      call avR2(5194, 0, 160, 1, 0, VVVV0, (/3, 1/), (/nGC_1595, nGC_1595,     &
      nGC_1595/))

      call avR2(5194, 1, 163, 1, 0, VVVV0, (/3, 1/), (/nGC_1596, nGC_1596,     &
      nGC_1596/))

      call avR2(5194, 2, 162, 1, 0, VVVV0, (/3, 1/), (/nGC_1594, nGC_1594,     &
      nGC_1594/))

      call avR2(5194, 3, 164, 1, 0, VVVV0, (/3, 1/), (/nGC_1594, nGC_1594,     &
      nGC_1594/))

      call avR2(5194, 4, 161, 1, 0, VVVV0, (/3, 1/), (/nGC_1595, nGC_1595,     &
      nGC_1595/))

      call avR2(5194, 5, 159, 1, 0, VVVV0, (/3, 1/), (/nGC_1595, nGC_1595,     &
      nGC_1595/))

      allocate(vertices(5079)%branchR2(0:1))
      call avR2(5079, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_1273, nGC_1270,       &
      nGC_1270, nGC_1272/))

      call avR2(5079, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_1267, nGC_1271,       &
      nGC_1271, nGC_1267/))

      allocate(vertices(2795)%branchR2(0:0))
      call avR2(2795, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1380/))

      allocate(vertices(85)%branchR2(0:1))
      call avR2(85, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1475, nGC_1473/))

      call avR2(85, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1476, nGC_1474/))

      allocate(vertices(4395)%branchR2(0:0))
      call avR2(4395, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(4444)%branchR2(0:0))
      call avR2(4444, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1468/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(5195)%branchR2(0:5))
      call avR2(5195, 0, 169, 1, 0, VVVV0, (/3, 1/), (/nGC_1596, nGC_1596,     &
      nGC_1596/))

      call avR2(5195, 1, 167, 1, 0, VVVV0, (/3, 1/), (/nGC_1595, nGC_1595,     &
      nGC_1595/))

      call avR2(5195, 2, 168, 1, 0, VVVV0, (/3, 1/), (/nGC_1594, nGC_1594,     &
      nGC_1594/))

      call avR2(5195, 3, 166, 1, 0, VVVV0, (/3, 1/), (/nGC_1595, nGC_1595,     &
      nGC_1595/))

      call avR2(5195, 4, 170, 1, 0, VVVV0, (/3, 1/), (/nGC_1594, nGC_1594,     &
      nGC_1594/))

      call avR2(5195, 5, 165, 1, 0, VVVV0, (/3, 1/), (/nGC_1595, nGC_1595,     &
      nGC_1595/))

      allocate(vertices(4349)%branchR2(0:0))
      call avR2(4349, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1381/))

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1564, nGC_1563,       &
      nGC_1564/))

      allocate(vertices(1504)%branchR2(0:0))
      call avR2(1504, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1382/))

      allocate(vertices(5075)%branchR2(0:0))
      call avR2(5075, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(2969)%branchR2(0:0))
      call avR2(2969, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(2382)%branchR2(0:0))
      call avR2(2382, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1544/))

      allocate(vertices(1278)%branchR2(0:1))
      call avR2(1278, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1379, nGC_1378/))

      call avR2(1278, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1377, nGC_1377/))

      allocate(vertices(5117)%branchR2(0:0))
      call avR2(5117, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(1541)%branchR2(0:0))
      call avR2(1541, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(2555)%branchR2(0:0))
      call avR2(2555, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(2025)%branchR2(0:1))
      call avR2(2025, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1471, nGC_1469/))

      call avR2(2025, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1472, nGC_1470/))

      allocate(vertices(5196)%branchR2(0:5))
      call avR2(5196, 0, 149, 1, 0, VVVV0, (/3, 1/), (/nGC_1592, nGC_1592,     &
      nGC_1592/))

      call avR2(5196, 1, 148, 1, 0, VVVV0, (/3, 1/), (/nGC_1592, nGC_1592,     &
      nGC_1592/))

      call avR2(5196, 2, 151, 1, 0, VVVV0, (/3, 1/), (/nGC_1592, nGC_1592,     &
      nGC_1592/))

      call avR2(5196, 3, 152, 1, 0, VVVV0, (/3, 1/), (/nGC_1591, nGC_1591,     &
      nGC_1591/))

      call avR2(5196, 4, 150, 1, 0, VVVV0, (/3, 1/), (/nGC_1593, nGC_1593,     &
      nGC_1593/))

      call avR2(5196, 5, 147, 1, 0, VVVV0, (/3, 1/), (/nGC_1591, nGC_1591,     &
      nGC_1591/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(3499)%branchR2(0:0))
      call avR2(3499, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_1387, nGC_1388/))

      allocate(vertices(2770)%branchR2(0:0))
      call avR2(2770, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1387, nGC_1388/))

      allocate(vertices(4962)%branchR2(0:1))
      call avR2(4962, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1441, nGC_1442/))

      call avR2(4962, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1424, nGC_1424/))

      allocate(vertices(5197)%branchR2(0:0))
      call avR2(5197, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1572/))

      allocate(vertices(2256)%branchR2(0:0))
      call avR2(2256, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(2592)%branchR2(0:0))
      call avR2(2592, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1411/))

      allocate(vertices(2640)%branchR2(0:0))
      call avR2(2640, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(1869)%branchR2(0:0))
      call avR2(1869, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1537, nGC_1536,       &
      nGC_1538/))

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(5099)%branchR2(0:0))
      call avR2(5099, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1326/))

      allocate(vertices(2224)%branchR2(0:0))
      call avR2(2224, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1446, nGC_1445/))

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2233/))

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1521/))

      allocate(vertices(1684)%branchR2(0:0))
      call avR2(1684, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(2641)%branchR2(0:1))
      call avR2(2641, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1345, nGC_1347/))

      call avR2(2641, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(3275)%branchR2(0:0))
      call avR2(3275, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1391, nGC_1392/))

      allocate(vertices(4381)%branchR2(0:1))
      call avR2(4381, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1464, nGC_1462/))

      call avR2(4381, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1465, nGC_1463/))

      allocate(vertices(2657)%branchR2(0:1))
      call avR2(2657, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1471, nGC_1469/))

      call avR2(2657, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1472, nGC_1470/))

      allocate(vertices(4803)%branchR2(0:0))
      call avR2(4803, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(5198)%branchR2(0:1))
      call avR2(5198, 0, 125, 1, 0, VVS0, (/2, 1/), (/nGC_1494/))

      call avR2(5198, 1, 126, 1, 0, VVS0, (/2, 1/), (/nGC_1495/))

      allocate(vertices(4126)%branchR2(0:0))
      call avR2(4126, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(1857)%branchR2(0:0))
      call avR2(1857, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(3667)%branchR2(0:0))
      call avR2(3667, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1440/))

      allocate(vertices(1887)%branchR2(0:0))
      call avR2(1887, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(5076)%branchR2(0:0))
      call avR2(5076, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1512/))

      allocate(vertices(3400)%branchR2(0:0))
      call avR2(3400, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(4285)%branchR2(0:0))
      call avR2(4285, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_1313/))

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(5199)%branchR2(0:0))
      call avR2(5199, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1572/))

      allocate(vertices(684)%branchR2(0:0))
      call avR2(684, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1484, nGC_1485/))

      allocate(vertices(515)%branchR2(0:0))
      call avR2(515, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(4531)%branchR2(0:0))
      call avR2(4531, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(3002)%branchR2(0:0))
      call avR2(3002, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1406, nGC_1407/))

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(4077)%branchR2(0:0))
      call avR2(4077, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1393/))

      allocate(vertices(3056)%branchR2(0:1))
      call avR2(3056, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1351, nGC_1349/))

      call avR2(3056, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1352, nGC_1350/))

      allocate(vertices(2576)%branchR2(0:1))
      call avR2(2576, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1421/))

      call avR2(2576, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(1567)%branchR2(0:0))
      call avR2(1567, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1500/))

      allocate(vertices(2285)%branchR2(0:1))
      call avR2(2285, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1404, nGC_1403/))

      call avR2(2285, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1402, nGC_1402/))

      allocate(vertices(1712)%branchR2(0:3))
      call avR2(1712, 0, 96, 1, 0, VFFa0, (/1, 2/), (/nGC_1330, nGC_1331/))

      call avR2(1712, 1, 96, 1, 0, VFFa0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(1712, 2, 97, 1, 0, VFFa0, (/1, 2/), (/nGC_1328, nGC_1329/))

      call avR2(1712, 3, 97, 1, 0, VFFa0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(5200)%branchR2(0:0))
      call avR2(5200, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1550, nGC_1550,       &
      nGC_1550/))

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(4949)%branchR2(0:0))
      call avR2(4949, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(5201)%branchR2(0:1))
      call avR2(5201, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_1581, nGC_1581,     &
      nGC_1581/))

      call avR2(5201, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_1580, nGC_1580,     &
      nGC_1580/))

      allocate(vertices(5122)%branchR2(0:0))
      call avR2(5122, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1455/))

      allocate(vertices(4812)%branchR2(0:0))
      call avR2(4812, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(4194)%branchR2(0:0))
      call avR2(4194, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(3267)%branchR2(0:1))
      call avR2(3267, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1525, nGC_1524/))

      call avR2(3267, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1523, nGC_1523/))

      allocate(vertices(1161)%branchR2(0:0))
      call avR2(1161, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1484, nGC_1485/))

      allocate(vertices(2967)%branchR2(0:1))
      call avR2(2967, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1451, nGC_1449/))

      call avR2(2967, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1452, nGC_1450/))

      allocate(vertices(5025)%branchR2(0:0))
      call avR2(5025, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1573/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1577, nGC_1575,        &
      nGC_1576/))

      allocate(vertices(3226)%branchR2(0:0))
      call avR2(3226, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(4195)%branchR2(0:0))
      call avR2(4195, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(5064)%branchR2(0:0))
      call avR2(5064, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1326/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2225/))

      allocate(vertices(5202)%branchR2(0:1))
      call avR2(5202, 0, 145, 1, 0, VVVV0, (/2, 2/), (/nGC_1587, nGC_1587,     &
      nGC_1587/))

      call avR2(5202, 1, 146, 1, 0, VVVV0, (/2, 2/), (/nGC_1586, nGC_1586,     &
      nGC_1586/))

      allocate(vertices(5090)%branchR2(0:0))
      call avR2(5090, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1466/))

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1493/))

      allocate(vertices(3288)%branchR2(0:0))
      call avR2(3288, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1578/))

      allocate(vertices(4378)%branchR2(0:1))
      call avR2(4378, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1451, nGC_1449/))

      call avR2(4378, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1452, nGC_1450/))

      allocate(vertices(4541)%branchR2(0:0))
      call avR2(4541, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(2563)%branchR2(0:0))
      call avR2(2563, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(4427)%branchR2(0:0))
      call avR2(4427, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(2682)%branchR2(0:1))
      call avR2(2682, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1519, nGC_1518/))

      call avR2(2682, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1517, nGC_1517/))

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1391, nGC_1392/))

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(4054)%branchR2(0:0))
      call avR2(4054, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1454, nGC_1453/))

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1507/))

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1568/))

      allocate(vertices(2762)%branchR2(0:1))
      call avR2(2762, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1316, nGC_1315/))

      call avR2(2762, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1314, nGC_1314/))

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1529, nGC_1530/))

      allocate(vertices(2137)%branchR2(0:0))
      call avR2(2137, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1536, nGC_1537,       &
      nGC_1538/))

      allocate(vertices(48)%branchR2(0:1))
      call avR2(48, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1370, nGC_1369/))

      call avR2(48, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1368, nGC_1368/))

      allocate(vertices(5203)%branchR2(0:1))
      call avR2(5203, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_1551, nGC_1551,     &
      nGC_1551/))

      call avR2(5203, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_1552, nGC_1552,     &
      nGC_1552/))

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(37)%branchR2(0:1))
      call avR2(37, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1404, nGC_1403/))

      call avR2(37, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1402, nGC_1402/))

      allocate(vertices(5046)%branchR2(0:0))
      call avR2(5046, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1579/))

      allocate(vertices(5010)%branchR2(0:0))
      call avR2(5010, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1289, nGC_1287,        &
      nGC_1288/))

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1408/))

      allocate(vertices(458)%branchR2(0:0))
      call avR2(458, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1536, nGC_1538,       &
      nGC_1537/))

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1468/))

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(4679)%branchR2(0:1))
      call avR2(4679, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1374, nGC_1373/))

      call avR2(4679, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1372, nGC_1372/))

      allocate(vertices(5085)%branchR2(0:0))
      call avR2(5085, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1360/))

      allocate(vertices(3776)%branchR2(0:0))
      call avR2(3776, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(2581)%branchR2(0:1))
      call avR2(2581, 0, 85, 1, 0, FVFa1, (/0, 3/), (/nGC_1361/))

      call avR2(2581, 1, 85, 1, 0, FVFa1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(4980)%branchR2(0:0))
      call avR2(4980, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1307, nGC_1306/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1353/))

      allocate(vertices(177)%branchR2(0:1))
      call avR2(177, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1441, nGC_1442/))

      call avR2(177, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1424, nGC_1424/))

      allocate(vertices(3030)%branchR2(0:0))
      call avR2(3030, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1539, nGC_1541,       &
      nGC_1540/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(3996)%branchR2(0:1))
      call avR2(3996, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1527, nGC_1528/))

      call avR2(3996, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1338, nGC_1340/))

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(3386)%branchR2(0:1))
      call avR2(3386, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1501, nGC_1502/))

      call avR2(3386, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1401, nGC_1401/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(4642)%branchR2(0:0))
      call avR2(4642, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(2936)%branchR2(0:3))
      call avR2(2936, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1330, nGC_1331/))

      call avR2(2936, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(2936, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1328, nGC_1329/))

      call avR2(2936, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(916)%branchR2(0:3))
      call avR2(916, 0, 88, 1, 0, FaVF0, (/1, 2/), (/nGC_1343, nGC_1344/))

      call avR2(916, 1, 88, 1, 0, FaVF0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(916, 2, 89, 1, 0, FaVF0, (/1, 2/), (/nGC_1341, nGC_1342/))

      call avR2(916, 3, 89, 1, 0, FaVF0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(4867)%branchR2(0:3))
      call avR2(4867, 0, 91, 1, 0, FaFV1, (/1, 2/), (/nGC_1513, nGC_1514/))

      call avR2(4867, 1, 91, 1, 0, FaFV1, (/3, 0/), (/nGC_1319, nGC_1319/))

      call avR2(4867, 2, 90, 1, 0, FaFV1, (/1, 2/), (/nGC_1515, nGC_1516/))

      call avR2(4867, 3, 90, 1, 0, FaFV1, (/3, 0/), (/nGC_1322, nGC_1322/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1393/))

      allocate(vertices(4553)%branchR2(0:1))
      call avR2(4553, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1361/))

      call avR2(4553, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(989)%branchR2(0:0))
      call avR2(989, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1325/))

      allocate(vertices(4638)%branchR2(0:0))
      call avR2(4638, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1458/))

      allocate(vertices(3448)%branchR2(0:0))
      call avR2(3448, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1447/))

      allocate(vertices(3351)%branchR2(0:1))
      call avR2(3351, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1370, nGC_1369/))

      call avR2(3351, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1368, nGC_1368/))

      allocate(vertices(5204)%branchR2(0:1))
      call avR2(5204, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_1590, nGC_1590,     &
      nGC_1590/))

      call avR2(5204, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_1589, nGC_1589,     &
      nGC_1589/))

      allocate(vertices(1820)%branchR2(0:0))
      call avR2(1820, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(4166)%branchR2(0:0))
      call avR2(4166, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(4401)%branchR2(0:0))
      call avR2(4401, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1313/))

      allocate(vertices(839)%branchR2(0:3))
      call avR2(839, 0, 91, 1, 0, FaFV1, (/1, 2/), (/nGC_1317, nGC_1318/))

      call avR2(839, 1, 91, 1, 0, FaFV1, (/3, 0/), (/nGC_1319, nGC_1319/))

      call avR2(839, 2, 90, 1, 0, FaFV1, (/1, 2/), (/nGC_1320, nGC_1321/))

      call avR2(839, 3, 90, 1, 0, FaFV1, (/3, 0/), (/nGC_1322, nGC_1322/))

      allocate(vertices(4379)%branchR2(0:0))
      call avR2(4379, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1405/))

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1375/))

      allocate(vertices(4109)%branchR2(0:0))
      call avR2(4109, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1458/))

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(47)%branchR2(0:0))
      call avR2(47, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1393/))

      allocate(vertices(1066)%branchR2(0:1))
      call avR2(1066, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1441, nGC_1442/))

      call avR2(1066, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1424, nGC_1424/))

      allocate(vertices(1926)%branchR2(0:0))
      call avR2(1926, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(1174)%branchR2(0:0))
      call avR2(1174, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1458/))

      allocate(vertices(3461)%branchR2(0:0))
      call avR2(3461, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(565)%branchR2(0:3))
      call avR2(565, 0, 94, 1, 0, VFaF0, (/1, 2/), (/nGC_1330, nGC_1331/))

      call avR2(565, 1, 94, 1, 0, VFaF0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(565, 2, 95, 1, 0, VFaF0, (/1, 2/), (/nGC_1328, nGC_1329/))

      call avR2(565, 3, 95, 1, 0, VFaF0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(4095)%branchR2(0:0))
      call avR2(4095, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(5068)%branchR2(0:0))
      call avR2(5068, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(572)%branchR2(0:1))
      call avR2(572, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1409, nGC_1410/))

      call avR2(572, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1401, nGC_1401/))

      allocate(vertices(1907)%branchR2(0:1))
      call avR2(1907, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_1361/))

      call avR2(1907, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(4993)%branchR2(0:0))
      call avR2(4993, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1579/))

      allocate(vertices(1604)%branchR2(0:0))
      call avR2(1604, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1526/))

      allocate(vertices(1890)%branchR2(0:0))
      call avR2(1890, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1391, nGC_1392/))

      allocate(vertices(4584)%branchR2(0:0))
      call avR2(4584, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(3108)%branchR2(0:1))
      call avR2(3108, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1503, nGC_1505/))

      call avR2(3108, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1504, nGC_1506/))

      allocate(vertices(1035)%branchR2(0:3))
      call avR2(1035, 0, 96, 1, 0, VFFa0, (/1, 2/), (/nGC_1515, nGC_1516/))

      call avR2(1035, 1, 96, 1, 0, VFFa0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(1035, 2, 97, 1, 0, VFFa0, (/1, 2/), (/nGC_1513, nGC_1514/))

      call avR2(1035, 3, 97, 1, 0, VFFa0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(1929)%branchR2(0:0))
      call avR2(1929, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(4158)%branchR2(0:0))
      call avR2(4158, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(4230)%branchR2(0:0))
      call avR2(4230, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(4766)%branchR2(0:0))
      call avR2(4766, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(3498)%branchR2(0:0))
      call avR2(3498, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1324/))

      allocate(vertices(5205)%branchR2(0:1))
      call avR2(5205, 0, 144, 1, 0, VVVV0, (/2, 2/), (/nGC_1589, nGC_1589,     &
      nGC_1589/))

      call avR2(5205, 1, 143, 1, 0, VVVV0, (/2, 2/), (/nGC_1590, nGC_1590,     &
      nGC_1590/))

      allocate(vertices(5206)%branchR2(0:1))
      call avR2(5206, 0, 129, 1, 0, SVV0, (/2, 1/), (/nGC_1443/))

      call avR2(5206, 1, 130, 1, 0, SVV0, (/2, 1/), (/nGC_1444/))

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(4057)%branchR2(0:1))
      call avR2(4057, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1475, nGC_1473/))

      call avR2(4057, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1476, nGC_1474/))

      allocate(vertices(385)%branchR2(0:0))
      call avR2(385, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1408/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(31)%branchR2(0:1))
      call avR2(31, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1364, nGC_1366/))

      call avR2(31, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1365, nGC_1367/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(1126)%branchR2(0:1))
      call avR2(1126, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1464, nGC_1462/))

      call avR2(1126, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1465, nGC_1463/))

      allocate(vertices(2953)%branchR2(0:0))
      call avR2(2953, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(1565)%branchR2(0:1))
      call avR2(1565, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1336, nGC_1335/))

      call avR2(1565, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1334, nGC_1334/))

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(2570)%branchR2(0:0))
      call avR2(2570, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1468/))

      allocate(vertices(3645)%branchR2(0:1))
      call avR2(3645, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_1421/))

      call avR2(3645, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(2654)%branchR2(0:0))
      call avR2(2654, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(1200)%branchR2(0:3))
      call avR2(1200, 0, 88, 1, 0, FaVF0, (/1, 2/), (/nGC_1320, nGC_1321/))

      call avR2(1200, 1, 88, 1, 0, FaVF0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(1200, 2, 89, 1, 0, FaVF0, (/1, 2/), (/nGC_1317, nGC_1318/))

      call avR2(1200, 3, 89, 1, 0, FaVF0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(4021)%branchR2(0:1))
      call avR2(4021, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1525, nGC_1524/))

      call avR2(4021, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1523, nGC_1523/))

      allocate(vertices(4353)%branchR2(0:0))
      call avR2(4353, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1395, nGC_1394/))

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1536, nGC_1537,       &
      nGC_1538/))

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1419/))

      allocate(vertices(175)%branchR2(0:0))
      call avR2(175, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1541, nGC_1540,        &
      nGC_1539/))

      allocate(vertices(5207)%branchR2(0:1))
      call avR2(5207, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_1587, nGC_1587,     &
      nGC_1587/))

      call avR2(5207, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_1586, nGC_1586,     &
      nGC_1586/))

      allocate(vertices(4146)%branchR2(0:0))
      call avR2(4146, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1454, nGC_1453/))

      allocate(vertices(3576)%branchR2(0:0))
      call avR2(3576, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(2279)%branchR2(0:0))
      call avR2(2279, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(1583)%branchR2(0:1))
      call avR2(1583, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1345, nGC_1347/))

      call avR2(1583, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(2508)%branchR2(0:0))
      call avR2(2508, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(3408)%branchR2(0:0))
      call avR2(3408, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(2063)%branchR2(0:1))
      call avR2(2063, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1414, nGC_1412/))

      call avR2(2063, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1415, nGC_1413/))

      allocate(vertices(5115)%branchR2(0:0))
      call avR2(5115, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(5018)%branchR2(0:1))
      call avR2(5018, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_1269, nGC_1265,      &
      nGC_1265, nGC_1268/))

      call avR2(5018, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_1267, nGC_1266,      &
      nGC_1266, nGC_1267/))

      allocate(vertices(3664)%branchR2(0:0))
      call avR2(3664, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(4438)%branchR2(0:1))
      call avR2(4438, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1527, nGC_1528/))

      call avR2(4438, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1338, nGC_1340/))

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(2898)%branchR2(0:0))
      call avR2(2898, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(2392)%branchR2(0:0))
      call avR2(2392, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1387, nGC_1388/))

      allocate(vertices(3642)%branchR2(0:1))
      call avR2(3642, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1421/))

      call avR2(3642, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(4884)%branchR2(0:0))
      call avR2(4884, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(398)%branchR2(0:1))
      call avR2(398, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1421/))

      call avR2(398, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1362/))

      allocate(vertices(2835)%branchR2(0:0))
      call avR2(2835, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(5087)%branchR2(0:0))
      call avR2(5087, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(2077)%branchR2(0:0))
      call avR2(2077, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1457, nGC_1456/))

      allocate(vertices(1284)%branchR2(0:0))
      call avR2(1284, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1565/))

      allocate(vertices(2144)%branchR2(0:0))
      call avR2(2144, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1431/))

      allocate(vertices(601)%branchR2(0:0))
      call avR2(601, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_1458/))

      allocate(vertices(4998)%branchR2(0:0))
      call avR2(4998, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1512/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(3389)%branchR2(0:0))
      call avR2(3389, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1438/))

      allocate(vertices(4706)%branchR2(0:0))
      call avR2(4706, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(4907)%branchR2(0:0))
      call avR2(4907, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(5208)%branchR2(0:0))
      call avR2(5208, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1547/))

      allocate(vertices(5101)%branchR2(0:0))
      call avR2(5101, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1560/))

      allocate(vertices(4757)%branchR2(0:3))
      call avR2(4757, 0, 96, 1, 0, VFFa0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(4757, 1, 96, 1, 0, VFFa0, (/1, 2/), (/nGC_1385, nGC_1386/))

      call avR2(4757, 2, 97, 1, 0, VFFa0, (/3, 0/), (/nGC_1319, nGC_1319/))

      call avR2(4757, 3, 97, 1, 0, VFFa0, (/1, 2/), (/nGC_1383, nGC_1384/))

      allocate(vertices(3063)%branchR2(0:0))
      call avR2(3063, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1539, nGC_1540,       &
      nGC_1541/))

      allocate(vertices(2934)%branchR2(0:3))
      call avR2(2934, 0, 93, 1, 0, FVFa0, (/1, 2/), (/nGC_1432, nGC_1433/))

      call avR2(2934, 1, 93, 1, 0, FVFa0, (/3, 0/), (/nGC_1319, nGC_1319/))

      call avR2(2934, 2, 92, 1, 0, FVFa0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(2934, 3, 92, 1, 0, FVFa0, (/1, 2/), (/nGC_1434, nGC_1435/))

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1529, nGC_1530/))

      allocate(vertices(1872)%branchR2(0:0))
      call avR2(1872, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1406, nGC_1407/))

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2222/))

      allocate(vertices(4110)%branchR2(0:0))
      call avR2(4110, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(5209)%branchR2(0:0))
      call avR2(5209, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1585, nGC_1585,       &
      nGC_1585/))

      allocate(vertices(3698)%branchR2(0:0))
      call avR2(3698, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1408/))

      allocate(vertices(4752)%branchR2(0:0))
      call avR2(4752, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(2712)%branchR2(0:1))
      call avR2(2712, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1336, nGC_1335/))

      call avR2(2712, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1334, nGC_1334/))

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1564, nGC_1563,       &
      nGC_1564/))

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1381/))

      allocate(vertices(5032)%branchR2(0:0))
      call avR2(5032, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1466/))

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(2582)%branchR2(0:0))
      call avR2(2582, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(1824)%branchR2(0:0))
      call avR2(1824, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2234/))

      allocate(vertices(1091)%branchR2(0:0))
      call avR2(1091, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(4941)%branchR2(0:0))
      call avR2(4941, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1324/))

      allocate(vertices(1647)%branchR2(0:0))
      call avR2(1647, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1568/))

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(2363)%branchR2(0:1))
      call avR2(2363, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1496, nGC_1497/))

      call avR2(2363, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(1398)%branchR2(0:1))
      call avR2(1398, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1510, nGC_1508/))

      call avR2(1398, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1511, nGC_1509/))

      allocate(vertices(318)%branchR2(0:1))
      call avR2(318, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1471, nGC_1469/))

      call avR2(318, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1472, nGC_1470/))

      allocate(vertices(5057)%branchR2(0:0))
      call avR2(5057, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1573/))

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(1403)%branchR2(0:0))
      call avR2(1403, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1393/))

      allocate(vertices(4092)%branchR2(0:1))
      call avR2(4092, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1503, nGC_1505/))

      call avR2(4092, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1504, nGC_1506/))

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1529, nGC_1530/))

      allocate(vertices(2711)%branchR2(0:0))
      call avR2(2711, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(2624)%branchR2(0:1))
      call avR2(2624, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1479, nGC_1480/))

      call avR2(2624, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1424, nGC_1424/))

      allocate(vertices(4881)%branchR2(0:0))
      call avR2(4881, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(3471)%branchR2(0:0))
      call avR2(3471, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1446, nGC_1445/))

      allocate(vertices(5118)%branchR2(0:0))
      call avR2(5118, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(3735)%branchR2(0:0))
      call avR2(3735, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1522/))

      allocate(vertices(2416)%branchR2(0:0))
      call avR2(2416, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1522/))

      allocate(vertices(2669)%branchR2(0:1))
      call avR2(2669, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1361/))

      call avR2(2669, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1362/))

      allocate(vertices(4930)%branchR2(0:0))
      call avR2(4930, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1376/))

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1313/))

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(2554)%branchR2(0:0))
      call avR2(2554, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(5047)%branchR2(0:0))
      call avR2(5047, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1275, nGC_1274/))

      allocate(vertices(5056)%branchR2(0:0))
      call avR2(5056, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1560/))

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(3959)%branchR2(0:1))
      call avR2(3959, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1479, nGC_1480/))

      call avR2(3959, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1424, nGC_1424/))

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(2196)%branchR2(0:1))
      call avR2(2196, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1358, nGC_1359/))

      call avR2(2196, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1338, nGC_1340/))

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1448/))

      allocate(vertices(3986)%branchR2(0:1))
      call avR2(3986, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1316, nGC_1315/))

      call avR2(3986, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1314, nGC_1314/))

      allocate(vertices(3263)%branchR2(0:0))
      call avR2(3263, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(2220)%branchR2(0:1))
      call avR2(2220, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1427, nGC_1425/))

      call avR2(2220, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1428, nGC_1426/))

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1559/))

      allocate(vertices(1943)%branchR2(0:1))
      call avR2(1943, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1503, nGC_1505/))

      call avR2(1943, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1504, nGC_1506/))

      allocate(vertices(3980)%branchR2(0:1))
      call avR2(3980, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1361/))

      call avR2(3980, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(437)%branchR2(0:0))
      call avR2(437, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1446, nGC_1445/))

      allocate(vertices(3842)%branchR2(0:0))
      call avR2(3842, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1565/))

      allocate(vertices(3794)%branchR2(0:0))
      call avR2(3794, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1567/))

      allocate(vertices(3252)%branchR2(0:0))
      call avR2(3252, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2235/))

      allocate(vertices(5083)%branchR2(0:0))
      call avR2(5083, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1303, nGC_1302/))

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(1034)%branchR2(0:0))
      call avR2(1034, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(4866)%branchR2(0:1))
      call avR2(4866, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1488, nGC_1487/))

      call avR2(4866, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1486, nGC_1486/))

      allocate(vertices(5210)%branchR2(0:1))
      call avR2(5210, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_1581, nGC_1581,     &
      nGC_1581/))

      call avR2(5210, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_1580, nGC_1580,     &
      nGC_1580/))

      allocate(vertices(4691)%branchR2(0:0))
      call avR2(4691, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1539, nGC_1540,       &
      nGC_1541/))

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(3324)%branchR2(0:0))
      call avR2(3324, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1393/))

      allocate(vertices(5029)%branchR2(0:0))
      call avR2(5029, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(3605)%branchR2(0:0))
      call avR2(3605, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1539, nGC_1541,       &
      nGC_1540/))

      allocate(vertices(4482)%branchR2(0:0))
      call avR2(4482, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2227/))

      allocate(vertices(4493)%branchR2(0:1))
      call avR2(4493, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1358, nGC_1359/))

      call avR2(4493, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1338, nGC_1340/))

      allocate(vertices(3945)%branchR2(0:0))
      call avR2(3945, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1559/))

      allocate(vertices(3835)%branchR2(0:0))
      call avR2(3835, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1382/))

      allocate(vertices(5211)%branchR2(0:0))
      call avR2(5211, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1582/))

      allocate(vertices(5014)%branchR2(0:0))
      call avR2(5014, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(3265)%branchR2(0:0))
      call avR2(3265, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2232/))

      allocate(vertices(4418)%branchR2(0:0))
      call avR2(4418, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1447/))

      allocate(vertices(2227)%branchR2(0:3))
      call avR2(2227, 0, 94, 1, 0, VFaF0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(2227, 1, 94, 1, 0, VFaF0, (/1, 2/), (/nGC_1385, nGC_1386/))

      call avR2(2227, 2, 95, 1, 0, VFaF0, (/3, 0/), (/nGC_1319, nGC_1319/))

      call avR2(2227, 3, 95, 1, 0, VFaF0, (/1, 2/), (/nGC_1383, nGC_1384/))

      allocate(vertices(5212)%branchR2(0:0))
      call avR2(5212, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1571/))

      allocate(vertices(4988)%branchR2(0:0))
      call avR2(4988, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1579/))

      allocate(vertices(5086)%branchR2(0:0))
      call avR2(5086, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_1294, nGC_1292,        &
      nGC_1293/))

      allocate(vertices(4462)%branchR2(0:0))
      call avR2(4462, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(5094)%branchR2(0:0))
      call avR2(5094, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1579/))

      allocate(vertices(1607)%branchR2(0:0))
      call avR2(1607, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(2088)%branchR2(0:3))
      call avR2(2088, 0, 94, 1, 0, VFaF0, (/1, 2/), (/nGC_1320, nGC_1321/))

      call avR2(2088, 1, 94, 1, 0, VFaF0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(2088, 2, 95, 1, 0, VFaF0, (/1, 2/), (/nGC_1317, nGC_1318/))

      call avR2(2088, 3, 95, 1, 0, VFaF0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(4527)%branchR2(0:0))
      call avR2(4527, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1333, nGC_1332/))

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2229/))

      allocate(vertices(4933)%branchR2(0:1))
      call avR2(4933, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1374, nGC_1373/))

      call avR2(4933, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1372, nGC_1372/))

      allocate(vertices(2856)%branchR2(0:0))
      call avR2(2856, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(3260)%branchR2(0:0))
      call avR2(3260, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1538, nGC_1536,       &
      nGC_1537/))

      allocate(vertices(4983)%branchR2(0:0))
      call avR2(4983, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1326/))

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2222/))

      allocate(vertices(2595)%branchR2(0:1))
      call avR2(2595, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1374, nGC_1373/))

      call avR2(2595, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1372, nGC_1372/))

      allocate(vertices(585)%branchR2(0:0))
      call avR2(585, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(3245)%branchR2(0:0))
      call avR2(3245, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_1408/))

      allocate(vertices(5213)%branchR2(0:1))
      call avR2(5213, 0, 129, 1, 0, SVV0, (/2, 1/), (/nGC_1494/))

      call avR2(5213, 1, 130, 1, 0, SVV0, (/2, 1/), (/nGC_1495/))

      allocate(vertices(1494)%branchR2(0:1))
      call avR2(1494, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1421/))

      call avR2(1494, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(759)%branchR2(0:1))
      call avR2(759, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1441, nGC_1442/))

      call avR2(759, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1424, nGC_1424/))

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1574/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1323/))

      allocate(vertices(3845)%branchR2(0:0))
      call avR2(3845, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(4228)%branchR2(0:0))
      call avR2(4228, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(3858)%branchR2(0:0))
      call avR2(3858, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1376/))

      allocate(vertices(5045)%branchR2(0:0))
      call avR2(5045, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1579/))

      allocate(vertices(226)%branchR2(0:0))
      call avR2(226, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1564, nGC_1564,        &
      nGC_1563/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1380/))

      allocate(vertices(3878)%branchR2(0:1))
      call avR2(3878, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1358, nGC_1359/))

      call avR2(3878, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1338, nGC_1340/))

      allocate(vertices(3598)%branchR2(0:1))
      call avR2(3598, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1496, nGC_1497/))

      call avR2(3598, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1458/))

      allocate(vertices(231)%branchR2(0:1))
      call avR2(231, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1361/))

      call avR2(231, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1406, nGC_1407/))

      allocate(vertices(412)%branchR2(0:1))
      call avR2(412, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1398, nGC_1397/))

      call avR2(412, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1396, nGC_1396/))

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(5214)%branchR2(0:1))
      call avR2(5214, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_1552, nGC_1552,     &
      nGC_1552/))

      call avR2(5214, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_1551, nGC_1551,     &
      nGC_1551/))

      allocate(vertices(4643)%branchR2(0:0))
      call avR2(4643, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1458/))

      allocate(vertices(2802)%branchR2(0:1))
      call avR2(2802, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1496, nGC_1497/))

      call avR2(2802, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(5013)%branchR2(0:0))
      call avR2(5013, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1579/))

      allocate(vertices(3249)%branchR2(0:0))
      call avR2(3249, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1541, nGC_1539,       &
      nGC_1540/))

      allocate(vertices(4014)%branchR2(0:0))
      call avR2(4014, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1408/))

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1313/))

      allocate(vertices(4370)%branchR2(0:0))
      call avR2(4370, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(2961)%branchR2(0:0))
      call avR2(2961, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1430, nGC_1429/))

      allocate(vertices(3409)%branchR2(0:0))
      call avR2(3409, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(1495)%branchR2(0:0))
      call avR2(1495, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(2175)%branchR2(0:0))
      call avR2(2175, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2229/))

      allocate(vertices(5024)%branchR2(0:0))
      call avR2(5024, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1565/))

      allocate(vertices(2887)%branchR2(0:1))
      call avR2(2887, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1345, nGC_1347/))

      call avR2(2887, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1346, nGC_1348/))

      allocate(vertices(5095)%branchR2(0:0))
      call avR2(5095, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1360/))

      allocate(vertices(4556)%branchR2(0:0))
      call avR2(4556, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1545/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1565/))

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(3070)%branchR2(0:1))
      call avR2(3070, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1414, nGC_1412/))

      call avR2(3070, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1415, nGC_1413/))

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1446, nGC_1445/))

      allocate(vertices(3640)%branchR2(0:0))
      call avR2(3640, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1576, nGC_1577,       &
      nGC_1575/))

      allocate(vertices(1166)%branchR2(0:1))
      call avR2(1166, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1483, nGC_1482/))

      call avR2(1166, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1481, nGC_1481/))

      allocate(vertices(1326)%branchR2(0:1))
      call avR2(1326, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1370, nGC_1369/))

      call avR2(1326, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1368, nGC_1368/))

      allocate(vertices(4800)%branchR2(0:1))
      call avR2(4800, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1421/))

      call avR2(4800, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(53)%branchR2(0:0))
      call avR2(53, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(2047)%branchR2(0:1))
      call avR2(2047, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1488, nGC_1487/))

      call avR2(2047, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1486, nGC_1486/))

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(4610)%branchR2(0:3))
      call avR2(4610, 0, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(4610, 1, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1385, nGC_1386/))

      call avR2(4610, 2, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1319, nGC_1319/))

      call avR2(4610, 3, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1383, nGC_1384/))

      allocate(vertices(4595)%branchR2(0:0))
      call avR2(4595, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(5215)%branchR2(0:0))
      call avR2(5215, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1459/))

      allocate(vertices(948)%branchR2(0:0))
      call avR2(948, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1448/))

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1458/))

      allocate(vertices(3514)%branchR2(0:0))
      call avR2(3514, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(5216)%branchR2(0:0))
      call avR2(5216, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1571/))

      allocate(vertices(3984)%branchR2(0:0))
      call avR2(3984, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1430, nGC_1429/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(3523)%branchR2(0:0))
      call avR2(3523, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1395, nGC_1394/))

      allocate(vertices(2026)%branchR2(0:0))
      call avR2(2026, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1313/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1382/))

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1557/))

      allocate(vertices(4979)%branchR2(0:0))
      call avR2(4979, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(1594)%branchR2(0:0))
      call avR2(1594, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1382/))

      allocate(vertices(1374)%branchR2(0:0))
      call avR2(1374, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(1171)%branchR2(0:0))
      call avR2(1171, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1353/))

      allocate(vertices(5006)%branchR2(0:0))
      call avR2(5006, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1573/))

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1436, nGC_1437/))

      allocate(vertices(5091)%branchR2(0:0))
      call avR2(5091, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(4165)%branchR2(0:0))
      call avR2(4165, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1549/))

      allocate(vertices(4552)%branchR2(0:0))
      call avR2(4552, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1457, nGC_1456/))

      allocate(vertices(1861)%branchR2(0:0))
      call avR2(1861, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(4452)%branchR2(0:0))
      call avR2(4452, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1382/))

      allocate(vertices(5050)%branchR2(0:0))
      call avR2(5050, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1457, nGC_1456/))

      allocate(vertices(5217)%branchR2(0:0))
      call avR2(5217, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1584, nGC_1584,       &
      nGC_1583/))

      allocate(vertices(4406)%branchR2(0:0))
      call avR2(4406, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2228/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1556/))

      allocate(vertices(5060)%branchR2(0:0))
      call avR2(5060, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1264, nGC_1262,       &
      nGC_1262, nGC_1263/))

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(3750)%branchR2(0:1))
      call avR2(3750, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1519, nGC_1518/))

      call avR2(3750, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1517, nGC_1517/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1312/))

      allocate(vertices(2982)%branchR2(0:0))
      call avR2(2982, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1324/))

      allocate(vertices(4554)%branchR2(0:0))
      call avR2(4554, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1553/))

      allocate(vertices(2914)%branchR2(0:1))
      call avR2(2914, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1409, nGC_1410/))

      call avR2(2914, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1401, nGC_1401/))

      allocate(vertices(4658)%branchR2(0:0))
      call avR2(4658, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(4978)%branchR2(0:0))
      call avR2(4978, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1326/))

      allocate(vertices(4629)%branchR2(0:0))
      call avR2(4629, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1559/))

      allocate(vertices(3665)%branchR2(0:0))
      call avR2(3665, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1537, nGC_1536,       &
      nGC_1538/))

      allocate(vertices(4384)%branchR2(0:0))
      call avR2(4384, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1534/))

      allocate(vertices(2016)%branchR2(0:0))
      call avR2(2016, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1578/))

      allocate(vertices(2332)%branchR2(0:0))
      call avR2(2332, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(4389)%branchR2(0:1))
      call avR2(4389, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1361/))

      call avR2(4389, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(2398)%branchR2(0:1))
      call avR2(2398, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1503, nGC_1505/))

      call avR2(2398, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1504, nGC_1506/))

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1419/))

      allocate(vertices(4628)%branchR2(0:0))
      call avR2(4628, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(5016)%branchR2(0:0))
      call avR2(5016, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(5080)%branchR2(0:0))
      call avR2(5080, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1573/))

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1559/))

      allocate(vertices(3184)%branchR2(0:0))
      call avR2(3184, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1438/))

      allocate(vertices(4942)%branchR2(0:1))
      call avR2(4942, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1361/))

      call avR2(4942, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(5218)%branchR2(0:0))
      call avR2(5218, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1571/))

      allocate(vertices(4248)%branchR2(0:3))
      call avR2(4248, 0, 94, 1, 0, VFaF0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(4248, 1, 94, 1, 0, VFaF0, (/1, 2/), (/nGC_1434, nGC_1435/))

      call avR2(4248, 2, 95, 1, 0, VFaF0, (/1, 2/), (/nGC_1432, nGC_1433/))

      call avR2(4248, 3, 95, 1, 0, VFaF0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(5039)%branchR2(0:0))
      call avR2(5039, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1558/))

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1405/))

      allocate(vertices(5219)%branchR2(0:0))
      call avR2(5219, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1550, nGC_1550,       &
      nGC_1550/))

      allocate(vertices(1760)%branchR2(0:1))
      call avR2(1760, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1361/))

      call avR2(1760, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1362/))

      allocate(vertices(686)%branchR2(0:0))
      call avR2(686, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1484, nGC_1485/))

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(5220)%branchR2(0:0))
      call avR2(5220, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1571/))

      allocate(vertices(2945)%branchR2(0:0))
      call avR2(2945, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(1988)%branchR2(0:0))
      call avR2(1988, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_1313/))

      allocate(vertices(5221)%branchR2(0:1))
      call avR2(5221, 0, 137, 1, 0, VVVV0, (/2, 2/), (/nGC_1590, nGC_1590,     &
      nGC_1590/))

      call avR2(5221, 1, 138, 1, 0, VVVV0, (/2, 2/), (/nGC_1589, nGC_1589,     &
      nGC_1589/))

      allocate(vertices(5222)%branchR2(0:0))
      call avR2(5222, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1571/))

      allocate(vertices(289)%branchR2(0:3))
      call avR2(289, 0, 11, 1, 0, FFaV0, (/1, 2/), (/nGC_1343, nGC_1344/))

      call avR2(289, 1, 11, 1, 0, FFaV0, (/3, 0/), (/nGC_1322, nGC_1322/))

      call avR2(289, 2, 12, 1, 0, FFaV0, (/1, 2/), (/nGC_1341, nGC_1342/))

      call avR2(289, 3, 12, 1, 0, FFaV0, (/3, 0/), (/nGC_1319, nGC_1319/))

      allocate(vertices(5114)%branchR2(0:0))
      call avR2(5114, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1560/))

      allocate(vertices(3117)%branchR2(0:1))
      call avR2(3117, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1361/))

      call avR2(3117, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1362/))

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(4271)%branchR2(0:0))
      call avR2(4271, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1537, nGC_1538,       &
      nGC_1536/))

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1548/))

      allocate(vertices(941)%branchR2(0:0))
      call avR2(941, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1420/))

      allocate(vertices(4535)%branchR2(0:1))
      call avR2(4535, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1364, nGC_1366/))

      call avR2(4535, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1365, nGC_1367/))

      allocate(vertices(1207)%branchR2(0:0))
      call avR2(1207, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1327/))

      allocate(vertices(1865)%branchR2(0:0))
      call avR2(1865, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1461, nGC_1460/))

      allocate(vertices(2156)%branchR2(0:0))
      call avR2(2156, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1575, nGC_1576,       &
      nGC_1577/))

      allocate(vertices(4749)%branchR2(0:0))
      call avR2(4749, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2223/))

      allocate(vertices(2628)%branchR2(0:0))
      call avR2(2628, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1446, nGC_1445/))

      allocate(vertices(3823)%branchR2(0:0))
      call avR2(3823, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1570/))

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1542/))

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1535/))

      allocate(vertices(4171)%branchR2(0:0))
      call avR2(4171, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1420/))

      allocate(vertices(2453)%branchR2(0:0))
      call avR2(2453, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1566/))

      allocate(vertices(3254)%branchR2(0:0))
      call avR2(3254, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1555/))

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(1728)%branchR2(0:0))
      call avR2(1728, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1562/))

      allocate(vertices(3652)%branchR2(0:0))
      call avR2(3652, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1539, nGC_1540,       &
      nGC_1541/))

      allocate(vertices(927)%branchR2(0:3))
      call avR2(927, 0, 93, 1, 0, FVFa0, (/1, 2/), (/nGC_1513, nGC_1514/))

      call avR2(927, 1, 93, 1, 0, FVFa0, (/3, 0/), (/nGC_1319, nGC_1319/))

      call avR2(927, 2, 92, 1, 0, FVFa0, (/1, 2/), (/nGC_1515, nGC_1516/))

      call avR2(927, 3, 92, 1, 0, FVFa0, (/3, 0/), (/nGC_1322, nGC_1322/))

      allocate(vertices(5054)%branchR2(0:0))
      call avR2(5054, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1560/))

      allocate(vertices(3246)%branchR2(0:0))
      call avR2(3246, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1313/))

      allocate(vertices(1786)%branchR2(0:0))
      call avR2(1786, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1540, nGC_1541,       &
      nGC_1539/))

      allocate(vertices(3077)%branchR2(0:1))
      call avR2(3077, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1427, nGC_1425/))

      call avR2(3077, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1428, nGC_1426/))

      allocate(vertices(4421)%branchR2(0:0))
      call avR2(4421, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1543/))

      allocate(vertices(2925)%branchR2(0:0))
      call avR2(2925, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1478, nGC_1477/))

      allocate(vertices(2725)%branchR2(0:1))
      call avR2(2725, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1351, nGC_1349/))

      call avR2(2725, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1352, nGC_1350/))

      allocate(vertices(1853)%branchR2(0:0))
      call avR2(1853, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(2255)%branchR2(0:0))
      call avR2(2255, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1382/))

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1554/))

      allocate(vertices(5223)%branchR2(0:1))
      call avR2(5223, 0, 136, 1, 0, VVVV0, (/2, 2/), (/nGC_1552, nGC_1552,     &
      nGC_1552/))

      call avR2(5223, 1, 135, 1, 0, VVVV0, (/2, 2/), (/nGC_1551, nGC_1551,     &
      nGC_1551/))

      allocate(vertices(2975)%branchR2(0:0))
      call avR2(2975, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1546/))

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1431/))

      allocate(vertices(3024)%branchR2(0:1))
      call avR2(3024, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1491, nGC_1489/))

      call avR2(3024, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1492, nGC_1490/))

      allocate(vertices(5224)%branchR2(0:1))
      call avR2(5224, 0, 141, 1, 0, VVVV0, (/2, 2/), (/nGC_1552, nGC_1552,     &
      nGC_1552/))

      call avR2(5224, 1, 142, 1, 0, VVVV0, (/2, 2/), (/nGC_1551, nGC_1551,     &
      nGC_1551/))

      allocate(vertices(2515)%branchR2(0:0))
      call avR2(2515, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1561/))

      allocate(vertices(1918)%branchR2(0:1))
      call avR2(1918, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1414, nGC_1412/))

      call avR2(1918, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1415, nGC_1413/))

      allocate(vertices(5225)%branchR2(0:0))
      call avR2(5225, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1582/))

      allocate(vertices(2599)%branchR2(0:0))
      call avR2(2599, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1467/))

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1546/))

    end subroutine fill_vertices_mdl12
end module vertices_info12
