!******************************************************************************!
!                                                                              !
!    vertices_info7.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info7.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info7
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl7()
      allocate(vertices(4800)%branch(0:0))
      call av(4800, 0, 87, 1, 0, VFFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4801)%branch(0:0))
      call av(4801, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(4802)%branch(0:0))
      call av(4802, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4803)%branch(0:0))
      call av(4803, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4804)%branch(0:0))
      call av(4804, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4805)%branch(0:0))
      call av(4805, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4806)%branch(0:0))
      call av(4806, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4807)%branch(0:0))
      call av(4807, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_28/))

      allocate(vertices(4808)%branch(0:0))
      call av(4808, 0, 1, 1, 0, SSV1, (/0, 1/), (/nGC_577/))

      allocate(vertices(4809)%branch(0:0))
      call av(4809, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4810)%branch(0:0))
      call av(4810, 0, 1, 1, 0, UaUV1, (/0, 1/), (/nGC_555/))

      allocate(vertices(4811)%branch(0:0))
      call av(4811, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4812)%branch(0:0))
      call av(4812, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4813)%branch(0:0))
      call av(4813, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4814)%branch(0:0))
      call av(4814, 0, 1, 1, 0, VVV1, (/0, 1/), (/nGC_555/))

      allocate(vertices(4815)%branch(0:0))
      call av(4815, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_55/))

      allocate(vertices(4816)%branch(0:0))
      call av(4816, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4817)%branch(0:0))
      call av(4817, 0, 1, 1, 0, VUUa0, (/0, 1/), (/nGC_575/))

      allocate(vertices(4818)%branch(0:0))
      call av(4818, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4819)%branch(0:0))
      call av(4819, 0, 0, 1, 0, UaSSU0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4820)%branch(0:0))
      call av(4820, 0, 1, 1, 0, FaFV1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4821)%branch(0:0))
      call av(4821, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4822)%branch(0:0))
      call av(4822, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4823)%branch(0:0))
      call av(4823, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4824)%branch(0:0))
      call av(4824, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_156/))

      allocate(vertices(4825)%branch(0:0))
      call av(4825, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4826)%branch(0:0))
      call av(4826, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_63/))

      allocate(vertices(4827)%branch(0:0))
      call av(4827, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(4828)%branch(0:0))
      call av(4828, 0, 83, 1, 0, FaFS0, (/0, 1/), (/nGC_213, nGC_197/))

      allocate(vertices(4829)%branch(0:0))
      call av(4829, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_147/))

      allocate(vertices(4830)%branch(0:0))
      call av(4830, 0, 1, 1, 0, SUaU0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4831)%branch(0:0))
      call av(4831, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4832)%branch(0:0))
      call av(4832, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_47/))

      allocate(vertices(4833)%branch(0:0))
      call av(4833, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4834)%branch(0:0))
      call av(4834, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4835)%branch(0:0))
      call av(4835, 0, 1, 1, 0, VSS1, (/0, 1/), (/nGC_631/))

      allocate(vertices(4836)%branch(0:0))
      call av(4836, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_161/))

      allocate(vertices(4837)%branch(0:0))
      call av(4837, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4838)%branch(0:0))
      call av(4838, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(4839)%branch(0:0))
      call av(4839, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4840)%branch(0:0))
      call av(4840, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4841)%branch(0:0))
      call av(4841, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4842)%branch(0:0))
      call av(4842, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4843)%branch(0:0))
      call av(4843, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_136/))

      allocate(vertices(4844)%branch(0:0))
      call av(4844, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_133/))

      allocate(vertices(4845)%branch(0:0))
      call av(4845, 0, 0, 1, 0, SVVS0, (/0, 2/), (/nGC_82/))

      allocate(vertices(4846)%branch(0:0))
      call av(4846, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4847)%branch(0:0))
      call av(4847, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_185/))

      allocate(vertices(4848)%branch(0:0))
      call av(4848, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4849)%branch(0:0))
      call av(4849, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_197, nGC_213/))

      allocate(vertices(4850)%branch(0:0))
      call av(4850, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4851)%branch(0:0))
      call av(4851, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4852)%branch(0:0))
      call av(4852, 0, 1, 1, 0, UaSU0, (/0, 1/), (/nGC_167/))

      allocate(vertices(4853)%branch(0:0))
      call av(4853, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4854)%branch(0:0))
      call av(4854, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_619, nGC_621, nGC_10/))

      allocate(vertices(4855)%branch(0:0))
      call av(4855, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_50/))

      allocate(vertices(4856)%branch(0:0))
      call av(4856, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4857)%branch(0:0))
      call av(4857, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_154/))

      allocate(vertices(4858)%branch(0:0))
      call av(4858, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_94/))

      allocate(vertices(4859)%branch(0:0))
      call av(4859, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4860)%branch(0:0))
      call av(4860, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4861)%branch(0:0))
      call av(4861, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_64/))

      allocate(vertices(4862)%branch(0:0))
      call av(4862, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_120/))

      allocate(vertices(4863)%branch(0:0))
      call av(4863, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4864)%branch(0:0))
      call av(4864, 0, 83, 1, 0, FaFS0, (/0, 1/), (/nGC_197, nGC_213/))

      allocate(vertices(4865)%branch(0:0))
      call av(4865, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_54/))

      allocate(vertices(4866)%branch(0:0))
      call av(4866, 0, 87, 1, 0, SFFa0, (/0, 1/), (/nGC_203, nGC_203/))

      allocate(vertices(4867)%branch(0:1))
      call av(4867, 0, 91, 3, 0, FaFV1, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4867, 1, 90, 2, 0, FaFV1, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4868)%branch(0:0))
      call av(4868, 0, 0, 1, 0, SUaUS0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4869)%branch(0:0))
      call av(4869, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_631/))

      allocate(vertices(4870)%branch(0:0))
      call av(4870, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4871)%branch(0:0))
      call av(4871, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_115/))

      allocate(vertices(4872)%branch(0:0))
      call av(4872, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4873)%branch(0:0))
      call av(4873, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_152/))

      allocate(vertices(4874)%branch(0:0))
      call av(4874, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_71/))

      allocate(vertices(4875)%branch(0:0))
      call av(4875, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4876)%branch(0:0))
      call av(4876, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4877)%branch(0:0))
      call av(4877, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_9/))

      allocate(vertices(4878)%branch(0:0))
      call av(4878, 0, 0, 1, 0, UVVUa0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4879)%branch(0:0))
      call av(4879, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4880)%branch(0:0))
      call av(4880, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4881)%branch(0:0))
      call av(4881, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4882)%branch(0:0))
      call av(4882, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4883)%branch(0:0))
      call av(4883, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(4884)%branch(0:0))
      call av(4884, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_13/))

      allocate(vertices(4885)%branch(0:0))
      call av(4885, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4886)%branch(0:0))
      call av(4886, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_219, nGC_219/))

      allocate(vertices(4887)%branch(0:0))
      call av(4887, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4888)%branch(0:0))
      call av(4888, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4889)%branch(0:0))
      call av(4889, 0, 0, 1, 0, VVSS0, (/0, 2/), (/nGC_121/))

      allocate(vertices(4890)%branch(0:0))
      call av(4890, 0, 1, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4891)%branch(0:0))
      call av(4891, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_110/))

      allocate(vertices(4892)%branch(0:0))
      call av(4892, 0, 86, 1, 0, VFaF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4893)%branch(0:0))
      call av(4893, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_56/))

      allocate(vertices(4894)%branch(0:0))
      call av(4894, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4895)%branch(0:0))
      call av(4895, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4896)%branch(0:0))
      call av(4896, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_144/))

      allocate(vertices(4897)%branch(0:0))
      call av(4897, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_84, nGC_84, nGC_85/))

      allocate(vertices(4898)%branch(0:0))
      call av(4898, 0, 1, 1, 0, SFFa0, (/0, 1/), (/nGC_208, nGC_208/))

      allocate(vertices(4899)%branch(0:0))
      call av(4899, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_132/))

      allocate(vertices(4900)%branch(0:1))
      call av(4900, 0, 88, 2, 0, FaVF0, (/1, 0/), (/nGC_19, nGC_19/))

      call av(4900, 1, 89, 3, 0, FaVF0, (/1, 0/), (/nGC_19, nGC_19/))

      allocate(vertices(4901)%branch(0:0))
      call av(4901, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_92/))

      allocate(vertices(4902)%branch(0:0))
      call av(4902, 0, 1, 1, 0, SSV0, (/0, 1/), (/nGC_601/))

      allocate(vertices(4903)%branch(0:0))
      call av(4903, 0, 0, 1, 0, SVSV0, (/0, 2/), (/nGC_141/))

      allocate(vertices(4904)%branch(0:0))
      call av(4904, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_8/))

      allocate(vertices(4905)%branch(0:0))
      call av(4905, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4906)%branch(0:0))
      call av(4906, 0, 1, 1, 0, VSS0, (/0, 1/), (/nGC_117/))

      allocate(vertices(4907)%branch(0:0))
      call av(4907, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_134/))

      allocate(vertices(4908)%branch(0:0))
      call av(4908, 0, 1, 1, 0, FFaS1, (/0, 1/), (/nGC_221/))

      allocate(vertices(4909)%branch(0:0))
      call av(4909, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_107/))

      allocate(vertices(4910)%branch(0:0))
      call av(4910, 0, 0, 1, 0, UaUSS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4911)%branch(0:0))
      call av(4911, 0, 83, 1, 0, FaFV1, (/0, 1/), (/nGC_125, nGC_122/))

      allocate(vertices(4912)%branch(0:0))
      call av(4912, 0, 0, 1, 0, VUVUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4913)%branch(0:0))
      call av(4913, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_10/))

      allocate(vertices(4914)%branch(0:0))
      call av(4914, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4915)%branch(0:0))
      call av(4915, 0, 1, 1, 0, VVS0, (/0, 1/), (/nGC_177/))

      allocate(vertices(4916)%branch(0:0))
      call av(4916, 0, 1, 1, 0, FaFS1, (/0, 1/), (/nGC_221/))

      allocate(vertices(4917)%branch(0:0))
      call av(4917, 0, 0, 1, 0, UUaVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4918)%branch(0:0))
      call av(4918, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(4919)%branch(0:0))
      call av(4919, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(4920)%branch(0:0))
      call av(4920, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4921)%branch(0:0))
      call av(4921, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_73/))

      allocate(vertices(4922)%branch(0:0))
      call av(4922, 0, 0, 1, 0, UaVVU0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4923)%branch(0:0))
      call av(4923, 0, 1, 1, 0, VFFa0, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(4924)%branch(0:0))
      call av(4924, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(4925)%branch(0:0))
      call av(4925, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(4926)%branch(0:0))
      call av(4926, 0, 86, 1, 0, SFaF0, (/0, 1/), (/nGC_202, nGC_587/))

      allocate(vertices(4927)%branch(0:0))
      call av(4927, 0, 1, 1, 0, FaFV0, (/0, 1/), (/nGC_99/))

      allocate(vertices(4928)%branch(0:0))
      call av(4928, 0, 1, 1, 0, VUUa0, (/0, 1/), (/nGC_525/))

      allocate(vertices(4929)%branch(0:0))
      call av(4929, 0, 0, 1, 0, VVUaU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4930)%branch(0:0))
      call av(4930, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_184/))

      allocate(vertices(4931)%branch(0:0))
      call av(4931, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4932)%branch(0:0))
      call av(4932, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_90/))

      allocate(vertices(4933)%branch(0:0))
      call av(4933, 0, 84, 1, 0, FaSF0, (/0, 1/), (/nGC_216, nGC_216/))

      allocate(vertices(4934)%branch(0:0))
      call av(4934, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_95/))

      allocate(vertices(4935)%branch(0:0))
      call av(4935, 0, 0, 1, 0, SSSS0, (/0, 2/), (/nGC_29/))

      allocate(vertices(4936)%branch(0:0))
      call av(4936, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_108/))

      allocate(vertices(4937)%branch(0:0))
      call av(4937, 0, 1, 1, 0, UUaS0, (/0, 1/), (/nGC_157/))

      allocate(vertices(4938)%branch(0:0))
      call av(4938, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(4939)%branch(0:0))
      call av(4939, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4940)%branch(0:0))
      call av(4940, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_78/))

      allocate(vertices(4941)%branch(0:0))
      call av(4941, 0, 1, 1, 0, SVV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(4942)%branch(0:0))
      call av(4942, 0, 87, 1, 0, VFFa1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4943)%branch(0:0))
      call av(4943, 0, 0, 1, 0, VVUUa0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4944)%branch(0:0))
      call av(4944, 0, 0, 1, 0, USSUa0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4945)%branch(0:0))
      call av(4945, 0, 0, 1, 0, SSVV0, (/0, 2/), (/nGC_90/))

      allocate(vertices(4946)%branch(0:0))
      call av(4946, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(4947)%branch(0:0))
      call av(4947, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_116, nGC_547, nGC_547/))

      allocate(vertices(4948)%branch(0:0))
      call av(4948, 0, 0, 1, 0, SUSUa0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4949)%branch(0:0))
      call av(4949, 0, 0, 1, 0, VSSV0, (/0, 2/), (/nGC_147/))

      allocate(vertices(4950)%branch(0:0))
      call av(4950, 0, 1, 1, 0, SVS0, (/0, 1/), (/nGC_625/))

      allocate(vertices(4951)%branch(0:0))
      call av(4951, 0, 0, 1, 0, SUaSU0, (/0, 2/), (/nGC_89/))

      allocate(vertices(4952)%branch(0:0))
      call av(4952, 0, 1, 1, 0, FFaV1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4953)%branch(0:0))
      call av(4953, 0, 0, 1, 0, VUUaV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4954)%branch(0:0))
      call av(4954, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_7/))

      allocate(vertices(4955)%branch(0:0))
      call av(4955, 0, 0, 1, 0, UUaSS0, (/0, 2/), (/nGC_69/))

      allocate(vertices(4956)%branch(0:0))
      call av(4956, 0, 1, 1, 0, FaVF1, (/0, 1/), (/nGC_99/))

      allocate(vertices(4957)%branch(0:0))
      call av(4957, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4958)%branch(0:0))
      call av(4958, 0, 0, 1, 0, SSUUa0, (/0, 2/), (/nGC_137/))

      allocate(vertices(4959)%branch(0:0))
      call av(4959, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_62/))

      allocate(vertices(4960)%branch(0:0))
      call av(4960, 0, 0, 1, 0, VVVV0, (/0, 2/), (/nGC_619, nGC_621, nGC_10/))

      allocate(vertices(4961)%branch(0:0))
      call av(4961, 0, 0, 1, 0, UVUaV0, (/0, 2/), (/nGC_113/))

      allocate(vertices(4962)%branch(0:0))
      call av(4962, 0, 84, 1, 0, FaVF0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(4963)%branch(0:0))
      call av(4963, 0, 0, 1, 0, VUaUV0, (/0, 2/), (/nGC_86/))

      allocate(vertices(4964)%branch(0:0))
      call av(4964, 0, 0, 1, 0, UaVUV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4965)%branch(0:0))
      call av(4965, 0, 1, 1, 0, VSV0, (/0, 1/), (/nGC_166/))

      allocate(vertices(4966)%branch(0:0))
      call av(4966, 0, 0, 1, 0, UaSUS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4967)%branch(0:0))
      call av(4967, 0, 0, 1, 0, VUaVU0, (/0, 2/), (/nGC_114/))

      allocate(vertices(4968)%branch(0:0))
      call av(4968, 0, 0, 1, 0, USUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4969)%branch(0:0))
      call av(4969, 0, 0, 1, 0, SSUaU0, (/0, 2/), (/nGC_111/))

      allocate(vertices(4970)%branch(0:0))
      call av(4970, 0, 87, 1, 0, SFFa0, (/0, 1/), (/nGC_219, nGC_219/))

      allocate(vertices(4971)%branch(0:0))
      call av(4971, 0, 0, 1, 0, VSVS0, (/0, 2/), (/nGC_141/))

      allocate(vertices(4972)%branch(0:0))
      call av(4972, 0, 1, 1, 0, SSS0, (/0, 1/), (/nGC_190/))

      allocate(vertices(4973)%branch(0:0))
      call av(4973, 0, 0, 1, 0, SUUaS0, (/0, 2/), (/nGC_119/))

      allocate(vertices(4974)%branch(0:0))
      call av(4974, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(4975)%branch(0:0))
      call av(4975, 0, 0, 1, 0, UaUVV0, (/0, 2/), (/nGC_83/))

      allocate(vertices(3)%branchCT(0:0))
      call avCT(3, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2398)%branchCT(0:1))
      call avCT(2398, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1845, nGC_1847/))

      call avCT(2398, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1846, nGC_1848/))

      allocate(vertices(1)%branchCT(0:0))
      call avCT(1, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2)%branchCT(0:1))
      call avCT(2, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1849, nGC_1851/))

      call avCT(2, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(2397)%branchCT(0:0))
      call avCT(2397, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4)%branchCT(0:0))
      call avCT(4, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1854, nGC_1854/))

      allocate(vertices(4919)%branchCT(0:0))
      call avCT(4919, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2402)%branchCT(0:0))
      call avCT(2402, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1857/))

      allocate(vertices(2403)%branchCT(0:0))
      call avCT(2403, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2915)%branchCT(0:0))
      call avCT(2915, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4531)%branchCT(0:0))
      call avCT(4531, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(4976)%branchCT(0:0))
      call avCT(4976, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3928)%branchCT(0:0))
      call avCT(3928, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(72)%branchCT(0:0))
      call avCT(72, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(15)%branchCT(0:0))
      call avCT(15, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(2411)%branchCT(0:0))
      call avCT(2411, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1866/))

      allocate(vertices(18)%branchCT(0:0))
      call avCT(18, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1868, nGC_1869/))

      allocate(vertices(20)%branchCT(0:0))
      call avCT(20, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2415)%branchCT(0:0))
      call avCT(2415, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(2416)%branchCT(0:0))
      call avCT(2416, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(2417)%branchCT(0:0))
      call avCT(2417, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(2419)%branchCT(0:0))
      call avCT(2419, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1875/))

      allocate(vertices(135)%branchCT(0:0))
      call avCT(135, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2421)%branchCT(0:1))
      call avCT(2421, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1877/))

      call avCT(2421, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1878/))

      allocate(vertices(25)%branchCT(0:0))
      call avCT(25, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2424)%branchCT(0:0))
      call avCT(2424, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2425)%branchCT(0:0))
      call avCT(2425, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2426)%branchCT(0:0))
      call avCT(2426, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(29)%branchCT(0:0))
      call avCT(29, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1881/))

      allocate(vertices(1525)%branchCT(0:0))
      call avCT(1525, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(30)%branchCT(0:0))
      call avCT(30, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(31)%branchCT(0:1))
      call avCT(31, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1882, nGC_1884/))

      call avCT(31, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1883, nGC_1885/))

      allocate(vertices(32)%branchCT(0:0))
      call avCT(32, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(191)%branchCT(0:3))
      call avCT(191, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(191, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1886, nGC_1888/))

      call avCT(191, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(191, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1886, nGC_1888/))

      allocate(vertices(2401)%branchCT(0:0))
      call avCT(2401, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3062)%branchCT(0:0))
      call avCT(3062, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(204)%branchCT(0:0))
      call avCT(204, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4870)%branchCT(0:0))
      call avCT(4870, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(2434)%branchCT(0:5))
      call avCT(2434, 0, 44, 6, 0, UaVUV0, (/4, 0/), (/nGC_1892/))

      call avCT(2434, 1, 41, 6, 0, UaVUV0, (/4, 0/), (/nGC_1892/))

      call avCT(2434, 2, 45, 7, 0, UaVUV0, (/4, 0/), (/nGC_1893/))

      call avCT(2434, 3, 46, 7, 0, UaVUV0, (/4, 0/), (/nGC_1893/))

      call avCT(2434, 4, 43, 6, 0, UaVUV0, (/4, 0/), (/nGC_1892/))

      call avCT(2434, 5, 42, 6, 0, UaVUV0, (/4, 0/), (/nGC_1892/))

      allocate(vertices(2435)%branchCT(0:0))
      call avCT(2435, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(3398)%branchCT(0:1))
      call avCT(3398, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1895, nGC_1897/))

      call avCT(3398, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1896, nGC_1898/))

      allocate(vertices(37)%branchCT(0:1))
      call avCT(37, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1899, nGC_1899/))

      call avCT(37, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1900, nGC_1900/))

      allocate(vertices(2855)%branchCT(0:0))
      call avCT(2855, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2438)%branchCT(0:0))
      call avCT(2438, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(40)%branchCT(0:0))
      call avCT(40, 0, 1, 1, 0, FFaS1, (/0, 3/), (/nGC_1903/))

      allocate(vertices(2440)%branchCT(0:0))
      call avCT(2440, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(41)%branchCT(0:0))
      call avCT(41, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1854, nGC_1854/))

      allocate(vertices(4977)%branchCT(0:0))
      call avCT(4977, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3318)%branchCT(0:0))
      call avCT(3318, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(2443)%branchCT(0:1))
      call avCT(2443, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1907, nGC_1909/))

      call avCT(2443, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1908, nGC_1910/))

      allocate(vertices(2444)%branchCT(0:0))
      call avCT(2444, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(44)%branchCT(0:0))
      call avCT(44, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(285)%branchCT(0:1))
      call avCT(285, 0, 2, 4, 0, VVV0, (/3, 0/), (/nGC_1911/))

      call avCT(285, 1, 3, 5, 0, VVV0, (/3, 0/), (/nGC_1911/))

      allocate(vertices(2448)%branchCT(0:0))
      call avCT(2448, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(815)%branchCT(0:0))
      call avCT(815, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(48)%branchCT(0:1))
      call avCT(48, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1913, nGC_1913/))

      call avCT(48, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1914, nGC_1914/))

      allocate(vertices(2450)%branchCT(0:0))
      call avCT(2450, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2451)%branchCT(0:0))
      call avCT(2451, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(2452)%branchCT(0:0))
      call avCT(2452, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2453)%branchCT(0:0))
      call avCT(2453, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(50)%branchCT(0:0))
      call avCT(50, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1918/))

      allocate(vertices(2404)%branchCT(0:0))
      call avCT(2404, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2456)%branchCT(0:0))
      call avCT(2456, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1207)%branchCT(0:0))
      call avCT(1207, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(1998)%branchCT(0:0))
      call avCT(1998, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2461)%branchCT(0:0))
      call avCT(2461, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2463)%branchCT(0:0))
      call avCT(2463, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(55)%branchCT(0:0))
      call avCT(55, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1195)%branchCT(0:1))
      call avCT(1195, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1877/))

      call avCT(1195, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(57)%branchCT(0:0))
      call avCT(57, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(59)%branchCT(0:0))
      call avCT(59, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(62)%branchCT(0:0))
      call avCT(62, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2469)%branchCT(0:1))
      call avCT(2469, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1921, nGC_1923/))

      call avCT(2469, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1922, nGC_1924/))

      allocate(vertices(424)%branchCT(0:0))
      call avCT(424, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(2472)%branchCT(0:0))
      call avCT(2472, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4978)%branchCT(0:0))
      call avCT(4978, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1925/))

      allocate(vertices(2407)%branchCT(0:0))
      call avCT(2407, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1926/))

      allocate(vertices(2474)%branchCT(0:0))
      call avCT(2474, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3239)%branchCT(0:0))
      call avCT(3239, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(1747)%branchCT(0:0))
      call avCT(1747, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2409)%branchCT(0:0))
      call avCT(2409, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(2479)%branchCT(0:0))
      call avCT(2479, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2410)%branchCT(0:0))
      call avCT(2410, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1927/))

      allocate(vertices(4979)%branchCT(0:0))
      call avCT(4979, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2482)%branchCT(0:1))
      call avCT(2482, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1929, nGC_1929/))

      call avCT(2482, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1930, nGC_1930/))

      allocate(vertices(80)%branchCT(0:0))
      call avCT(80, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2486)%branchCT(0:0))
      call avCT(2486, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1854, nGC_1854/))

      allocate(vertices(81)%branchCT(0:0))
      call avCT(81, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1931/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2490)%branchCT(0:0))
      call avCT(2490, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4838)%branchCT(0:0))
      call avCT(4838, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(2491)%branchCT(0:0))
      call avCT(2491, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933,       &
      nGC_1932/))

      allocate(vertices(4980)%branchCT(0:0))
      call avCT(4980, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1934, nGC_1935/))

      allocate(vertices(85)%branchCT(0:1))
      call avCT(85, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1936, nGC_1938/))

      call avCT(85, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1937, nGC_1939/))

      allocate(vertices(2497)%branchCT(0:0))
      call avCT(2497, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(88)%branchCT(0:0))
      call avCT(88, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(89)%branchCT(0:0))
      call avCT(89, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_1940/))

      allocate(vertices(824)%branchCT(0:0))
      call avCT(824, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(550)%branchCT(0:0))
      call avCT(550, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(92)%branchCT(0:0))
      call avCT(92, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1918/))

      allocate(vertices(558)%branchCT(0:0))
      call avCT(558, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4981)%branchCT(0:1))
      call avCT(4981, 0, 16, 8, 0, VV0, (/2, 0/), (/nGC_1941, nGC_1942/))

      call avCT(4981, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_1941, nGC_1942/))

      allocate(vertices(575)%branchCT(0:0))
      call avCT(575, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(4065)%branchCT(0:0))
      call avCT(4065, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4541)%branchCT(0:0))
      call avCT(4541, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2508)%branchCT(0:0))
      call avCT(2508, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(96)%branchCT(0:1))
      call avCT(96, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(96, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(2510)%branchCT(0:0))
      call avCT(2510, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2512)%branchCT(0:0))
      call avCT(2512, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(98)%branchCT(0:0))
      call avCT(98, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(2514)%branchCT(0:0))
      call avCT(2514, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(2515)%branchCT(0:0))
      call avCT(2515, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2516)%branchCT(0:0))
      call avCT(2516, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2517)%branchCT(0:1))
      call avCT(2517, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1929, nGC_1929/))

      call avCT(2517, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1930, nGC_1930/))

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2521)%branchCT(0:1))
      call avCT(2521, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1949, nGC_1951/))

      call avCT(2521, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1950, nGC_1952/))

      allocate(vertices(641)%branchCT(0:0))
      call avCT(641, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2849)%branchCT(0:0))
      call avCT(2849, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(2524)%branchCT(0:0))
      call avCT(2524, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4106)%branchCT(0:0))
      call avCT(4106, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(22)%branchCT(0:0))
      call avCT(22, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(2528)%branchCT(0:0))
      call avCT(2528, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2006)%branchCT(0:0))
      call avCT(2006, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(111)%branchCT(0:0))
      call avCT(111, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(682)%branchCT(0:0))
      call avCT(682, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1955/))

      allocate(vertices(4090)%branchCT(0:0))
      call avCT(4090, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(2177)%branchCT(0:0))
      call avCT(2177, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(2535)%branchCT(0:0))
      call avCT(2535, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(2536)%branchCT(0:0))
      call avCT(2536, 0, 1, 1, 0, FSFa2, (/0, 3/), (/nGC_1903/))

      allocate(vertices(118)%branchCT(0:0))
      call avCT(118, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2539)%branchCT(0:0))
      call avCT(2539, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(121)%branchCT(0:0))
      call avCT(121, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(122)%branchCT(0:0))
      call avCT(122, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(2542)%branchCT(0:0))
      call avCT(2542, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(124)%branchCT(0:0))
      call avCT(124, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4381)%branchCT(0:1))
      call avCT(4381, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1907, nGC_1909/))

      call avCT(4381, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1908, nGC_1910/))

      allocate(vertices(743)%branchCT(0:0))
      call avCT(743, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(127)%branchCT(0:0))
      call avCT(127, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(2547)%branchCT(0:0))
      call avCT(2547, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3248)%branchCT(0:0))
      call avCT(3248, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(130)%branchCT(0:0))
      call avCT(130, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2549)%branchCT(0:0))
      call avCT(2549, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(131)%branchCT(0:0))
      call avCT(131, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2552)%branchCT(0:0))
      call avCT(2552, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2420)%branchCT(0:0))
      call avCT(2420, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1702)%branchCT(0:0))
      call avCT(1702, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2555)%branchCT(0:0))
      call avCT(2555, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(2556)%branchCT(0:1))
      call avCT(2556, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_1957/))

      call avCT(2556, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(2221)%branchCT(0:0))
      call avCT(2221, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2557)%branchCT(0:0))
      call avCT(2557, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4982)%branchCT(0:0))
      call avCT(4982, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1959/))

      allocate(vertices(138)%branchCT(0:0))
      call avCT(138, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(140)%branchCT(0:0))
      call avCT(140, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_1960, nGC_1961/))

      allocate(vertices(436)%branchCT(0:0))
      call avCT(436, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(141)%branchCT(0:0))
      call avCT(141, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2562)%branchCT(0:0))
      call avCT(2562, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1962/))

      allocate(vertices(2563)%branchCT(0:0))
      call avCT(2563, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(1903)%branchCT(0:0))
      call avCT(1903, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2268)%branchCT(0:0))
      call avCT(2268, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(147)%branchCT(0:1))
      call avCT(147, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1899, nGC_1899/))

      call avCT(147, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1900, nGC_1900/))

      allocate(vertices(2476)%branchCT(0:0))
      call avCT(2476, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3664)%branchCT(0:0))
      call avCT(3664, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2568)%branchCT(0:0))
      call avCT(2568, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2569)%branchCT(0:0))
      call avCT(2569, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(4983)%branchCT(0:0))
      call avCT(4983, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1925/))

      allocate(vertices(4984)%branchCT(0:0))
      call avCT(4984, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(2572)%branchCT(0:0))
      call avCT(2572, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(151)%branchCT(0:0))
      call avCT(151, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4444)%branchCT(0:0))
      call avCT(4444, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1962/))

      allocate(vertices(153)%branchCT(0:0))
      call avCT(153, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(154)%branchCT(0:0))
      call avCT(154, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(155)%branchCT(0:1))
      call avCT(155, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1921, nGC_1923/))

      call avCT(155, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1922, nGC_1924/))

      allocate(vertices(2575)%branchCT(0:0))
      call avCT(2575, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(157)%branchCT(0:1))
      call avCT(157, 0, 85, 1, 0, FVFa1, (/0, 3/), (/nGC_1957/))

      call avCT(157, 1, 85, 1, 0, FVFa1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(2577)%branchCT(0:0))
      call avCT(2577, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4166)%branchCT(0:0))
      call avCT(4166, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2578)%branchCT(0:0))
      call avCT(2578, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(161)%branchCT(0:0))
      call avCT(161, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(162)%branchCT(0:1))
      call avCT(162, 0, 2, 4, 0, UaUV0, (/3, 0/), (/nGC_1966/))

      call avCT(162, 1, 3, 5, 0, UaUV0, (/3, 0/), (/nGC_1966/))

      allocate(vertices(2582)%branchCT(0:0))
      call avCT(2582, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(927)%branchCT(0:3))
      call avCT(927, 0, 92, 2, 0, FVFa0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(927, 1, 92, 2, 0, FVFa0, (/3, 0/), (/nGC_1967, nGC_1969/))

      call avCT(927, 2, 93, 3, 0, FVFa0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(927, 3, 93, 3, 0, FVFa0, (/3, 0/), (/nGC_1967, nGC_1969/))

      allocate(vertices(1864)%branchCT(0:0))
      call avCT(1864, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      allocate(vertices(4413)%branchCT(0:0))
      call avCT(4413, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1323)%branchCT(0:0))
      call avCT(1323, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1926/))

      allocate(vertices(2585)%branchCT(0:0))
      call avCT(2585, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(2586)%branchCT(0:0))
      call avCT(2586, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4985)%branchCT(0:0))
      call avCT(4985, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(1450)%branchCT(0:0))
      call avCT(1450, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(439)%branchCT(0:0))
      call avCT(439, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4986)%branchCT(0:0))
      call avCT(4986, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2202)%branchCT(0:0))
      call avCT(2202, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(175)%branchCT(0:0))
      call avCT(175, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933,        &
      nGC_1932/))

      allocate(vertices(176)%branchCT(0:0))
      call avCT(176, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(177)%branchCT(0:1))
      call avCT(177, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(177, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(178)%branchCT(0:0))
      call avCT(178, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2305)%branchCT(0:0))
      call avCT(2305, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2595)%branchCT(0:1))
      call avCT(2595, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1976, nGC_1976/))

      call avCT(2595, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1009)%branchCT(0:0))
      call avCT(1009, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(440)%branchCT(0:0))
      call avCT(440, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2597)%branchCT(0:0))
      call avCT(2597, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2598)%branchCT(0:1))
      call avCT(2598, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(2598, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(2858)%branchCT(0:0))
      call avCT(2858, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(2600)%branchCT(0:0))
      call avCT(2600, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1940/))

      allocate(vertices(2601)%branchCT(0:0))
      call avCT(2601, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(4987)%branchCT(0:0))
      call avCT(4987, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2603)%branchCT(0:1))
      call avCT(2603, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1884, nGC_1882/))

      call avCT(2603, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1885, nGC_1883/))

      allocate(vertices(3255)%branchCT(0:0))
      call avCT(3255, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(184)%branchCT(0:0))
      call avCT(184, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(1063)%branchCT(0:0))
      call avCT(1063, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4988)%branchCT(0:0))
      call avCT(4988, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1072)%branchCT(0:0))
      call avCT(1072, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2429)%branchCT(0:0))
      call avCT(2429, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1857/))

      allocate(vertices(1097)%branchCT(0:0))
      call avCT(1097, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(193)%branchCT(0:1))
      call avCT(193, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(193, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4989)%branchCT(0:0))
      call avCT(4989, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_1986/))

      allocate(vertices(3299)%branchCT(0:0))
      call avCT(3299, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1121)%branchCT(0:0))
      call avCT(1121, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1987/))

      allocate(vertices(200)%branchCT(0:0))
      call avCT(200, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1606/))

      allocate(vertices(444)%branchCT(0:0))
      call avCT(444, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2620)%branchCT(0:0))
      call avCT(2620, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(202)%branchCT(0:0))
      call avCT(202, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2623)%branchCT(0:0))
      call avCT(2623, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(206)%branchCT(0:0))
      call avCT(206, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2624)%branchCT(0:1))
      call avCT(2624, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(2624, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(2625)%branchCT(0:0))
      call avCT(2625, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4812)%branchCT(0:0))
      call avCT(4812, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(2627)%branchCT(0:0))
      call avCT(2627, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2628)%branchCT(0:0))
      call avCT(2628, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1994, nGC_1994/))

      allocate(vertices(4990)%branchCT(0:0))
      call avCT(4990, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1995, nGC_1996/))

      allocate(vertices(2629)%branchCT(0:3))
      call avCT(2629, 0, 92, 2, 0, FVFa0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(2629, 1, 92, 2, 0, FVFa0, (/3, 0/), (/nGC_1997, nGC_1999/))

      call avCT(2629, 2, 93, 3, 0, FVFa0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(2629, 3, 93, 3, 0, FVFa0, (/3, 0/), (/nGC_1997, nGC_1999/))

      allocate(vertices(2630)%branchCT(0:0))
      call avCT(2630, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(213)%branchCT(0:0))
      call avCT(213, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(214)%branchCT(0:0))
      call avCT(214, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1866/))

      allocate(vertices(1316)%branchCT(0:0))
      call avCT(1316, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2001/))

      allocate(vertices(2633)%branchCT(0:0))
      call avCT(2633, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2635)%branchCT(0:0))
      call avCT(2635, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(217)%branchCT(0:0))
      call avCT(217, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1230)%branchCT(0:0))
      call avCT(1230, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1239)%branchCT(0:0))
      call avCT(1239, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1861)%branchCT(0:0))
      call avCT(1861, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(220)%branchCT(0:0))
      call avCT(220, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2640)%branchCT(0:0))
      call avCT(2640, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(224)%branchCT(0:0))
      call avCT(224, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2641)%branchCT(0:1))
      call avCT(2641, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1921, nGC_1923/))

      call avCT(2641, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1922, nGC_1924/))

      allocate(vertices(1233)%branchCT(0:0))
      call avCT(1233, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2643)%branchCT(0:0))
      call avCT(2643, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2644)%branchCT(0:0))
      call avCT(2644, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(225)%branchCT(0:0))
      call avCT(225, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2646)%branchCT(0:0))
      call avCT(2646, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2647)%branchCT(0:0))
      call avCT(2647, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(2648)%branchCT(0:0))
      call avCT(2648, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(231)%branchCT(0:1))
      call avCT(231, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1957/))

      call avCT(231, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(2437)%branchCT(0:0))
      call avCT(2437, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(4447)%branchCT(0:0))
      call avCT(4447, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(236)%branchCT(0:0))
      call avCT(236, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2003,        &
      nGC_2004/))

      allocate(vertices(2654)%branchCT(0:0))
      call avCT(2654, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1353)%branchCT(0:0))
      call avCT(1353, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3224)%branchCT(0:0))
      call avCT(3224, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(241)%branchCT(0:0))
      call avCT(241, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(2657)%branchCT(0:1))
      call avCT(2657, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2005, nGC_2007/))

      call avCT(2657, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2006, nGC_2008/))

      allocate(vertices(874)%branchCT(0:0))
      call avCT(874, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(246)%branchCT(0:0))
      call avCT(246, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(247)%branchCT(0:0))
      call avCT(247, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2664)%branchCT(0:1))
      call avCT(2664, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1899, nGC_1899/))

      call avCT(2664, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1900, nGC_1900/))

      allocate(vertices(1750)%branchCT(0:0))
      call avCT(1750, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(249)%branchCT(0:0))
      call avCT(249, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4991)%branchCT(0:0))
      call avCT(4991, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(847)%branchCT(0:0))
      call avCT(847, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(4992)%branchCT(0:0))
      call avCT(4992, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2189)%branchCT(0:0))
      call avCT(2189, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2669)%branchCT(0:1))
      call avCT(2669, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1957/))

      call avCT(2669, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1958/))

      allocate(vertices(3678)%branchCT(0:0))
      call avCT(3678, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1445)%branchCT(0:0))
      call avCT(1445, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(2672)%branchCT(0:0))
      call avCT(2672, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2028)%branchCT(0:0))
      call avCT(2028, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(256)%branchCT(0:0))
      call avCT(256, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(258)%branchCT(0:0))
      call avCT(258, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1631)%branchCT(0:0))
      call avCT(1631, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(260)%branchCT(0:0))
      call avCT(260, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1480)%branchCT(0:0))
      call avCT(1480, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2011/))

      allocate(vertices(1735)%branchCT(0:0))
      call avCT(1735, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(263)%branchCT(0:0))
      call avCT(263, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2681)%branchCT(0:0))
      call avCT(2681, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(3717)%branchCT(0:0))
      call avCT(3717, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(1512)%branchCT(0:0))
      call avCT(1512, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2686)%branchCT(0:1))
      call avCT(2686, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2012, nGC_2014/))

      call avCT(2686, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2013, nGC_2015/))

      allocate(vertices(1536)%branchCT(0:0))
      call avCT(1536, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3800)%branchCT(0:0))
      call avCT(3800, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2016/))

      allocate(vertices(1621)%branchCT(0:0))
      call avCT(1621, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(270)%branchCT(0:0))
      call avCT(270, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(272)%branchCT(0:0))
      call avCT(272, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(273)%branchCT(0:1))
      call avCT(273, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1899, nGC_1899/))

      call avCT(273, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1900, nGC_1900/))

      allocate(vertices(2691)%branchCT(0:0))
      call avCT(2691, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2692)%branchCT(0:0))
      call avCT(2692, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(277)%branchCT(0:0))
      call avCT(277, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(279)%branchCT(0:0))
      call avCT(279, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1590)%branchCT(0:0))
      call avCT(1590, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2697)%branchCT(0:0))
      call avCT(2697, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(282)%branchCT(0:0))
      call avCT(282, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(283)%branchCT(0:0))
      call avCT(283, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(284)%branchCT(0:0))
      call avCT(284, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(286)%branchCT(0:0))
      call avCT(286, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(287)%branchCT(0:0))
      call avCT(287, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(2841)%branchCT(0:0))
      call avCT(2841, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(289)%branchCT(0:3))
      call avCT(289, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(289, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1997, nGC_1999/))

      call avCT(289, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(289, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1997, nGC_1999/))

      allocate(vertices(2703)%branchCT(0:0))
      call avCT(2703, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(290)%branchCT(0:0))
      call avCT(290, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3932)%branchCT(0:0))
      call avCT(3932, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(2571)%branchCT(0:0))
      call avCT(2571, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(47)%branchCT(0:0))
      call avCT(47, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2018, nGC_2018/))

      allocate(vertices(3781)%branchCT(0:0))
      call avCT(3781, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1638)%branchCT(0:0))
      call avCT(1638, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(295)%branchCT(0:0))
      call avCT(295, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2712)%branchCT(0:1))
      call avCT(2712, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2019, nGC_2019/))

      call avCT(2712, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2020, nGC_2020/))

      allocate(vertices(1687)%branchCT(0:0))
      call avCT(1687, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(297)%branchCT(0:0))
      call avCT(297, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(1244)%branchCT(0:0))
      call avCT(1244, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(298)%branchCT(0:0))
      call avCT(298, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(2658)%branchCT(0:1))
      call avCT(2658, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2021, nGC_2023/))

      call avCT(2658, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2022, nGC_2024/))

      allocate(vertices(4952)%branchCT(0:0))
      call avCT(4952, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(4993)%branchCT(0:0))
      call avCT(4993, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(302)%branchCT(0:1))
      call avCT(302, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2026, nGC_2028/))

      call avCT(302, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2027, nGC_2029/))

      allocate(vertices(1727)%branchCT(0:0))
      call avCT(1727, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(305)%branchCT(0:0))
      call avCT(305, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(307)%branchCT(0:1))
      call avCT(307, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2021, nGC_2023/))

      call avCT(307, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2022, nGC_2024/))

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(310)%branchCT(0:3))
      call avCT(310, 0, 88, 2, 0, FaVF0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(310, 1, 88, 2, 0, FaVF0, (/3, 0/), (/nGC_2030, nGC_2032/))

      call avCT(310, 2, 89, 3, 0, FaVF0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(310, 3, 89, 3, 0, FaVF0, (/3, 0/), (/nGC_2030, nGC_2032/))

      allocate(vertices(2876)%branchCT(0:0))
      call avCT(2876, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(311)%branchCT(0:0))
      call avCT(311, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2725)%branchCT(0:1))
      call avCT(2725, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2026, nGC_2028/))

      call avCT(2725, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2027, nGC_2029/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(313)%branchCT(0:0))
      call avCT(313, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_1960, nGC_1961/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1781)%branchCT(0:0))
      call avCT(1781, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2263)%branchCT(0:0))
      call avCT(2263, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(318)%branchCT(0:1))
      call avCT(318, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2005, nGC_2007/))

      call avCT(318, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2006, nGC_2008/))

      allocate(vertices(319)%branchCT(0:0))
      call avCT(319, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2034/))

      allocate(vertices(2877)%branchCT(0:0))
      call avCT(2877, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(321)%branchCT(0:1))
      call avCT(321, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1877/))

      call avCT(321, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(4994)%branchCT(0:0))
      call avCT(4994, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(2040)%branchCT(0:0))
      call avCT(2040, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1833)%branchCT(0:0))
      call avCT(1833, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2923)%branchCT(0:0))
      call avCT(2923, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(327)%branchCT(0:0))
      call avCT(327, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3934)%branchCT(0:0))
      call avCT(3934, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(328)%branchCT(0:0))
      call avCT(328, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1865)%branchCT(0:0))
      call avCT(1865, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2036, nGC_2036/))

      allocate(vertices(4680)%branchCT(0:0))
      call avCT(4680, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2034/))

      allocate(vertices(3285)%branchCT(0:0))
      call avCT(3285, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(332)%branchCT(0:0))
      call avCT(332, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2038,        &
      nGC_2037/))

      allocate(vertices(2747)%branchCT(0:1))
      call avCT(2747, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1877/))

      call avCT(2747, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(2879)%branchCT(0:0))
      call avCT(2879, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(335)%branchCT(0:0))
      call avCT(335, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(336)%branchCT(0:1))
      call avCT(336, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_2040, nGC_2042/))

      call avCT(336, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_2041, nGC_2043/))

      allocate(vertices(3232)%branchCT(0:0))
      call avCT(3232, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(337)%branchCT(0:0))
      call avCT(337, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4269)%branchCT(0:0))
      call avCT(4269, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1941)%branchCT(0:0))
      call avCT(1941, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(342)%branchCT(0:0))
      call avCT(342, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(343)%branchCT(0:0))
      call avCT(343, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2044/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1963)%branchCT(0:0))
      call avCT(1963, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(347)%branchCT(0:1))
      call avCT(347, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_2045, nGC_2047/))

      call avCT(347, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_2046, nGC_2048/))

      allocate(vertices(1647)%branchCT(0:0))
      call avCT(1647, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1313)%branchCT(0:0))
      call avCT(1313, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2762)%branchCT(0:1))
      call avCT(2762, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(2762, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(54)%branchCT(0:0))
      call avCT(54, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1996)%branchCT(0:0))
      call avCT(1996, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3875)%branchCT(0:0))
      call avCT(3875, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2002)%branchCT(0:0))
      call avCT(2002, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1868, nGC_1869/))

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2914)%branchCT(0:1))
      call avCT(2914, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1849, nGC_1851/))

      call avCT(2914, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(354)%branchCT(0:0))
      call avCT(354, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2049/))

      allocate(vertices(2772)%branchCT(0:1))
      call avCT(2772, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1849, nGC_1851/))

      call avCT(2772, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(356)%branchCT(0:0))
      call avCT(356, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(357)%branchCT(0:0))
      call avCT(357, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(361)%branchCT(0:0))
      call avCT(361, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2038,        &
      nGC_2037/))

      allocate(vertices(4995)%branchCT(0:0))
      call avCT(4995, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1925/))

      allocate(vertices(2102)%branchCT(0:0))
      call avCT(2102, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1069)%branchCT(0:0))
      call avCT(1069, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4644)%branchCT(0:0))
      call avCT(4644, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2123)%branchCT(0:0))
      call avCT(2123, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3294)%branchCT(0:1))
      call avCT(3294, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1847, nGC_1845/))

      call avCT(3294, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1848, nGC_1846/))

      allocate(vertices(3960)%branchCT(0:0))
      call avCT(3960, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(373)%branchCT(0:0))
      call avCT(373, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(470)%branchCT(0:0))
      call avCT(470, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(375)%branchCT(0:0))
      call avCT(375, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3701)%branchCT(0:0))
      call avCT(3701, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2157)%branchCT(0:0))
      call avCT(2157, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(377)%branchCT(0:0))
      call avCT(377, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(4996)%branchCT(0:0))
      call avCT(4996, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(380)%branchCT(0:0))
      call avCT(380, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2186)%branchCT(0:0))
      call avCT(2186, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(381)%branchCT(0:0))
      call avCT(381, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(382)%branchCT(0:0))
      call avCT(382, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(383)%branchCT(0:1))
      call avCT(383, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(383, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(2208)%branchCT(0:0))
      call avCT(2208, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(385)%branchCT(0:0))
      call avCT(385, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(386)%branchCT(0:0))
      call avCT(386, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2802)%branchCT(0:1))
      call avCT(2802, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1895, nGC_1897/))

      call avCT(2802, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1896, nGC_1898/))

      allocate(vertices(4136)%branchCT(0:0))
      call avCT(4136, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(390)%branchCT(0:0))
      call avCT(390, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(2267)%branchCT(0:0))
      call avCT(2267, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(394)%branchCT(0:0))
      call avCT(394, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(395)%branchCT(0:1))
      call avCT(395, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2053, nGC_2055/))

      call avCT(395, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2054, nGC_2056/))

      allocate(vertices(396)%branchCT(0:0))
      call avCT(396, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(398)%branchCT(0:1))
      call avCT(398, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_2057/))

      call avCT(398, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_2058/))

      allocate(vertices(399)%branchCT(0:0))
      call avCT(399, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(4997)%branchCT(0:0))
      call avCT(4997, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(400)%branchCT(0:0))
      call avCT(400, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4941)%branchCT(0:0))
      call avCT(4941, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(402)%branchCT(0:0))
      call avCT(402, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4796)%branchCT(0:0))
      call avCT(4796, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(403)%branchCT(0:0))
      call avCT(403, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2059, nGC_2060/))

      allocate(vertices(2888)%branchCT(0:0))
      call avCT(2888, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(404)%branchCT(0:0))
      call avCT(404, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(64)%branchCT(0:0))
      call avCT(64, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(408)%branchCT(0:0))
      call avCT(408, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2061/))

      allocate(vertices(4998)%branchCT(0:0))
      call avCT(4998, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1863/))

      allocate(vertices(2056)%branchCT(0:0))
      call avCT(2056, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(412)%branchCT(0:1))
      call avCT(412, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1929, nGC_1929/))

      call avCT(412, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1930, nGC_1930/))

      allocate(vertices(2350)%branchCT(0:0))
      call avCT(2350, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1692)%branchCT(0:0))
      call avCT(1692, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(2363)%branchCT(0:1))
      call avCT(2363, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1895, nGC_1897/))

      call avCT(2363, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1896, nGC_1898/))

      allocate(vertices(3551)%branchCT(0:0))
      call avCT(3551, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2831)%branchCT(0:0))
      call avCT(2831, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4999)%branchCT(0:0))
      call avCT(4999, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3303)%branchCT(0:0))
      call avCT(3303, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(419)%branchCT(0:0))
      call avCT(419, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(5000)%branchCT(0:1))
      call avCT(5000, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2062, nGC_2064,      &
      nGC_2064, nGC_2066/))

      call avCT(5000, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2063, nGC_2065,      &
      nGC_2065, nGC_2067/))

      allocate(vertices(2835)%branchCT(0:0))
      call avCT(2835, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2836)%branchCT(0:0))
      call avCT(2836, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2068/))

      allocate(vertices(4652)%branchCT(0:0))
      call avCT(4652, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2838)%branchCT(0:0))
      call avCT(2838, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2839)%branchCT(0:0))
      call avCT(2839, 0, 1, 1, 0, FaSF2, (/0, 3/), (/nGC_1903/))

      allocate(vertices(4589)%branchCT(0:0))
      call avCT(4589, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(422)%branchCT(0:0))
      call avCT(422, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2069/))

      allocate(vertices(2842)%branchCT(0:0))
      call avCT(2842, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2032)%branchCT(0:0))
      call avCT(2032, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2843)%branchCT(0:0))
      call avCT(2843, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1270)%branchCT(0:0))
      call avCT(1270, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2470)%branchCT(0:0))
      call avCT(2470, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(1271)%branchCT(0:0))
      call avCT(1271, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(5001)%branchCT(0:0))
      call avCT(5001, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2070/))

      allocate(vertices(426)%branchCT(0:0))
      call avCT(426, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(427)%branchCT(0:0))
      call avCT(427, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(429)%branchCT(0:0))
      call avCT(429, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1320)%branchCT(0:0))
      call avCT(1320, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2523)%branchCT(0:0))
      call avCT(2523, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(430)%branchCT(0:0))
      call avCT(430, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(431)%branchCT(0:1))
      call avCT(431, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(431, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(432)%branchCT(0:0))
      call avCT(432, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2551)%branchCT(0:0))
      call avCT(2551, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(434)%branchCT(0:0))
      call avCT(434, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(2852)%branchCT(0:0))
      call avCT(2852, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2853)%branchCT(0:0))
      call avCT(2853, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(437)%branchCT(0:0))
      call avCT(437, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_1994, nGC_1994/))

      allocate(vertices(2854)%branchCT(0:0))
      call avCT(2854, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2856)%branchCT(0:0))
      call avCT(2856, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2857)%branchCT(0:0))
      call avCT(2857, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2599)%branchCT(0:0))
      call avCT(2599, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_2071/))

      allocate(vertices(1663)%branchCT(0:0))
      call avCT(1663, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(442)%branchCT(0:0))
      call avCT(442, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(753)%branchCT(0:0))
      call avCT(753, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2509)%branchCT(0:0))
      call avCT(2509, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(4596)%branchCT(0:0))
      call avCT(4596, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(448)%branchCT(0:0))
      call avCT(448, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2864)%branchCT(0:1))
      call avCT(2864, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(2864, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(2865)%branchCT(0:0))
      call avCT(2865, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(450)%branchCT(0:1))
      call avCT(450, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2057/))

      call avCT(450, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(73)%branchCT(0:0))
      call avCT(73, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2667)%branchCT(0:0))
      call avCT(2667, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(453)%branchCT(0:0))
      call avCT(453, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(455)%branchCT(0:0))
      call avCT(455, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2061/))

      allocate(vertices(456)%branchCT(0:0))
      call avCT(456, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(457)%branchCT(0:0))
      call avCT(457, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2001/))

      allocate(vertices(458)%branchCT(0:0))
      call avCT(458, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(5002)%branchCT(0:0))
      call avCT(5002, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(2871)%branchCT(0:0))
      call avCT(2871, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(461)%branchCT(0:0))
      call avCT(461, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2064)%branchCT(0:0))
      call avCT(2064, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2875)%branchCT(0:0))
      call avCT(2875, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(464)%branchCT(0:0))
      call avCT(464, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(2878)%branchCT(0:0))
      call avCT(2878, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(466)%branchCT(0:0))
      call avCT(466, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2880)%branchCT(0:0))
      call avCT(2880, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2881)%branchCT(0:0))
      call avCT(2881, 0, 1, 1, 0, SFFa1, (/0, 3/), (/nGC_2073/))

      allocate(vertices(876)%branchCT(0:0))
      call avCT(876, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1497)%branchCT(0:0))
      call avCT(1497, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2883)%branchCT(0:0))
      call avCT(2883, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(5003)%branchCT(0:0))
      call avCT(5003, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2074, nGC_2075,       &
      nGC_2075, nGC_2076/))

      allocate(vertices(5004)%branchCT(0:0))
      call avCT(5004, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2077/))

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2886)%branchCT(0:0))
      call avCT(2886, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(2887)%branchCT(0:1))
      call avCT(2887, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1921, nGC_1923/))

      call avCT(2887, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1922, nGC_1924/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1503)%branchCT(0:0))
      call avCT(1503, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(2534)%branchCT(0:0))
      call avCT(2534, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3452)%branchCT(0:0))
      call avCT(3452, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2889)%branchCT(0:1))
      call avCT(2889, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_1957/))

      call avCT(2889, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(2485)%branchCT(0:0))
      call avCT(2485, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(477)%branchCT(0:0))
      call avCT(477, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1788)%branchCT(0:0))
      call avCT(1788, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(487)%branchCT(0:0))
      call avCT(487, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(480)%branchCT(0:0))
      call avCT(480, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(488)%branchCT(0:0))
      call avCT(488, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(5005)%branchCT(0:0))
      call avCT(5005, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(2896)%branchCT(0:0))
      call avCT(2896, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(484)%branchCT(0:3))
      call avCT(484, 0, 92, 2, 0, FVFa0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(484, 1, 92, 2, 0, FVFa0, (/3, 0/), (/nGC_2030, nGC_2032/))

      call avCT(484, 2, 93, 3, 0, FVFa0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(484, 3, 93, 3, 0, FVFa0, (/3, 0/), (/nGC_2030, nGC_2032/))

      allocate(vertices(2898)%branchCT(0:0))
      call avCT(2898, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(1849)%branchCT(0:0))
      call avCT(1849, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2899)%branchCT(0:0))
      call avCT(2899, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2900)%branchCT(0:1))
      call avCT(2900, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1949, nGC_1951/))

      call avCT(2900, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1950, nGC_1952/))

      allocate(vertices(409)%branchCT(0:0))
      call avCT(409, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1284)%branchCT(0:0))
      call avCT(1284, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4587)%branchCT(0:0))
      call avCT(4587, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(490)%branchCT(0:0))
      call avCT(490, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(491)%branchCT(0:0))
      call avCT(491, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3323)%branchCT(0:0))
      call avCT(3323, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2904)%branchCT(0:0))
      call avCT(2904, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2905)%branchCT(0:0))
      call avCT(2905, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(495)%branchCT(0:0))
      call avCT(495, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(496)%branchCT(0:0))
      call avCT(496, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(2907)%branchCT(0:0))
      call avCT(2907, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(498)%branchCT(0:0))
      call avCT(498, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(1441)%branchCT(0:0))
      call avCT(1441, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(4608)%branchCT(0:0))
      call avCT(4608, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_1854, nGC_1854/))

      allocate(vertices(2911)%branchCT(0:0))
      call avCT(2911, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2912)%branchCT(0:1))
      call avCT(2912, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_2026, nGC_2028/))

      call avCT(2912, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_2027, nGC_2029/))

      allocate(vertices(2913)%branchCT(0:0))
      call avCT(2913, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(503)%branchCT(0:0))
      call avCT(503, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3002)%branchCT(0:0))
      call avCT(3002, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2080, nGC_2081/))

      allocate(vertices(2918)%branchCT(0:0))
      call avCT(2918, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(506)%branchCT(0:0))
      call avCT(506, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2004,        &
      nGC_2003/))

      allocate(vertices(1576)%branchCT(0:0))
      call avCT(1576, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2036, nGC_2036/))

      allocate(vertices(4089)%branchCT(0:0))
      call avCT(4089, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(507)%branchCT(0:0))
      call avCT(507, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5006)%branchCT(0:0))
      call avCT(5006, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(2922)%branchCT(0:0))
      call avCT(2922, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(3327)%branchCT(0:0))
      call avCT(3327, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,       &
      nGC_1932/))

      allocate(vertices(2924)%branchCT(0:0))
      call avCT(2924, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(2925)%branchCT(0:0))
      call avCT(2925, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2018, nGC_2018/))

      allocate(vertices(2926)%branchCT(0:0))
      call avCT(2926, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(511)%branchCT(0:1))
      call avCT(511, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(511, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(4340)%branchCT(0:0))
      call avCT(4340, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2927)%branchCT(0:0))
      call avCT(2927, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4836)%branchCT(0:0))
      call avCT(4836, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(3726)%branchCT(0:0))
      call avCT(3726, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2929)%branchCT(0:0))
      call avCT(2929, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2495)%branchCT(0:0))
      call avCT(2495, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(5007)%branchCT(0:1))
      call avCT(5007, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2062, nGC_2064,       &
      nGC_2064, nGC_2066/))

      call avCT(5007, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2063, nGC_2065,       &
      nGC_2065, nGC_2067/))

      allocate(vertices(4285)%branchCT(0:0))
      call avCT(4285, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(5008)%branchCT(0:0))
      call avCT(5008, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2083/))

      allocate(vertices(517)%branchCT(0:0))
      call avCT(517, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(2935)%branchCT(0:0))
      call avCT(2935, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(2937)%branchCT(0:0))
      call avCT(2937, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2938)%branchCT(0:0))
      call avCT(2938, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(5009)%branchCT(0:0))
      call avCT(5009, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(886)%branchCT(0:0))
      call avCT(886, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

    end subroutine fill_vertices_mdl7
end module vertices_info7
