!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_1352) = -coupl(nGC_19)**2d0*coupl(nGC_194)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1295) = cMC*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1296) = cMC*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1290) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1291) = cMB*cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_1987) = coupl(nGC_1632) + coupl(nGC_174)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_178)*dZHl_QED2/2d0
      coupl(nGC_1962) = -coupl(nGC_100)*dZHhHl_QED2/2d0 - coupl(nGC_118)*      &
                        dZHl_QED2/2d0 - coupl(nGC_118)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_1719)
      coupl(nGC_2205) = coupl(nGC_128)*dZZ_QED2/2d0 + coupl(nGC_1735) + coupl( &
                        nGC_4)*dZAZ_QED2/2d0
      coupl(nGC_TS_GC_195_Hh) = -coupl(nGC_195)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1983) = coupl(nGC_1661) + coupl(nGC_202)*dZdL_QCD2/2d0 + coupl(&
                        nGC_202)*dZdR_QCD2/2d0
      coupl(nGC_1747) = coupl(nGC_1142)*dcw_QED2 + coupl(nGC_1143)*dsw_QED2 +  &
                        coupl(nGC_1144)*dZee_QED2 + coupl(nGC_1145)*dvev_QED1  &
                         + coupl(nGC_1146)*da_QED2
      coupl(nGC_1629) = coupl(nGC_1157)*dvev_QED1 + coupl(nGC_1158)*dvevs_QED1 &
                         + coupl(nGC_1159)*da_QED2 + coupl(nGC_1160)*dl1_QED4  &
                         + coupl(nGC_1161)*dl3_QED4
      coupl(nGC_1884) = coupl(nGC_1652) + coupl(nGC_213)*dZcL_QED2/2d0 + coupl(&
                        nGC_213)*dZsR_QED2/2d0
      coupl(nGC_1886) = coupl(nGC_1752) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuL_QCD2
      coupl(nGC_1880) = coupl(nGC_108)*dZA_QED2/2d0 + coupl(nGC_108)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_14)*dZZA_QED2/2d0 + coupl&
                        (nGC_1622)
      coupl(nGC_2129) = coupl(nGC_1616) + coupl(nGC_32)*dZHh_QED2/2d0 + 3d0*   &
                        coupl(nGC_32)*dZHl_QED2/2d0 + coupl(nGC_34)*dZHlHh_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHhHl_QED2/2d0
      coupl(nGC_2128) = coupl(nGC_19)*dZtR_QED2
      coupl(nGC_2127) = coupl(nGC_1752) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtR_QCD2
      coupl(nGC_2126) = coupl(nGC_19)*dZtL_QED2
      coupl(nGC_2125) = coupl(nGC_1752) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZtL_QCD2
      coupl(nGC_2124) = coupl(nGC_105)*dZZ_QED2/4d0 + coupl(nGC_1643)/2d0 +    &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_1888) = coupl(nGC_1752) + coupl(nGC_19)*dZg_QCD2/2d0 + coupl(  &
                        nGC_19)*dZuR_QCD2
      coupl(nGC_1623) = coupl(nGC_811)*dsw_QED2 + coupl(nGC_812)*dZee_QED2
      coupl(nGC_2082) = -coupl(nGC_104)*dZWMinus_QED2/4d0 - coupl(nGC_1644)/2d0
      coupl(nGC_2084) = coupl(nGC_1839) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                        nGC_TS_GC_175_Hh) + coupl(nGC_TS_GC_177_Hl)
      coupl(nGC_1434) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_125)**2d0 + coupl(nGC_194)*coupl(nGC_565) + coupl( &
                        nGC_195)**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_217)** &
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1435) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_122)**2d0 + coupl(nGC_193)**2d0 + coupl(nGC_194)*  &
                        coupl(nGC_565) + coupl(nGC_195)**2d0 + coupl(nGC_196)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1866) = coupl(nGC_1615) + 3d0*coupl(nGC_33)*dZHh_QED2/2d0 +    &
                        coupl(nGC_33)*dZHl_QED2/2d0 + coupl(nGC_35)*dZHhHl_QED2&
                        /2d0 + 3d0*coupl(nGC_36)*dZHlHh_QED2/2d0
      coupl(nGC_2013) = coupl(nGC_125)*dZsL_QCD2
      coupl(nGC_2012) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZsL_QED2 + coupl(nGC_1757)
      coupl(nGC_2011) = coupl(nGC_1608) + 2d0*coupl(nGC_33)*dZHlHh_QED2 + 2d0* &
                        coupl(nGC_35)*dZHh_QED2
      coupl(nGC_2017) = coupl(nGC_161)*dZHh_QED2/2d0 + coupl(nGC_1636) + coupl(&
                        nGC_165)*dZHlHh_QED2/2d0
      coupl(nGC_2016) = coupl(nGC_145)*dZHh_QED2 + coupl(nGC_145)*dZZ_QED2 +   &
                        coupl(nGC_147)*dZHlHh_QED2 + coupl(nGC_1743)
      coupl(nGC_2015) = coupl(nGC_122)*dZsR_QCD2
      coupl(nGC_2014) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZsR_QED2 + coupl(nGC_1756)
      coupl(nGC_2152) = coupl(nGC_130)*dZHhHl_QED2/2d0 + coupl(nGC_136)*       &
                        dZHl_QED2/2d0 + coupl(nGC_136)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1734)
      coupl(nGC_2153) = coupl(nGC_1752) + coupl(nGC_19)*dZbL_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_2019) = coupl(nGC_1670) + coupl(nGC_195)*dZHh_QED2/2d0 + coupl(&
                        nGC_195)*dZbL_QED2/2d0 + coupl(nGC_195)*dZbR_QED2/2d0  &
                         + coupl(nGC_196)*dZHlHh_QED2/2d0
      coupl(nGC_2155) = coupl(nGC_1752) + coupl(nGC_19)*dZbR_QCD2 + coupl(     &
                        nGC_19)*dZg_QCD2/2d0
      coupl(nGC_1869) = -coupl(nGC_1683) - coupl(nGC_222)*dZtauMinusL_QED2/2d0 &
                         - coupl(nGC_222)*dZtauMinusR_QED2/2d0
      coupl(nGC_1432) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_125)**2d0 - coupl(nGC_194)*coupl(nGC_565) - coupl( &
                        nGC_195)**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_217)** &
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1940) = -coupl(nGC_105)*dZZ_QED2/4d0 - coupl(nGC_1643)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_TS_GC_110_Hh) = -coupl(nGC_110)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1945) = coupl(nGC_1667) + coupl(nGC_203)*dZdL_QCD2/2d0 + coupl(&
                        nGC_203)*dZdR_QCD2/2d0
      coupl(nGC_1946) = coupl(nGC_1725) + coupl(nGC_92)*dZHhHl_QED2 + coupl(   &
                        nGC_96)*dZHl_QED2 + coupl(nGC_96)*dZWMinus_QED2
      coupl(nGC_1947) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_115)*dZZA_QED2 +    &
                        coupl(nGC_1639)
      coupl(nGC_2233) = -coupl(nGC_1521)
      coupl(nGC_2231) = -coupl(nGC_1532)
      coupl(nGC_2230) = -coupl(nGC_1533)
      coupl(nGC_1642) = coupl(nGC_925)*dZee_QED2
      coupl(nGC_2235) = -coupl(nGC_1420)
      coupl(nGC_2107) = coupl(nGC_1689) + coupl(nGC_223)*dZHhHl_QED2/2d0 +     &
                        coupl(nGC_224)*dZHl_QED2/2d0 + coupl(nGC_224)*         &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_224)*dZtauMinusR_QED2/&
                        2d0
      coupl(nGC_2101) = coupl(nGC_1628) + coupl(nGC_174)*dZHh_QED2/2d0 + coupl(&
                        nGC_178)*dZHlHh_QED2/2d0
      coupl(nGC_2100) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_134)*dZZA_QED2 +    &
                        coupl(nGC_1639)
      coupl(nGC_1445) = -coupl(nGC_223)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_223)**2d0 + coupl(nGC_224)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_589)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2105) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZsR_QED2 +   &
                        coupl(nGC_122)*dZZA_QED2/2d0 + coupl(nGC_1751)
      coupl(nGC_2104) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_1398) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) -  &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_228) + coupl(nGC_201)* &
                        coupl(nGC_204)*coupl(nGC_225) + coupl(nGC_226)**2d0*   &
                        coupl(nGC_228) + coupl(nGC_227)**2d0*coupl(nGC_228) +  &
                        coupl(nGC_228)**3d0)/(32d0*pi**2d0)
      coupl(nGC_1469) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_541) +  &
                        coupl(nGC_193)*coupl(nGC_194)*coupl(nGC_217) - 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_541) + coupl(nGC_218)*coupl&
                        (nGC_219)**2d0 + coupl(nGC_218)*coupl(nGC_220)**2d0 +  &
                        coupl(nGC_218)*coupl(nGC_541)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1468) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_196) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_200) + Nc*coupl(nGC_201)*coupl&
                        (nGC_204) + Nc*coupl(nGC_213)*coupl(nGC_216) - Nc*coupl&
                        (nGC_217)*coupl(nGC_220) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_228) + coupl(nGC_205)*coupl(nGC_208) + coupl(      &
                        nGC_209)*coupl(nGC_212) + coupl(nGC_221)*coupl(nGC_224 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1861) = coupl(nGC_120)*dZAZ_QED2/2d0 + coupl(nGC_15)*          &
                        dZHhHl_QED2/2d0 + coupl(nGC_1737) + coupl(nGC_28)*     &
                        dZHl_QED2/2d0 + coupl(nGC_28)*dZWMinus_QED2/2d0 + coupl&
                        (nGC_28)*dZZ_QED2/2d0
      coupl(nGC_1390) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_214)*coupl(   &
                        nGC_571) + coupl(nGC_125)*coupl(nGC_215)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_216)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_213)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1461) = -coupl(nGC_208)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_206)**2d0 + coupl(nGC_207)**2d0 + coupl(     &
                        nGC_208)**2d0 - 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1392) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_210)*coupl(     &
                        nGC_533) + coupl(nGC_128)*coupl(nGC_211)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_212)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_209)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1394) = -(-8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_533) +  &
                        coupl(nGC_210)*coupl(nGC_211)**2d0 + coupl(nGC_210)*   &
                        coupl(nGC_212)**2d0 + coupl(nGC_210)*coupl(nGC_533)**  &
                        2d0 - 8d0*coupl(nGC_4)**2d0*coupl(nGC_533))/(32d0*pi** &
                        2d0)
      coupl(nGC_1397) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_228) -  &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_228) + coupl(nGC_201)* &
                        coupl(nGC_204)*coupl(nGC_225) + coupl(nGC_227)**2d0*   &
                        coupl(nGC_228) + coupl(nGC_228)**3d0 + coupl(nGC_228)* &
                        coupl(nGC_539)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1396) = -coupl(nGC_19)**2d0*coupl(nGC_228)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1497) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_194)*coupl(   &
                        nGC_565) + coupl(nGC_125)*coupl(nGC_195)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_196)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_193)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1493) = (2d0*Nc*cMB*coupl(nGC_194)**2d0*coupl(nGC_195) + 8d0*Nc&
                        *cMB*coupl(nGC_194)*coupl(nGC_195)*coupl(nGC_565) + 2d0&
                        *Nc*cMB*coupl(nGC_195)*coupl(nGC_565)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_198)**2d0*coupl(nGC_199) + 8d0*Nc*cMC*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_581) + 2d0*Nc*cMC*   &
                        coupl(nGC_199)*coupl(nGC_581)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_202)**2d0*coupl(nGC_203) + 8d0*Nc*cMD*coupl(nGC_202&
                        )*coupl(nGC_203)*coupl(nGC_587) + 2d0*Nc*cMD*coupl(    &
                        nGC_203)*coupl(nGC_587)**2d0 + 2d0*Nc*cMS*coupl(nGC_214&
                        )**2d0*coupl(nGC_215) + 8d0*Nc*cMS*coupl(nGC_214)*coupl&
                        (nGC_215)*coupl(nGC_571) + 2d0*Nc*cMS*coupl(nGC_215)*  &
                        coupl(nGC_571)**2d0 + 2d0*Nc*cMT*coupl(nGC_218)**2d0*  &
                        coupl(nGC_219) + 8d0*Nc*cMT*coupl(nGC_218)*coupl(      &
                        nGC_219)*coupl(nGC_541) + 2d0*Nc*cMT*coupl(nGC_219)*   &
                        coupl(nGC_541)**2d0 + 2d0*Nc*cMU*coupl(nGC_226)**2d0*  &
                        coupl(nGC_227) + 8d0*Nc*cMU*coupl(nGC_226)*coupl(      &
                        nGC_227)*coupl(nGC_539) + 2d0*Nc*cMU*coupl(nGC_227)*   &
                        coupl(nGC_539)**2d0 + 2d0*cME*coupl(nGC_206)**2d0*coupl&
                        (nGC_207) + 8d0*cME*coupl(nGC_206)*coupl(nGC_207)*coupl&
                        (nGC_561) + 2d0*cME*coupl(nGC_207)*coupl(nGC_561)**2d0 &
                         + 2d0*cMM*coupl(nGC_210)**2d0*coupl(nGC_211) + 8d0*cMM&
                        *coupl(nGC_210)*coupl(nGC_211)*coupl(nGC_533) + 2d0*cMM&
                        *coupl(nGC_211)*coupl(nGC_533)**2d0 + 2d0*cMTA*coupl(  &
                        nGC_222)**2d0*coupl(nGC_223) + 8d0*cMTA*coupl(nGC_222)*&
                        coupl(nGC_223)*coupl(nGC_589) + 2d0*cMTA*coupl(nGC_223 &
                        )*coupl(nGC_589)**2d0 + cima*coupl(nGC_142)*coupl(     &
                        nGC_175) + 2d0*cima*coupl(nGC_162)*coupl(nGC_71))/(16d0&
                        *pi**2d0)
      coupl(nGC_1491) = -(-8d0*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_2) - 8d0* &
                        coupl(nGC_122)*coupl(nGC_126)*coupl(nGC_193) + coupl(  &
                        nGC_194)*coupl(nGC_217)*coupl(nGC_218) + coupl(nGC_195 &
                        )*coupl(nGC_217)*coupl(nGC_219) + coupl(nGC_196)*coupl(&
                        nGC_217)*coupl(nGC_220))/(32d0*pi**2d0)
      coupl(nGC_1421) = coupl(nGC_99)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl(  &
                        nGC_1)*coupl(nGC_4) + coupl(nGC_102)*coupl(nGC_125) +  &
                        2d0*coupl(nGC_125)*coupl(nGC_126) + coupl(nGC_126)*    &
                        coupl(nGC_575) + coupl(nGC_2)*coupl(nGC_525))/(16d0*pi &
                        **2d0)
      coupl(nGC_1904) = coupl(nGC_1621) + coupl(nGC_93)*dZHhHl_QED2 + coupl(   &
                        nGC_95)*dZHl_QED2
      coupl(nGC_1906) = coupl(nGC_1753) + coupl(nGC_99)*dZWMinus_QED2/2d0 +    &
                        coupl(nGC_99)*dZnu_tauL_QED2/2d0 + coupl(nGC_99)*      &
                        dZtauMinusL_QED2/2d0
      coupl(nGC_1265) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1264) = cima*(-coupl(nGC_124)**2d0 - coupl(nGC_4)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1267) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_1451) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_202) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_202) + coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_539) + coupl(nGC_202)**2d0* &
                        coupl(nGC_587) + coupl(nGC_203)**2d0*coupl(nGC_587) +  &
                        coupl(nGC_204)**2d0*coupl(nGC_587))/(32d0*pi**2d0)
      coupl(nGC_1261) = cima*(-coupl(nGC_129)**2d0 - coupl(nGC_99)**2d0)/(16d0*&
                        pi**2d0)
      coupl(nGC_1263) = cima*(-coupl(nGC_128)**2d0 - coupl(nGC_4)**2d0 - coupl(&
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1262) = cME*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1456) = -(-8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_561) +  &
                        coupl(nGC_206)*coupl(nGC_207)**2d0 + coupl(nGC_206)*   &
                        coupl(nGC_208)**2d0 + coupl(nGC_206)*coupl(nGC_561)**  &
                        2d0 - 8d0*coupl(nGC_4)**2d0*coupl(nGC_561))/(32d0*pi** &
                        2d0)
      coupl(nGC_1269) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_1268) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_125)**2d0 - coupl(&
                        nGC_99)**2d0)/(16d0*pi**2d0)
      coupl(nGC_1457) = -(-8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_206) +  &
                        coupl(nGC_206)**2d0*coupl(nGC_561) - 8d0*coupl(nGC_206 &
                        )*coupl(nGC_4)**2d0 + coupl(nGC_207)**2d0*coupl(nGC_561&
                        ) + coupl(nGC_208)**2d0*coupl(nGC_561))/(32d0*pi**2d0)
      coupl(nGC_1454) = -coupl(nGC_211)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_210)**2d0 + coupl(nGC_211)**2d0 + coupl(     &
                        nGC_212)**2d0 - 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1308) = cMM*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1309) = cMTA*cima*(-coupl(nGC_124)*coupl(nGC_128) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1304) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_122)*coupl(   &
                        nGC_125))/(8d0*pi**2d0)
      coupl(nGC_1903) = coupl(nGC_1679) + coupl(nGC_209)*dZmuMinusR_QED2/2d0 + &
                        coupl(nGC_209)*dZnu_muL_QED2/2d0
      coupl(nGC_1300) = cMT*cima*(-coupl(nGC_123)*coupl(nGC_126) - coupl(nGC_2 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_1863) = coupl(nGC_129)*dZZA_QED2/2d0
      coupl(nGC_1464) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_198) +  &
                        coupl(nGC_197)*coupl(nGC_213)*coupl(nGC_571) + coupl(  &
                        nGC_198)**2d0*coupl(nGC_581) - 8d0*coupl(nGC_198)*coupl&
                        (nGC_2)**2d0 + coupl(nGC_199)**2d0*coupl(nGC_581) +    &
                        coupl(nGC_200)**2d0*coupl(nGC_581))/(32d0*pi**2d0)
      coupl(nGC_1514) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_122)**2d0 - coupl(nGC_201)**2d0 - coupl(nGC_202)*  &
                        coupl(nGC_587) - coupl(nGC_203)**2d0 - coupl(nGC_204)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1849) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbL_QED2 +   &
                        coupl(nGC_125)*dZZA_QED2/2d0 + coupl(nGC_1751)
      coupl(nGC_2048) = coupl(nGC_123)*dZuR_QCD2
      coupl(nGC_2049) = coupl(nGC_105)*dZWMinus_QED2/4d0 + coupl(nGC_1643)/2d0
      coupl(nGC_2045) = coupl(nGC_126)*dZZ_QED2/2d0 + coupl(nGC_126)*dZuL_QED2 &
                         + coupl(nGC_1754) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2046) = coupl(nGC_126)*dZuL_QCD2
      coupl(nGC_1842) = coupl(nGC_513)*dMW2_QED2
      coupl(nGC_2041) = coupl(nGC_126)*dZcL_QCD2
      coupl(nGC_2042) = coupl(nGC_123)*dZZ_QED2/2d0 + coupl(nGC_123)*dZcR_QED2 &
                         + coupl(nGC_1755) + coupl(nGC_2)*dZAZ_QED2/2d0
      coupl(nGC_2043) = coupl(nGC_123)*dZcR_QCD2
      coupl(nGC_2147) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_1489) = -(-8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_217) - 8d0* &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_217) + coupl(  &
                        nGC_193)*coupl(nGC_195)*coupl(nGC_219) + coupl(nGC_193 &
                        )*coupl(nGC_196)*coupl(nGC_220) + coupl(nGC_193)*coupl(&
                        nGC_541)*coupl(nGC_565))/(32d0*pi**2d0)
      coupl(nGC_1984) = -coupl(nGC_1660) - coupl(nGC_202)*dZdL_QED2/2d0 - coupl&
                        (nGC_202)*dZdR_QED2/2d0
      coupl(nGC_1607) = coupl(nGC_1136)*da_QED2 + coupl(nGC_1137)*dl1_QED4 +   &
                        coupl(nGC_1138)*dl3_QED4
      coupl(nGC_1488) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_203) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_203) + coupl(nGC_201 &
                        )*coupl(nGC_225)*coupl(nGC_227) + coupl(nGC_202)**2d0* &
                        coupl(nGC_203) + coupl(nGC_203)**3d0 + coupl(nGC_203)* &
                        coupl(nGC_204)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1860) = coupl(nGC_114)*dZWMinus_QED2/2d0 + coupl(nGC_114)*     &
                        dZZ_QED2/2d0 + coupl(nGC_1709) + coupl(nGC_7)*dZAZ_QED2&
                        /2d0
      coupl(nGC_1499) = -(-8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_222) +  &
                        coupl(nGC_222)**2d0*coupl(nGC_589) - 8d0*coupl(nGC_222 &
                        )*coupl(nGC_4)**2d0 + coupl(nGC_223)**2d0*coupl(nGC_589&
                        ) + coupl(nGC_224)**2d0*coupl(nGC_589))/(32d0*pi**2d0)
      coupl(nGC_2151) = coupl(nGC_124)*dZZ_QED2/2d0 + coupl(nGC_124)*          &
                        dZmuMinusR_QED2 + coupl(nGC_1759) + coupl(nGC_4)*      &
                        dZAZ_QED2/2d0
      coupl(nGC_1637) = coupl(nGC_1062)*dsw_QED2 + coupl(nGC_1063)*dZee_QED2 + &
                        coupl(nGC_1064)*dvev_QED1 + coupl(nGC_1065)*da_QED2
      coupl(nGC_2163) = coupl(nGC_1826) + coupl(nGC_MTA)*dZtauMinusL_QED2/2d0  &
                         + coupl(nGC_MTA)*dZtauMinusR_QED2/2d0 + coupl(        &
                        nGC_TS_GC_223_Hh) + coupl(nGC_TS_GC_224_Hl)
      coupl(nGC_2161) = -coupl(nGC_130)*dZZA_QED2/2d0
      coupl(nGC_2160) = coupl(nGC_1701) + coupl(nGC_219)*dZtL_QCD2/2d0 + coupl(&
                        nGC_219)*dZtR_QCD2/2d0
      coupl(nGC_2166) = coupl(nGC_1824) + coupl(nGC_ME)*dZeMinusL_QED2/2d0 +   &
                        coupl(nGC_ME)*dZeMinusR_QED2/2d0 + coupl(              &
                        nGC_TS_GC_207_Hh) + coupl(nGC_TS_GC_208_Hl)
      coupl(nGC_1952) = coupl(nGC_1657) + coupl(nGC_193)*dZbR_QCD2/2d0 + coupl(&
                        nGC_193)*dZtL_QCD2/2d0
      coupl(nGC_2169) = coupl(nGC_1668) + coupl(nGC_215)*dZHh_QED2/2d0 + coupl(&
                        nGC_215)*dZsL_QED2/2d0 + coupl(nGC_215)*dZsR_QED2/2d0  &
                         + coupl(nGC_216)*dZHlHh_QED2/2d0
      coupl(nGC_2168) = -coupl(nGC_103)*dZZA_QED2/2d0 - coupl(nGC_1716) - coupl&
                        (nGC_3)*dZA_QED2/2d0 - coupl(nGC_3)*dZWMinus_QED2
      coupl(nGC_1528) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_225)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_226)*coupl(nGC_539) + coupl(  &
                        nGC_126)*coupl(nGC_227)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_228)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1931) = -coupl(nGC_100)*dZHh_QED2/2d0 - coupl(nGC_100)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_118)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1718)
      coupl(nGC_1930) = coupl(nGC_1703) + coupl(nGC_228)*dZuL_QCD2/2d0 + coupl(&
                        nGC_228)*dZuR_QCD2/2d0
      coupl(nGC_1933) = coupl(nGC_116)*dZA_QED2/2d0 + coupl(nGC_116)*          &
                        dZWMinus_QED2 + coupl(nGC_116)*dZZ_QED2/2d0 + coupl(   &
                        nGC_1740) - coupl(nGC_8)*dZAZ_QED2 + coupl(nGC_85)*    &
                        dZZA_QED2/2d0
      coupl(nGC_1932) = -coupl(nGC_116)*dZA_QED2/4d0 - coupl(nGC_116)*         &
                        dZWMinus_QED2/2d0 - coupl(nGC_116)*dZZ_QED2/4d0 - coupl&
                        (nGC_1740)/2d0 + coupl(nGC_8)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_84)*dZZA_QED2/2d0
      coupl(nGC_1935) = coupl(nGC_I)*dZHl_QED2
      coupl(nGC_1934) = coupl(nGC_1821) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_190_Hl) + coupl(nGC_TS_GC_192_Hh)
      coupl(nGC_1937) = coupl(nGC_1691) + coupl(nGC_226)*dZuL_QCD2/2d0 + coupl(&
                        nGC_226)*dZuR_QCD2/2d0
      coupl(nGC_1936) = coupl(nGC_1690) + coupl(nGC_226)*dZuL_QED2/2d0 + coupl(&
                        nGC_226)*dZuR_QED2/2d0
      coupl(nGC_1939) = -coupl(nGC_1691) - coupl(nGC_226)*dZuL_QCD2/2d0 - coupl&
                        (nGC_226)*dZuR_QCD2/2d0
      coupl(nGC_1938) = -coupl(nGC_1690) - coupl(nGC_226)*dZuL_QED2/2d0 - coupl&
                        (nGC_226)*dZuR_QED2/2d0
      coupl(nGC_1484) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_206)*&
                        coupl(nGC_4)*coupl(nGC_561) + coupl(nGC_207)**2d0*coupl&
                        (nGC_4) + coupl(nGC_208)**2d0*coupl(nGC_4) + 4d0*coupl(&
                        nGC_4)**3d0 + 2d0*coupl(nGC_535)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1508) = -(-8d0*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_2) - 8d0* &
                        coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197) + coupl(  &
                        nGC_199)*coupl(nGC_213)*coupl(nGC_215) + coupl(nGC_200 &
                        )*coupl(nGC_213)*coupl(nGC_216) + coupl(nGC_213)*coupl(&
                        nGC_571)*coupl(nGC_581))/(32d0*pi**2d0)
      coupl(nGC_1688) = coupl(nGC_1223)*dym_QED3 + coupl(nGC_1224)*da_QED2
      coupl(nGC_1955) = coupl(nGC_1631) + coupl(nGC_189)*dZHhHl_QED2 + coupl(  &
                        nGC_190)*dZHlHh_QED2/2d0 + coupl(nGC_192)*dZHh_QED2/2d0&
                         + coupl(nGC_192)*dZHl_QED2 + coupl(nGC_TS_GC_32_Hl) + &
                        coupl(nGC_TS_GC_36_Hh)
      coupl(nGC_1500) = (Nc*coupl(nGC_122)*coupl(nGC_193)**2d0 + Nc*coupl(     &
                        nGC_122)*coupl(nGC_201)**2d0 + Nc*coupl(nGC_122)*coupl(&
                        nGC_213)**2d0 - Nc*coupl(nGC_123)*coupl(nGC_197)**2d0  &
                         - Nc*coupl(nGC_123)*coupl(nGC_217)**2d0 - Nc*coupl(   &
                        nGC_123)*coupl(nGC_225)**2d0 + Nc*coupl(nGC_125)*coupl(&
                        nGC_197)**2d0 + Nc*coupl(nGC_125)*coupl(nGC_217)**2d0  &
                         + Nc*coupl(nGC_125)*coupl(nGC_225)**2d0 - Nc*coupl(   &
                        nGC_126)*coupl(nGC_193)**2d0 - Nc*coupl(nGC_126)*coupl(&
                        nGC_201)**2d0 - Nc*coupl(nGC_126)*coupl(nGC_213)**2d0  &
                         + coupl(nGC_124)*coupl(nGC_205)**2d0 + coupl(nGC_124)*&
                        coupl(nGC_209)**2d0 + coupl(nGC_124)*coupl(nGC_221)**  &
                        2d0 - coupl(nGC_129)*coupl(nGC_205)**2d0 - coupl(      &
                        nGC_129)*coupl(nGC_209)**2d0 - coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(24d0*pi**2d0)
      coupl(nGC_1501) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_125&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(nGC_587) +  &
                        coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_225)**2d0 + 4d0*&
                        coupl(nGC_2)*coupl(nGC_99)**2d0 + 2d0*coupl(nGC_535)*  &
                        coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1502) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_122&
                        )**2d0 + coupl(nGC_1)*coupl(nGC_202)*coupl(nGC_587) +  &
                        coupl(nGC_1)*coupl(nGC_203)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_204)**2d0 + coupl(nGC_2)*coupl(nGC_201)**2d0)/(32d0&
                        *pi**2d0)
      coupl(nGC_1486) = -coupl(nGC_19)**2d0*coupl(nGC_203)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1698) = coupl(nGC_1185)*dyc_QED3 + coupl(nGC_1186)*da_QED2
      coupl(nGC_1699) = coupl(nGC_1185)*dyc_QED1_QCD2
      coupl(nGC_1593) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +     &
                        coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(32d0&
                        *pi**2d0*Nc**2d0)
      coupl(nGC_1592) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_122) -    &
                        coupl(nGC_123) - coupl(nGC_125) - coupl(nGC_126))/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_1591) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_122) +     &
                        coupl(nGC_123) + coupl(nGC_125) + coupl(nGC_126))/(    &
                        128d0*pi**2d0)
      coupl(nGC_1590) = cima*coupl(nGC_19)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl( &
                        nGC_122) - coupl(nGC_1)*coupl(nGC_125) - coupl(nGC_123 &
                        )*coupl(nGC_2) - coupl(nGC_126)*coupl(nGC_2))/(32d0*pi &
                        **2d0*Nc)
      coupl(nGC_1596) = cima*coupl(nGC_19)**3d0*sq2**3d0*(coupl(nGC_1) + coupl(&
                        nGC_2))/(16d0*pi**2d0*Nc**2d0)
      coupl(nGC_1595) = cima*coupl(nGC_19)**3d0*sq2**3d0*(-coupl(nGC_1) - coupl&
                        (nGC_2))/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_151_Hl) = -coupl(nGC_151)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1985) = -coupl(nGC_1661) - coupl(nGC_202)*dZdL_QCD2/2d0 - coupl&
                        (nGC_202)*dZdR_QCD2/2d0
      coupl(nGC_1598) = coupl(nGC_844)*dcw_QED2 + coupl(nGC_845)*dZee_QED2
      coupl(nGC_1980) = coupl(nGC_161)*dZHhHl_QED2/2d0 + coupl(nGC_1637) +     &
                        coupl(nGC_165)*dZHl_QED2/2d0
      coupl(nGC_1981) = coupl(nGC_1720) + coupl(nGC_71)*dZWMinus_QED2
      coupl(nGC_1982) = coupl(nGC_1660) + coupl(nGC_202)*dZdL_QED2/2d0 + coupl(&
                        nGC_202)*dZdR_QED2/2d0
      coupl(nGC_1342) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_122)**2d0 - coupl(nGC_213)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_571) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1343) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_125)**2d0 + coupl(nGC_197)**2d0 + coupl(nGC_214)*  &
                        coupl(nGC_571) + coupl(nGC_215)**2d0 + coupl(nGC_216)**&
                        2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1436) = (coupl(nGC_124)*coupl(nGC_222)*coupl(nGC_589) + coupl( &
                        nGC_124)*coupl(nGC_223)**2d0 + coupl(nGC_124)*coupl(   &
                        nGC_224)**2d0 + 4d0*coupl(nGC_128)**3d0 + 4d0*coupl(   &
                        nGC_128)*coupl(nGC_4)**2d0 + 4d0*coupl(nGC_129)*coupl( &
                        nGC_99)**2d0 + 2d0*coupl(nGC_555)*coupl(nGC_99)**2d0)/(&
                        32d0*pi**2d0)
      coupl(nGC_1437) = (4d0*coupl(nGC_124)**3d0 + 4d0*coupl(nGC_124)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_128)*coupl(nGC_222)*coupl(     &
                        nGC_589) + coupl(nGC_128)*coupl(nGC_223)**2d0 + coupl( &
                        nGC_128)*coupl(nGC_224)**2d0 + coupl(nGC_129)*coupl(   &
                        nGC_221)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1347) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_122) + 4d0*coupl(     &
                        nGC_122)**3d0 + coupl(nGC_125)*coupl(nGC_202)*coupl(   &
                        nGC_587) + coupl(nGC_125)*coupl(nGC_203)**2d0 + coupl( &
                        nGC_125)*coupl(nGC_204)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_201)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1344) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(  &
                        nGC_122)**2d0 + coupl(nGC_213)**2d0 + coupl(nGC_214)*  &
                        coupl(nGC_571) + coupl(nGC_215)**2d0 + coupl(nGC_216)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1433) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_122)**2d0 - coupl(nGC_193)**2d0 - coupl(nGC_194)*  &
                        coupl(nGC_565) - coupl(nGC_195)**2d0 - coupl(nGC_196)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1349) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_565) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_565) + coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_218) + coupl(nGC_194)*coupl(&
                        nGC_195)**2d0 + coupl(nGC_194)*coupl(nGC_196)**2d0 +   &
                        coupl(nGC_194)*coupl(nGC_565)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1438) = coupl(nGC_99)*(Nc*coupl(nGC_193)*coupl(nGC_194) - Nc*  &
                        coupl(nGC_197)*coupl(nGC_581) + Nc*coupl(nGC_201)*coupl&
                        (nGC_202) + Nc*coupl(nGC_213)*coupl(nGC_214) - Nc*coupl&
                        (nGC_217)*coupl(nGC_541) - Nc*coupl(nGC_225)*coupl(    &
                        nGC_539) + coupl(nGC_205)*coupl(nGC_206) + coupl(      &
                        nGC_209)*coupl(nGC_210) + coupl(nGC_221)*coupl(nGC_222 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1439) = coupl(nGC_99)*(-Nc*coupl(nGC_193)*coupl(nGC_565) + Nc* &
                        coupl(nGC_197)*coupl(nGC_198) - Nc*coupl(nGC_201)*coupl&
                        (nGC_587) - Nc*coupl(nGC_213)*coupl(nGC_571) + Nc*coupl&
                        (nGC_217)*coupl(nGC_218) + Nc*coupl(nGC_225)*coupl(    &
                        nGC_226) - coupl(nGC_205)*coupl(nGC_561) - coupl(      &
                        nGC_209)*coupl(nGC_533) - coupl(nGC_221)*coupl(nGC_589 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1341) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl( &
                        nGC_125)**2d0 - coupl(nGC_197)**2d0 - coupl(nGC_214)*  &
                        coupl(nGC_571) - coupl(nGC_215)**2d0 - coupl(nGC_216)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2158) = coupl(nGC_101)*dZHhHl_QED2/2d0 + coupl(nGC_117)*       &
                        dZHl_QED2/2d0 + coupl(nGC_117)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_1715)
      coupl(nGC_1550) = (Nc*cima*coupl(nGC_1)*coupl(nGC_122)**3d0 + Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_125)**3d0 + Nc*cima*coupl(      &
                        nGC_123)**3d0*coupl(nGC_2) + Nc*cima*coupl(nGC_126)**  &
                        3d0*coupl(nGC_2) - 2d0*cima*coupl(nGC_103)**3d0*coupl( &
                        nGC_3) + cima*coupl(nGC_116)*coupl(nGC_85) + cima*coupl&
                        (nGC_124)**3d0*coupl(nGC_4) + cima*coupl(nGC_128)**3d0*&
                        coupl(nGC_4) - 2d0*cima*coupl(nGC_535)*coupl(nGC_555)**&
                        3d0 + coupl(nGC_103)**2d0*coupl(nGC_116) + coupl(      &
                        nGC_103)*coupl(nGC_3)*coupl(nGC_85) + coupl(nGC_116)*  &
                        coupl(nGC_555)**2d0 + coupl(nGC_535)*coupl(nGC_555)*   &
                        coupl(nGC_85))/(8d0*pi**2d0)
      coupl(nGC_1893) = 2d0*coupl(nGC_1646) + 2d0*coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1337) = (2d0*coupl(nGC_103)*coupl(nGC_99)**2d0 + coupl(nGC_122 &
                        )*coupl(nGC_213)**2d0 + coupl(nGC_123)*coupl(nGC_198)* &
                        coupl(nGC_581) + coupl(nGC_123)*coupl(nGC_199)**2d0 +  &
                        coupl(nGC_123)*coupl(nGC_200)**2d0 + 4d0*coupl(nGC_125 &
                        )*coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**3d0 + 4d0*  &
                        coupl(nGC_126)*coupl(nGC_2)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1336) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_195) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195) + coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_219) + coupl(nGC_194)**2d0* &
                        coupl(nGC_195) + coupl(nGC_195)**3d0 + coupl(nGC_195)* &
                        coupl(nGC_196)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1335) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_195) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_195) + coupl(nGC_193 &
                        )*coupl(nGC_217)*coupl(nGC_219) + coupl(nGC_195)**3d0  &
                         + coupl(nGC_195)*coupl(nGC_196)**2d0 + coupl(nGC_195)*&
                        coupl(nGC_565)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1334) = -coupl(nGC_19)**2d0*coupl(nGC_195)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1333) = -coupl(nGC_224)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_222)**2d0 + coupl(nGC_223)**2d0 + coupl(     &
                        nGC_224)**2d0 - 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1332) = -coupl(nGC_224)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_223)**2d0 + coupl(nGC_224)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_589)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1331) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + coupl(    &
                        nGC_197)**2d0 + coupl(nGC_198)*coupl(nGC_581) + coupl( &
                        nGC_199)**2d0 + 4d0*coupl(nGC_2)**2d0 + coupl(nGC_200  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_1330) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_126)**2d0 + coupl(    &
                        nGC_198)*coupl(nGC_581) + coupl(nGC_199)**2d0 + 4d0*   &
                        coupl(nGC_2)**2d0 + coupl(nGC_200)**2d0 + coupl(nGC_213&
                        )**2d0 + 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0)
      coupl(nGC_1339) = (4d0*coupl(nGC_123)**3d0 + 4d0*coupl(nGC_123)*coupl(   &
                        nGC_2)**2d0 + coupl(nGC_125)*coupl(nGC_197)**2d0 +     &
                        coupl(nGC_126)*coupl(nGC_198)*coupl(nGC_581) + coupl(  &
                        nGC_126)*coupl(nGC_199)**2d0 + coupl(nGC_126)*coupl(   &
                        nGC_200)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1338) = coupl(nGC_126)*coupl(nGC_19)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1498) = -(-8d0*coupl(nGC_124)*coupl(nGC_128)*coupl(nGC_589) +  &
                        coupl(nGC_222)*coupl(nGC_223)**2d0 + coupl(nGC_222)*   &
                        coupl(nGC_224)**2d0 + coupl(nGC_222)*coupl(nGC_589)**  &
                        2d0 - 8d0*coupl(nGC_4)**2d0*coupl(nGC_589))/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_100_Hh) = -coupl(nGC_100)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1892) = coupl(nGC_1646) + coupl(nGC_21)*dZg_QCD2
      coupl(nGC_1721) = coupl(nGC_1230)*dsw_QED2 + coupl(nGC_1231)*dZee_QED2
      coupl(nGC_1890) = coupl(nGC_144)*dZHhHl_QED2/2d0 + coupl(nGC_148)*       &
                        dZHh_QED2/2d0 + coupl(nGC_148)*dZHl_QED2/2d0 + coupl(  &
                        nGC_150)*dZHlHh_QED2/2d0 + coupl(nGC_1613)
      coupl(nGC_1723) = coupl(nGC_975)*dsw_QED2 + coupl(nGC_976)*dZee_QED2 +   &
                        coupl(nGC_977)*da_QED2
      coupl(nGC_1896) = coupl(nGC_125)*dZbL_QCD2
      coupl(nGC_1897) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_122)*dZZ_QED2/  &
                        2d0 + coupl(nGC_122)*dZbR_QED2 + coupl(nGC_1756)
      coupl(nGC_1726) = coupl(nGC_863)*dcw_QED2 + coupl(nGC_864)*dsw_QED2 +    &
                        coupl(nGC_865)*dZee_QED2
      coupl(nGC_1728) = coupl(nGC_1058)*dsw_QED2 + coupl(nGC_1059)*dZee_QED2 + &
                        coupl(nGC_1060)*dvev_QED1 + coupl(nGC_1061)*da_QED2
      coupl(nGC_1898) = coupl(nGC_122)*dZbR_QCD2
      coupl(nGC_1899) = coupl(nGC_1696) + coupl(nGC_227)*dZHh_QED2/2d0 + coupl(&
                        nGC_227)*dZuL_QED2/2d0 + coupl(nGC_227)*dZuR_QED2/2d0  &
                         + coupl(nGC_228)*dZHlHh_QED2/2d0
      coupl(nGC_2130) = coupl(nGC_105)*dZZA_QED2/4d0 + coupl(nGC_1640)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_2131) = coupl(nGC_1713) + coupl(nGC_98)*dZWMinus_QED2/2d0
      coupl(nGC_2132) = coupl(nGC_TS_GC_179_Hl) + coupl(nGC_TS_GC_184_Hh)
      coupl(nGC_2133) = coupl(nGC_130)*dZHh_QED2/2d0 + coupl(nGC_130)*dZZ_QED2/&
                        2d0 + coupl(nGC_136)*dZHlHh_QED2/2d0 + coupl(nGC_1733)
      coupl(nGC_2196) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_2197) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_1663) = coupl(nGC_1225)*dys_QED1_QCD2
      coupl(nGC_1662) = coupl(nGC_1225)*dys_QED3
      coupl(nGC_1345) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_202)*coupl(nGC_587) + coupl(nGC_122)*coupl(  &
                        nGC_203)**2d0 + coupl(nGC_122)*coupl(nGC_204)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_225)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_555)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1665) = coupl(nGC_1177)*dyb_QED1_QCD2
      coupl(nGC_1664) = coupl(nGC_1177)*dyb_QED3
      coupl(nGC_2000) = coupl(nGC_19)*dZsR_QED2
      coupl(nGC_2001) = -coupl(nGC_103)*dZWMinus_QED2 - coupl(nGC_103)*dZZ_QED2&
                        /2d0 - coupl(nGC_1730) - coupl(nGC_3)*dZAZ_QED2/2d0
      coupl(nGC_2002) = -coupl(nGC_105)*dZWMinus_QED2/4d0 - coupl(nGC_1643)/2d0
      coupl(nGC_2003) = -coupl(nGC_116)*dZAZ_QED2/2d0 + coupl(nGC_1748) + coupl&
                        (nGC_84)*dZWMinus_QED2 + coupl(nGC_84)*dZZ_QED2
      coupl(nGC_2004) = coupl(nGC_116)*dZAZ_QED2 + coupl(nGC_1749) + coupl(    &
                        nGC_85)*dZWMinus_QED2 + coupl(nGC_85)*dZZ_QED2
      coupl(nGC_2190) = coupl(nGC_104)*dZWMinus_QED2/4d0 + coupl(nGC_1644)/2d0
      coupl(nGC_2006) = coupl(nGC_1695) + coupl(nGC_218)*dZtL_QCD2/2d0 + coupl(&
                        nGC_218)*dZtR_QCD2/2d0
      coupl(nGC_2007) = -coupl(nGC_1694) - coupl(nGC_218)*dZtL_QED2/2d0 - coupl&
                        (nGC_218)*dZtR_QED2/2d0
      coupl(nGC_2008) = -coupl(nGC_1695) - coupl(nGC_218)*dZtL_QCD2/2d0 - coupl&
                        (nGC_218)*dZtR_QCD2/2d0
      coupl(nGC_2009) = -coupl(nGC_1641)/2d0 - coupl(nGC_6)*dZWMinus_QED2/4d0
      coupl(nGC_1666) = coupl(nGC_1198)*dydo_QED3 + coupl(nGC_1199)*da_QED2
      coupl(nGC_2228) = -coupl(nGC_1431)
      coupl(nGC_2183) = coupl(nGC_104)*dZZA_QED2/4d0 + coupl(nGC_1641)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_2187) = coupl(nGC_1842) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0  &
                         - coupl(nGC_TS_GC_101_Hh) - coupl(nGC_TS_GC_117_Hl)
      coupl(nGC_2186) = -coupl(nGC_101)*dZHh_QED2/2d0 - coupl(nGC_101)*        &
                        dZWMinus_QED2/2d0 - coupl(nGC_117)*dZHlHh_QED2/2d0 -   &
                        coupl(nGC_1714)
      coupl(nGC_2188) = coupl(nGC_101)*dZHh_QED2/2d0 + coupl(nGC_101)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_117)*dZHlHh_QED2/2d0 +   &
                        coupl(nGC_1714)
      coupl(nGC_2222) = -coupl(nGC_1468)
      coupl(nGC_2223) = -coupl(nGC_1439)
      coupl(nGC_2224) = -coupl(nGC_1500)
      coupl(nGC_1707) = coupl(nGC_381)*dyt_QED1_QCD2
      coupl(nGC_1426) = -coupl(nGC_19)**2d0*coupl(nGC_571)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1425) = -(-8d0*coupl(nGC_1)**2d0*coupl(nGC_571) - 8d0*coupl(   &
                        nGC_122)*coupl(nGC_125)*coupl(nGC_571) + coupl(nGC_197 &
                        )*coupl(nGC_198)*coupl(nGC_213) + coupl(nGC_214)*coupl(&
                        nGC_215)**2d0 + coupl(nGC_214)*coupl(nGC_216)**2d0 +   &
                        coupl(nGC_214)*coupl(nGC_571)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1298) = cima*(coupl(nGC_3)**2d0 + coupl(nGC_535)**2d0)/(48d0*pi&
                        **2d0)
      coupl(nGC_1350) = -coupl(nGC_19)**2d0*coupl(nGC_565)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1386) = coupl(nGC_19)*sq2*(4d0*coupl(nGC_123)**2d0 + 4d0*coupl(&
                        nGC_2)**2d0 + coupl(nGC_217)**2d0 + coupl(nGC_218)*    &
                        coupl(nGC_541) + coupl(nGC_219)**2d0 + coupl(nGC_220)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1387) = (4d0*coupl(nGC_128)**2d0*coupl(nGC_4) + coupl(nGC_210)*&
                        coupl(nGC_4)*coupl(nGC_533) + coupl(nGC_211)**2d0*coupl&
                        (nGC_4) + coupl(nGC_212)**2d0*coupl(nGC_4) + 4d0*coupl(&
                        nGC_4)**3d0 + 2d0*coupl(nGC_535)*coupl(nGC_99)**2d0)/( &
                        32d0*pi**2d0)
      coupl(nGC_1384) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_123)**2d0 - 4d0*coupl&
                        (nGC_2)**2d0 - coupl(nGC_217)**2d0 - coupl(nGC_218)*   &
                        coupl(nGC_541) - coupl(nGC_219)**2d0 - coupl(nGC_220)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_31_Hh) = -coupl(nGC_31)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1382) = coupl(nGC_99)*(-coupl(nGC_103)*coupl(nGC_128) + 2d0*   &
                        coupl(nGC_128)*coupl(nGC_129) - coupl(nGC_129)*coupl(  &
                        nGC_555) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_1383) = coupl(nGC_19)*sq2*(-4d0*coupl(nGC_126)**2d0 - coupl(   &
                        nGC_193)**2d0 - 4d0*coupl(nGC_2)**2d0 - coupl(nGC_218)*&
                        coupl(nGC_541) - coupl(nGC_219)**2d0 - coupl(nGC_220)**&
                        2d0 - 4d0*coupl(nGC_99)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_1380) = (-2d0*Nc*cMB*coupl(nGC_195)*coupl(nGC_99)**2d0 - 2d0*Nc&
                        *cMC*coupl(nGC_199)*coupl(nGC_99)**2d0 - 2d0*Nc*cMD*   &
                        coupl(nGC_203)*coupl(nGC_99)**2d0 - 2d0*Nc*cMS*coupl(  &
                        nGC_215)*coupl(nGC_99)**2d0 - 2d0*Nc*cMT*coupl(nGC_219 &
                        )*coupl(nGC_99)**2d0 - 2d0*Nc*cMU*coupl(nGC_227)*coupl(&
                        nGC_99)**2d0 - 2d0*cME*coupl(nGC_207)*coupl(nGC_99)**  &
                        2d0 - 2d0*cMM*coupl(nGC_211)*coupl(nGC_99)**2d0 - 2d0* &
                        cMTA*coupl(nGC_223)*coupl(nGC_99)**2d0 + 2d0*cima*coupl&
                        (nGC_162)*coupl(nGC_637) + cima*coupl(nGC_175)*coupl(  &
                        nGC_85) + 2d0*coupl(nGC_102)*coupl(nGC_162)*coupl(     &
                        nGC_555) + 2d0*coupl(nGC_103)*coupl(nGC_175)*coupl(    &
                        nGC_575) + 2d0*coupl(nGC_162)*coupl(nGC_4)*coupl(      &
                        nGC_535))/(16d0*pi**2d0)
      coupl(nGC_1381) = (Nc*cMB*coupl(nGC_122)*coupl(nGC_193)*coupl(nGC_99) -  &
                        Nc*cMB*coupl(nGC_125)*coupl(nGC_193)*coupl(nGC_99) - Nc&
                        *cMB*coupl(nGC_126)*coupl(nGC_193)*coupl(nGC_99) + Nc* &
                        cMC*coupl(nGC_123)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_125)*coupl(nGC_197)*coupl(nGC_99) - Nc*  &
                        cMC*coupl(nGC_126)*coupl(nGC_197)*coupl(nGC_99) + Nc*  &
                        cMD*coupl(nGC_122)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_125)*coupl(nGC_201)*coupl(nGC_99) - Nc*  &
                        cMD*coupl(nGC_126)*coupl(nGC_201)*coupl(nGC_99) + Nc*  &
                        cMS*coupl(nGC_122)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_125)*coupl(nGC_213)*coupl(nGC_99) - Nc*  &
                        cMS*coupl(nGC_126)*coupl(nGC_213)*coupl(nGC_99) + Nc*  &
                        cMT*coupl(nGC_123)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_125)*coupl(nGC_217)*coupl(nGC_99) - Nc*  &
                        cMT*coupl(nGC_126)*coupl(nGC_217)*coupl(nGC_99) + Nc*  &
                        cMU*coupl(nGC_123)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_125)*coupl(nGC_225)*coupl(nGC_99) - Nc*  &
                        cMU*coupl(nGC_126)*coupl(nGC_225)*coupl(nGC_99) + cME* &
                        coupl(nGC_124)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl&
                        (nGC_128)*coupl(nGC_205)*coupl(nGC_99) - cME*coupl(    &
                        nGC_129)*coupl(nGC_205)*coupl(nGC_99) + cMM*coupl(     &
                        nGC_124)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_128)*coupl(nGC_209)*coupl(nGC_99) - cMM*coupl(     &
                        nGC_129)*coupl(nGC_209)*coupl(nGC_99) + cMTA*coupl(    &
                        nGC_124)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_128)*coupl(nGC_221)*coupl(nGC_99) - cMTA*coupl(    &
                        nGC_129)*coupl(nGC_221)*coupl(nGC_99) + 2d0*cima*coupl(&
                        nGC_113)*coupl(nGC_166) + 2d0*cima*coupl(nGC_154)*coupl&
                        (nGC_84) + 2d0*coupl(nGC_103)*coupl(nGC_154)*coupl(    &
                        nGC_555) + 2d0*coupl(nGC_103)*coupl(nGC_166)*coupl(    &
                        nGC_535))/(16d0*pi**2d0)
      coupl(nGC_1895) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_125)*dZZ_QED2/  &
                        2d0 + coupl(nGC_125)*dZbL_QED2 + coupl(nGC_1757)
      coupl(nGC_1722) = coupl(nGC_1237)*dcw_QED2 + coupl(nGC_1238)*dsw_QED2 +  &
                        coupl(nGC_1239)*dZee_QED2
      coupl(nGC_1388) = coupl(nGC_4)*(4d0*coupl(nGC_124)**2d0 + coupl(nGC_210)*&
                        coupl(nGC_533) + coupl(nGC_211)**2d0 + coupl(nGC_212)**&
                        2d0 + 4d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1389) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_125) + coupl(nGC_122)*&
                        coupl(nGC_214)*coupl(nGC_571) + coupl(nGC_122)*coupl(  &
                        nGC_215)**2d0 + coupl(nGC_122)*coupl(nGC_216)**2d0 +   &
                        coupl(nGC_123)*coupl(nGC_197)**2d0 + 4d0*coupl(nGC_125 &
                        )**3d0 + 4d0*coupl(nGC_126)*coupl(nGC_99)**2d0 + 2d0*  &
                        coupl(nGC_555)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1478) = -coupl(nGC_212)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_210)**2d0 + coupl(nGC_211)**2d0 + coupl(     &
                        nGC_212)**2d0 - 8d0*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1479) = (coupl(nGC_1)*coupl(nGC_193)**2d0 + 4d0*coupl(nGC_1)*  &
                        coupl(nGC_99)**2d0 + 4d0*coupl(nGC_126)**2d0*coupl(    &
                        nGC_2) + 4d0*coupl(nGC_2)**3d0 + coupl(nGC_2)*coupl(   &
                        nGC_218)*coupl(nGC_541) + coupl(nGC_2)*coupl(nGC_219)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_220)**2d0 + 2d0*coupl(    &
                        nGC_3)*coupl(nGC_99)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1573) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_195)** &
                        2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(nGC_203&
                        )**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_122)*coupl(    &
                        nGC_215)**2d0 - Nc*cima*coupl(nGC_1)*coupl(nGC_125)*   &
                        coupl(nGC_195)**2d0 - Nc*cima*coupl(nGC_1)*coupl(      &
                        nGC_125)*coupl(nGC_203)**2d0 - Nc*cima*coupl(nGC_1)*   &
                        coupl(nGC_125)*coupl(nGC_215)**2d0 - Nc*cima*coupl(    &
                        nGC_123)*coupl(nGC_199)**2d0*coupl(nGC_2) - Nc*cima*   &
                        coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_219)**2d0 - Nc*  &
                        cima*coupl(nGC_123)*coupl(nGC_2)*coupl(nGC_227)**2d0 - &
                        Nc*cima*coupl(nGC_126)*coupl(nGC_199)**2d0*coupl(nGC_2 &
                        ) - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(nGC_219  &
                        )**2d0 - Nc*cima*coupl(nGC_126)*coupl(nGC_2)*coupl(    &
                        nGC_227)**2d0 + cima*coupl(nGC_116)*coupl(nGC_82) -    &
                        cima*coupl(nGC_124)*coupl(nGC_207)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_124)*coupl(nGC_211)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_124)*coupl(nGC_223)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_207)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_211)**2d0*coupl(nGC_4) - &
                        cima*coupl(nGC_128)*coupl(nGC_223)**2d0*coupl(nGC_4) + &
                        coupl(nGC_103)*coupl(nGC_3)*coupl(nGC_82) + coupl(     &
                        nGC_535)*coupl(nGC_555)*coupl(nGC_82))/(8d0*pi**2d0)
      coupl(nGC_1891) = coupl(nGC_10)*dZWMinus_QED2 + coupl(nGC_1639)
      coupl(nGC_1575) = (-3d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 + &
                        9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99 &
                        )**2d0 - 3d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 2d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_555) - 2d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_535) - 2d0*cima*coupl(nGC_103)*coupl( &
                        nGC_555)**2d0*coupl(nGC_575) + 3d0*cima*coupl(nGC_113  &
                        )**2d0 - 3d0*cima*coupl(nGC_128)**2d0*coupl(nGC_99)**  &
                        2d0 + 9d0*cima*coupl(nGC_128)*coupl(nGC_129)*coupl(    &
                        nGC_99)**2d0 - 3d0*cima*coupl(nGC_129)**2d0*coupl(     &
                        nGC_99)**2d0 - 2d0*cima*coupl(nGC_3)*coupl(nGC_525)*   &
                        coupl(nGC_555)**2d0 + 3d0*cima*coupl(nGC_84)**2d0 + 3d0&
                        *coupl(nGC_102)*coupl(nGC_103)*coupl(nGC_84) + 3d0*    &
                        coupl(nGC_103)*coupl(nGC_113)*coupl(nGC_4) + 3d0*coupl(&
                        nGC_103)*coupl(nGC_113)*coupl(nGC_535) + 3d0*coupl(    &
                        nGC_103)*coupl(nGC_555)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_1574) = (-4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_193)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_201)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_122)**2d0*coupl(nGC_213)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_122)*coupl(nGC_126)*coupl(    &
                        nGC_193)**2d0 + 5d0*Nc*cima*coupl(nGC_122)*coupl(      &
                        nGC_126)*coupl(nGC_201)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_122)*coupl(nGC_126)*coupl(nGC_213)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_123)**2d0*coupl(nGC_225)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_123)*coupl(nGC_125)*coupl(nGC_197)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_123)*coupl(nGC_125)*coupl(    &
                        nGC_217)**2d0 + 5d0*Nc*cima*coupl(nGC_123)*coupl(      &
                        nGC_125)*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_125)**2d0*coupl(nGC_197)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_217)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_125)**2d0*coupl(nGC_225)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_193)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_201)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_126)**2d0*coupl(nGC_213)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_205)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_209)**2d0 - 4d0*cima*coupl(    &
                        nGC_124)**2d0*coupl(nGC_221)**2d0 + 5d0*cima*coupl(    &
                        nGC_124)*coupl(nGC_129)*coupl(nGC_205)**2d0 + 5d0*cima*&
                        coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_209)**2d0 + 5d0&
                        *cima*coupl(nGC_124)*coupl(nGC_129)*coupl(nGC_221)**2d0&
                         - 4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_205)**2d0 -  &
                        4d0*cima*coupl(nGC_129)**2d0*coupl(nGC_209)**2d0 - 4d0*&
                        cima*coupl(nGC_129)**2d0*coupl(nGC_221)**2d0 + 3d0*cima&
                        *coupl(nGC_71)*coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*&
                        coupl(nGC_71) + 3d0*coupl(nGC_555)**2d0*coupl(nGC_71   &
                        ))/(24d0*pi**2d0)
      coupl(nGC_1577) = (-3d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 + &
                        9d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99 &
                        )**2d0 - 3d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 2d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_555) - 2d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_535) - 2d0*cima*coupl(nGC_103)*coupl( &
                        nGC_555)**2d0*coupl(nGC_575) + 3d0*cima*coupl(nGC_113  &
                        )**2d0 - 3d0*cima*coupl(nGC_128)**2d0*coupl(nGC_99)**  &
                        2d0 + 9d0*cima*coupl(nGC_128)*coupl(nGC_129)*coupl(    &
                        nGC_99)**2d0 - 3d0*cima*coupl(nGC_129)**2d0*coupl(     &
                        nGC_99)**2d0 - 2d0*cima*coupl(nGC_3)*coupl(nGC_525)*   &
                        coupl(nGC_555)**2d0 + 3d0*cima*coupl(nGC_84)**2d0 + 3d0&
                        *coupl(nGC_103)*coupl(nGC_555)*coupl(nGC_84) + 3d0*    &
                        coupl(nGC_113)*coupl(nGC_3)*coupl(nGC_555) + 3d0*coupl(&
                        nGC_113)*coupl(nGC_525)*coupl(nGC_555) + 3d0*coupl(    &
                        nGC_555)*coupl(nGC_575)*coupl(nGC_84))/(24d0*pi**2d0)
      coupl(nGC_1576) = (9d0*Nc*cima*coupl(nGC_125)**2d0*coupl(nGC_99)**2d0 -  &
                        15d0*Nc*cima*coupl(nGC_125)*coupl(nGC_126)*coupl(nGC_99&
                        )**2d0 + 9d0*Nc*cima*coupl(nGC_126)**2d0*coupl(nGC_99  &
                        )**2d0 - 2d0*cima*coupl(nGC_102)*coupl(nGC_103)**2d0*  &
                        coupl(nGC_555) - 2d0*cima*coupl(nGC_103)**2d0*coupl(   &
                        nGC_4)*coupl(nGC_535) - 2d0*cima*coupl(nGC_103)*coupl( &
                        nGC_555)**2d0*coupl(nGC_575) + 9d0*cima*coupl(nGC_128  &
                        )**2d0*coupl(nGC_99)**2d0 - 15d0*cima*coupl(nGC_128)*  &
                        coupl(nGC_129)*coupl(nGC_99)**2d0 + 9d0*cima*coupl(    &
                        nGC_129)**2d0*coupl(nGC_99)**2d0 - 2d0*cima*coupl(nGC_3&
                        )*coupl(nGC_525)*coupl(nGC_555)**2d0 + 3d0*cima*coupl( &
                        nGC_637)*coupl(nGC_85) + 3d0*coupl(nGC_102)*coupl(     &
                        nGC_555)*coupl(nGC_85) + 3d0*coupl(nGC_103)**2d0*coupl(&
                        nGC_637) + 3d0*coupl(nGC_4)*coupl(nGC_535)*coupl(nGC_85&
                        ) + 3d0*coupl(nGC_555)**2d0*coupl(nGC_637))/(24d0*pi** &
                        2d0)
      coupl(nGC_1470) = -coupl(nGC_19)**2d0*coupl(nGC_541)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1471) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_218) +  &
                        coupl(nGC_193)*coupl(nGC_217)*coupl(nGC_565) - 8d0*    &
                        coupl(nGC_2)**2d0*coupl(nGC_218) + coupl(nGC_218)**2d0*&
                        coupl(nGC_541) + coupl(nGC_219)**2d0*coupl(nGC_541) +  &
                        coupl(nGC_220)**2d0*coupl(nGC_541))/(32d0*pi**2d0)
      coupl(nGC_1472) = -coupl(nGC_19)**2d0*coupl(nGC_218)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1473) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_539) -  &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_539) + coupl(nGC_201)* &
                        coupl(nGC_202)*coupl(nGC_225) + coupl(nGC_226)*coupl(  &
                        nGC_227)**2d0 + coupl(nGC_226)*coupl(nGC_228)**2d0 +   &
                        coupl(nGC_226)*coupl(nGC_539)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1474) = -coupl(nGC_19)**2d0*coupl(nGC_539)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1475) = -(-8d0*coupl(nGC_123)*coupl(nGC_126)*coupl(nGC_226) -  &
                        8d0*coupl(nGC_2)**2d0*coupl(nGC_226) + coupl(nGC_201)* &
                        coupl(nGC_225)*coupl(nGC_587) + coupl(nGC_226)**2d0*   &
                        coupl(nGC_539) + coupl(nGC_227)**2d0*coupl(nGC_539) +  &
                        coupl(nGC_228)**2d0*coupl(nGC_539))/(32d0*pi**2d0)
      coupl(nGC_1476) = -coupl(nGC_19)**2d0*coupl(nGC_226)*sq2**2d0*(-Nc**2d0  &
                         + 1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1477) = -coupl(nGC_212)*(-8d0*coupl(nGC_124)*coupl(nGC_128) +  &
                        coupl(nGC_211)**2d0 + coupl(nGC_212)**2d0 - 8d0*coupl( &
                        nGC_4)**2d0 + coupl(nGC_533)**2d0)/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
