!******************************************************************************!
!                                                                              !
!    ctparameter114.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter114.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter114
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter114()
  if (dMC_QCD2_scheme .eq. 0) then
    dMC_QCD2 = (coupl(nGC_19)**2d0*(Ten266*cMC*(Nc**2d0 - 1d0) + Ten271*cMC*(- &
               Nc**2d0 + 1d0) + 2d0*Ten278*rMC*(2d0*Nc**2d0*cMC**2d0 - 3d0*Nc**&
               2d0*cMC*rMC + Nc**2d0*rMC**2d0 - 2d0*cMC**2d0 + 3d0*cMC*rMC -   &
               rMC**2d0) + 2d0*Ten283*rMC**2d0*(-Nc**2d0*cMC + Nc**2d0*rMC +   &
               cMC - rMC))/Nc + (-8d0*pi*Nc**2d0*aS*cMC**2d0 + 8d0*pi*Nc**2d0* &
               aS*rMC**2d0 - Nc**2d0*cMC*coupl(nGC_19)**2d0*rMC + 8d0*pi*aS*cMC&
               **2d0 - 8d0*pi*aS*rMC**2d0 + cMC*coupl(nGC_19)**2d0*rMC)/(2d0*Nc&
               *rMC))/(16d0*pi**2d0)
  end if 
end subroutine set_ctparameter114
end module ctparameter114
