!******************************************************************************!
!                                                                              !
!    ctparameter148.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter148.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter148
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter148()
  dMZ2_QED2 = -cima*(coupl(nGC_177)*dtHl_QED1/cMHL**2d0 + coupl(nGC_175)*      &
              dtHh_QED1/cMHH**2d0) + (2d0*Nc*Ten524*(-6d0*cMU**2d0*coupl(      &
              nGC_123)*coupl(nGC_126) - cMZ**2d0*coupl(nGC_123)**2d0 - cMZ**2d0&
              *coupl(nGC_126)**2d0 + coupl(nGC_123)**2d0*rMZ**2d0 + coupl(     &
              nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten525*(-6d0*cMC**2d0*coupl(&
              nGC_123)*coupl(nGC_126) - cMZ**2d0*coupl(nGC_123)**2d0 - cMZ**2d0&
              *coupl(nGC_126)**2d0 + coupl(nGC_123)**2d0*rMZ**2d0 + coupl(     &
              nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten526*(-6d0*cMT**2d0*coupl(&
              nGC_123)*coupl(nGC_126) - cMZ**2d0*coupl(nGC_123)**2d0 - cMZ**2d0&
              *coupl(nGC_126)**2d0 + coupl(nGC_123)**2d0*rMZ**2d0 + coupl(     &
              nGC_126)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten527*(-6d0*cMD**2d0*coupl(&
              nGC_122)*coupl(nGC_125) - cMZ**2d0*coupl(nGC_122)**2d0 - cMZ**2d0&
              *coupl(nGC_125)**2d0 + coupl(nGC_122)**2d0*rMZ**2d0 + coupl(     &
              nGC_125)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten528*(-6d0*cMS**2d0*coupl(&
              nGC_122)*coupl(nGC_125) - cMZ**2d0*coupl(nGC_122)**2d0 - cMZ**2d0&
              *coupl(nGC_125)**2d0 + coupl(nGC_122)**2d0*rMZ**2d0 + coupl(     &
              nGC_125)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten529*(-6d0*cMB**2d0*coupl(&
              nGC_122)*coupl(nGC_125) - cMZ**2d0*coupl(nGC_122)**2d0 - cMZ**2d0&
              *coupl(nGC_125)**2d0 + coupl(nGC_122)**2d0*rMZ**2d0 + coupl(     &
              nGC_125)**2d0*rMZ**2d0)/3d0 + 4d0*Nc*Ten540*(coupl(nGC_123)**2d0 &
               + coupl(nGC_126)**2d0) + 4d0*Nc*Ten541*(coupl(nGC_123)**2d0 +   &
              coupl(nGC_126)**2d0) + 4d0*Nc*Ten542*(coupl(nGC_123)**2d0 + coupl&
              (nGC_126)**2d0) + 2d0*Nc*Ten543*rMZ**2d0*(coupl(nGC_123)**2d0 +  &
              coupl(nGC_126)**2d0) + 2d0*Nc*Ten544*rMZ**2d0*(coupl(nGC_123)**  &
              2d0 + coupl(nGC_126)**2d0) + 2d0*Nc*Ten545*rMZ**2d0*(coupl(      &
              nGC_123)**2d0 + coupl(nGC_126)**2d0) + 2d0*Nc*Ten546*rMZ**2d0*(  &
              coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0) + 2d0*Nc*Ten547*rMZ** &
              2d0*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0) + 2d0*Nc*Ten548* &
              rMZ**2d0*(coupl(nGC_123)**2d0 + coupl(nGC_126)**2d0) + 4d0*Nc*   &
              Ten549*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0) + 4d0*Nc*     &
              Ten550*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0) + 4d0*Nc*     &
              Ten551*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0) + 2d0*Nc*     &
              Ten552*rMZ**2d0*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0) + 2d0&
              *Nc*Ten553*rMZ**2d0*(coupl(nGC_122)**2d0 + coupl(nGC_125)**2d0   &
              ) + 2d0*Nc*Ten554*rMZ**2d0*(coupl(nGC_122)**2d0 + coupl(nGC_125  &
              )**2d0) + 2d0*Nc*Ten555*rMZ**2d0*(coupl(nGC_122)**2d0 + coupl(   &
              nGC_125)**2d0) + 2d0*Nc*Ten556*rMZ**2d0*(coupl(nGC_122)**2d0 +   &
              coupl(nGC_125)**2d0) + 2d0*Nc*Ten557*rMZ**2d0*(coupl(nGC_122)**  &
              2d0 + coupl(nGC_125)**2d0) + 2d0*Nc*Ten568*(cMU**2d0*cMZ**2d0*   &
              coupl(nGC_123)**2d0 - 6d0*cMU**2d0*cMZ**2d0*coupl(nGC_123)*coupl(&
              nGC_126) + cMU**2d0*cMZ**2d0*coupl(nGC_126)**2d0 - cMU**2d0*coupl&
              (nGC_123)**2d0*rMZ**2d0 + 6d0*cMU**2d0*coupl(nGC_123)*coupl(     &
              nGC_126)*rMZ**2d0 - cMU**2d0*coupl(nGC_126)**2d0*rMZ**2d0 - cMZ**&
              2d0*coupl(nGC_123)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_126)**2d0* &
              rMZ**2d0 + coupl(nGC_123)**2d0*rMZ**4d0 + coupl(nGC_126)**2d0*rMZ&
              **4d0)/3d0 + 2d0*Nc*Ten569*(cMC**2d0*cMZ**2d0*coupl(nGC_123)**2d0&
               - 6d0*cMC**2d0*cMZ**2d0*coupl(nGC_123)*coupl(nGC_126) + cMC**2d0&
              *cMZ**2d0*coupl(nGC_126)**2d0 - cMC**2d0*coupl(nGC_123)**2d0*rMZ &
              **2d0 + 6d0*cMC**2d0*coupl(nGC_123)*coupl(nGC_126)*rMZ**2d0 - cMC&
              **2d0*coupl(nGC_126)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_123)**2d0&
              *rMZ**2d0 - cMZ**2d0*coupl(nGC_126)**2d0*rMZ**2d0 + coupl(nGC_123&
              )**2d0*rMZ**4d0 + coupl(nGC_126)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*    &
              Ten570*(cMT**2d0*cMZ**2d0*coupl(nGC_123)**2d0 - 6d0*cMT**2d0*cMZ &
              **2d0*coupl(nGC_123)*coupl(nGC_126) + cMT**2d0*cMZ**2d0*coupl(   &
              nGC_126)**2d0 - cMT**2d0*coupl(nGC_123)**2d0*rMZ**2d0 + 6d0*cMT**&
              2d0*coupl(nGC_123)*coupl(nGC_126)*rMZ**2d0 - cMT**2d0*coupl(     &
              nGC_126)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_123)**2d0*rMZ**2d0 - &
              cMZ**2d0*coupl(nGC_126)**2d0*rMZ**2d0 + coupl(nGC_123)**2d0*rMZ**&
              4d0 + coupl(nGC_126)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten571*(cMD**2d0&
              *cMZ**2d0*coupl(nGC_122)**2d0 - 6d0*cMD**2d0*cMZ**2d0*coupl(     &
              nGC_122)*coupl(nGC_125) + cMD**2d0*cMZ**2d0*coupl(nGC_125)**2d0  &
               - cMD**2d0*coupl(nGC_122)**2d0*rMZ**2d0 + 6d0*cMD**2d0*coupl(   &
              nGC_122)*coupl(nGC_125)*rMZ**2d0 - cMD**2d0*coupl(nGC_125)**2d0* &
              rMZ**2d0 - cMZ**2d0*coupl(nGC_122)**2d0*rMZ**2d0 - cMZ**2d0*coupl&
              (nGC_125)**2d0*rMZ**2d0 + coupl(nGC_122)**2d0*rMZ**4d0 + coupl(  &
              nGC_125)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten572*(cMS**2d0*cMZ**2d0*  &
              coupl(nGC_122)**2d0 - 6d0*cMS**2d0*cMZ**2d0*coupl(nGC_122)*coupl(&
              nGC_125) + cMS**2d0*cMZ**2d0*coupl(nGC_125)**2d0 - cMS**2d0*coupl&
              (nGC_122)**2d0*rMZ**2d0 + 6d0*cMS**2d0*coupl(nGC_122)*coupl(     &
              nGC_125)*rMZ**2d0 - cMS**2d0*coupl(nGC_125)**2d0*rMZ**2d0 - cMZ**&
              2d0*coupl(nGC_122)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_125)**2d0* &
              rMZ**2d0 + coupl(nGC_122)**2d0*rMZ**4d0 + coupl(nGC_125)**2d0*rMZ&
              **4d0)/3d0 + 2d0*Nc*Ten573*(cMB**2d0*cMZ**2d0*coupl(nGC_122)**2d0&
               - 6d0*cMB**2d0*cMZ**2d0*coupl(nGC_122)*coupl(nGC_125) + cMB**2d0&
              *cMZ**2d0*coupl(nGC_125)**2d0 - cMB**2d0*coupl(nGC_122)**2d0*rMZ &
              **2d0 + 6d0*cMB**2d0*coupl(nGC_122)*coupl(nGC_125)*rMZ**2d0 - cMB&
              **2d0*coupl(nGC_125)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_122)**2d0&
              *rMZ**2d0 - cMZ**2d0*coupl(nGC_125)**2d0*rMZ**2d0 + coupl(nGC_122&
              )**2d0*rMZ**4d0 + coupl(nGC_125)**2d0*rMZ**4d0)/3d0 - 2d0*Nc*cMB &
              **2d0*coupl(nGC_122)**2d0 - 2d0*Nc*cMB**2d0*coupl(nGC_125)**2d0  &
               - 2d0*Nc*cMC**2d0*coupl(nGC_123)**2d0 - 2d0*Nc*cMC**2d0*coupl(  &
              nGC_126)**2d0 - 2d0*Nc*cMD**2d0*coupl(nGC_122)**2d0 - 2d0*Nc*cMD &
              **2d0*coupl(nGC_125)**2d0 - 2d0*Nc*cMS**2d0*coupl(nGC_122)**2d0  &
               - 2d0*Nc*cMS**2d0*coupl(nGC_125)**2d0 - 2d0*Nc*cMT**2d0*coupl(  &
              nGC_123)**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_126)**2d0 - 2d0*Nc*cMU &
              **2d0*coupl(nGC_123)**2d0 - 2d0*Nc*cMU**2d0*coupl(nGC_126)**2d0  &
               + 2d0*Nc*cMZ**2d0*coupl(nGC_122)**2d0/3d0 + 2d0*Nc*cMZ**2d0*    &
              coupl(nGC_123)**2d0/3d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_125)**2d0/3d0&
               + 2d0*Nc*cMZ**2d0*coupl(nGC_126)**2d0/3d0 + Nc*coupl(nGC_122)** &
              2d0*rMZ**2d0/3d0 + Nc*coupl(nGC_123)**2d0*rMZ**2d0/3d0 + Nc*coupl&
              (nGC_125)**2d0*rMZ**2d0/3d0 + Nc*coupl(nGC_126)**2d0*rMZ**2d0/3d0&
               + Ten0*(2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_136)**2d0 - 2d0*cMHL** &
              2d0*coupl(nGC_136)**2d0*rMZ**2d0 - 2d0*cMZ**4d0*coupl(nGC_136)** &
              2d0 + 2d0*cMZ**2d0*coupl(nGC_136)**2d0*rMZ**2d0 - 3d0*cima*coupl(&
              nGC_151)*rMZ**4d0)/(6d0*rMZ**4d0) + Ten1*(-2d0*cMHH**2d0*cMZ**2d0&
              *coupl(nGC_130)**2d0 + 2d0*cMHH**2d0*coupl(nGC_130)**2d0*rMZ**2d0&
               - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_136)**2d0 + 2d0*cMHL**2d0*   &
              coupl(nGC_136)**2d0*rMZ**2d0 + 2d0*cMZ**4d0*coupl(nGC_130)**2d0  &
               + 2d0*cMZ**4d0*coupl(nGC_136)**2d0 - 2d0*cMZ**2d0*coupl(nGC_130 &
              )**2d0*rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_136)**2d0*rMZ**2d0 - 3d0&
              *cima*coupl(nGC_142)*rMZ**4d0)/(6d0*rMZ**4d0) + Ten2*(2d0*cMHH** &
              2d0*cMZ**2d0*coupl(nGC_130)**2d0 - 2d0*cMHH**2d0*coupl(nGC_130)**&
              2d0*rMZ**2d0 - 2d0*cMZ**4d0*coupl(nGC_130)**2d0 + 2d0*cMZ**2d0*  &
              coupl(nGC_130)**2d0*rMZ**2d0 - 3d0*cima*coupl(nGC_145)*rMZ**4d0  &
              )/(6d0*rMZ**4d0) + cima*Ten3*(-coupl(nGC_141) + 4d0*coupl(nGC_85 &
              ) + 2d0*coupl(nGC_86)) + Ten518*(-cMHL**4d0*cMZ**2d0*coupl(      &
              nGC_136)**2d0 + cMHL**4d0*coupl(nGC_136)**2d0*rMZ**2d0 + 2d0*cMHL&
              **2d0*cMZ**4d0*coupl(nGC_136)**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl&
              (nGC_136)**2d0*rMZ**2d0 - cMZ**6d0*coupl(nGC_136)**2d0 + cMZ**4d0&
              *coupl(nGC_136)**2d0*rMZ**2d0 + cMZ**2d0*coupl(nGC_136)**2d0*rMZ &
              **4d0 - coupl(nGC_136)**2d0*rMZ**6d0 - 3d0*coupl(nGC_177)**2d0*  &
              rMZ**4d0)/(3d0*rMZ**4d0) + Ten519*(-cMHH**4d0*cMZ**2d0*coupl(    &
              nGC_130)**2d0 + cMHH**4d0*coupl(nGC_130)**2d0*rMZ**2d0 + 2d0*cMHH&
              **2d0*cMZ**4d0*coupl(nGC_130)**2d0 - 2d0*cMHH**2d0*cMZ**2d0*coupl&
              (nGC_130)**2d0*rMZ**2d0 - cMZ**6d0*coupl(nGC_130)**2d0 + cMZ**4d0&
              *coupl(nGC_130)**2d0*rMZ**2d0 + cMZ**2d0*coupl(nGC_130)**2d0*rMZ &
              **4d0 - coupl(nGC_130)**2d0*rMZ**6d0 - 3d0*coupl(nGC_175)**2d0*  &
              rMZ**4d0)/(3d0*rMZ**4d0) + Ten520*(80d0*cMZ**2d0*coupl(nGC_103)**&
              2d0 + cMZ**2d0*coupl(nGC_104)**2d0 + cMZ**2d0*coupl(nGC_105)**2d0&
               - 4d0*cMZ**2d0*coupl(nGC_128)**2d0 + 16d0*coupl(nGC_103)**2d0*  &
              rMZ**2d0 - coupl(nGC_104)**2d0*rMZ**2d0 - coupl(nGC_105)**2d0*rMZ&
              **2d0 + 4d0*coupl(nGC_128)**2d0*rMZ**2d0 - 24d0*coupl(nGC_171)** &
              2d0)/12d0 + 2d0*Ten521*(-6d0*cME**2d0*coupl(nGC_124)*coupl(      &
              nGC_128) - cMZ**2d0*coupl(nGC_124)**2d0 - cMZ**2d0*coupl(nGC_128 &
              )**2d0 + coupl(nGC_124)**2d0*rMZ**2d0 + coupl(nGC_128)**2d0*rMZ**&
              2d0)/3d0 + 2d0*Ten522*(-6d0*cMM**2d0*coupl(nGC_124)*coupl(nGC_128&
              ) - cMZ**2d0*coupl(nGC_124)**2d0 - cMZ**2d0*coupl(nGC_128)**2d0  &
               + coupl(nGC_124)**2d0*rMZ**2d0 + coupl(nGC_128)**2d0*rMZ**2d0)/ &
              3d0 + 2d0*Ten523*(-6d0*cMTA**2d0*coupl(nGC_124)*coupl(nGC_128) - &
              cMZ**2d0*coupl(nGC_124)**2d0 - cMZ**2d0*coupl(nGC_128)**2d0 +    &
              coupl(nGC_124)**2d0*rMZ**2d0 + coupl(nGC_128)**2d0*rMZ**2d0)/3d0 &
               + Ten530*(16d0*coupl(nGC_103)**2d0 - coupl(nGC_104)**2d0 - coupl&
              (nGC_105)**2d0 + 4d0*coupl(nGC_128)**2d0) + 4d0*Ten531*(coupl(   &
              nGC_124)**2d0 + coupl(nGC_128)**2d0) + 4d0*Ten532*(coupl(nGC_124 &
              )**2d0 + coupl(nGC_128)**2d0) + 4d0*Ten533*(coupl(nGC_124)**2d0  &
               + coupl(nGC_128)**2d0) + 2d0*Ten534*rMZ**2d0*(coupl(nGC_124)**  &
              2d0 + coupl(nGC_128)**2d0) + 2d0*Ten535*rMZ**2d0*(coupl(nGC_124  &
              )**2d0 + coupl(nGC_128)**2d0) + 2d0*Ten536*rMZ**2d0*(coupl(      &
              nGC_124)**2d0 + coupl(nGC_128)**2d0) + 2d0*Ten537*rMZ**2d0*(coupl&
              (nGC_124)**2d0 + coupl(nGC_128)**2d0) + 2d0*Ten538*rMZ**2d0*(    &
              coupl(nGC_124)**2d0 + coupl(nGC_128)**2d0) + 2d0*Ten539*rMZ**2d0 &
              *(coupl(nGC_124)**2d0 + coupl(nGC_128)**2d0) - 4d0*Ten558*coupl( &
              nGC_136)**2d0 - 4d0*Ten559*coupl(nGC_130)**2d0 + 12d0*Ten560*    &
              coupl(nGC_129)**2d0 + 6d0*Ten561*coupl(nGC_129)**2d0*rMZ**2d0 +  &
              6d0*Ten562*coupl(nGC_129)**2d0*rMZ**2d0 + 2d0*Ten563*coupl(      &
              nGC_129)**2d0*(-cMZ**2d0 + rMZ**2d0) + Ten564*(64d0*cMW**2d0*cMZ &
              **2d0*coupl(nGC_103)**2d0 - 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_104  &
              )**2d0 - 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_105)**2d0 + 16d0*cMW**  &
              2d0*cMZ**2d0*coupl(nGC_128)**2d0 - 64d0*cMW**2d0*coupl(nGC_103)**&
              2d0*rMZ**2d0 + 4d0*cMW**2d0*coupl(nGC_104)**2d0*rMZ**2d0 + 4d0*  &
              cMW**2d0*coupl(nGC_105)**2d0*rMZ**2d0 - 16d0*cMW**2d0*coupl(     &
              nGC_128)**2d0*rMZ**2d0 + 80d0*cMZ**2d0*coupl(nGC_103)**2d0*rMZ** &
              2d0 + cMZ**2d0*coupl(nGC_104)**2d0*rMZ**2d0 + cMZ**2d0*coupl(    &
              nGC_105)**2d0*rMZ**2d0 - 4d0*cMZ**2d0*coupl(nGC_128)**2d0*rMZ**  &
              2d0 - 24d0*cMZ**2d0*coupl(nGC_171)**2d0 - 80d0*coupl(nGC_103)**  &
              2d0*rMZ**4d0 - coupl(nGC_104)**2d0*rMZ**4d0 - coupl(nGC_105)**2d0&
              *rMZ**4d0 + 4d0*coupl(nGC_128)**2d0*rMZ**4d0 + 24d0*coupl(nGC_171&
              )**2d0*rMZ**2d0)/12d0 + 2d0*Ten565*(cME**2d0*cMZ**2d0*coupl(     &
              nGC_124)**2d0 - 6d0*cME**2d0*cMZ**2d0*coupl(nGC_124)*coupl(      &
              nGC_128) + cME**2d0*cMZ**2d0*coupl(nGC_128)**2d0 - cME**2d0*coupl&
              (nGC_124)**2d0*rMZ**2d0 + 6d0*cME**2d0*coupl(nGC_124)*coupl(     &
              nGC_128)*rMZ**2d0 - cME**2d0*coupl(nGC_128)**2d0*rMZ**2d0 - cMZ**&
              2d0*coupl(nGC_124)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_128)**2d0* &
              rMZ**2d0 + coupl(nGC_124)**2d0*rMZ**4d0 + coupl(nGC_128)**2d0*rMZ&
              **4d0)/3d0 + 2d0*Ten566*(cMM**2d0*cMZ**2d0*coupl(nGC_124)**2d0 - &
              6d0*cMM**2d0*cMZ**2d0*coupl(nGC_124)*coupl(nGC_128) + cMM**2d0*  &
              cMZ**2d0*coupl(nGC_128)**2d0 - cMM**2d0*coupl(nGC_124)**2d0*rMZ**&
              2d0 + 6d0*cMM**2d0*coupl(nGC_124)*coupl(nGC_128)*rMZ**2d0 - cMM**&
              2d0*coupl(nGC_128)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_124)**2d0* &
              rMZ**2d0 - cMZ**2d0*coupl(nGC_128)**2d0*rMZ**2d0 + coupl(nGC_124 &
              )**2d0*rMZ**4d0 + coupl(nGC_128)**2d0*rMZ**4d0)/3d0 + 2d0*Ten567 &
              *(cMTA**2d0*cMZ**2d0*coupl(nGC_124)**2d0 - 6d0*cMTA**2d0*cMZ**2d0&
              *coupl(nGC_124)*coupl(nGC_128) + cMTA**2d0*cMZ**2d0*coupl(nGC_128&
              )**2d0 - cMTA**2d0*coupl(nGC_124)**2d0*rMZ**2d0 + 6d0*cMTA**2d0* &
              coupl(nGC_124)*coupl(nGC_128)*rMZ**2d0 - cMTA**2d0*coupl(nGC_128 &
              )**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_124)**2d0*rMZ**2d0 - cMZ**  &
              2d0*coupl(nGC_128)**2d0*rMZ**2d0 + coupl(nGC_124)**2d0*rMZ**4d0  &
               + coupl(nGC_128)**2d0*rMZ**4d0)/3d0 + 2d0*Ten574*coupl(nGC_129  &
              )**2d0*rMZ**2d0*(-cMZ**2d0 + rMZ**2d0) + Ten575*(cMHL**4d0*cMZ** &
              2d0*coupl(nGC_136)**2d0 - cMHL**4d0*coupl(nGC_136)**2d0*rMZ**2d0 &
               - 2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_136)**2d0 + 2d0*cMHL**2d0*   &
              coupl(nGC_136)**2d0*rMZ**4d0 + cMZ**6d0*coupl(nGC_136)**2d0 - 3d0&
              *cMZ**4d0*coupl(nGC_136)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(     &
              nGC_136)**2d0*rMZ**4d0 - 3d0*cMZ**2d0*coupl(nGC_177)**2d0*rMZ**  &
              2d0 - coupl(nGC_136)**2d0*rMZ**6d0 + 3d0*coupl(nGC_177)**2d0*rMZ &
              **4d0)/(3d0*rMZ**2d0) + Ten576*(cMHH**4d0*cMZ**2d0*coupl(nGC_130 &
              )**2d0 - cMHH**4d0*coupl(nGC_130)**2d0*rMZ**2d0 - 2d0*cMHH**2d0* &
              cMZ**4d0*coupl(nGC_130)**2d0 + 2d0*cMHH**2d0*coupl(nGC_130)**2d0*&
              rMZ**4d0 + cMZ**6d0*coupl(nGC_130)**2d0 - 3d0*cMZ**4d0*coupl(    &
              nGC_130)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl(nGC_130)**2d0*rMZ**  &
              4d0 - 3d0*cMZ**2d0*coupl(nGC_175)**2d0*rMZ**2d0 - coupl(nGC_130  &
              )**2d0*rMZ**6d0 + 3d0*coupl(nGC_175)**2d0*rMZ**4d0)/(3d0*rMZ**2d0&
              ) - 2d0*cME**2d0*coupl(nGC_124)**2d0 - 2d0*cME**2d0*coupl(nGC_128&
              )**2d0 - 2d0*cMM**2d0*coupl(nGC_124)**2d0 - 2d0*cMM**2d0*coupl(  &
              nGC_128)**2d0 - 2d0*cMTA**2d0*coupl(nGC_124)**2d0 - 2d0*cMTA**2d0&
              *coupl(nGC_128)**2d0 - 4d0*cMW**2d0*coupl(nGC_103)**2d0 - 2d0*   &
              cima*cMW**2d0*coupl(nGC_85) - 2d0*cMZ**2d0*coupl(nGC_103)**2d0/  &
              9d0 + cMZ**2d0*coupl(nGC_104)**2d0/18d0 + cMZ**2d0*coupl(nGC_105 &
              )**2d0/18d0 + 2d0*cMZ**2d0*coupl(nGC_124)**2d0/3d0 + 4d0*cMZ**2d0&
              *coupl(nGC_128)**2d0/9d0 + 2d0*cMZ**2d0*coupl(nGC_129)**2d0/3d0  &
               + 2d0*cMZ**2d0*coupl(nGC_130)**2d0/9d0 + 2d0*cMZ**2d0*coupl(    &
              nGC_136)**2d0/9d0 + 8d0*coupl(nGC_103)**2d0*rMZ**2d0/9d0 - coupl(&
              nGC_104)**2d0*rMZ**2d0/18d0 - coupl(nGC_105)**2d0*rMZ**2d0/18d0  &
               + coupl(nGC_124)**2d0*rMZ**2d0/3d0 + 5d0*coupl(nGC_128)**2d0*rMZ&
              **2d0/9d0 + coupl(nGC_129)**2d0*rMZ**2d0/3d0 - 2d0*coupl(nGC_130 &
              )**2d0*rMZ**2d0/9d0 - 2d0*coupl(nGC_136)**2d0*rMZ**2d0/9d0)/(16d0&
              *pi**2d0)
end subroutine set_ctparameter148
end module ctparameter148
