!******************************************************************************!
!                                                                              !
!    ctparameter71.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter71.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:34             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter71
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter71()
  dtHh_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_162) - cMZ**2d0*coupl(nGC_175)) + &
              cima*(8d0*Nc*Ten10*cMD*coupl(nGC_203) + 8d0*Nc*Ten11*cMS*coupl(  &
              nGC_215) + 8d0*Nc*Ten12*cMB*coupl(nGC_195) + 8d0*Nc*Ten7*cMU*    &
              coupl(nGC_227) + 8d0*Nc*Ten8*cMC*coupl(nGC_199) + 8d0*Nc*Ten9*cMT&
              *coupl(nGC_219) - Ten0*coupl(nGC_192) + Ten1*(2d0*coupl(nGC_174  &
              ) + 4d0*coupl(nGC_175) - coupl(nGC_188)) - Ten2*coupl(nGC_191) + &
              2d0*Ten3*(2d0*coupl(nGC_161) + 4d0*coupl(nGC_162) - coupl(nGC_187&
              )) + 8d0*Ten4*cME*coupl(nGC_207) + 8d0*Ten5*cMM*coupl(nGC_211) + &
              8d0*Ten6*cMTA*coupl(nGC_223))/2d0)/(16d0*pi**2d0)
end subroutine set_ctparameter71
end module ctparameter71
