!******************************************************************************!
!                                                                              !
!    vertices_info8.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info8.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info8
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl8()
      allocate(vertices(2940)%branchCT(0:0))
      call avCT(2940, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(5010)%branchCT(0:0))
      call avCT(5010, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2084, nGC_2085,        &
      nGC_2086/))

      allocate(vertices(2943)%branchCT(0:0))
      call avCT(2943, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(1675)%branchCT(0:0))
      call avCT(1675, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2945)%branchCT(0:0))
      call avCT(2945, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(521)%branchCT(0:0))
      call avCT(521, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2087, nGC_2088/))

      allocate(vertices(2947)%branchCT(0:0))
      call avCT(2947, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1292)%branchCT(0:0))
      call avCT(1292, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2949)%branchCT(0:0))
      call avCT(2949, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2950)%branchCT(0:0))
      call avCT(2950, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(526)%branchCT(0:0))
      call avCT(526, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(527)%branchCT(0:0))
      call avCT(527, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(4617)%branchCT(0:0))
      call avCT(4617, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2952)%branchCT(0:1))
      call avCT(2952, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2040, nGC_2042/))

      call avCT(2952, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2041, nGC_2043/))

      allocate(vertices(2953)%branchCT(0:0))
      call avCT(2953, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(3188)%branchCT(0:0))
      call avCT(3188, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2955)%branchCT(0:0))
      call avCT(2955, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(2499)%branchCT(0:0))
      call avCT(2499, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3202)%branchCT(0:0))
      call avCT(3202, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2957)%branchCT(0:0))
      call avCT(2957, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2089, nGC_2090/))

      allocate(vertices(535)%branchCT(0:0))
      call avCT(535, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(536)%branchCT(0:0))
      call avCT(536, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2025/))

      allocate(vertices(2958)%branchCT(0:0))
      call avCT(2958, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2961)%branchCT(0:0))
      call avCT(2961, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(540)%branchCT(0:0))
      call avCT(540, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(542)%branchCT(0:0))
      call avCT(542, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3245)%branchCT(0:0))
      call avCT(3245, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2073/))

      allocate(vertices(2965)%branchCT(0:0))
      call avCT(2965, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(4591)%branchCT(0:0))
      call avCT(4591, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(544)%branchCT(0:0))
      call avCT(544, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(4699)%branchCT(0:0))
      call avCT(4699, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2967)%branchCT(0:1))
      call avCT(2967, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(2967, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(546)%branchCT(0:0))
      call avCT(546, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2910)%branchCT(0:0))
      call avCT(2910, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(548)%branchCT(0:0))
      call avCT(548, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(549)%branchCT(0:1))
      call avCT(549, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(549, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(2970)%branchCT(0:0))
      call avCT(2970, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2560)%branchCT(0:0))
      call avCT(2560, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3301)%branchCT(0:0))
      call avCT(3301, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(5011)%branchCT(0:0))
      call avCT(5011, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2094, nGC_2095,        &
      nGC_2096/))

      allocate(vertices(551)%branchCT(0:0))
      call avCT(551, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2975)%branchCT(0:0))
      call avCT(2975, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(2976)%branchCT(0:0))
      call avCT(2976, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2977)%branchCT(0:0))
      call avCT(2977, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3480)%branchCT(0:0))
      call avCT(3480, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(556)%branchCT(0:0))
      call avCT(556, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2502)%branchCT(0:0))
      call avCT(2502, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(5012)%branchCT(0:0))
      call avCT(5012, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2097/))

      allocate(vertices(1681)%branchCT(0:0))
      call avCT(1681, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(2082)%branchCT(0:0))
      call avCT(2082, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(2980)%branchCT(0:0))
      call avCT(2980, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1682)%branchCT(0:0))
      call avCT(1682, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(563)%branchCT(0:0))
      call avCT(563, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(565)%branchCT(0:3))
      call avCT(565, 0, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(565, 1, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_2030, nGC_2032/))

      call avCT(565, 2, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(565, 3, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_2030, nGC_2032/))

      allocate(vertices(2504)%branchCT(0:0))
      call avCT(2504, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2985)%branchCT(0:0))
      call avCT(2985, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2986)%branchCT(0:1))
      call avCT(2986, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1907, nGC_1909/))

      call avCT(2986, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1908, nGC_1910/))

      allocate(vertices(388)%branchCT(0:0))
      call avCT(388, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(569)%branchCT(0:0))
      call avCT(569, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2098/))

      allocate(vertices(893)%branchCT(0:0))
      call avCT(893, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1778)%branchCT(0:0))
      call avCT(1778, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(572)%branchCT(0:1))
      call avCT(572, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1849, nGC_1851/))

      call avCT(572, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(4481)%branchCT(0:0))
      call avCT(4481, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2990)%branchCT(0:0))
      call avCT(2990, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2909)%branchCT(0:0))
      call avCT(2909, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2992)%branchCT(0:0))
      call avCT(2992, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(93)%branchCT(0:0))
      call avCT(93, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2004, nGC_2003&
      /))

      allocate(vertices(576)%branchCT(0:0))
      call avCT(576, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(5013)%branchCT(0:0))
      call avCT(5013, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(894)%branchCT(0:0))
      call avCT(894, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2996)%branchCT(0:0))
      call avCT(2996, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2997)%branchCT(0:0))
      call avCT(2997, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5014)%branchCT(0:0))
      call avCT(5014, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(2999)%branchCT(0:0))
      call avCT(2999, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3000)%branchCT(0:0))
      call avCT(3000, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(584)%branchCT(0:0))
      call avCT(584, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_2073/))

      allocate(vertices(3001)%branchCT(0:0))
      call avCT(3001, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2916)%branchCT(0:0))
      call avCT(2916, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(504)%branchCT(0:0))
      call avCT(504, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1940/))

      allocate(vertices(3003)%branchCT(0:0))
      call avCT(3003, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2099/))

      allocate(vertices(95)%branchCT(0:0))
      call avCT(95, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(3004)%branchCT(0:0))
      call avCT(3004, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(592)%branchCT(0:0))
      call avCT(592, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3007)%branchCT(0:0))
      call avCT(3007, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(595)%branchCT(0:0))
      call avCT(595, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3011)%branchCT(0:0))
      call avCT(3011, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(806)%branchCT(0:0))
      call avCT(806, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(600)%branchCT(0:0))
      call avCT(600, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3012)%branchCT(0:0))
      call avCT(3012, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(3743)%branchCT(0:0))
      call avCT(3743, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(603)%branchCT(0:0))
      call avCT(603, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3015)%branchCT(0:0))
      call avCT(3015, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(605)%branchCT(0:0))
      call avCT(605, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3018)%branchCT(0:0))
      call avCT(3018, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(606)%branchCT(0:1))
      call avCT(606, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_2040, nGC_2042/))

      call avCT(606, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_2041, nGC_2043/))

      allocate(vertices(1689)%branchCT(0:0))
      call avCT(1689, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(608)%branchCT(0:0))
      call avCT(608, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3020)%branchCT(0:3))
      call avCT(3020, 0, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(3020, 1, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_1997, nGC_1999/))

      call avCT(3020, 2, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(3020, 3, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_1997, nGC_1999/))

      allocate(vertices(609)%branchCT(0:0))
      call avCT(609, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3022)%branchCT(0:0))
      call avCT(3022, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3023)%branchCT(0:0))
      call avCT(3023, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3024)%branchCT(0:1))
      call avCT(3024, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1951, nGC_1949/))

      call avCT(3024, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1952, nGC_1950/))

      allocate(vertices(4628)%branchCT(0:0))
      call avCT(4628, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(3026)%branchCT(0:0))
      call avCT(3026, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(3663)%branchCT(0:0))
      call avCT(3663, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1690)%branchCT(0:0))
      call avCT(1690, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(4164)%branchCT(0:0))
      call avCT(4164, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(615)%branchCT(0:1))
      call avCT(615, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2026, nGC_2028/))

      call avCT(615, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2027, nGC_2029/))

      allocate(vertices(4948)%branchCT(0:0))
      call avCT(4948, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3030)%branchCT(0:0))
      call avCT(3030, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,       &
      nGC_1933/))

      allocate(vertices(618)%branchCT(0:0))
      call avCT(618, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(2216)%branchCT(0:0))
      call avCT(2216, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2091)%branchCT(0:0))
      call avCT(2091, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(620)%branchCT(0:0))
      call avCT(620, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(621)%branchCT(0:0))
      call avCT(621, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3033)%branchCT(0:0))
      call avCT(3033, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3034)%branchCT(0:0))
      call avCT(3034, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4365)%branchCT(0:0))
      call avCT(4365, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3733)%branchCT(0:0))
      call avCT(3733, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3036)%branchCT(0:0))
      call avCT(3036, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2037,       &
      nGC_2038/))

      allocate(vertices(1413)%branchCT(0:0))
      call avCT(1413, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3037)%branchCT(0:0))
      call avCT(3037, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(3038)%branchCT(0:0))
      call avCT(3038, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3763)%branchCT(0:0))
      call avCT(3763, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2003,       &
      nGC_2004/))

      allocate(vertices(632)%branchCT(0:0))
      call avCT(632, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(3040)%branchCT(0:0))
      call avCT(3040, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(634)%branchCT(0:1))
      call avCT(634, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1895, nGC_1897/))

      call avCT(634, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1896, nGC_1898/))

      allocate(vertices(3698)%branchCT(0:0))
      call avCT(3698, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2073/))

      allocate(vertices(635)%branchCT(0:0))
      call avCT(635, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(3043)%branchCT(0:0))
      call avCT(3043, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3044)%branchCT(0:0))
      call avCT(3044, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(637)%branchCT(0:0))
      call avCT(637, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(638)%branchCT(0:0))
      call avCT(638, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(465)%branchCT(0:0))
      call avCT(465, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(3046)%branchCT(0:0))
      call avCT(3046, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3047)%branchCT(0:1))
      call avCT(3047, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1929, nGC_1929/))

      call avCT(3047, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1930, nGC_1930/))

      allocate(vertices(3820)%branchCT(0:0))
      call avCT(3820, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(104)%branchCT(0:0))
      call avCT(104, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2016/))

      allocate(vertices(642)%branchCT(0:0))
      call avCT(642, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(308)%branchCT(0:0))
      call avCT(308, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2004, nGC_2003,        &
      nGC_2003/))

      allocate(vertices(645)%branchCT(0:0))
      call avCT(645, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(646)%branchCT(0:0))
      call avCT(646, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4742)%branchCT(0:0))
      call avCT(4742, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3056)%branchCT(0:1))
      call avCT(3056, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2026, nGC_2028/))

      call avCT(3056, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2027, nGC_2029/))

      allocate(vertices(3057)%branchCT(0:0))
      call avCT(3057, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3752)%branchCT(0:0))
      call avCT(3752, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2436)%branchCT(0:0))
      call avCT(2436, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(650)%branchCT(0:0))
      call avCT(650, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3060)%branchCT(0:0))
      call avCT(3060, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2099/))

      allocate(vertices(3886)%branchCT(0:0))
      call avCT(3886, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3656)%branchCT(0:0))
      call avCT(3656, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1197)%branchCT(0:0))
      call avCT(1197, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3063)%branchCT(0:0))
      call avCT(3063, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933,       &
      nGC_1932/))

      allocate(vertices(3065)%branchCT(0:0))
      call avCT(3065, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(655)%branchCT(0:0))
      call avCT(655, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3067)%branchCT(0:0))
      call avCT(3067, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(5015)%branchCT(0:0))
      call avCT(5015, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2102/))

      allocate(vertices(3069)%branchCT(0:0))
      call avCT(3069, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5016)%branchCT(0:0))
      call avCT(5016, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(658)%branchCT(0:0))
      call avCT(658, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(660)%branchCT(0:0))
      call avCT(660, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3070)%branchCT(0:1))
      call avCT(3070, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1847, nGC_1845/))

      call avCT(3070, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1848, nGC_1846/))

      allocate(vertices(107)%branchCT(0:0))
      call avCT(107, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(661)%branchCT(0:0))
      call avCT(661, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(1017)%branchCT(0:0))
      call avCT(1017, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1360)%branchCT(0:0))
      call avCT(1360, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(664)%branchCT(0:0))
      call avCT(664, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4176)%branchCT(0:0))
      call avCT(4176, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3077)%branchCT(0:1))
      call avCT(3077, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2021, nGC_2023/))

      call avCT(3077, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2022, nGC_2024/))

      allocate(vertices(666)%branchCT(0:0))
      call avCT(666, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(668)%branchCT(0:5))
      call avCT(668, 0, 40, 7, 0, UaVVU0, (/4, 0/), (/nGC_1893/))

      call avCT(668, 1, 38, 6, 0, UaVVU0, (/4, 0/), (/nGC_1892/))

      call avCT(668, 2, 35, 6, 0, UaVVU0, (/4, 0/), (/nGC_1892/))

      call avCT(668, 3, 39, 7, 0, UaVVU0, (/4, 0/), (/nGC_1893/))

      call avCT(668, 4, 37, 6, 0, UaVVU0, (/4, 0/), (/nGC_1892/))

      call avCT(668, 5, 36, 6, 0, UaVVU0, (/4, 0/), (/nGC_1892/))

      allocate(vertices(4016)%branchCT(0:0))
      call avCT(4016, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(669)%branchCT(0:0))
      call avCT(669, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(3082)%branchCT(0:0))
      call avCT(3082, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3413)%branchCT(0:0))
      call avCT(3413, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(514)%branchCT(0:0))
      call avCT(514, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(672)%branchCT(0:0))
      call avCT(672, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(3085)%branchCT(0:0))
      call avCT(3085, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(4043)%branchCT(0:0))
      call avCT(4043, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2532)%branchCT(0:0))
      call avCT(2532, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(675)%branchCT(0:0))
      call avCT(675, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(5017)%branchCT(0:0))
      call avCT(5017, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3089)%branchCT(0:1))
      call avCT(3089, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_2103, nGC_2105/))

      call avCT(3089, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_2104, nGC_2106/))

      allocate(vertices(1093)%branchCT(0:0))
      call avCT(1093, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3091)%branchCT(0:0))
      call avCT(3091, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,       &
      nGC_1932/))

      allocate(vertices(3092)%branchCT(0:0))
      call avCT(3092, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(677)%branchCT(0:0))
      call avCT(677, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(678)%branchCT(0:0))
      call avCT(678, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2044/))

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(680)%branchCT(0:0))
      call avCT(680, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2107, nGC_2107/))

      allocate(vertices(683)%branchCT(0:0))
      call avCT(683, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(684)%branchCT(0:0))
      call avCT(684, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(685)%branchCT(0:0))
      call avCT(685, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(2103)%branchCT(0:0))
      call avCT(2103, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(5018)%branchCT(0:1))
      call avCT(5018, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2110, nGC_2112,      &
      nGC_2112, nGC_2114/))

      call avCT(5018, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2111, nGC_2113,      &
      nGC_2113, nGC_2115/))

      allocate(vertices(3099)%branchCT(0:0))
      call avCT(3099, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3100)%branchCT(0:1))
      call avCT(3100, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1849, nGC_1851/))

      call avCT(3100, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(4126)%branchCT(0:0))
      call avCT(4126, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(691)%branchCT(0:0))
      call avCT(691, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(693)%branchCT(0:0))
      call avCT(693, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(694)%branchCT(0:0))
      call avCT(694, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3352)%branchCT(0:0))
      call avCT(3352, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(5019)%branchCT(0:1))
      call avCT(5019, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2116, nGC_2118,       &
      nGC_2118, nGC_2120/))

      call avCT(5019, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2117, nGC_2119,       &
      nGC_2119, nGC_2121/))

      allocate(vertices(3105)%branchCT(0:0))
      call avCT(3105, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1705)%branchCT(0:0))
      call avCT(1705, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,       &
      nGC_1932/))

      allocate(vertices(1644)%branchCT(0:1))
      call avCT(1644, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1884, nGC_1882/))

      call avCT(1644, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1885, nGC_1883/))

      allocate(vertices(4179)%branchCT(0:0))
      call avCT(4179, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(697)%branchCT(0:0))
      call avCT(697, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(2932)%branchCT(0:0))
      call avCT(2932, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2049/))

      allocate(vertices(4194)%branchCT(0:0))
      call avCT(4194, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3111)%branchCT(0:1))
      call avCT(3111, 0, 85, 1, 0, FVFa1, (/0, 3/), (/nGC_2057/))

      call avCT(3111, 1, 85, 1, 0, FVFa1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(3112)%branchCT(0:0))
      call avCT(3112, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_1903/))

      allocate(vertices(3353)%branchCT(0:0))
      call avCT(3353, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(4934)%branchCT(0:0))
      call avCT(4934, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3869)%branchCT(0:0))
      call avCT(3869, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(699)%branchCT(0:0))
      call avCT(699, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(700)%branchCT(0:0))
      call avCT(700, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(701)%branchCT(0:0))
      call avCT(701, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(4425)%branchCT(0:0))
      call avCT(4425, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2061/))

      allocate(vertices(4230)%branchCT(0:0))
      call avCT(4230, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3119)%branchCT(0:1))
      call avCT(3119, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1936, nGC_1938/))

      call avCT(3119, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1937, nGC_1939/))

      allocate(vertices(706)%branchCT(0:0))
      call avCT(706, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(5020)%branchCT(0:0))
      call avCT(5020, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1959/))

      allocate(vertices(708)%branchCT(0:0))
      call avCT(708, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(709)%branchCT(0:0))
      call avCT(709, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4268)%branchCT(0:0))
      call avCT(4268, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2016/))

      allocate(vertices(3124)%branchCT(0:0))
      call avCT(3124, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(711)%branchCT(0:0))
      call avCT(711, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(4282)%branchCT(0:0))
      call avCT(4282, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3126)%branchCT(0:0))
      call avCT(3126, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4298)%branchCT(0:0))
      call avCT(4298, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(714)%branchCT(0:0))
      call avCT(714, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3128)%branchCT(0:1))
      call avCT(3128, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_2012, nGC_2014/))

      call avCT(3128, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_2013, nGC_2015/))

      allocate(vertices(2540)%branchCT(0:0))
      call avCT(2540, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3130)%branchCT(0:0))
      call avCT(3130, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(717)%branchCT(0:0))
      call avCT(717, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4328)%branchCT(0:1))
      call avCT(4328, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(4328, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(719)%branchCT(0:0))
      call avCT(719, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4342)%branchCT(0:0))
      call avCT(4342, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4202)%branchCT(0:0))
      call avCT(4202, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3133)%branchCT(0:0))
      call avCT(3133, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(725)%branchCT(0:1))
      call avCT(725, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(725, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(727)%branchCT(0:0))
      call avCT(727, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2902)%branchCT(0:0))
      call avCT(2902, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3136)%branchCT(0:1))
      call avCT(3136, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2122, nGC_2122/))

      call avCT(3136, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2123, nGC_2123/))

      allocate(vertices(4382)%branchCT(0:0))
      call avCT(4382, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(912)%branchCT(0:0))
      call avCT(912, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3839)%branchCT(0:0))
      call avCT(3839, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(733)%branchCT(0:0))
      call avCT(733, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(3140)%branchCT(0:0))
      call avCT(3140, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(4421)%branchCT(0:0))
      call avCT(4421, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(3142)%branchCT(0:0))
      call avCT(3142, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(3356)%branchCT(0:0))
      call avCT(3356, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3145)%branchCT(0:0))
      call avCT(3145, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(741)%branchCT(0:0))
      call avCT(741, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1329)%branchCT(0:5))
      call avCT(1329, 0, 53, 6, 0, VVUaU0, (/4, 0/), (/nGC_1892/))

      call avCT(1329, 1, 57, 7, 0, VVUaU0, (/4, 0/), (/nGC_1893/))

      call avCT(1329, 2, 55, 6, 0, VVUaU0, (/4, 0/), (/nGC_1892/))

      call avCT(1329, 3, 56, 6, 0, VVUaU0, (/4, 0/), (/nGC_1892/))

      call avCT(1329, 4, 54, 6, 0, VVUaU0, (/4, 0/), (/nGC_1892/))

      call avCT(1329, 5, 58, 7, 0, VVUaU0, (/4, 0/), (/nGC_1893/))

      allocate(vertices(742)%branchCT(0:0))
      call avCT(742, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2124/))

      allocate(vertices(3150)%branchCT(0:0))
      call avCT(3150, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      allocate(vertices(744)%branchCT(0:0))
      call avCT(744, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3151)%branchCT(0:0))
      call avCT(3151, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(745)%branchCT(0:1))
      call avCT(745, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1929, nGC_1929/))

      call avCT(745, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1930, nGC_1930/))

      allocate(vertices(3152)%branchCT(0:0))
      call avCT(3152, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(747)%branchCT(0:0))
      call avCT(747, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3154)%branchCT(0:0))
      call avCT(3154, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(3155)%branchCT(0:0))
      call avCT(3155, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3156)%branchCT(0:3))
      call avCT(3156, 0, 92, 2, 0, FVFa0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(3156, 1, 92, 2, 0, FVFa0, (/1, 2/), (/nGC_2126, nGC_2128/))

      call avCT(3156, 2, 93, 3, 0, FVFa0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(3156, 3, 93, 3, 0, FVFa0, (/1, 2/), (/nGC_2126, nGC_2128/))

      allocate(vertices(4526)%branchCT(0:0))
      call avCT(4526, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(2546)%branchCT(0:0))
      call avCT(2546, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(2213)%branchCT(0:0))
      call avCT(2213, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(755)%branchCT(0:0))
      call avCT(755, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(756)%branchCT(0:0))
      call avCT(756, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3160)%branchCT(0:1))
      call avCT(3160, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2103, nGC_2105/))

      call avCT(3160, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2104, nGC_2106/))

      allocate(vertices(128)%branchCT(0:0))
      call avCT(128, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3162)%branchCT(0:0))
      call avCT(3162, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3164)%branchCT(0:0))
      call avCT(3164, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(757)%branchCT(0:0))
      call avCT(757, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(4588)%branchCT(0:0))
      call avCT(4588, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(759)%branchCT(0:1))
      call avCT(759, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(759, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(3168)%branchCT(0:0))
      call avCT(3168, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(3655)%branchCT(0:0))
      call avCT(3655, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3169)%branchCT(0:0))
      call avCT(3169, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3819)%branchCT(0:0))
      call avCT(3819, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(761)%branchCT(0:0))
      call avCT(761, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(762)%branchCT(0:5))
      call avCT(762, 0, 62, 6, 0, VUaUV0, (/4, 0/), (/nGC_1892/))

      call avCT(762, 1, 59, 6, 0, VUaUV0, (/4, 0/), (/nGC_1892/))

      call avCT(762, 2, 64, 7, 0, VUaUV0, (/4, 0/), (/nGC_1893/))

      call avCT(762, 3, 61, 6, 0, VUaUV0, (/4, 0/), (/nGC_1892/))

      call avCT(762, 4, 60, 6, 0, VUaUV0, (/4, 0/), (/nGC_1892/))

      call avCT(762, 5, 63, 7, 0, VUaUV0, (/4, 0/), (/nGC_1893/))

      allocate(vertices(3173)%branchCT(0:0))
      call avCT(3173, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4625)%branchCT(0:0))
      call avCT(4625, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2130/))

      allocate(vertices(765)%branchCT(0:0))
      call avCT(765, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(766)%branchCT(0:0))
      call avCT(766, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(3176)%branchCT(0:0))
      call avCT(3176, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(769)%branchCT(0:0))
      call avCT(769, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4936)%branchCT(0:0))
      call avCT(4936, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(770)%branchCT(0:0))
      call avCT(770, 0, 1, 1, 0, FSFa1, (/0, 3/), (/nGC_1903/))

      allocate(vertices(771)%branchCT(0:0))
      call avCT(771, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(772)%branchCT(0:0))
      call avCT(772, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(773)%branchCT(0:0))
      call avCT(773, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(528)%branchCT(0:0))
      call avCT(528, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3183)%branchCT(0:0))
      call avCT(3183, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3184)%branchCT(0:0))
      call avCT(3184, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2131/))

      allocate(vertices(3185)%branchCT(0:0))
      call avCT(3185, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(776)%branchCT(0:0))
      call avCT(776, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(777)%branchCT(0:0))
      call avCT(777, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3051)%branchCT(0:0))
      call avCT(3051, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(778)%branchCT(0:0))
      call avCT(778, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,        &
      nGC_1933/))

      allocate(vertices(3187)%branchCT(0:0))
      call avCT(3187, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4953)%branchCT(0:0))
      call avCT(4953, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3191)%branchCT(0:0))
      call avCT(3191, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3192)%branchCT(0:0))
      call avCT(3192, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,       &
      nGC_1933/))

      allocate(vertices(919)%branchCT(0:0))
      call avCT(919, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(531)%branchCT(0:0))
      call avCT(531, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(787)%branchCT(0:0))
      call avCT(787, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_1903/))

      allocate(vertices(3196)%branchCT(0:0))
      call avCT(3196, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3075)%branchCT(0:0))
      call avCT(3075, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3197)%branchCT(0:0))
      call avCT(3197, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4811)%branchCT(0:0))
      call avCT(4811, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(790)%branchCT(0:0))
      call avCT(790, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3201)%branchCT(0:0))
      call avCT(3201, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(5021)%branchCT(0:0))
      call avCT(5021, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2132/))

      allocate(vertices(3203)%branchCT(0:0))
      call avCT(3203, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(793)%branchCT(0:0))
      call avCT(793, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2133/))

      allocate(vertices(3286)%branchCT(0:0))
      call avCT(3286, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4726)%branchCT(0:0))
      call avCT(4726, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(4859)%branchCT(0:0))
      call avCT(4859, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(797)%branchCT(0:0))
      call avCT(797, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(3372)%branchCT(0:0))
      call avCT(3372, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(5022)%branchCT(0:0))
      call avCT(5022, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2077/))

      allocate(vertices(4878)%branchCT(0:0))
      call avCT(4878, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3212)%branchCT(0:0))
      call avCT(3212, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2134/))

      allocate(vertices(3214)%branchCT(0:0))
      call avCT(3214, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3215)%branchCT(0:0))
      call avCT(3215, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2296)%branchCT(0:0))
      call avCT(2296, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3217)%branchCT(0:0))
      call avCT(3217, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(5023)%branchCT(0:1))
      call avCT(5023, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2135, nGC_2137,      &
      nGC_2137, nGC_2139/))

      call avCT(5023, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2136, nGC_2138,      &
      nGC_2138, nGC_2140/))

      allocate(vertices(4943)%branchCT(0:0))
      call avCT(4943, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3219)%branchCT(0:0))
      call avCT(3219, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2141/))

      allocate(vertices(804)%branchCT(0:0))
      call avCT(804, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3220)%branchCT(0:0))
      call avCT(3220, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4963)%branchCT(0:0))
      call avCT(4963, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(808)%branchCT(0:0))
      call avCT(808, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2098/))

      allocate(vertices(77)%branchCT(0:1))
      call avCT(77, 0, 85, 1, 0, FVFa1, (/0, 3/), (/nGC_1877/))

      call avCT(77, 1, 85, 1, 0, FVFa1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(810)%branchCT(0:1))
      call avCT(810, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2142, nGC_2142/))

      call avCT(810, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2143, nGC_2143/))

      allocate(vertices(3225)%branchCT(0:0))
      call avCT(3225, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3226)%branchCT(0:0))
      call avCT(3226, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3228)%branchCT(0:0))
      call avCT(3228, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2125)%branchCT(0:0))
      call avCT(2125, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(3233)%branchCT(0:0))
      call avCT(3233, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(539)%branchCT(0:0))
      call avCT(539, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3235)%branchCT(0:1))
      call avCT(3235, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1957/))

      call avCT(3235, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(3236)%branchCT(0:0))
      call avCT(3236, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(5024)%branchCT(0:0))
      call avCT(5024, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(821)%branchCT(0:5))
      call avCT(821, 0, 73, 6, 0, VUVUa0, (/4, 0/), (/nGC_1892/))

      call avCT(821, 1, 71, 6, 0, VUVUa0, (/4, 0/), (/nGC_1892/))

      call avCT(821, 2, 72, 6, 0, VUVUa0, (/4, 0/), (/nGC_1892/))

      call avCT(821, 3, 76, 7, 0, VUVUa0, (/4, 0/), (/nGC_1893/))

      call avCT(821, 4, 74, 6, 0, VUVUa0, (/4, 0/), (/nGC_1892/))

      call avCT(821, 5, 75, 7, 0, VUVUa0, (/4, 0/), (/nGC_1893/))

      allocate(vertices(3240)%branchCT(0:0))
      call avCT(3240, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4265)%branchCT(0:0))
      call avCT(4265, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3241)%branchCT(0:0))
      call avCT(3241, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(3242)%branchCT(0:0))
      call avCT(3242, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(827)%branchCT(0:0))
      call avCT(827, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(97)%branchCT(0:0))
      call avCT(97, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(2963)%branchCT(0:0))
      call avCT(2963, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2130/))

      allocate(vertices(3246)%branchCT(0:0))
      call avCT(3246, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_1903/))

      allocate(vertices(3787)%branchCT(0:0))
      call avCT(3787, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2037,       &
      nGC_2038/))

      allocate(vertices(120)%branchCT(0:0))
      call avCT(120, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3247)%branchCT(0:3))
      call avCT(3247, 0, 88, 2, 0, FaVF0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(3247, 1, 88, 2, 0, FaVF0, (/1, 2/), (/nGC_2126, nGC_2128/))

      call avCT(3247, 2, 89, 3, 0, FaVF0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(3247, 3, 89, 3, 0, FaVF0, (/1, 2/), (/nGC_2126, nGC_2128/))

      allocate(vertices(129)%branchCT(0:0))
      call avCT(129, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4871)%branchCT(0:0))
      call avCT(4871, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(831)%branchCT(0:0))
      call avCT(831, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4219)%branchCT(0:0))
      call avCT(4219, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(832)%branchCT(0:0))
      call avCT(832, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(833)%branchCT(0:0))
      call avCT(833, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(169)%branchCT(0:0))
      call avCT(169, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(170)%branchCT(0:1))
      call avCT(170, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(170, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(925)%branchCT(0:0))
      call avCT(925, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3254)%branchCT(0:0))
      call avCT(3254, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(838)%branchCT(0:0))
      call avCT(838, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(839)%branchCT(0:3))
      call avCT(839, 0, 91, 3, 0, FaFV1, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(839, 1, 91, 3, 0, FaFV1, (/3, 0/), (/nGC_1886, nGC_1888/))

      call avCT(839, 2, 90, 2, 0, FaFV1, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(839, 3, 90, 2, 0, FaFV1, (/3, 0/), (/nGC_1886, nGC_1888/))

      allocate(vertices(2966)%branchCT(0:0))
      call avCT(2966, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(840)%branchCT(0:0))
      call avCT(840, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(834)%branchCT(0:0))
      call avCT(834, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2131/))

      allocate(vertices(842)%branchCT(0:0))
      call avCT(842, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(3258)%branchCT(0:3))
      call avCT(3258, 0, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(3258, 1, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_1967, nGC_1969/))

      call avCT(3258, 2, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(3258, 3, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_1967, nGC_1969/))

      allocate(vertices(3260)%branchCT(0:0))
      call avCT(3260, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2037,       &
      nGC_2038/))

      allocate(vertices(3261)%branchCT(0:1))
      call avCT(3261, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1976, nGC_1976/))

      call avCT(3261, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3263)%branchCT(0:0))
      call avCT(3263, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(226)%branchCT(0:0))
      call avCT(226, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2148, nGC_2148,        &
      nGC_2149/))

      allocate(vertices(3265)%branchCT(0:0))
      call avCT(3265, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2098/))

      allocate(vertices(3266)%branchCT(0:0))
      call avCT(3266, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3267)%branchCT(0:1))
      call avCT(3267, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_2142, nGC_2142/))

      call avCT(3267, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_2143, nGC_2143/))

      allocate(vertices(2565)%branchCT(0:0))
      call avCT(2565, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3268)%branchCT(0:0))
      call avCT(3268, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(3269)%branchCT(0:0))
      call avCT(3269, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3270)%branchCT(0:1))
      call avCT(3270, 0, 118, 4, 0, VUaU0, (/3, 0/), (/nGC_1966/))

      call avCT(3270, 1, 119, 5, 0, VUaU0, (/3, 0/), (/nGC_1966/))

      allocate(vertices(3380)%branchCT(0:0))
      call avCT(3380, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3271)%branchCT(0:0))
      call avCT(3271, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3272)%branchCT(0:1))
      call avCT(3272, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(3272, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(4839)%branchCT(0:0))
      call avCT(4839, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(850)%branchCT(0:0))
      call avCT(850, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3275)%branchCT(0:0))
      call avCT(3275, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2150, nGC_2151/))

      allocate(vertices(460)%branchCT(0:0))
      call avCT(460, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(851)%branchCT(0:0))
      call avCT(851, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3277)%branchCT(0:0))
      call avCT(3277, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3278)%branchCT(0:0))
      call avCT(3278, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2152/))

      allocate(vertices(1351)%branchCT(0:0))
      call avCT(1351, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(3280)%branchCT(0:0))
      call avCT(3280, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(3281)%branchCT(0:0))
      call avCT(3281, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3282)%branchCT(0:0))
      call avCT(3282, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3283)%branchCT(0:0))
      call avCT(3283, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(854)%branchCT(0:0))
      call avCT(854, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3284)%branchCT(0:0))
      call avCT(3284, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(331)%branchCT(0:0))
      call avCT(331, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(856)%branchCT(0:0))
      call avCT(856, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(858)%branchCT(0:0))
      call avCT(858, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3289)%branchCT(0:0))
      call avCT(3289, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4866)%branchCT(0:1))
      call avCT(4866, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(4866, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(862)%branchCT(0:0))
      call avCT(862, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(863)%branchCT(0:1))
      call avCT(863, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1907, nGC_1909/))

      call avCT(863, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1908, nGC_1910/))

      allocate(vertices(4248)%branchCT(0:3))
      call avCT(4248, 0, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(4248, 1, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_2154, nGC_2156/))

      call avCT(4248, 2, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(4248, 3, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_2154, nGC_2156/))

      allocate(vertices(3298)%branchCT(0:0))
      call avCT(3298, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(866)%branchCT(0:0))
      call avCT(866, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3863)%branchCT(0:0))
      call avCT(3863, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3300)%branchCT(0:0))
      call avCT(3300, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(868)%branchCT(0:0))
      call avCT(868, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(150)%branchCT(0:0))
      call avCT(150, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3304)%branchCT(0:0))
      call avCT(3304, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(1452)%branchCT(0:0))
      call avCT(1452, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2570)%branchCT(0:0))
      call avCT(2570, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1962/))

      allocate(vertices(932)%branchCT(0:0))
      call avCT(932, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3308)%branchCT(0:0))
      call avCT(3308, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2138)%branchCT(0:0))
      call avCT(2138, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(871)%branchCT(0:0))
      call avCT(871, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(3311)%branchCT(0:0))
      call avCT(3311, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3312)%branchCT(0:0))
      call avCT(3312, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2018, nGC_2018/))

      allocate(vertices(873)%branchCT(0:0))
      call avCT(873, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3315)%branchCT(0:0))
      call avCT(3315, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(468)%branchCT(0:0))
      call avCT(468, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(877)%branchCT(0:1))
      call avCT(877, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2053, nGC_2055/))

      call avCT(877, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2054, nGC_2056/))

      allocate(vertices(3320)%branchCT(0:0))
      call avCT(3320, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(3321)%branchCT(0:0))
      call avCT(3321, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2082/))

      allocate(vertices(5025)%branchCT(0:0))
      call avCT(5025, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(878)%branchCT(0:0))
      call avCT(878, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3210)%branchCT(0:0))
      call avCT(3210, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(881)%branchCT(0:0))
      call avCT(881, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(3324)%branchCT(0:0))
      call avCT(3324, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(3375)%branchCT(0:0))
      call avCT(3375, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3326)%branchCT(0:0))
      call avCT(3326, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(509)%branchCT(0:0))
      call avCT(509, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3328)%branchCT(0:0))
      call avCT(3328, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(3178)%branchCT(0:0))
      call avCT(3178, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(885)%branchCT(0:0))
      call avCT(885, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3329)%branchCT(0:1))
      call avCT(3329, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1847, nGC_1845/))

      call avCT(3329, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1848, nGC_1846/))

      allocate(vertices(3071)%branchCT(0:0))
      call avCT(3071, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3330)%branchCT(0:0))
      call avCT(3330, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(5026)%branchCT(0:0))
      call avCT(5026, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2157/))

      allocate(vertices(5027)%branchCT(0:0))
      call avCT(5027, 0, 13, 1, 0, VV1, (/0, 2/), (/nGC_2094, nGC_2095,        &
      nGC_2096/))

      allocate(vertices(888)%branchCT(0:0))
      call avCT(888, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(1868)%branchCT(0:0))
      call avCT(1868, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(545)%branchCT(0:0))
      call avCT(545, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(3332)%branchCT(0:0))
      call avCT(3332, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(445)%branchCT(0:0))
      call avCT(445, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3334)%branchCT(0:0))
      call avCT(3334, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(3335)%branchCT(0:0))
      call avCT(3335, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(555)%branchCT(0:0))
      call avCT(555, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3336)%branchCT(0:0))
      call avCT(3336, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(2018)%branchCT(0:0))
      call avCT(2018, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3894)%branchCT(0:0))
      call avCT(3894, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2149, nGC_2148,       &
      nGC_2148/))

      allocate(vertices(2227)%branchCT(0:3))
      call avCT(2227, 0, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(2227, 1, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_2126, nGC_2128/))

      call avCT(2227, 2, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(2227, 3, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_2126, nGC_2128/))

      allocate(vertices(3293)%branchCT(0:0))
      call avCT(3293, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3341)%branchCT(0:0))
      call avCT(3341, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(898)%branchCT(0:0))
      call avCT(898, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(3342)%branchCT(0:0))
      call avCT(3342, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3343)%branchCT(0:0))
      call avCT(3343, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(5028)%branchCT(0:0))
      call avCT(5028, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2102/))

      allocate(vertices(3344)%branchCT(0:0))
      call avCT(3344, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4962)%branchCT(0:1))
      call avCT(4962, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(4962, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(2576)%branchCT(0:1))
      call avCT(2576, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1957/))

      call avCT(2576, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(3252)%branchCT(0:0))
      call avCT(3252, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2158/))

      allocate(vertices(651)%branchCT(0:0))
      call avCT(651, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3348)%branchCT(0:0))
      call avCT(3348, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(906)%branchCT(0:1))
      call avCT(906, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(906, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(3806)%branchCT(0:0))
      call avCT(3806, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(415)%branchCT(0:0))
      call avCT(415, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4686)%branchCT(0:0))
      call avCT(4686, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(3929)%branchCT(0:0))
      call avCT(3929, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3351)%branchCT(0:1))
      call avCT(3351, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1913, nGC_1913/))

      call avCT(3351, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1914, nGC_1914/))

      allocate(vertices(3055)%branchCT(0:0))
      call avCT(3055, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(5029)%branchCT(0:0))
      call avCT(5029, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(5030)%branchCT(0:0))
      call avCT(5030, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_1986/))

      allocate(vertices(910)%branchCT(0:0))
      call avCT(910, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(5031)%branchCT(0:0))
      call avCT(5031, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2161/))

      allocate(vertices(5032)%branchCT(0:0))
      call avCT(5032, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1863/))

      allocate(vertices(731)%branchCT(0:0))
      call avCT(731, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(913)%branchCT(0:0))
      call avCT(913, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3357)%branchCT(0:0))
      call avCT(3357, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(4333)%branchCT(0:0))
      call avCT(4333, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(2017)%branchCT(0:0))
      call avCT(2017, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3360)%branchCT(0:1))
      call avCT(3360, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_1877/))

      call avCT(3360, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(2133)%branchCT(0:0))
      call avCT(2133, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2069/))

      allocate(vertices(1361)%branchCT(0:0))
      call avCT(1361, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3364)%branchCT(0:0))
      call avCT(3364, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(916)%branchCT(0:3))
      call avCT(916, 0, 88, 2, 0, FaVF0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(916, 1, 88, 2, 0, FaVF0, (/3, 0/), (/nGC_1997, nGC_1999/))

      call avCT(916, 2, 89, 3, 0, FaVF0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(916, 3, 89, 3, 0, FaVF0, (/3, 0/), (/nGC_1997, nGC_1999/))

      allocate(vertices(5033)%branchCT(0:0))
      call avCT(5033, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2162, nGC_2163,       &
      nGC_2163, nGC_2164/))

      allocate(vertices(5034)%branchCT(0:0))
      call avCT(5034, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_2165, nGC_2166,       &
      nGC_2166, nGC_2167/))

      allocate(vertices(917)%branchCT(0:0))
      call avCT(917, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(918)%branchCT(0:0))
      call avCT(918, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_2168/))

      allocate(vertices(782)%branchCT(0:0))
      call avCT(782, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(920)%branchCT(0:1))
      call avCT(920, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2169, nGC_2169/))

      call avCT(920, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2170, nGC_2170/))

      allocate(vertices(163)%branchCT(0:0))
      call avCT(163, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(798)%branchCT(0:0))
      call avCT(798, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(814)%branchCT(0:0))
      call avCT(814, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4211)%branchCT(0:0))
      call avCT(4211, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4764)%branchCT(0:0))
      call avCT(4764, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3377)%branchCT(0:3))
      call avCT(3377, 0, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(3377, 1, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_1997, nGC_1999/))

      call avCT(3377, 2, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_1998, nGC_2000/))

      call avCT(3377, 3, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_1997, nGC_1999/))

      allocate(vertices(3812)%branchCT(0:0))
      call avCT(3812, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5035)%branchCT(0:1))
      call avCT(5035, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2110, nGC_2112,       &
      nGC_2112, nGC_2114/))

      call avCT(5035, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2111, nGC_2113,       &
      nGC_2113, nGC_2115/))

      allocate(vertices(926)%branchCT(0:0))
      call avCT(926, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1987/))

      allocate(vertices(1978)%branchCT(0:0))
      call avCT(1978, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3400)%branchCT(0:0))
      call avCT(3400, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(929)%branchCT(0:0))
      call avCT(929, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3381)%branchCT(0:0))
      call avCT(3381, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(931)%branchCT(0:0))
      call avCT(931, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3171)%branchCT(0:0))
      call avCT(3171, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3384)%branchCT(0:0))
      call avCT(3384, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(3385)%branchCT(0:0))
      call avCT(3385, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3386)%branchCT(0:1))
      call avCT(3386, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2171, nGC_2173/))

      call avCT(3386, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2172, nGC_2174/))

      allocate(vertices(2151)%branchCT(0:0))
      call avCT(2151, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3389)%branchCT(0:0))
      call avCT(3389, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2131/))

      allocate(vertices(4236)%branchCT(0:0))
      call avCT(4236, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2037,       &
      nGC_2037/))

      allocate(vertices(1375)%branchCT(0:0))
      call avCT(1375, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(937)%branchCT(0:0))
      call avCT(937, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2034/))

      allocate(vertices(3815)%branchCT(0:0))
      call avCT(3815, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3394)%branchCT(0:0))
      call avCT(3394, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3395)%branchCT(0:0))
      call avCT(3395, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4720)%branchCT(0:0))
      call avCT(4720, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(941)%branchCT(0:0))
      call avCT(941, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(3399)%branchCT(0:0))
      call avCT(3399, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(928)%branchCT(0:0))
      call avCT(928, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3401)%branchCT(0:1))
      call avCT(3401, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1845, nGC_1847/))

      call avCT(3401, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1846, nGC_1848/))

      allocate(vertices(3403)%branchCT(0:0))
      call avCT(3403, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3404)%branchCT(0:0))
      call avCT(3404, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2124/))

      allocate(vertices(947)%branchCT(0:0))
      call avCT(947, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1398)%branchCT(0:1))
      call avCT(1398, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1884, nGC_1882/))

      call avCT(1398, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1885, nGC_1883/))

      allocate(vertices(1397)%branchCT(0:0))
      call avCT(1397, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1866/))

      allocate(vertices(949)%branchCT(0:0))
      call avCT(949, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(2155)%branchCT(0:0))
      call avCT(2155, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(948)%branchCT(0:0))
      call avCT(948, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2034/))

      allocate(vertices(968)%branchCT(0:0))
      call avCT(968, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(952)%branchCT(0:0))
      call avCT(952, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(976)%branchCT(0:0))
      call avCT(976, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(953)%branchCT(0:0))
      call avCT(953, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3408)%branchCT(0:0))
      call avCT(3408, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(958)%branchCT(0:0))
      call avCT(958, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3417)%branchCT(0:0))
      call avCT(3417, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2131/))

      allocate(vertices(960)%branchCT(0:0))
      call avCT(960, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1748)%branchCT(0:1))
      call avCT(1748, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1951, nGC_1949/))

      call avCT(1748, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1952, nGC_1950/))

      allocate(vertices(1234)%branchCT(0:0))
      call avCT(1234, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1038)%branchCT(0:0))
      call avCT(1038, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(966)%branchCT(0:0))
      call avCT(966, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(5036)%branchCT(0:0))
      call avCT(5036, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2132/))

      allocate(vertices(3422)%branchCT(0:0))
      call avCT(3422, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1749)%branchCT(0:0))
      call avCT(1749, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3766)%branchCT(0:0))
      call avCT(3766, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(3423)%branchCT(0:0))
      call avCT(3423, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(972)%branchCT(0:1))
      call avCT(972, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2019, nGC_2019/))

      call avCT(972, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2020, nGC_2020/))

      allocate(vertices(3425)%branchCT(0:0))
      call avCT(3425, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(5037)%branchCT(0:0))
      call avCT(5037, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1959/))

      allocate(vertices(174)%branchCT(0:0))
      call avCT(174, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4759)%branchCT(0:0))
      call avCT(4759, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3409)%branchCT(0:0))
      call avCT(3409, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(1091)%branchCT(0:0))
      call avCT(1091, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5038)%branchCT(0:0))
      call avCT(5038, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2157/))

      allocate(vertices(3544)%branchCT(0:0))
      call avCT(3544, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(980)%branchCT(0:0))
      call avCT(980, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(3430)%branchCT(0:0))
      call avCT(3430, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(982)%branchCT(0:0))
      call avCT(982, 0, 1, 1, 0, VVV0, (/0, 3/), (/nGC_1881/))

      allocate(vertices(2591)%branchCT(0:0))
      call avCT(2591, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(985)%branchCT(0:0))
      call avCT(985, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3410)%branchCT(0:0))
      call avCT(3410, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(987)%branchCT(0:0))
      call avCT(987, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(988)%branchCT(0:0))
      call avCT(988, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(989)%branchCT(0:0))
      call avCT(989, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2133/))

      allocate(vertices(990)%branchCT(0:0))
      call avCT(990, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3433)%branchCT(0:0))
      call avCT(3433, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(992)%branchCT(0:0))
      call avCT(992, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1156)%branchCT(0:1))
      call avCT(1156, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(1156, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(995)%branchCT(0:0))
      call avCT(995, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3435)%branchCT(0:0))
      call avCT(3435, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(997)%branchCT(0:0))
      call avCT(997, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(3436)%branchCT(0:0))
      call avCT(3436, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3438)%branchCT(0:0))
      call avCT(3438, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2748)%branchCT(0:1))
      call avCT(2748, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1936, nGC_1938/))

      call avCT(2748, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1937, nGC_1939/))

      allocate(vertices(3440)%branchCT(0:0))
      call avCT(3440, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1005)%branchCT(0:0))
      call avCT(1005, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(1220)%branchCT(0:0))
      call avCT(1220, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(3444)%branchCT(0:0))
      call avCT(3444, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(1008)%branchCT(0:1))
      call avCT(1008, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_2057/))

      call avCT(1008, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(5039)%branchCT(0:0))
      call avCT(5039, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1246)%branchCT(0:0))
      call avCT(1246, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3448)%branchCT(0:0))
      call avCT(3448, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2176/))

      allocate(vertices(1012)%branchCT(0:0))
      call avCT(1012, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(1013)%branchCT(0:0))
      call avCT(1013, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1014)%branchCT(0:0))
      call avCT(1014, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3250)%branchCT(0:0))
      call avCT(3250, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1274)%branchCT(0:0))
      call avCT(1274, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3450)%branchCT(0:1))
      call avCT(3450, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1951, nGC_1949/))

      call avCT(3450, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1952, nGC_1950/))

      allocate(vertices(1756)%branchCT(0:0))
      call avCT(1756, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3615)%branchCT(0:0))
      call avCT(3615, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(181)%branchCT(0:0))
      call avCT(181, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1019)%branchCT(0:0))
      call avCT(1019, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(3454)%branchCT(0:0))
      call avCT(3454, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(1023)%branchCT(0:0))
      call avCT(1023, 0, 1, 1, 0, FaFS2, (/0, 3/), (/nGC_2061/))

      allocate(vertices(4250)%branchCT(0:0))
      call avCT(4250, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(1757)%branchCT(0:0))
      call avCT(1757, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2177, nGC_2177/))

      allocate(vertices(3457)%branchCT(0:0))
      call avCT(3457, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2124/))

      allocate(vertices(1342)%branchCT(0:0))
      call avCT(1342, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(182)%branchCT(0:0))
      call avCT(182, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_1960, nGC_1961/))

      allocate(vertices(1027)%branchCT(0:0))
      call avCT(1027, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(3419)%branchCT(0:0))
      call avCT(3419, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(1028)%branchCT(0:0))
      call avCT(1028, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1247)%branchCT(0:0))
      call avCT(1247, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1377)%branchCT(0:0))
      call avCT(1377, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3465)%branchCT(0:0))
      call avCT(3465, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2178/))

      allocate(vertices(3830)%branchCT(0:0))
      call avCT(3830, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3468)%branchCT(0:0))
      call avCT(3468, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1402)%branchCT(0:0))
      call avCT(1402, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1034)%branchCT(0:0))
      call avCT(1034, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3471)%branchCT(0:0))
      call avCT(3471, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_1994, nGC_1994/))

      allocate(vertices(3472)%branchCT(0:0))
      call avCT(3472, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2049/))

      allocate(vertices(3392)%branchCT(0:0))
      call avCT(3392, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2035/))

      allocate(vertices(3473)%branchCT(0:5))
      call avCT(3473, 0, 52, 7, 0, VVUUa0, (/4, 0/), (/nGC_1893/))

      call avCT(3473, 1, 49, 6, 0, VVUUa0, (/4, 0/), (/nGC_1892/))

      call avCT(3473, 2, 47, 6, 0, VVUUa0, (/4, 0/), (/nGC_1892/))

      call avCT(3473, 3, 48, 6, 0, VVUUa0, (/4, 0/), (/nGC_1892/))

      call avCT(3473, 4, 51, 7, 0, VVUUa0, (/4, 0/), (/nGC_1893/))

      call avCT(3473, 5, 50, 6, 0, VVUUa0, (/4, 0/), (/nGC_1892/))

      allocate(vertices(5040)%branchCT(0:0))
      call avCT(5040, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(1424)%branchCT(0:0))
      call avCT(1424, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(963)%branchCT(0:0))
      call avCT(963, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1429)%branchCT(0:0))
      call avCT(1429, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(5041)%branchCT(0:0))
      call avCT(5041, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(4252)%branchCT(0:0))
      call avCT(4252, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1042)%branchCT(0:0))
      call avCT(1042, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(3479)%branchCT(0:0))
      call avCT(3479, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2338)%branchCT(0:0))
      call avCT(2338, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1383)%branchCT(0:0))
      call avCT(1383, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1455)%branchCT(0:0))
      call avCT(1455, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1045)%branchCT(0:0))
      call avCT(1045, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3484)%branchCT(0:0))
      call avCT(3484, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(3485)%branchCT(0:0))
      call avCT(3485, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1048)%branchCT(0:0))
      call avCT(1048, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(585)%branchCT(0:0))
      call avCT(585, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1049)%branchCT(0:0))
      call avCT(1049, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1495)%branchCT(0:0))
      call avCT(1495, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1051)%branchCT(0:0))
      call avCT(1051, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4708)%branchCT(0:0))
      call avCT(4708, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3495)%branchCT(0:0))
      call avCT(3495, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(3496)%branchCT(0:0))
      call avCT(3496, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1519)%branchCT(0:0))
      call avCT(1519, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3498)%branchCT(0:0))
      call avCT(3498, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(1056)%branchCT(0:0))
      call avCT(1056, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3499)%branchCT(0:0))
      call avCT(3499, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2089, nGC_2090/))

      allocate(vertices(3500)%branchCT(0:0))
      call avCT(3500, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1310)%branchCT(0:0))
      call avCT(1310, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(3501)%branchCT(0:0))
      call avCT(3501, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1059)%branchCT(0:1))
      call avCT(1059, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2057/))

      call avCT(1059, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(1061)%branchCT(0:0))
      call avCT(1061, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3504)%branchCT(0:0))
      call avCT(3504, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(1062)%branchCT(0:0))
      call avCT(1062, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2150, nGC_2151/))

      allocate(vertices(2607)%branchCT(0:0))
      call avCT(2607, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1577)%branchCT(0:0))
      call avCT(1577, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3914)%branchCT(0:0))
      call avCT(3914, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1065)%branchCT(0:0))
      call avCT(1065, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1066)%branchCT(0:1))
      call avCT(1066, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1971, nGC_1973/))

      call avCT(1066, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1972, nGC_1974/))

      allocate(vertices(1235)%branchCT(0:0))
      call avCT(1235, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(1068)%branchCT(0:0))
      call avCT(1068, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3508)%branchCT(0:0))
      call avCT(3508, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1070)%branchCT(0:0))
      call avCT(1070, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(5042)%branchCT(0:0))
      call avCT(5042, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3786)%branchCT(0:0))
      call avCT(3786, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1943)%branchCT(0:1))
      call avCT(1943, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1845, nGC_1847/))

      call avCT(1943, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1846, nGC_1848/))

      allocate(vertices(1074)%branchCT(0:0))
      call avCT(1074, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2180/))

      allocate(vertices(1075)%branchCT(0:0))
      call avCT(1075, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1076)%branchCT(0:0))
      call avCT(1076, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1077)%branchCT(0:0))
      call avCT(1077, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1656)%branchCT(0:0))
      call avCT(1656, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(1079)%branchCT(0:1))
      call avCT(1079, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2142, nGC_2142/))

      call avCT(1079, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2143, nGC_2143/))

      allocate(vertices(3517)%branchCT(0:0))
      call avCT(3517, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2101/))

      allocate(vertices(4122)%branchCT(0:0))
      call avCT(4122, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3519)%branchCT(0:0))
      call avCT(3519, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1085)%branchCT(0:0))
      call avCT(1085, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(5043)%branchCT(0:0))
      call avCT(5043, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(4391)%branchCT(0:0))
      call avCT(4391, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3750)%branchCT(0:1))
      call avCT(3750, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(3750, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(1717)%branchCT(0:0))
      call avCT(1717, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(3523)%branchCT(0:0))
      call avCT(3523, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2181, nGC_2182/))

      allocate(vertices(3525)%branchCT(0:0))
      call avCT(3525, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3526)%branchCT(0:0))
      call avCT(3526, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2034/))

      allocate(vertices(3378)%branchCT(0:0))
      call avCT(3378, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3527)%branchCT(0:0))
      call avCT(3527, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3528)%branchCT(0:1))
      call avCT(3528, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2019, nGC_2019/))

      call avCT(3528, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2020, nGC_2020/))

      allocate(vertices(3530)%branchCT(0:0))
      call avCT(3530, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1927/))

      allocate(vertices(3531)%branchCT(0:0))
      call avCT(3531, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(977)%branchCT(0:0))
      call avCT(977, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3533)%branchCT(0:1))
      call avCT(3533, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_2005, nGC_2007/))

      call avCT(3533, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_2006, nGC_2008/))

      allocate(vertices(3534)%branchCT(0:0))
      call avCT(3534, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1095)%branchCT(0:0))
      call avCT(1095, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1096)%branchCT(0:1))
      call avCT(1096, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1882, nGC_1884/))

      call avCT(1096, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1883, nGC_1885/))

      allocate(vertices(3535)%branchCT(0:0))
      call avCT(3535, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2613)%branchCT(0:0))
      call avCT(2613, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1098)%branchCT(0:0))
      call avCT(1098, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(967)%branchCT(0:0))
      call avCT(967, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(1100)%branchCT(0:0))
      call avCT(1100, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(196)%branchCT(0:5))
      call avCT(196, 0, 77, 6, 0, VUUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(196, 1, 82, 7, 0, VUUaV0, (/4, 0/), (/nGC_1893/))

      call avCT(196, 2, 79, 6, 0, VUUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(196, 3, 80, 6, 0, VUUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(196, 4, 78, 6, 0, VUUaV0, (/4, 0/), (/nGC_1892/))

      call avCT(196, 5, 81, 7, 0, VUUaV0, (/4, 0/), (/nGC_1893/))

      allocate(vertices(3538)%branchCT(0:0))
      call avCT(3538, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1101)%branchCT(0:0))
      call avCT(1101, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2183/))

      allocate(vertices(1102)%branchCT(0:0))
      call avCT(1102, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1103)%branchCT(0:0))
      call avCT(1103, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1392)%branchCT(0:0))
      call avCT(1392, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3542)%branchCT(0:0))
      call avCT(3542, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3543)%branchCT(0:0))
      call avCT(3543, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1106)%branchCT(0:0))
      call avCT(1106, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,       &
      nGC_1932/))

      allocate(vertices(1770)%branchCT(0:0))
      call avCT(1770, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(5044)%branchCT(0:0))
      call avCT(5044, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2162, nGC_2163,       &
      nGC_2163, nGC_2164/))

      allocate(vertices(1866)%branchCT(0:0))
      call avCT(1866, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2615)%branchCT(0:0))
      call avCT(2615, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3546)%branchCT(0:0))
      call avCT(3546, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1112)%branchCT(0:0))
      call avCT(1112, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1113)%branchCT(0:0))
      call avCT(1113, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(3549)%branchCT(0:0))
      call avCT(3549, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_2091/))

      allocate(vertices(5045)%branchCT(0:0))
      call avCT(5045, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3550)%branchCT(0:0))
      call avCT(3550, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1115)%branchCT(0:0))
      call avCT(1115, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3552)%branchCT(0:0))
      call avCT(3552, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(3553)%branchCT(0:0))
      call avCT(3553, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3554)%branchCT(0:0))
      call avCT(3554, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1117)%branchCT(0:0))
      call avCT(1117, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4762)%branchCT(0:0))
      call avCT(4762, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1381)%branchCT(0:0))
      call avCT(1381, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(3557)%branchCT(0:0))
      call avCT(3557, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(5046)%branchCT(0:0))
      call avCT(5046, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(2310)%branchCT(0:0))
      call avCT(2310, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1946)%branchCT(0:0))
      call avCT(1946, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(3841)%branchCT(0:1))
      call avCT(3841, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2122, nGC_2122/))

      call avCT(3841, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2123, nGC_2123/))

      allocate(vertices(5047)%branchCT(0:0))
      call avCT(5047, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2184, nGC_2185/))

      allocate(vertices(3849)%branchCT(0:0))
      call avCT(3849, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1959)%branchCT(0:0))
      call avCT(1959, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(2617)%branchCT(0:1))
      call avCT(2617, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1929, nGC_1929/))

      call avCT(2617, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1930, nGC_1930/))

      allocate(vertices(4722)%branchCT(0:0))
      call avCT(4722, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1125)%branchCT(0:0))
      call avCT(1125, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(3564)%branchCT(0:0))
      call avCT(3564, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1927/))

      allocate(vertices(3565)%branchCT(0:0))
      call avCT(3565, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4271)%branchCT(0:0))
      call avCT(4271, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2037,       &
      nGC_2037/))

      allocate(vertices(1127)%branchCT(0:0))
      call avCT(1127, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3566)%branchCT(0:1))
      call avCT(3566, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2169, nGC_2169/))

      call avCT(3566, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2170, nGC_2170/))

      allocate(vertices(3567)%branchCT(0:0))
      call avCT(3567, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2618)%branchCT(0:0))
      call avCT(2618, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1130)%branchCT(0:0))
      call avCT(1130, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(2010)%branchCT(0:0))
      call avCT(2010, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1133)%branchCT(0:1))
      call avCT(1133, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1913, nGC_1913/))

      call avCT(1133, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1914, nGC_1914/))

      allocate(vertices(3573)%branchCT(0:0))
      call avCT(3573, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3774)%branchCT(0:0))
      call avCT(3774, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(662)%branchCT(0:0))
      call avCT(662, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1135)%branchCT(0:0))
      call avCT(1135, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1975)%branchCT(0:0))
      call avCT(1975, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(1776)%branchCT(0:0))
      call avCT(1776, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2186/))

      allocate(vertices(360)%branchCT(0:0))
      call avCT(360, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2039)%branchCT(0:0))
      call avCT(2039, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1138)%branchCT(0:0))
      call avCT(1138, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(3581)%branchCT(0:1))
      call avCT(3581, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(3581, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(1139)%branchCT(0:0))
      call avCT(1139, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2055)%branchCT(0:0))
      call avCT(2055, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3584)%branchCT(0:0))
      call avCT(3584, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(2066)%branchCT(0:0))
      call avCT(2066, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3585)%branchCT(0:0))
      call avCT(3585, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1987/))

      allocate(vertices(601)%branchCT(0:0))
      call avCT(601, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2061/))

      allocate(vertices(2621)%branchCT(0:0))
      call avCT(2621, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4834)%branchCT(0:0))
      call avCT(4834, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3589)%branchCT(0:0))
      call avCT(3589, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(1146)%branchCT(0:0))
      call avCT(1146, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(644)%branchCT(0:0))
      call avCT(644, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2385)%branchCT(0:0))
      call avCT(2385, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3591)%branchCT(0:0))
      call avCT(3591, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(5048)%branchCT(0:0))
      call avCT(5048, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2187/))

      allocate(vertices(1151)%branchCT(0:0))
      call avCT(1151, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2188/))

      allocate(vertices(205)%branchCT(0:0))
      call avCT(205, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3594)%branchCT(0:0))
      call avCT(3594, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3595)%branchCT(0:0))
      call avCT(3595, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2661)%branchCT(0:0))
      call avCT(2661, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3598)%branchCT(0:1))
      call avCT(3598, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1895, nGC_1897/))

      call avCT(3598, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1896, nGC_1898/))

      allocate(vertices(3599)%branchCT(0:0))
      call avCT(3599, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3600)%branchCT(0:0))
      call avCT(3600, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3601)%branchCT(0:0))
      call avCT(3601, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2588)%branchCT(0:0))
      call avCT(2588, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(3861)%branchCT(0:0))
      call avCT(3861, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_1927/))

      allocate(vertices(1161)%branchCT(0:0))
      call avCT(1161, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(3764)%branchCT(0:0))
      call avCT(3764, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2179)%branchCT(0:0))
      call avCT(2179, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3606)%branchCT(0:0))
      call avCT(3606, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1162)%branchCT(0:0))
      call avCT(1162, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_2073/))

      allocate(vertices(2197)%branchCT(0:0))
      call avCT(2197, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1164)%branchCT(0:0))
      call avCT(1164, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1165)%branchCT(0:0))
      call avCT(1165, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1166)%branchCT(0:1))
      call avCT(1166, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_2169, nGC_2169/))

      call avCT(1166, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_2170, nGC_2170/))

    end subroutine fill_vertices_mdl8
end module vertices_info8
