!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(4967)%branchCT(0:0))
      call avCT(4967, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3017)%branchCT(0:0))
      call avCT(3017, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(5049)%branchCT(0:0))
      call avCT(5049, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2189/))

      allocate(vertices(1171)%branchCT(0:0))
      call avCT(1171, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(1174)%branchCT(0:0))
      call avCT(1174, 0, 1, 1, 0, SFFa2, (/0, 3/), (/nGC_2061/))

      allocate(vertices(1175)%branchCT(0:0))
      call avCT(1175, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1465)%branchCT(0:0))
      call avCT(1465, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1176)%branchCT(0:0))
      call avCT(1176, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3620)%branchCT(0:1))
      call avCT(3620, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1957/))

      call avCT(3620, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1958/))

      allocate(vertices(3622)%branchCT(0:0))
      call avCT(3622, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3624)%branchCT(0:0))
      call avCT(3624, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(1178)%branchCT(0:0))
      call avCT(1178, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1179)%branchCT(0:0))
      call avCT(1179, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2141/))

      allocate(vertices(2364)%branchCT(0:0))
      call avCT(2364, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2158/))

      allocate(vertices(5050)%branchCT(0:0))
      call avCT(5050, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1119)%branchCT(0:0))
      call avCT(1119, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3629)%branchCT(0:0))
      call avCT(3629, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3367)%branchCT(0:0))
      call avCT(3367, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4316)%branchCT(0:0))
      call avCT(4316, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(3631)%branchCT(0:0))
      call avCT(3631, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1185)%branchCT(0:0))
      call avCT(1185, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3633)%branchCT(0:1))
      call avCT(3633, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2142, nGC_2142/))

      call avCT(3633, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2143, nGC_2143/))

      allocate(vertices(1186)%branchCT(0:0))
      call avCT(1186, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(3637)%branchCT(0:0))
      call avCT(3637, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2830)%branchCT(0:0))
      call avCT(2830, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(4912)%branchCT(0:0))
      call avCT(4912, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2373)%branchCT(0:0))
      call avCT(2373, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(5051)%branchCT(0:0))
      call avCT(5051, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(1191)%branchCT(0:0))
      call avCT(1191, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2384)%branchCT(0:0))
      call avCT(2384, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(2488)%branchCT(0:0))
      call avCT(2488, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(2393)%branchCT(0:0))
      call avCT(2393, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(1193)%branchCT(0:0))
      call avCT(1193, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(3642)%branchCT(0:1))
      call avCT(3642, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_2057/))

      call avCT(3642, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(7)%branchCT(0:0))
      call avCT(7, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2405)%branchCT(0:0))
      call avCT(2405, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1786)%branchCT(0:0))
      call avCT(1786, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,       &
      nGC_1932/))

      allocate(vertices(3644)%branchCT(0:0))
      call avCT(3644, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3645)%branchCT(0:1))
      call avCT(3645, 0, 84, 1, 0, FaVF1, (/0, 3/), (/nGC_2057/))

      call avCT(3645, 1, 84, 1, 0, FaVF1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(1199)%branchCT(0:0))
      call avCT(1199, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1200)%branchCT(0:3))
      call avCT(1200, 0, 88, 2, 0, FaVF0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(1200, 1, 88, 2, 0, FaVF0, (/3, 0/), (/nGC_1886, nGC_1888/))

      call avCT(1200, 2, 89, 3, 0, FaVF0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(1200, 3, 89, 3, 0, FaVF0, (/3, 0/), (/nGC_1886, nGC_1888/))

      allocate(vertices(3647)%branchCT(0:0))
      call avCT(3647, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1202)%branchCT(0:0))
      call avCT(1202, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_1927/))

      allocate(vertices(4739)%branchCT(0:0))
      call avCT(4739, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1204)%branchCT(0:0))
      call avCT(1204, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2455)%branchCT(0:0))
      call avCT(2455, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(2458)%branchCT(0:1))
      call avCT(2458, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_2171, nGC_2173/))

      call avCT(2458, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_2172, nGC_2174/))

      allocate(vertices(1350)%branchCT(0:0))
      call avCT(1350, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3652)%branchCT(0:0))
      call avCT(3652, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933,       &
      nGC_1932/))

      allocate(vertices(3653)%branchCT(0:0))
      call avCT(3653, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2098/))

      allocate(vertices(3337)%branchCT(0:0))
      call avCT(3337, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(899)%branchCT(0:0))
      call avCT(899, 0, 1, 1, 0, FVFa0, (/0, 3/), (/nGC_2059, nGC_2060/))

      allocate(vertices(1212)%branchCT(0:0))
      call avCT(1212, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2150, nGC_2151/))

      allocate(vertices(4973)%branchCT(0:0))
      call avCT(4973, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3659)%branchCT(0:0))
      call avCT(3659, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1214)%branchCT(0:0))
      call avCT(1214, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3661)%branchCT(0:0))
      call avCT(3661, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3662)%branchCT(0:0))
      call avCT(3662, 0, 1, 1, 0, FaFS1, (/0, 3/), (/nGC_2073/))

      allocate(vertices(2537)%branchCT(0:0))
      call avCT(2537, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2574)%branchCT(0:0))
      call avCT(2574, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1006)%branchCT(0:0))
      call avCT(1006, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1221)%branchCT(0:0))
      call avCT(1221, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(1222)%branchCT(0:0))
      call avCT(1222, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1987/))

      allocate(vertices(1224)%branchCT(0:0))
      call avCT(1224, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4642)%branchCT(0:0))
      call avCT(4642, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3665)%branchCT(0:0))
      call avCT(3665, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2038, nGC_2037,       &
      nGC_2037/))

      allocate(vertices(3667)%branchCT(0:0))
      call avCT(3667, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2178/))

      allocate(vertices(3669)%branchCT(0:0))
      call avCT(3669, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3670)%branchCT(0:1))
      call avCT(3670, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_2012, nGC_2014/))

      call avCT(3670, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_2013, nGC_2015/))

      allocate(vertices(4944)%branchCT(0:0))
      call avCT(4944, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2093)%branchCT(0:0))
      call avCT(2093, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(1382)%branchCT(0:0))
      call avCT(1382, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3672)%branchCT(0:0))
      call avCT(3672, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(1232)%branchCT(0:0))
      call avCT(1232, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2198)%branchCT(0:0))
      call avCT(2198, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(2642)%branchCT(0:0))
      call avCT(2642, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(5052)%branchCT(0:0))
      call avCT(5052, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2157/))

      allocate(vertices(2649)%branchCT(0:0))
      call avCT(2649, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(4947)%branchCT(0:0))
      call avCT(4947, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1933, nGC_1932,       &
      nGC_1932/))

      allocate(vertices(2430)%branchCT(0:0))
      call avCT(2430, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3683)%branchCT(0:0))
      call avCT(3683, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2670)%branchCT(0:0))
      call avCT(2670, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1240)%branchCT(0:1))
      call avCT(1240, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2019, nGC_2019/))

      call avCT(1240, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2020, nGC_2020/))

      allocate(vertices(3679)%branchCT(0:0))
      call avCT(3679, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3680)%branchCT(0:1))
      call avCT(3680, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_2045, nGC_2047/))

      call avCT(3680, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_2046, nGC_2048/))

      allocate(vertices(3681)%branchCT(0:0))
      call avCT(3681, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(950)%branchCT(0:1))
      call avCT(950, 0, 85, 1, 0, FVFa1, (/0, 3/), (/nGC_2057/))

      call avCT(950, 1, 85, 1, 0, FVFa1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(1241)%branchCT(0:0))
      call avCT(1241, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1242)%branchCT(0:0))
      call avCT(1242, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2141/))

      allocate(vertices(3684)%branchCT(0:0))
      call avCT(3684, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3455)%branchCT(0:0))
      call avCT(3455, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2177, nGC_2177/))

      allocate(vertices(1243)%branchCT(0:0))
      call avCT(1243, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(1010)%branchCT(0:0))
      call avCT(1010, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(1011)%branchCT(0:0))
      call avCT(1011, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2152/))

      allocate(vertices(619)%branchCT(0:0))
      call avCT(619, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3691)%branchCT(0:0))
      call avCT(3691, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1250)%branchCT(0:0))
      call avCT(1250, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3694)%branchCT(0:0))
      call avCT(3694, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2047)%branchCT(0:1))
      call avCT(2047, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(2047, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(3695)%branchCT(0:0))
      call avCT(3695, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3696)%branchCT(0:0))
      call avCT(3696, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(2774)%branchCT(0:1))
      call avCT(2774, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2019, nGC_2019/))

      call avCT(2774, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2020, nGC_2020/))

      allocate(vertices(2061)%branchCT(0:0))
      call avCT(2061, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1258)%branchCT(0:0))
      call avCT(1258, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2089, nGC_2090/))

      allocate(vertices(3700)%branchCT(0:0))
      call avCT(3700, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4822)%branchCT(0:0))
      call avCT(4822, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1260)%branchCT(0:0))
      call avCT(1260, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(3702)%branchCT(0:0))
      call avCT(3702, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3182)%branchCT(0:0))
      call avCT(3182, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2016/))

      allocate(vertices(4755)%branchCT(0:0))
      call avCT(4755, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1262)%branchCT(0:0))
      call avCT(1262, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(4379)%branchCT(0:0))
      call avCT(4379, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(1264)%branchCT(0:0))
      call avCT(1264, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1265)%branchCT(0:0))
      call avCT(1265, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(604)%branchCT(0:0))
      call avCT(604, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(2609)%branchCT(0:0))
      call avCT(2609, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2844)%branchCT(0:0))
      call avCT(2844, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2845)%branchCT(0:0))
      call avCT(2845, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(148)%branchCT(0:0))
      call avCT(148, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(1016)%branchCT(0:1))
      call avCT(1016, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_1849, nGC_1851/))

      call avCT(1016, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(1275)%branchCT(0:0))
      call avCT(1275, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(1799)%branchCT(0:0))
      call avCT(1799, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1277)%branchCT(0:0))
      call avCT(1277, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(3716)%branchCT(0:0))
      call avCT(3716, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1955/))

      allocate(vertices(1278)%branchCT(0:1))
      call avCT(1278, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2159, nGC_2159/))

      call avCT(1278, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2160, nGC_2160/))

      allocate(vertices(1279)%branchCT(0:0))
      call avCT(1279, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1606/))

      allocate(vertices(3426)%branchCT(0:0))
      call avCT(3426, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1280)%branchCT(0:0))
      call avCT(1280, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(1282)%branchCT(0:0))
      call avCT(1282, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2901)%branchCT(0:0))
      call avCT(2901, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3834)%branchCT(0:0))
      call avCT(3834, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3724)%branchCT(0:0))
      call avCT(3724, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1679)%branchCT(0:0))
      call avCT(1679, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1414)%branchCT(0:0))
      call avCT(1414, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(3725)%branchCT(0:0))
      call avCT(3725, 0, 1, 1, 0, FaFV1, (/0, 3/), (/nGC_2080, nGC_2081/))

      allocate(vertices(1289)%branchCT(0:0))
      call avCT(1289, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1290)%branchCT(0:0))
      call avCT(1290, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(625)%branchCT(0:0))
      call avCT(625, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2948)%branchCT(0:0))
      call avCT(2948, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1293)%branchCT(0:0))
      call avCT(1293, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(3876)%branchCT(0:0))
      call avCT(3876, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(2964)%branchCT(0:0))
      call avCT(2964, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1296)%branchCT(0:0))
      call avCT(1296, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2190/))

      allocate(vertices(1297)%branchCT(0:0))
      call avCT(1297, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(5053)%branchCT(0:0))
      call avCT(5053, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2191/))

      allocate(vertices(3734)%branchCT(0:0))
      call avCT(3734, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1298)%branchCT(0:0))
      call avCT(1298, 0, 1, 1, 0, FaSF1, (/0, 3/), (/nGC_2073/))

      allocate(vertices(3736)%branchCT(0:0))
      call avCT(3736, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3737)%branchCT(0:0))
      call avCT(3737, 0, 1, 1, 0, SFaF2, (/0, 3/), (/nGC_2073/))

      allocate(vertices(3738)%branchCT(0:0))
      call avCT(3738, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4610)%branchCT(0:3))
      call avCT(4610, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(4610, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2126, nGC_2128/))

      call avCT(4610, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_2125, nGC_2127/))

      call avCT(4610, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2126, nGC_2128/))

      allocate(vertices(5054)%branchCT(0:0))
      call avCT(5054, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3740)%branchCT(0:0))
      call avCT(3740, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3741)%branchCT(0:0))
      call avCT(3741, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2049/))

      allocate(vertices(5055)%branchCT(0:0))
      call avCT(5055, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(3013)%branchCT(0:0))
      call avCT(3013, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3744)%branchCT(0:0))
      call avCT(3744, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3029)%branchCT(0:0))
      call avCT(3029, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1303)%branchCT(0:1))
      call avCT(1303, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1949, nGC_1951/))

      call avCT(1303, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1950, nGC_1952/))

      allocate(vertices(261)%branchCT(0:0))
      call avCT(261, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(3562)%branchCT(0:1))
      call avCT(3562, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1882, nGC_1884/))

      call avCT(3562, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1883, nGC_1885/))

      allocate(vertices(3751)%branchCT(0:0))
      call avCT(3751, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4766)%branchCT(0:0))
      call avCT(4766, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(1308)%branchCT(0:0))
      call avCT(1308, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1352)%branchCT(0:0))
      call avCT(1352, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3754)%branchCT(0:0))
      call avCT(3754, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(3755)%branchCT(0:0))
      call avCT(3755, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3757)%branchCT(0:0))
      call avCT(3757, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3758)%branchCT(0:0))
      call avCT(3758, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1315)%branchCT(0:0))
      call avCT(1315, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_2071/))

      allocate(vertices(1980)%branchCT(0:0))
      call avCT(1980, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1467)%branchCT(0:0))
      call avCT(1467, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3762)%branchCT(0:0))
      call avCT(3762, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(3039)%branchCT(0:0))
      call avCT(3039, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1318)%branchCT(0:0))
      call avCT(1318, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(1319)%branchCT(0:5))
      call avCT(1319, 0, 9, 6, 0, VVVV0, (/4, 0/), (/nGC_2192, nGC_2193,       &
      nGC_2192/))

      call avCT(1319, 1, 7, 6, 0, VVVV0, (/4, 0/), (/nGC_2192, nGC_2193,       &
      nGC_2192/))

      call avCT(1319, 2, 8, 6, 0, VVVV0, (/4, 0/), (/nGC_2193, nGC_2192,       &
      nGC_2192/))

      call avCT(1319, 3, 6, 6, 0, VVVV0, (/4, 0/), (/nGC_2193, nGC_2192,       &
      nGC_2192/))

      call avCT(1319, 4, 5, 7, 0, VVVV0, (/4, 0/), (/nGC_2194, nGC_2194,       &
      nGC_2195/))

      call avCT(1319, 5, 4, 7, 0, VVVV0, (/4, 0/), (/nGC_2194, nGC_2194,       &
      nGC_2195/))

      allocate(vertices(3765)%branchCT(0:0))
      call avCT(3765, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3135)%branchCT(0:0))
      call avCT(3135, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3768)%branchCT(0:0))
      call avCT(3768, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(3148)%branchCT(0:0))
      call avCT(3148, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1143)%branchCT(0:0))
      call avCT(1143, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(1326)%branchCT(0:1))
      call avCT(1326, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1913, nGC_1913/))

      call avCT(1326, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1914, nGC_1914/))

      allocate(vertices(1327)%branchCT(0:0))
      call avCT(1327, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1328)%branchCT(0:0))
      call avCT(1328, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2183/))

      allocate(vertices(2650)%branchCT(0:0))
      call avCT(2650, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3773)%branchCT(0:0))
      call avCT(3773, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1330)%branchCT(0:1))
      call avCT(1330, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1913, nGC_1913/))

      call avCT(1330, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1914, nGC_1914/))

      allocate(vertices(1334)%branchCT(0:0))
      call avCT(1334, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1933,       &
      nGC_1932/))

      allocate(vertices(3777)%branchCT(0:0))
      call avCT(3777, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(957)%branchCT(0:0))
      call avCT(957, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(3778)%branchCT(0:0))
      call avCT(3778, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(2930)%branchCT(0:0))
      call avCT(2930, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 1, 1, 0, FFaS2, (/0, 3/), (/nGC_2061/))

      allocate(vertices(3779)%branchCT(0:0))
      call avCT(3779, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(5056)%branchCT(0:0))
      call avCT(5056, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1339)%branchCT(0:0))
      call avCT(1339, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(1340)%branchCT(0:0))
      call avCT(1340, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(5057)%branchCT(0:0))
      call avCT(5057, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(3782)%branchCT(0:0))
      call avCT(3782, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_2080, nGC_2081/))

      allocate(vertices(4773)%branchCT(0:0))
      call avCT(4773, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(1344)%branchCT(0:0))
      call avCT(1344, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(1345)%branchCT(0:1))
      call avCT(1345, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1847, nGC_1845/))

      call avCT(1345, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1848, nGC_1846/))

      allocate(vertices(4307)%branchCT(0:0))
      call avCT(4307, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1346)%branchCT(0:0))
      call avCT(1346, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3788)%branchCT(0:0))
      call avCT(3788, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(237)%branchCT(0:0))
      call avCT(237, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3789)%branchCT(0:0))
      call avCT(3789, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(5058)%branchCT(0:1))
      call avCT(5058, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2196, nGC_2198,      &
      nGC_2198, nGC_2200/))

      call avCT(5058, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2197, nGC_2199,      &
      nGC_2199, nGC_2201/))

      allocate(vertices(3276)%branchCT(0:0))
      call avCT(3276, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(3793)%branchCT(0:1))
      call avCT(3793, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2092, nGC_2092/))

      call avCT(3793, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2093, nGC_2093/))

      allocate(vertices(3794)%branchCT(0:0))
      call avCT(3794, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3795)%branchCT(0:0))
      call avCT(3795, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(3797)%branchCT(0:0))
      call avCT(3797, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(1920)%branchCT(0:0))
      call avCT(1920, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3801)%branchCT(0:0))
      call avCT(3801, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3461)%branchCT(0:0))
      call avCT(3461, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3804)%branchCT(0:0))
      call avCT(3804, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(1358)%branchCT(0:0))
      call avCT(1358, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(5059)%branchCT(0:0))
      call avCT(5059, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2202/))

      allocate(vertices(393)%branchCT(0:0))
      call avCT(393, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(173)%branchCT(0:0))
      call avCT(173, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1201)%branchCT(0:0))
      call avCT(1201, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3363)%branchCT(0:0))
      call avCT(3363, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(5060)%branchCT(0:0))
      call avCT(5060, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2165, nGC_2166,       &
      nGC_2166, nGC_2167/))

      allocate(vertices(3811)%branchCT(0:0))
      call avCT(3811, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_1857/))

      allocate(vertices(1364)%branchCT(0:0))
      call avCT(1364, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1365)%branchCT(0:0))
      call avCT(1365, 0, 1, 1, 0, SVV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(964)%branchCT(0:0))
      call avCT(964, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3816)%branchCT(0:0))
      call avCT(3816, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(3817)%branchCT(0:0))
      call avCT(3817, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(1370)%branchCT(0:0))
      call avCT(1370, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3821)%branchCT(0:0))
      call avCT(3821, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4800)%branchCT(0:1))
      call avCT(4800, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_2057/))

      call avCT(4800, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_2058/))

      allocate(vertices(566)%branchCT(0:0))
      call avCT(566, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2659)%branchCT(0:0))
      call avCT(2659, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(3823)%branchCT(0:0))
      call avCT(3823, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(3824)%branchCT(0:0))
      call avCT(3824, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2181, nGC_2182/))

      allocate(vertices(1376)%branchCT(0:0))
      call avCT(1376, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(2381)%branchCT(0:0))
      call avCT(2381, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1378)%branchCT(0:0))
      call avCT(1378, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3827)%branchCT(0:0))
      call avCT(3827, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(1379)%branchCT(0:0))
      call avCT(1379, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2247)%branchCT(0:0))
      call avCT(2247, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3829)%branchCT(0:0))
      call avCT(3829, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(1380)%branchCT(0:0))
      call avCT(1380, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3832)%branchCT(0:0))
      call avCT(3832, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(2662)%branchCT(0:0))
      call avCT(2662, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3835)%branchCT(0:0))
      call avCT(3835, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(3382)%branchCT(0:0))
      call avCT(3382, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1385)%branchCT(0:3))
      call avCT(1385, 0, 11, 2, 0, FFaV0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(1385, 1, 11, 2, 0, FFaV0, (/1, 2/), (/nGC_2154, nGC_2156/))

      call avCT(1385, 2, 12, 3, 0, FFaV0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(1385, 3, 12, 3, 0, FFaV0, (/1, 2/), (/nGC_2154, nGC_2156/))

      allocate(vertices(3836)%branchCT(0:0))
      call avCT(3836, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3837)%branchCT(0:0))
      call avCT(3837, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2002/))

      allocate(vertices(3505)%branchCT(0:0))
      call avCT(3505, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(2036)%branchCT(0:0))
      call avCT(2036, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1389)%branchCT(0:0))
      call avCT(1389, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(1391)%branchCT(0:0))
      call avCT(1391, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(3107)%branchCT(0:0))
      call avCT(3107, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3536)%branchCT(0:0))
      call avCT(3536, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(3846)%branchCT(0:0))
      call avCT(3846, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(5061)%branchCT(0:0))
      call avCT(5061, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3847)%branchCT(0:0))
      call avCT(3847, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(5062)%branchCT(0:0))
      call avCT(5062, 0, 13, 1, 0, SS1, (/0, 2/), (/nGC_2132/))

      allocate(vertices(3848)%branchCT(0:0))
      call avCT(3848, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(3609)%branchCT(0:0))
      call avCT(3609, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1394)%branchCT(0:0))
      call avCT(1394, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3850)%branchCT(0:0))
      call avCT(3850, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3851)%branchCT(0:0))
      call avCT(3851, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1169)%branchCT(0:0))
      call avCT(1169, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4956)%branchCT(0:0))
      call avCT(4956, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(3053)%branchCT(0:0))
      call avCT(3053, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1362)%branchCT(0:0))
      call avCT(1362, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1399)%branchCT(0:0))
      call avCT(1399, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3611)%branchCT(0:0))
      call avCT(3611, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3424)%branchCT(0:0))
      call avCT(3424, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(3617)%branchCT(0:0))
      call avCT(3617, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4782)%branchCT(0:0))
      call avCT(4782, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1403)%branchCT(0:0))
      call avCT(1403, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(1404)%branchCT(0:0))
      call avCT(1404, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(3447)%branchCT(0:0))
      call avCT(3447, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3862)%branchCT(0:0))
      call avCT(3862, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1409)%branchCT(0:0))
      call avCT(1409, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3470)%branchCT(0:0))
      call avCT(3470, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1411)%branchCT(0:0))
      call avCT(1411, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2581)%branchCT(0:1))
      call avCT(2581, 0, 85, 1, 0, FVFa1, (/0, 3/), (/nGC_1877/))

      call avCT(2581, 1, 85, 1, 0, FVFa1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(3868)%branchCT(0:0))
      call avCT(3868, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1638/))

      allocate(vertices(3391)%branchCT(0:0))
      call avCT(3391, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(3870)%branchCT(0:0))
      call avCT(3870, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(3871)%branchCT(0:1))
      call avCT(3871, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1884, nGC_1882/))

      call avCT(3871, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1885, nGC_1883/))

      allocate(vertices(3845)%branchCT(0:0))
      call avCT(3845, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3872)%branchCT(0:0))
      call avCT(3872, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(3873)%branchCT(0:0))
      call avCT(3873, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2190/))

      allocate(vertices(983)%branchCT(0:0))
      call avCT(983, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(648)%branchCT(0:0))
      call avCT(648, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(5063)%branchCT(0:0))
      call avCT(5063, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2161/))

      allocate(vertices(3625)%branchCT(0:0))
      call avCT(3625, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3729)%branchCT(0:0))
      call avCT(3729, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(5064)%branchCT(0:0))
      call avCT(5064, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1925/))

      allocate(vertices(4882)%branchCT(0:0))
      call avCT(4882, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1417)%branchCT(0:0))
      call avCT(1417, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(5065)%branchCT(0:0))
      call avCT(5065, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_2134/))

      allocate(vertices(3878)%branchCT(0:1))
      call avCT(3878, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_2053, nGC_2055/))

      call avCT(3878, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_2054, nGC_2056/))

      allocate(vertices(1419)%branchCT(0:0))
      call avCT(1419, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1825)%branchCT(0:0))
      call avCT(1825, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(5066)%branchCT(0:0))
      call avCT(5066, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2203/))

      allocate(vertices(483)%branchCT(0:0))
      call avCT(483, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2665)%branchCT(0:0))
      call avCT(2665, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(3883)%branchCT(0:0))
      call avCT(3883, 0, 1, 1, 0, UaVU0, (/0, 3/), (/nGC_2183/))

      allocate(vertices(2225)%branchCT(0:0))
      call avCT(2225, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1425)%branchCT(0:0))
      call avCT(1425, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1426)%branchCT(0:0))
      call avCT(1426, 0, 1, 1, 0, UaSU0, (/0, 3/), (/nGC_1987/))

      allocate(vertices(3885)%branchCT(0:1))
      call avCT(3885, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(3885, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(652)%branchCT(0:0))
      call avCT(652, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1428)%branchCT(0:0))
      call avCT(1428, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3888)%branchCT(0:1))
      call avCT(3888, 0, 122, 4, 0, UaVU0, (/3, 0/), (/nGC_2204/))

      call avCT(3888, 1, 123, 5, 0, UaVU0, (/3, 0/), (/nGC_2204/))

      allocate(vertices(3309)%branchCT(0:0))
      call avCT(3309, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2673)%branchCT(0:0))
      call avCT(2673, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3476)%branchCT(0:0))
      call avCT(3476, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(3858)%branchCT(0:0))
      call avCT(3858, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(3892)%branchCT(0:0))
      call avCT(3892, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3891)%branchCT(0:0))
      call avCT(3891, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(1434)%branchCT(0:0))
      call avCT(1434, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(944)%branchCT(0:1))
      call avCT(944, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1949, nGC_1951/))

      call avCT(944, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1950, nGC_1952/))

      allocate(vertices(3893)%branchCT(0:0))
      call avCT(3893, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2229)%branchCT(0:0))
      call avCT(2229, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(654)%branchCT(0:0))
      call avCT(654, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3900)%branchCT(0:0))
      call avCT(3900, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(451)%branchCT(0:0))
      call avCT(451, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3901)%branchCT(0:0))
      call avCT(3901, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(1438)%branchCT(0:1))
      call avCT(1438, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2040, nGC_2042/))

      call avCT(1438, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2041, nGC_2043/))

      allocate(vertices(1439)%branchCT(0:0))
      call avCT(1439, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(3902)%branchCT(0:0))
      call avCT(3902, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(3478)%branchCT(0:0))
      call avCT(3478, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3904)%branchCT(0:0))
      call avCT(3904, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2144)%branchCT(0:0))
      call avCT(2144, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2188/))

      allocate(vertices(1443)%branchCT(0:0))
      call avCT(1443, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3966)%branchCT(0:0))
      call avCT(3966, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3907)%branchCT(0:0))
      call avCT(3907, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(3908)%branchCT(0:0))
      call avCT(3908, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(5067)%branchCT(0:1))
      call avCT(5067, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2135, nGC_2137,       &
      nGC_2137, nGC_2139/))

      call avCT(5067, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2136, nGC_2138,       &
      nGC_2138, nGC_2140/))

      allocate(vertices(3911)%branchCT(0:0))
      call avCT(3911, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1447)%branchCT(0:0))
      call avCT(1447, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1894/))

      allocate(vertices(1448)%branchCT(0:0))
      call avCT(1448, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3996)%branchCT(0:1))
      call avCT(3996, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_2045, nGC_2047/))

      call avCT(3996, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_2046, nGC_2048/))

      allocate(vertices(3915)%branchCT(0:0))
      call avCT(3915, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(1449)%branchCT(0:0))
      call avCT(1449, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1451)%branchCT(0:1))
      call avCT(1451, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(1451, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3917)%branchCT(0:0))
      call avCT(3917, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1044)%branchCT(0:0))
      call avCT(1044, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3919)%branchCT(0:0))
      call avCT(3919, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1917/))

      allocate(vertices(971)%branchCT(0:0))
      call avCT(971, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(3921)%branchCT(0:0))
      call avCT(3921, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3924)%branchCT(0:0))
      call avCT(3924, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1457)%branchCT(0:0))
      call avCT(1457, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1458)%branchCT(0:0))
      call avCT(1458, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2181, nGC_2182/))

      allocate(vertices(3925)%branchCT(0:0))
      call avCT(3925, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1459)%branchCT(0:0))
      call avCT(1459, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1440)%branchCT(0:0))
      call avCT(1440, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1460)%branchCT(0:0))
      call avCT(1460, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(1462)%branchCT(0:0))
      call avCT(1462, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(1463)%branchCT(0:0))
      call avCT(1463, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1464)%branchCT(0:0))
      call avCT(1464, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4287)%branchCT(0:0))
      call avCT(4287, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1866/))

      allocate(vertices(4329)%branchCT(0:0))
      call avCT(4329, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(1466)%branchCT(0:0))
      call avCT(1466, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(4110)%branchCT(0:0))
      call avCT(4110, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4580)%branchCT(0:0))
      call avCT(4580, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(3936)%branchCT(0:0))
      call avCT(3936, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1047)%branchCT(0:0))
      call avCT(1047, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(3937)%branchCT(0:0))
      call avCT(3937, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3938)%branchCT(0:0))
      call avCT(3938, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4124)%branchCT(0:1))
      call avCT(4124, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1913, nGC_1913/))

      call avCT(4124, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1914, nGC_1914/))

      allocate(vertices(4433)%branchCT(0:0))
      call avCT(4433, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(2527)%branchCT(0:0))
      call avCT(2527, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1470)%branchCT(0:0))
      call avCT(1470, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_1932, nGC_1932,       &
      nGC_1933/))

      allocate(vertices(4493)%branchCT(0:1))
      call avCT(4493, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_2053, nGC_2055/))

      call avCT(4493, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_2054, nGC_2056/))

      allocate(vertices(1471)%branchCT(0:0))
      call avCT(1471, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2148, nGC_2148,       &
      nGC_2149/))

      allocate(vertices(3940)%branchCT(0:1))
      call avCT(3940, 0, 116, 4, 0, VUUa1, (/3, 0/), (/nGC_2204/))

      call avCT(3940, 1, 117, 5, 0, VUUa1, (/3, 0/), (/nGC_2204/))

      allocate(vertices(2676)%branchCT(0:0))
      call avCT(2676, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3941)%branchCT(0:0))
      call avCT(3941, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4161)%branchCT(0:0))
      call avCT(4161, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3943)%branchCT(0:1))
      call avCT(3943, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(3943, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(1474)%branchCT(0:0))
      call avCT(1474, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(1475)%branchCT(0:0))
      call avCT(1475, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3945)%branchCT(0:0))
      call avCT(3945, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1477)%branchCT(0:0))
      call avCT(1477, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(3947)%branchCT(0:1))
      call avCT(3947, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(3947, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(1835)%branchCT(0:0))
      call avCT(1835, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(541)%branchCT(0:0))
      call avCT(541, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3949)%branchCT(0:0))
      call avCT(3949, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 1, 1, 0, FaVF0, (/0, 3/), (/nGC_2089, nGC_2090/))

      allocate(vertices(3951)%branchCT(0:0))
      call avCT(3951, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1604/))

      allocate(vertices(4225)%branchCT(0:0))
      call avCT(4225, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(1483)%branchCT(0:0))
      call avCT(1483, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1485)%branchCT(0:0))
      call avCT(1485, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4246)%branchCT(0:0))
      call avCT(4246, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(3959)%branchCT(0:1))
      call avCT(3959, 0, 86, 1, 0, VFaF0, (/0, 3/), (/nGC_1990, nGC_1992/))

      call avCT(3959, 1, 86, 1, 0, VFaF0, (/2, 1/), (/nGC_1991, nGC_1993/))

      allocate(vertices(4797)%branchCT(0:0))
      call avCT(4797, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(3961)%branchCT(0:0))
      call avCT(3961, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3963)%branchCT(0:0))
      call avCT(3963, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3072)%branchCT(0:0))
      call avCT(3072, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3964)%branchCT(0:0))
      call avCT(3964, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1491)%branchCT(0:1))
      call avCT(1491, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_2144, nGC_2146/))

      call avCT(1491, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_2145, nGC_2147/))

      allocate(vertices(1550)%branchCT(0:0))
      call avCT(1550, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1494)%branchCT(0:1))
      call avCT(1494, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1877/))

      call avCT(1494, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(5068)%branchCT(0:0))
      call avCT(5068, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1050)%branchCT(0:0))
      call avCT(1050, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3967)%branchCT(0:0))
      call avCT(3967, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2592)%branchCT(0:0))
      call avCT(2592, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1988/))

      allocate(vertices(4336)%branchCT(0:0))
      call avCT(4336, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(1498)%branchCT(0:0))
      call avCT(1498, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(3970)%branchCT(0:0))
      call avCT(3970, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(476)%branchCT(0:0))
      call avCT(476, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1501)%branchCT(0:0))
      call avCT(1501, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3822)%branchCT(0:0))
      call avCT(3822, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3493)%branchCT(0:0))
      call avCT(3493, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3974)%branchCT(0:0))
      call avCT(3974, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(3975)%branchCT(0:0))
      call avCT(3975, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(3561)%branchCT(0:0))
      call avCT(3561, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(3977)%branchCT(0:0))
      call avCT(3977, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1504)%branchCT(0:0))
      call avCT(1504, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(4374)%branchCT(0:0))
      call avCT(4374, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1505)%branchCT(0:0))
      call avCT(1505, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_1931/))

      allocate(vertices(1507)%branchCT(0:0))
      call avCT(1507, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1508)%branchCT(0:0))
      call avCT(1508, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(3980)%branchCT(0:1))
      call avCT(3980, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1877/))

      call avCT(3980, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(3982)%branchCT(0:0))
      call avCT(3982, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(1509)%branchCT(0:0))
      call avCT(1509, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1510)%branchCT(0:0))
      call avCT(1510, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(3984)%branchCT(0:0))
      call avCT(3984, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_1854, nGC_1854/))

      allocate(vertices(3985)%branchCT(0:0))
      call avCT(3985, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(3986)%branchCT(0:1))
      call avCT(3986, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1978, nGC_1978/))

      call avCT(3986, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1979, nGC_1979/))

      allocate(vertices(3987)%branchCT(0:0))
      call avCT(3987, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3912)%branchCT(0:0))
      call avCT(3912, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(1053)%branchCT(0:0))
      call avCT(1053, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4059)%branchCT(0:0))
      call avCT(4059, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(2244)%branchCT(0:0))
      call avCT(2244, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1875/))

      allocate(vertices(3993)%branchCT(0:0))
      call avCT(3993, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(3994)%branchCT(0:0))
      call avCT(3994, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(1517)%branchCT(0:0))
      call avCT(1517, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(5069)%branchCT(0:0))
      call avCT(5069, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(1433)%branchCT(0:0))
      call avCT(1433, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(4802)%branchCT(0:0))
      call avCT(4802, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(3995)%branchCT(0:1))
      call avCT(3995, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2021, nGC_2023/))

      call avCT(3995, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2022, nGC_2024/))

      allocate(vertices(3556)%branchCT(0:0))
      call avCT(3556, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3497)%branchCT(0:0))
      call avCT(3497, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(2460)%branchCT(0:0))
      call avCT(2460, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(5070)%branchCT(0:0))
      call avCT(5070, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(3999)%branchCT(0:0))
      call avCT(3999, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(4000)%branchCT(0:0))
      call avCT(4000, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4530)%branchCT(0:0))
      call avCT(4530, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4002)%branchCT(0:0))
      call avCT(4002, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2190/))

      allocate(vertices(4003)%branchCT(0:0))
      call avCT(4003, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4005)%branchCT(0:0))
      call avCT(4005, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(686)%branchCT(0:0))
      call avCT(686, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2108, nGC_2109/))

      allocate(vertices(4549)%branchCT(0:0))
      call avCT(4549, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4145)%branchCT(0:0))
      call avCT(4145, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1532)%branchCT(0:0))
      call avCT(1532, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4011)%branchCT(0:0))
      call avCT(4011, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1533)%branchCT(0:1))
      call avCT(1533, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_2122, nGC_2122/))

      call avCT(1533, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_2123, nGC_2123/))

      allocate(vertices(1534)%branchCT(0:0))
      call avCT(1534, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1535)%branchCT(0:0))
      call avCT(1535, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2687)%branchCT(0:0))
      call avCT(2687, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1537)%branchCT(0:0))
      call avCT(1537, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1854)%branchCT(0:0))
      call avCT(1854, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_2190/))

      allocate(vertices(4599)%branchCT(0:0))
      call avCT(4599, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4015)%branchCT(0:0))
      call avCT(4015, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(1541)%branchCT(0:0))
      call avCT(1541, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(4018)%branchCT(0:0))
      call avCT(4018, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1542)%branchCT(0:0))
      call avCT(1542, 0, 1, 1, 0, VUUa1, (/0, 3/), (/nGC_2130/))

      allocate(vertices(4675)%branchCT(0:0))
      call avCT(4675, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(1543)%branchCT(0:0))
      call avCT(1543, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4021)%branchCT(0:1))
      call avCT(4021, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2142, nGC_2142/))

      call avCT(4021, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2143, nGC_2143/))

      allocate(vertices(4022)%branchCT(0:0))
      call avCT(4022, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4024)%branchCT(0:0))
      call avCT(4024, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_1868, nGC_1869/))

      allocate(vertices(4345)%branchCT(0:0))
      call avCT(4345, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(3313)%branchCT(0:0))
      call avCT(3313, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(4668)%branchCT(0:0))
      call avCT(4668, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4029)%branchCT(0:0))
      call avCT(4029, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4030)%branchCT(0:0))
      call avCT(4030, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1953/))

      allocate(vertices(1552)%branchCT(0:0))
      call avCT(1552, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1920/))

      allocate(vertices(4698)%branchCT(0:0))
      call avCT(4698, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2175/))

      allocate(vertices(1554)%branchCT(0:0))
      call avCT(1554, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(1715)%branchCT(0:0))
      call avCT(1715, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4169)%branchCT(0:0))
      call avCT(4169, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1556)%branchCT(0:0))
      call avCT(1556, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(2690)%branchCT(0:0))
      call avCT(2690, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(1558)%branchCT(0:0))
      call avCT(1558, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2078/))

      allocate(vertices(4036)%branchCT(0:0))
      call avCT(4036, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(1560)%branchCT(0:0))
      call avCT(1560, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(3296)%branchCT(0:0))
      call avCT(3296, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1561)%branchCT(0:0))
      call avCT(1561, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(1190)%branchCT(0:0))
      call avCT(1190, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2131/))

      allocate(vertices(4040)%branchCT(0:1))
      call avCT(4040, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2103, nGC_2105/))

      call avCT(4040, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2104, nGC_2106/))

      allocate(vertices(4042)%branchCT(0:0))
      call avCT(4042, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1955/))

      allocate(vertices(1563)%branchCT(0:0))
      call avCT(1563, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4046)%branchCT(0:0))
      call avCT(4046, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4808)%branchCT(0:0))
      call avCT(4808, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2098/))

      allocate(vertices(4048)%branchCT(0:0))
      call avCT(4048, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1565)%branchCT(0:1))
      call avCT(1565, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_2019, nGC_2019/))

      call avCT(1565, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_2020, nGC_2020/))

      allocate(vertices(4819)%branchCT(0:0))
      call avCT(4819, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1567)%branchCT(0:0))
      call avCT(1567, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2205/))

      allocate(vertices(2256)%branchCT(0:0))
      call avCT(2256, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1568)%branchCT(0:0))
      call avCT(1568, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(4837)%branchCT(0:0))
      call avCT(4837, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4053)%branchCT(0:0))
      call avCT(4053, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1571)%branchCT(0:0))
      call avCT(1571, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4054)%branchCT(0:0))
      call avCT(4054, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2177, nGC_2177/))

      allocate(vertices(4877)%branchCT(0:0))
      call avCT(4877, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1600/))

      allocate(vertices(1573)%branchCT(0:0))
      call avCT(1573, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4056)%branchCT(0:0))
      call avCT(4056, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(1574)%branchCT(0:0))
      call avCT(1574, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(1575)%branchCT(0:0))
      call avCT(1575, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4057)%branchCT(0:1))
      call avCT(4057, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_1936, nGC_1938/))

      call avCT(4057, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_1937, nGC_1939/))

      allocate(vertices(5071)%branchCT(0:0))
      call avCT(5071, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1905/))

      allocate(vertices(1064)%branchCT(0:0))
      call avCT(1064, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(4881)%branchCT(0:0))
      call avCT(4881, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(4061)%branchCT(0:0))
      call avCT(4061, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1606/))

      allocate(vertices(4214)%branchCT(0:0))
      call avCT(4214, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(3088)%branchCT(0:0))
      call avCT(3088, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1579)%branchCT(0:0))
      call avCT(1579, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1580)%branchCT(0:0))
      call avCT(1580, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4063)%branchCT(0:0))
      call avCT(4063, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2694)%branchCT(0:0))
      call avCT(2694, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2259)%branchCT(0:0))
      call avCT(2259, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1874/))

      allocate(vertices(1584)%branchCT(0:0))
      call avCT(1584, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1585)%branchCT(0:1))
      call avCT(1585, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_1895, nGC_1897/))

      call avCT(1585, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_1896, nGC_1898/))

      allocate(vertices(4066)%branchCT(0:0))
      call avCT(4066, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(589)%branchCT(0:0))
      call avCT(589, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1858)%branchCT(0:0))
      call avCT(1858, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(1588)%branchCT(0:0))
      call avCT(1588, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(1589)%branchCT(0:0))
      call avCT(1589, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4068)%branchCT(0:0))
      call avCT(4068, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(2993)%branchCT(0:0))
      call avCT(2993, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1904/))

      allocate(vertices(4069)%branchCT(0:0))
      call avCT(4069, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2260)%branchCT(0:0))
      call avCT(2260, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1592)%branchCT(0:0))
      call avCT(1592, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4071)%branchCT(0:1))
      call avCT(4071, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_2169, nGC_2169/))

      call avCT(4071, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_2170, nGC_2170/))

      allocate(vertices(5072)%branchCT(0:0))
      call avCT(5072, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1863/))

      allocate(vertices(4001)%branchCT(0:0))
      call avCT(4001, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(4072)%branchCT(0:0))
      call avCT(4072, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1593)%branchCT(0:0))
      call avCT(1593, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1943/))

      allocate(vertices(1594)%branchCT(0:0))
      call avCT(1594, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1915/))

      allocate(vertices(4073)%branchCT(0:0))
      call avCT(4073, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(3931)%branchCT(0:0))
      call avCT(3931, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1596)%branchCT(0:0))
      call avCT(1596, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4074)%branchCT(0:0))
      call avCT(4074, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(1860)%branchCT(0:0))
      call avCT(1860, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2205/))

      allocate(vertices(1597)%branchCT(0:0))
      call avCT(1597, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(5073)%branchCT(0:0))
      call avCT(5073, 0, 1, 1, 0, VFFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(4813)%branchCT(0:0))
      call avCT(4813, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1598)%branchCT(0:0))
      call avCT(1598, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1880/))

      allocate(vertices(4077)%branchCT(0:0))
      call avCT(4077, 0, 1, 1, 0, VFaF1, (/0, 3/), (/nGC_1906/))

      allocate(vertices(1601)%branchCT(0:0))
      call avCT(1601, 0, 1, 1, 0, VFFa0, (/0, 3/), (/nGC_1960, nGC_1961/))

      allocate(vertices(4080)%branchCT(0:0))
      call avCT(4080, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4083)%branchCT(0:0))
      call avCT(4083, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1604)%branchCT(0:0))
      call avCT(1604, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_2206/))

      allocate(vertices(1605)%branchCT(0:0))
      call avCT(1605, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1606)%branchCT(0:1))
      call avCT(1606, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1976, nGC_1976/))

      call avCT(1606, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1977, nGC_1977/))

      allocate(vertices(1607)%branchCT(0:0))
      call avCT(1607, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(4085)%branchCT(0:1))
      call avCT(4085, 0, 84, 1, 0, FaVF0, (/0, 3/), (/nGC_2053, nGC_2055/))

      call avCT(4085, 1, 84, 1, 0, FaVF0, (/2, 1/), (/nGC_2054, nGC_2056/))

      allocate(vertices(4086)%branchCT(0:0))
      call avCT(4086, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1608)%branchCT(0:0))
      call avCT(1608, 0, 1, 1, 0, SFaF0, (/0, 3/), (/nGC_2107, nGC_2107/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4088)%branchCT(0:1))
      call avCT(4088, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_2045, nGC_2047/))

      call avCT(4088, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_2046, nGC_2048/))

      allocate(vertices(1610)%branchCT(0:0))
      call avCT(1610, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(4092)%branchCT(0:1))
      call avCT(4092, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1845, nGC_1847/))

      call avCT(4092, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1846, nGC_1848/))

      allocate(vertices(1612)%branchCT(0:0))
      call avCT(1612, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(5074)%branchCT(0:1))
      call avCT(5074, 0, 124, 1, 0, FaF1, (/0, 2/), (/nGC_2116, nGC_2118,      &
      nGC_2118, nGC_2120/))

      call avCT(5074, 1, 124, 1, 0, FaF1, (/2, 0/), (/nGC_2117, nGC_2119,      &
      nGC_2119, nGC_2121/))

      allocate(vertices(4095)%branchCT(0:0))
      call avCT(4095, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4096)%branchCT(0:1))
      call avCT(4096, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_2005, nGC_2007/))

      call avCT(4096, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_2006, nGC_2008/))

      allocate(vertices(1875)%branchCT(0:0))
      call avCT(1875, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4099)%branchCT(0:0))
      call avCT(4099, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4100)%branchCT(0:0))
      call avCT(4100, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(4102)%branchCT(0:0))
      call avCT(4102, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4103)%branchCT(0:0))
      call avCT(4103, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2186/))

      allocate(vertices(1408)%branchCT(0:0))
      call avCT(1408, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(1616)%branchCT(0:0))
      call avCT(1616, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 1, 1, 0, SFaF1, (/0, 3/), (/nGC_1903/))

      allocate(vertices(5075)%branchCT(0:0))
      call avCT(5075, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(4816)%branchCT(0:0))
      call avCT(4816, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(561)%branchCT(0:0))
      call avCT(561, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(186)%branchCT(0:0))
      call avCT(186, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1618)%branchCT(0:0))
      call avCT(1618, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2025/))

      allocate(vertices(4107)%branchCT(0:0))
      call avCT(4107, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4108)%branchCT(0:0))
      call avCT(4108, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(201)%branchCT(0:0))
      call avCT(201, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3597)%branchCT(0:0))
      call avCT(3597, 0, 1, 1, 0, FaSF0, (/0, 3/), (/nGC_2107, nGC_2107/))

      allocate(vertices(5076)%branchCT(0:0))
      call avCT(5076, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(1215)%branchCT(0:0))
      call avCT(1215, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(2846)%branchCT(0:0))
      call avCT(2846, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4744)%branchCT(0:0))
      call avCT(4744, 0, 1, 1, 0, FaFV0, (/0, 3/), (/nGC_1906/))

      allocate(vertices(715)%branchCT(0:0))
      call avCT(715, 0, 1, 1, 0, VFaF0, (/0, 3/), (/nGC_2150, nGC_2151/))

      allocate(vertices(1624)%branchCT(0:1))
      call avCT(1624, 0, 87, 1, 0, SFFa0, (/0, 3/), (/nGC_1951, nGC_1949/))

      call avCT(1624, 1, 87, 1, 0, SFFa0, (/2, 1/), (/nGC_1952, nGC_1950/))

      allocate(vertices(1073)%branchCT(0:0))
      call avCT(1073, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1626)%branchCT(0:0))
      call avCT(1626, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2037, nGC_2038,       &
      nGC_2037/))

      allocate(vertices(1627)%branchCT(0:0))
      call avCT(1627, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(240)%branchCT(0:0))
      call avCT(240, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(529)%branchCT(0:0))
      call avCT(529, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(1628)%branchCT(0:0))
      call avCT(1628, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1767)%branchCT(0:0))
      call avCT(1767, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4378)%branchCT(0:1))
      call avCT(4378, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1982, nGC_1984/))

      call avCT(4378, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1983, nGC_1985/))

      allocate(vertices(2702)%branchCT(0:0))
      call avCT(2702, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(5077)%branchCT(0:0))
      call avCT(5077, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_2074, nGC_2075,       &
      nGC_2075, nGC_2076/))

      allocate(vertices(4114)%branchCT(0:0))
      call avCT(4114, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4115)%branchCT(0:1))
      call avCT(4115, 0, 83, 1, 0, FaFV1, (/0, 3/), (/nGC_2045, nGC_2047/))

      call avCT(4115, 1, 83, 1, 0, FaFV1, (/2, 1/), (/nGC_2046, nGC_2048/))

      allocate(vertices(4116)%branchCT(0:0))
      call avCT(4116, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1871/))

      allocate(vertices(3390)%branchCT(0:0))
      call avCT(3390, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(2131)%branchCT(0:0))
      call avCT(2131, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1634)%branchCT(0:0))
      call avCT(1634, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1685)%branchCT(0:1))
      call avCT(1685, 0, 87, 1, 0, VFFa0, (/0, 3/), (/nGC_2103, nGC_2105/))

      call avCT(1685, 1, 87, 1, 0, VFFa0, (/2, 1/), (/nGC_2104, nGC_2106/))

      allocate(vertices(3792)%branchCT(0:0))
      call avCT(3792, 0, 0, 1, 0, VVVV0, (/0, 4/), (/nGC_2003, nGC_2003,       &
      nGC_2004/))

      allocate(vertices(4121)%branchCT(0:0))
      call avCT(4121, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(3998)%branchCT(0:0))
      call avCT(3998, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1468)%branchCT(0:0))
      call avCT(1468, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(5078)%branchCT(0:0))
      call avCT(5078, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2070/))

      allocate(vertices(1640)%branchCT(0:0))
      call avCT(1640, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_2017/))

      allocate(vertices(1469)%branchCT(0:1))
      call avCT(1469, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2142, nGC_2142/))

      call avCT(1469, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2143, nGC_2143/))

      allocate(vertices(1642)%branchCT(0:1))
      call avCT(1642, 0, 86, 1, 0, VFaF1, (/0, 3/), (/nGC_1877/))

      call avCT(1642, 1, 86, 1, 0, VFaF1, (/2, 1/), (/nGC_1878/))

      allocate(vertices(1643)%branchCT(0:0))
      call avCT(1643, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(1152)%branchCT(0:0))
      call avCT(1152, 0, 1, 1, 0, USUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(3101)%branchCT(0:0))
      call avCT(3101, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4527)%branchCT(0:0))
      call avCT(4527, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2107, nGC_2107/))

      allocate(vertices(4129)%branchCT(0:0))
      call avCT(4129, 0, 1, 1, 0, UUaV1, (/0, 3/), (/nGC_1918/))

      allocate(vertices(2704)%branchCT(0:0))
      call avCT(2704, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4130)%branchCT(0:0))
      call avCT(4130, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4131)%branchCT(0:0))
      call avCT(4131, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(1649)%branchCT(0:0))
      call avCT(1649, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_2100/))

      allocate(vertices(1259)%branchCT(0:0))
      call avCT(1259, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1651)%branchCT(0:0))
      call avCT(1651, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(4350)%branchCT(0:3))
      call avCT(4350, 0, 94, 2, 0, VFaF0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(4350, 1, 94, 2, 0, VFaF0, (/3, 0/), (/nGC_1967, nGC_1969/))

      call avCT(4350, 2, 95, 3, 0, VFaF0, (/1, 2/), (/nGC_1968, nGC_1970/))

      call avCT(4350, 3, 95, 3, 0, VFaF0, (/3, 0/), (/nGC_1967, nGC_1969/))

      allocate(vertices(1652)%branchCT(0:0))
      call avCT(1652, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1653)%branchCT(0:0))
      call avCT(1653, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(1514)%branchCT(0:0))
      call avCT(1514, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1654)%branchCT(0:0))
      call avCT(1654, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1872/))

      allocate(vertices(4137)%branchCT(0:0))
      call avCT(4137, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1862/))

      allocate(vertices(3514)%branchCT(0:0))
      call avCT(3514, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4140)%branchCT(0:0))
      call avCT(4140, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4143)%branchCT(0:0))
      call avCT(4143, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2616)%branchCT(0:0))
      call avCT(2616, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(1659)%branchCT(0:0))
      call avCT(1659, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(4144)%branchCT(0:0))
      call avCT(4144, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(5079)%branchCT(0:1))
      call avCT(5079, 0, 14, 1, 0, FFa1, (/0, 2/), (/nGC_2207, nGC_2209,       &
      nGC_2209, nGC_2211/))

      call avCT(5079, 1, 14, 1, 0, FFa1, (/2, 0/), (/nGC_2208, nGC_2210,       &
      nGC_2210, nGC_2212/))

      allocate(vertices(4146)%branchCT(0:0))
      call avCT(4146, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2177, nGC_2177/))

      allocate(vertices(1662)%branchCT(0:0))
      call avCT(1662, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1859/))

      allocate(vertices(4147)%branchCT(0:0))
      call avCT(4147, 0, 1, 1, 0, UUaS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(441)%branchCT(0:0))
      call avCT(441, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1597/))

      allocate(vertices(4148)%branchCT(0:0))
      call avCT(4148, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_2176/))

      allocate(vertices(3541)%branchCT(0:0))
      call avCT(3541, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1665)%branchCT(0:0))
      call avCT(1665, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4150)%branchCT(0:0))
      call avCT(4150, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4151)%branchCT(0:0))
      call avCT(4151, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(4152)%branchCT(0:0))
      call avCT(4152, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1948/))

      allocate(vertices(4153)%branchCT(0:0))
      call avCT(4153, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(4263)%branchCT(0:0))
      call avCT(4263, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(4390)%branchCT(0:0))
      call avCT(4390, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(4156)%branchCT(0:0))
      call avCT(4156, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(4157)%branchCT(0:1))
      call avCT(4157, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_2169, nGC_2169/))

      call avCT(4157, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_2170, nGC_2170/))

      allocate(vertices(1669)%branchCT(0:0))
      call avCT(1669, 0, 1, 1, 0, FaVF1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(1670)%branchCT(0:0))
      call avCT(1670, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(4159)%branchCT(0:0))
      call avCT(4159, 0, 0, 1, 0, UaVUV0, (/0, 4/), (/nGC_1873/))

      allocate(vertices(4162)%branchCT(0:0))
      call avCT(4162, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1673)%branchCT(0:0))
      call avCT(1673, 0, 0, 1, 0, UVUaV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1674)%branchCT(0:0))
      call avCT(1674, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4574)%branchCT(0:0))
      call avCT(4574, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(4168)%branchCT(0:0))
      call avCT(4168, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1677)%branchCT(0:0))
      call avCT(1677, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(2554)%branchCT(0:0))
      call avCT(2554, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(4399)%branchCT(0:0))
      call avCT(4399, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(4171)%branchCT(0:0))
      call avCT(4171, 0, 1, 1, 0, SSV1, (/0, 3/), (/nGC_2175/))

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(1680)%branchCT(0:0))
      call avCT(1680, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(4175)%branchCT(0:0))
      call avCT(4175, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(53)%branchCT(0:0))
      call avCT(53, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(573)%branchCT(0:0))
      call avCT(573, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(679)%branchCT(0:0))
      call avCT(679, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(587)%branchCT(0:0))
      call avCT(587, 0, 0, 1, 0, USSUa0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4183)%branchCT(0:0))
      call avCT(4183, 0, 1, 1, 0, UaUS0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(1084)%branchCT(0:0))
      call avCT(1084, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1989/))

      allocate(vertices(607)%branchCT(0:0))
      call avCT(607, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(4186)%branchCT(0:0))
      call avCT(4186, 0, 1, 1, 0, UVUa0, (/0, 3/), (/nGC_1857/))

      allocate(vertices(5080)%branchCT(0:0))
      call avCT(5080, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1964/))

      allocate(vertices(1691)%branchCT(0:0))
      call avCT(1691, 0, 1, 1, 0, VSS0, (/0, 3/), (/nGC_1931/))

      allocate(vertices(4188)%branchCT(0:0))
      call avCT(4188, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1694)%branchCT(0:0))
      call avCT(1694, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(4191)%branchCT(0:0))
      call avCT(4191, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2018, nGC_2018/))

      allocate(vertices(3415)%branchCT(0:0))
      call avCT(3415, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(647)%branchCT(0:0))
      call avCT(647, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(5081)%branchCT(0:0))
      call avCT(5081, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1928/))

      allocate(vertices(1697)%branchCT(0:0))
      call avCT(1697, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(3110)%branchCT(0:0))
      call avCT(3110, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4195)%branchCT(0:0))
      call avCT(4195, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(1753)%branchCT(0:0))
      call avCT(1753, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(4197)%branchCT(0:0))
      call avCT(4197, 0, 0, 1, 0, VVUaU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(2619)%branchCT(0:0))
      call avCT(2619, 0, 0, 1, 0, UaSSU0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(3735)%branchCT(0:0))
      call avCT(3735, 0, 1, 1, 0, SSS0, (/0, 3/), (/nGC_1855/))

      allocate(vertices(689)%branchCT(0:0))
      call avCT(689, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1704)%branchCT(0:0))
      call avCT(1704, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_1926/))

      allocate(vertices(2276)%branchCT(0:0))
      call avCT(2276, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1598/))

      allocate(vertices(4199)%branchCT(0:0))
      call avCT(4199, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(5082)%branchCT(0:0))
      call avCT(5082, 0, 1, 1, 0, SVS0, (/0, 3/), (/nGC_2191/))

      allocate(vertices(1706)%branchCT(0:0))
      call avCT(1706, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1870/))

      allocate(vertices(5083)%branchCT(0:0))
      call avCT(5083, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1995, nGC_1996/))

      allocate(vertices(4200)%branchCT(0:0))
      call avCT(4200, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(723)%branchCT(0:0))
      call avCT(723, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(4898)%branchCT(0:0))
      call avCT(4898, 0, 1, 1, 0, SFFa0, (/0, 3/), (/nGC_2036, nGC_2036/))

      allocate(vertices(1711)%branchCT(0:0))
      call avCT(1711, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(1712)%branchCT(0:3))
      call avCT(1712, 0, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(1712, 1, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_2030, nGC_2032/))

      call avCT(1712, 2, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_2031, nGC_2033/))

      call avCT(1712, 3, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_2030, nGC_2032/))

      allocate(vertices(1714)%branchCT(0:0))
      call avCT(1714, 0, 1, 1, 0, FFaS0, (/0, 3/), (/nGC_2087, nGC_2088/))

      allocate(vertices(5084)%branchCT(0:0))
      call avCT(5084, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2213/))

      allocate(vertices(4380)%branchCT(0:0))
      call avCT(4380, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4205)%branchCT(0:0))
      call avCT(4205, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(799)%branchCT(0:0))
      call avCT(799, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(4206)%branchCT(0:0))
      call avCT(4206, 0, 1, 1, 0, SUaU0, (/0, 3/), (/nGC_1980/))

      allocate(vertices(4207)%branchCT(0:1))
      call avCT(4207, 0, 85, 1, 0, FSFa0, (/0, 3/), (/nGC_1951, nGC_1949/))

      call avCT(4207, 1, 85, 1, 0, FSFa0, (/2, 1/), (/nGC_1952, nGC_1950/))

      allocate(vertices(3522)%branchCT(0:0))
      call avCT(3522, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(1718)%branchCT(0:0))
      call avCT(1718, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1719)%branchCT(0:0))
      call avCT(1719, 0, 0, 1, 0, VVUUa0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(695)%branchCT(0:0))
      call avCT(695, 0, 0, 1, 0, VUUaV0, (/0, 4/), (/nGC_1947/))

      allocate(vertices(1720)%branchCT(0:0))
      call avCT(1720, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(811)%branchCT(0:0))
      call avCT(811, 0, 0, 1, 0, UaUSS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(4216)%branchCT(0:0))
      call avCT(4216, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1844/))

      allocate(vertices(1723)%branchCT(0:0))
      call avCT(1723, 0, 1, 1, 0, FaFS0, (/0, 3/), (/nGC_2018, nGC_2018/))

      allocate(vertices(1725)%branchCT(0:0))
      call avCT(1725, 0, 1, 1, 0, VUaU0, (/0, 3/), (/nGC_2099/))

      allocate(vertices(4019)%branchCT(0:0))
      call avCT(4019, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1856/))

      allocate(vertices(1726)%branchCT(0:0))
      call avCT(1726, 0, 0, 1, 0, VSVS0, (/0, 4/), (/nGC_1902/))

      allocate(vertices(303)%branchCT(0:0))
      call avCT(303, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1624/))

      allocate(vertices(1728)%branchCT(0:0))
      call avCT(1728, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(2122)%branchCT(0:0))
      call avCT(2122, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1729)%branchCT(0:0))
      call avCT(1729, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(1730)%branchCT(0:0))
      call avCT(1730, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1981/))

      allocate(vertices(3350)%branchCT(0:0))
      call avCT(3350, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(3117)%branchCT(0:1))
      call avCT(3117, 0, 87, 1, 0, VFFa1, (/0, 3/), (/nGC_1957/))

      call avCT(3117, 1, 87, 1, 0, VFFa1, (/2, 1/), (/nGC_1958/))

      allocate(vertices(1734)%branchCT(0:1))
      call avCT(1734, 0, 85, 1, 0, FVFa0, (/0, 3/), (/nGC_2171, nGC_2173/))

      call avCT(1734, 1, 85, 1, 0, FVFa0, (/2, 1/), (/nGC_2172, nGC_2174/))

      allocate(vertices(4655)%branchCT(0:0))
      call avCT(4655, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4227)%branchCT(0:0))
      call avCT(4227, 0, 0, 1, 0, UUaVV0, (/0, 4/), (/nGC_1919/))

      allocate(vertices(1736)%branchCT(0:0))
      call avCT(1736, 0, 1, 1, 0, FFaV1, (/0, 3/), (/nGC_2051/))

      allocate(vertices(4228)%branchCT(0:0))
      call avCT(4228, 0, 0, 1, 0, SSVV0, (/0, 4/), (/nGC_1965/))

      allocate(vertices(822)%branchCT(0:0))
      call avCT(822, 0, 0, 1, 0, VUaUV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(900)%branchCT(0:0))
      call avCT(900, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(704)%branchCT(0:0))
      call avCT(704, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(1738)%branchCT(0:0))
      call avCT(1738, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1861/))

      allocate(vertices(4232)%branchCT(0:0))
      call avCT(4232, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(4233)%branchCT(0:0))
      call avCT(4233, 0, 1, 1, 0, FVFa1, (/0, 3/), (/nGC_2091/))

      allocate(vertices(4234)%branchCT(0:0))
      call avCT(4234, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(1741)%branchCT(0:1))
      call avCT(1741, 0, 84, 1, 0, FaSF0, (/0, 3/), (/nGC_1899, nGC_1899/))

      call avCT(1741, 1, 84, 1, 0, FaSF0, (/2, 1/), (/nGC_1900, nGC_1900/))

      allocate(vertices(1513)%branchCT(0:0))
      call avCT(1513, 0, 0, 1, 0, VVSS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4657)%branchCT(0:0))
      call avCT(4657, 0, 0, 1, 0, SUaUS0, (/0, 4/), (/nGC_1901/))

      allocate(vertices(1742)%branchCT(0:0))
      call avCT(1742, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1853/))

      allocate(vertices(3864)%branchCT(0:0))
      call avCT(3864, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1623/))

      allocate(vertices(1744)%branchCT(0:3))
      call avCT(1744, 0, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(1744, 1, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_2154, nGC_2156/))

      call avCT(1744, 2, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_2153, nGC_2155/))

      call avCT(1744, 3, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_2154, nGC_2156/))

      allocate(vertices(1745)%branchCT(0:0))
      call avCT(1745, 0, 0, 1, 0, VUaVU0, (/0, 4/), (/nGC_1956/))

      allocate(vertices(942)%branchCT(0:0))
      call avCT(942, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(3956)%branchCT(0:0))
      call avCT(3956, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1963/))

      allocate(vertices(4238)%branchCT(0:0))
      call avCT(4238, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1622/))

      allocate(vertices(4240)%branchCT(0:0))
      call avCT(4240, 0, 0, 1, 0, UaVVU0, (/0, 4/), (/nGC_1876/))

      allocate(vertices(2656)%branchCT(0:3))
      call avCT(2656, 0, 96, 2, 0, VFFa0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(2656, 1, 96, 2, 0, VFFa0, (/3, 0/), (/nGC_1886, nGC_1888/))

      call avCT(2656, 2, 97, 3, 0, VFFa0, (/1, 2/), (/nGC_1887, nGC_1889/))

      call avCT(2656, 3, 97, 3, 0, VFFa0, (/3, 0/), (/nGC_1886, nGC_1888/))

      allocate(vertices(3157)%branchCT(0:1))
      call avCT(3157, 0, 83, 1, 0, FaFS0, (/0, 3/), (/nGC_1944, nGC_1944/))

      call avCT(3157, 1, 83, 1, 0, FaFS0, (/2, 1/), (/nGC_1945, nGC_1945/))

      allocate(vertices(970)%branchCT(0:0))
      call avCT(970, 0, 0, 1, 0, SSUaU0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(860)%branchCT(0:0))
      call avCT(860, 0, 1, 1, 0, SUUa0, (/0, 3/), (/nGC_1627/))

      allocate(vertices(4395)%branchCT(0:0))
      call avCT(4395, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1916/))

      allocate(vertices(4245)%branchCT(0:0))
      call avCT(4245, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(999)%branchCT(0:0))
      call avCT(999, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 0, 1, 0, SUaSU0, (/0, 4/), (/nGC_1599/))

      allocate(vertices(3118)%branchCT(0:0))
      call avCT(3118, 0, 0, 1, 0, UVVUa0, (/0, 4/), (/nGC_1891/))

      allocate(vertices(1024)%branchCT(0:0))
      call avCT(1024, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_1605/))

      allocate(vertices(2152)%branchCT(0:0))
      call avCT(2152, 0, 1, 1, 0, UaUV0, (/0, 3/), (/nGC_2009/))

      allocate(vertices(2399)%branchCT(0:0))
      call avCT(2399, 0, 0, 1, 0, SSUUa0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(1758)%branchCT(0:0))
      call avCT(1758, 0, 0, 1, 0, SSSS0, (/0, 4/), (/nGC_2010/))

      allocate(vertices(1041)%branchCT(0:0))
      call avCT(1041, 0, 0, 1, 0, SUSUa0, (/0, 4/), (/nGC_1601/))

      allocate(vertices(1760)%branchCT(0:1))
      call avCT(1760, 0, 83, 1, 0, FaFV0, (/0, 3/), (/nGC_1877/))

      call avCT(1760, 1, 83, 1, 0, FaFV0, (/2, 1/), (/nGC_1878/))

      allocate(vertices(1487)%branchCT(0:0))
      call avCT(1487, 0, 0, 1, 0, SVSV0, (/0, 4/), (/nGC_1946/))

      allocate(vertices(4254)%branchCT(0:0))
      call avCT(4254, 0, 0, 1, 0, VUVUa0, (/0, 4/), (/nGC_1864/))

      allocate(vertices(4255)%branchCT(0:0))
      call avCT(4255, 0, 1, 1, 0, VSV0, (/0, 3/), (/nGC_1954/))

      allocate(vertices(1054)%branchCT(0:0))
      call avCT(1054, 0, 0, 1, 0, SUUaS0, (/0, 4/), (/nGC_1879/))

      allocate(vertices(4093)%branchCT(0:0))
      call avCT(4093, 0, 1, 1, 0, FSFa0, (/0, 3/), (/nGC_2177, nGC_2177/))

      allocate(vertices(1762)%branchCT(0:0))
      call avCT(1762, 0, 0, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(4627)%branchCT(0:0))
      call avCT(4627, 0, 0, 1, 0, UUaSS0, (/0, 4/), (/nGC_1618/))

      allocate(vertices(4259)%branchCT(0:0))
      call avCT(4259, 0, 0, 1, 0, USUaS0, (/0, 4/), (/nGC_1890/))

      allocate(vertices(1198)%branchCT(0:1))
      call avCT(1198, 0, 86, 1, 0, SFaF0, (/0, 3/), (/nGC_2122, nGC_2122/))

      call avCT(1198, 1, 86, 1, 0, SFaF0, (/2, 1/), (/nGC_2123, nGC_2123/))

      allocate(vertices(1759)%branchCT(0:0))
      call avCT(1759, 0, 0, 1, 0, UaSUS0, (/0, 4/), (/nGC_1867/))

      allocate(vertices(1763)%branchCT(0:0))
      call avCT(1763, 0, 0, 1, 0, UaUVV0, (/0, 4/), (/nGC_1860/))

      allocate(vertices(4260)%branchCT(0:0))
      call avCT(4260, 0, 1, 1, 0, VVS0, (/0, 3/), (/nGC_2071/))

      allocate(vertices(4396)%branchCT(0:5))
      call avCT(4396, 0, 32, 6, 0, UUaVV0, (/4, 0/), (/nGC_1892/))

      call avCT(4396, 1, 30, 6, 0, UUaVV0, (/4, 0/), (/nGC_1892/))

      call avCT(4396, 2, 33, 7, 0, UUaVV0, (/4, 0/), (/nGC_1893/))

      call avCT(4396, 3, 29, 6, 0, UUaVV0, (/4, 0/), (/nGC_1892/))

      call avCT(4396, 4, 34, 7, 0, UUaVV0, (/4, 0/), (/nGC_1893/))

      call avCT(4396, 5, 31, 6, 0, UUaVV0, (/4, 0/), (/nGC_1892/))

      allocate(vertices(1765)%branchCT(0:0))
      call avCT(1765, 0, 0, 1, 0, SVVS0, (/0, 4/), (/nGC_1858/))

      allocate(vertices(1766)%branchCT(0:0))
      call avCT(1766, 0, 1, 1, 0, FFaV0, (/0, 3/), (/nGC_1960, nGC_1961/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
